package com.fs.his.controller;


import com.fs.erp.domain.ErpOrder;
import com.fs.erp.dto.ErpOrderResponse;
import com.fs.erp.dto.sdk.HzOMS.utils.HzOMSUtils;
import com.fs.erp.service.IErpOrderService;
import com.fs.his.domain.FsVessel;
import com.fs.his.param.HzOMSErpApiParam;
import com.fs.his.service.ErpApiService;
import com.fs.his.vo.HzOMSErpResponseVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 瀚智OMS Erp系统推送平数据接口
 */

@RestController
@RequestMapping("/erp/call")
public class HzOMSErpApiController {

    @Autowired
    @Qualifier("hzOMSErpApiServiceImpl")
    ErpApiService hzOMSErpApiService;

    @Autowired
    @Qualifier("hzOMSErpOrderServiceImpl")
    IErpOrderService HzOMSErpOrderService;

    /**
     * 用于将瀚智商品库存同步到第三方
     *
     * @param appkey
     * @param timestamp
     * @param datapackage
     * @param sign
     * @return
     */
    @PostMapping("/ptgoods/stockSync")
    public HzOMSErpResponseVO stockSync(String appkey, String timestamp, String datapackage, String sign) {
        HzOMSErpApiParam param = new HzOMSErpApiParam();
        param.setAppkey(appkey);
        param.setSign(sign);
        param.setTimestamp(timestamp);
        param.setDatapakege(datapackage);
        HzOMSErpResponseVO hzOMSErpResponseVO = new HzOMSErpResponseVO();
        try {
            hzOMSErpResponseVO = hzOMSErpApiService.stockSync(param);
        } catch (Exception e) {
            e.printStackTrace();
            hzOMSErpResponseVO.setSuccess(Boolean.FALSE);
            hzOMSErpResponseVO.setMessage("同步商品库存同步失败");
        }
        return hzOMSErpResponseVO;
    }

    /**
     * 用于将瀚智商品库存同步到第三方
     *
     * @param appkey
     * @param timestamp
     * @param datapackage
     * @param sign
     * @return
     */
    @PostMapping("/ptgoods/skuStockSync")
    public HzOMSErpResponseVO skuStockSync(String appkey, String timestamp, String datapackage, String sign) {
        HzOMSErpApiParam param = new HzOMSErpApiParam();
        param.setAppkey(appkey);
        param.setSign(sign);
        param.setTimestamp(timestamp);
        param.setDatapakege(datapackage);
        HzOMSErpResponseVO hzOMSErpResponseVO = new HzOMSErpResponseVO();
        try {
            hzOMSErpResponseVO = hzOMSErpApiService.skuStockSync(param);
        } catch (Exception e) {
            e.printStackTrace();
            hzOMSErpResponseVO.setSuccess(Boolean.FALSE);
            hzOMSErpResponseVO.setMessage("同步商品规格库存失败");
        }
        return hzOMSErpResponseVO;
    }

    /**
     * 平台订单物流信息回传
     *
     * @param appkey
     * @param timestamp
     * @param datapackage
     * @param sign
     * @return
     */
    @PostMapping("/ptorder/logisticsAdd")
    public HzOMSErpResponseVO logisticsAdd(String appkey, String timestamp, String datapackage, String sign) {
        HzOMSErpApiParam param = new HzOMSErpApiParam();
        param.setAppkey(appkey);
        param.setSign(sign);
        param.setTimestamp(timestamp);
        param.setDatapakege(datapackage);
        return  hzOMSErpApiService.logisticsAdd(param);
    }

//    @PostMapping("/test/createOrder")
//    public HzOMSErpResponseVO createOrder(String appkey, String timestamp, String datapackage, String sign) {
//
//        ErpOrder order = new ErpOrder();
//        order.setPlatform_code(datapackage);
//
//        ErpOrderResponse erpOrderResponse = HzOMSErpOrderService.addOrder(order);
//        HzOMSErpResponseVO hzOMSErpResponseVO = new HzOMSErpResponseVO();
//        hzOMSErpResponseVO.setSuccess(true);
//        return hzOMSErpResponseVO;
//    }
}
