package com.fs.qw.controller;

import com.baomidou.mybatisplus.extension.api.R;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.AjaxResult;
import com.fs.qw.param.QwFsUserParam;
import com.fs.qw.service.IQwUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 企微用户Controller
 *
 * @author fs
 * @date 2024-06-20
 */
@RestController
@RequestMapping("/qw/user")
public class QwUserController extends BaseController {
    @Autowired
    private IQwUserService qwUserService;

    @GetMapping("/getQwUserAll")
    public AjaxResult getQwUserAll(){
        return AjaxResult.success(qwUserService.getQwUserAll());
    }

    /**
     * 获取企微信息
     * **/
    @GetMapping("/getQwUserInfo")
    public R getQwUserInfo(QwFsUserParam param){
        return R.ok(qwUserService.getQwUserInfo(param));
    }
}
