package com.fs.company.controller.qw;

import com.fs.common.core.controller.BaseController;
import com.fs.common.core.page.TableDataInfo;
import com.fs.qw.param.QwGroupChatTransferLogParam;
import com.fs.qw.service.IQwGroupChatTransferLogService;
import com.fs.qw.vo.QwGroupChatTransferLogVO;
import lombok.AllArgsConstructor;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/qw/groupChatTransferLog")
@AllArgsConstructor
public class QwGroupChatTransferLogController extends BaseController {

    private final IQwGroupChatTransferLogService groupChatTransferLogService;

    @PreAuthorize("@ss.hasPermi('qw:groupChatTransferLog:list')")
    @GetMapping("/list")
    public TableDataInfo list(QwGroupChatTransferLogParam param) {
        startPage();
        List<QwGroupChatTransferLogVO> list = groupChatTransferLogService.selectQwGroupChatTransferVOList(param);
        return getDataTable(list);
    }
}
