package com.fs.app.controller;


import com.fs.app.annotation.Login;
import com.fs.app.param.SignParam;
import com.fs.app.utils.CityTreeUtil;
import com.fs.app.utils.JwtUtils;
import com.fs.app.vo.CityVO;
import com.fs.common.config.FSConfig;
import com.fs.common.core.domain.AjaxResult;
import com.fs.common.core.domain.R;
import com.fs.common.exception.file.OssException;
import com.fs.his.domain.FsAppVersion;
import com.fs.his.domain.FsCity;
import com.fs.his.domain.FsDoctor;
import com.fs.his.domain.FsStore;
import com.fs.his.service.IFsAppVersionService;
import com.fs.his.service.IFsCityService;
import com.fs.his.service.IFsDoctorService;
import com.fs.his.service.IFsStoreService;
import com.fs.system.oss.CloudStorageService;
import com.fs.system.oss.OSSFactory;
import com.fs.system.service.ISysDictDataService;
import com.fs.system.vo.DictVO;
import com.google.common.collect.Lists;
import com.tencentyun.TLSSigAPIv2;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


@Api("店铺接口")
@RestController
@RequestMapping(value="/app/store")
public class StoreController extends  AppBaseController {
	@Autowired
	private IFsStoreService storeService;
	@Autowired
	private IFsDoctorService doctorService;

	@Login
	@ApiOperation("获取店铺数据")
	@GetMapping("/getStoreList")
	public R getStoreList(HttpServletRequest request){

		FsStore map=new FsStore();
		map.setStatus(1);
		map.setIsAudit(1);
		List<FsStore> stores=storeService.selectFsStoreListByDoctorId(Long.parseLong(getDoctorId()));
		return R.ok().put("data", stores);

	}


}
