package com.fs.app.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class LiveVo {
    private Long liveId;
    @ApiModelProperty("直播名称")
    private String liveName;
    @ApiModelProperty("直播描述")
    private String liveDesc;
    @ApiModelProperty("显示类型 1横屏 2竖屏")
    private Integer showType;
    @ApiModelProperty("1待支付 2直播中 3已结束")
    private Integer status;
    @ApiModelProperty("直播ID")
    private Long anchorId;
    @ApiModelProperty("直播类型 1直播，2录播")
    private Integer liveType;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private LocalDateTime finishTime;
    @ApiModelProperty("直播封面")
    private String liveImgUrl;
    @ApiModelProperty("直播配置 JOSN")
    private String liveConfig;
    @ApiModelProperty("视屏地址")
    private String videoUrl;
    @ApiModelProperty("当前跳转秒速")
    private Long duration;
    @ApiModelProperty("企微二维码")
    private String qwQrCode;
    private Long nowDuration;
    private BigDecimal nowPri;
}
