package com.fs.app.controller;

import com.fs.fastGpt.service.IFastGptChatSessionService;
import com.fs.qw.param.SopMsgParam;
import com.fs.qw.result.QwExternalContactByQwResult;
import com.fs.sop.params.GetQwSopLogsByJsApiParam;
import com.fs.app.params.SopLogsEditParam;
import com.fs.common.core.domain.R;
import com.fs.common.core.redis.RedisCache;
import com.fs.sop.domain.QwSopLogs;
import com.fs.sop.params.SendSopParamDetailsC;
import com.fs.sop.service.IQwSopLogsService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
@RestController
@RequestMapping("/app/qwSop")
public class QwSopController {


    @Autowired
    RedisCache redisCache;
    @Autowired
    IFastGptChatSessionService fastGptChatSessionService;
    @Autowired
    private IQwSopLogsService qwSopLogsService;





    /**
     * 更新AI发送状态
     */
    @PostMapping("/updateQwSopLogs")
    public R updateCourseSopLogs(@RequestBody SopLogsEditParam param){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        QwSopLogs qwSopLogs=new QwSopLogs();
        qwSopLogs.setId(param.getId());
        qwSopLogs.setReceivingStatus(param.getReceivingStatus());
        qwSopLogs.setSendStatus(param.getSendStatus());
        qwSopLogs.setRealSendTime(sdf.format(new Date()));
        qwSopLogs.setRemark(param.getRemark());
        if(qwSopLogsService.updateQwSopLogsSendType(qwSopLogs)==1){
            try {
            //    fastGptChatSessionService.addAiMsgBySopByStatus(param.getId());
            }catch (Exception e){
            }
            return  R.ok();
        }
        else{
            return R.error();

        }
    }

    //主动获取发送信息
    @PostMapping("/getQwSopLogsByJsApi")
    public R getQwSopLogsByJsApi(@RequestBody GetQwSopLogsByJsApiParam param) {

        SendSopParamDetailsC qwSopLogsByJsApi = qwSopLogsService.getQwSopLogsByJsApi(param);

        return R.ok().put("data",qwSopLogsByJsApi);
    }

    //获取销售的某个联系人
    @GetMapping("/getExternalContactByAppKey/{appKey}")
    public R getExternalContactByAppKey(@PathVariable("appKey") String appKey) {
        QwExternalContactByQwResult result=qwSopLogsService.getExternalContactByAppKey(appKey);
        return R.ok().put("data",result);
    }

    //清除不是当前员工的 外部联系以及营期
    @PostMapping("/deleteQwSopLogsByJsApi")
    public R deleteQwSopLogsByJsApi(@RequestBody GetQwSopLogsByJsApiParam param) {
       qwSopLogsService.deleteQwSopLogsByJsApi(param);

       return R.ok();

    }

    @GetMapping("/getQwSopLogs")
    public R getQwSopLogs(SopMsgParam param) throws Exception {
        //获取记录
        PageHelper.startPage(param.getPageNum(), param.getPageSize());
        System.out.println("传参："+param);
        List<QwSopLogs> list = qwSopLogsService.selectQwSopLogsListVO(param);
        System.out.println("参数："+list);
        PageInfo<QwSopLogs> listPageInfo=new PageInfo<>(list);
        return R.ok().put("data",listPageInfo);
    }


}
