package com.fs.app.controller;

import cn.hutool.json.JSONUtil;
import com.fs.fastGpt.mapper.FastGptChatReplaceWordsMapper;
import com.fs.fastGpt.service.AiService;
import com.fs.fastGpt.service.IFastGptChatSessionService;
import com.fs.qw.vo.AdUploadVo;
import com.fs.qwHookApi.vo.QwHookMsgVO;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@AllArgsConstructor
@RocketMQMessageListener(topic = "msg", consumerGroup = "msg-group")
public class RocketMQAiMsgService implements RocketMQListener<String> {

    @Autowired
    private AiService aiService;
    @Override
    public void onMessage(String message) {

        QwHookMsgVO msgVo= JSONUtil.toBean(message,QwHookMsgVO.class);
        aiService.qwHookNotifyAddMsg(msgVo);
    }
}
