package com.fs.ad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 百度创意统计对象 bd_creative_statistics
 *
 * @author fs
 * @date 2025-03-14
 */
@Data
public class BdCreativeStatistics{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    /** 账户ID */
    @Excel(name = "账户ID")
    private Long userId;

    /** 账户名称 */
    @Excel(name = "账户名称")
    private String userName;

    /** 推广计划含已删除标记 */
    @Excel(name = "推广计划含已删除标记")
    private String campaignNameStatus;

    /** 推广单元含已删除标记 */
    @Excel(name = "推广单元含已删除标记")
    private String adGroupNameStatus;

    /** 创意组合信息 */
    @Excel(name = "创意组合信息")
    private String ideaInfo;

    /** 创意名称含已删除标记 */
    @Excel(name = "创意名称含已删除标记")
    private String ideaNameStatus;

    /** Feed主题类型，枚举：0-全部，1-网站链接，10-百家号推广 */
    @Excel(name = "Feed主题类型，枚举：0-全部，1-网站链接，10-百家号推广")
    private String feedSubjectEnum;

    /** 展现次数 */
    @Excel(name = "展现次数")
    private Long impression;

    /** 点击次数 */
    @Excel(name = "点击次数")
    private Long click;

    /** 消费金额 */
    @Excel(name = "消费金额")
    private BigDecimal cost;

    /** 点击率 */
    @Excel(name = "点击率")
    private BigDecimal ctr;

    /** 平均点击价格 */
    @Excel(name = "平均点击价格")
    private BigDecimal cpc;

    /** 千次展现消费 */
    @Excel(name = "千次展现消费")
    private BigDecimal cpm;

    /** IAA广告变现LTV */
    @Excel(name = "IAA广告变现LTV")
    private BigDecimal iaaCost;

    /** IAA广告变现ROI */
    @Excel(name = "IAA广告变现ROI")
    private BigDecimal iaaPayRoi;

    /** 组件点击次数（创意按钮点击） */
    @Excel(name = "组件点击次数", readConverterExp = "创=意按钮点击")
    private Long phoneButtonClicks;

    /** 互动次数（视频广告含播放互动） */
    @Excel(name = "互动次数", readConverterExp = "视=频广告含播放互动")
    private Long interaction;


}
