package com.fs.ad.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdHtmlTemplate;

import java.util.List;

/**
 * 广告信息流链接Mapper接口
 * 
 * @author fs
 * @date 2024-12-31
 */
public interface AdHtmlTemplateMapper extends BaseMapper<AdHtmlTemplate> {
    /**
     * 查询广告信息流链接
     * 
     * @param id 广告信息流链接主键
     * @return 广告信息流链接
     */
    public AdHtmlTemplate selectAdHtmlUrlById(Long id);

    /**
     * 查询广告信息流链接列表
     * 
     * @param adHtmlTemplate 广告信息流链接
     * @return 广告信息流链接集合
     */
    public List<AdHtmlTemplate> selectAdHtmlUrlList(AdHtmlTemplate adHtmlTemplate);

    /**
     * 新增广告信息流链接
     * 
     * @param adHtmlTemplate 广告信息流链接
     * @return 结果
     */
    public int insertAdHtmlUrl(AdHtmlTemplate adHtmlTemplate);

    /**
     * 修改广告信息流链接
     * 
     * @param adHtmlTemplate 广告信息流链接
     * @return 结果
     */
    public int updateAdHtmlUrl(AdHtmlTemplate adHtmlTemplate);

    /**
     * 删除广告信息流链接
     * 
     * @param id 广告信息流链接主键
     * @return 结果
     */
    public int deleteAdHtmlUrlById(Long id);

    /**
     * 批量删除广告信息流链接
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdHtmlUrlByIds(Long[] ids);
}
