package com.fs.ad.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.ad.domain.BdCreativeStatistics;

import java.util.List;

/**
 * 百度创意统计Service接口
 * 
 * @author fs
 * @date 2025-03-14
 */
public interface IBdCreativeStatisticsService extends IService<BdCreativeStatistics>{
    /**
     * 查询百度创意统计
     * 
     * @param id 百度创意统计主键
     * @return 百度创意统计
     */
    BdCreativeStatistics selectBdCreativeStatisticsById(Long id);

    /**
     * 查询百度创意统计列表
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 百度创意统计集合
     */
    List<BdCreativeStatistics> selectBdCreativeStatisticsList(BdCreativeStatistics bdCreativeStatistics);

    /**
     * 新增百度创意统计
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 结果
     */
    int insertBdCreativeStatistics(BdCreativeStatistics bdCreativeStatistics);

    /**
     * 修改百度创意统计
     * 
     * @param bdCreativeStatistics 百度创意统计
     * @return 结果
     */
    int updateBdCreativeStatistics(BdCreativeStatistics bdCreativeStatistics);

    /**
     * 批量删除百度创意统计
     * 
     * @param ids 需要删除的百度创意统计主键集合
     * @return 结果
     */
    int deleteBdCreativeStatisticsByIds(Long[] ids);

    /**
     * 删除百度创意统计信息
     * 
     * @param id 百度创意统计主键
     * @return 结果
     */
    int deleteBdCreativeStatisticsById(Long id);
}
