package com.fs.aiChat.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 聊天记录对象 doctor_ai_chat_msg
 *
 * @author fs
 * @date 2024-12-30
 */
@Data
public class DoctorAiChatMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.AUTO)
    private Long msgId;

    /** 消息id */
    @Excel(name = "消息id")
    private Long sessionId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long doctorId;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    /** 消息类型 1文本 */
    @Excel(name = "消息类型 1文本")
    private Integer msgType;

    /** 消息JSON */
    @Excel(name = "消息JSON")
    private String msgJson;

    /** $column.columnComment */
    @Excel(name = "消息JSON")
    private Integer status;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** $column.columnComment */
    @Excel(name = "昵称")
    private String avatar;

    private Long patientId;

    /** 用户类型 1微信用户 2小程序用户 3销售用户 */
    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;

    private String doctorName;

    private String doctorAvatar;

    private String userAvatar;

    private String userName;

    private String roleName;

    private String roleId;

    private String beginTime;

    private String endTime;

}
