package com.fs.aiChat.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 对话关系对象 doctor_ai_chat_session
 *
 * @author fs
 * @date 2024-12-30
 */
@Data
public class DoctorAiChatSession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会话ID */
    @TableId(type = IdType.AUTO)
    private Long sessionId;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long userId;

    /** 状态 1会话中 2已结束 */
    @Excel(name = "状态 1会话中 2已结束")
    private Integer status;

    /** 是否查看 */
    @Excel(name = "是否查看")
    private Integer isLook;

    /** 用户类型 1微信用户 2小程序用户 3销售用户 */
    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;

    private String nickName;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    private Long patientId;

    private String doctorAvatar;

    private String userAvatar;

    private String doctorName;

    private String userName;

    private String beginTime;

    private String endTime;

}
