package com.fs.aiChat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QwSopLogsListVO implements Serializable {

    /** $column.columnComment */
    private String id;

    /** qw_user表的主键 */
    @Excel(name = "企微的成员id")
    private String qwUserId;

    /**
    * 企业微信用户昵称
    */
    private String qwUserName;

    /**
    * 系统后台昵称（company_user）
    */
    private String userName;
    /**
    * 企微qw_user主表主键
    */
    private Long qwId;

    private Long companyUserId;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String externalUserId;

    /**
    * 客户昵称
    */
    private String externalUserName;

    /**
    * 客户电话
    */
    private String mobile;

    /**
    * 微信
    */
    private String weixin;

    /** 类别 1个人 2群 */
    @Excel(name = "类别 1个人 2群")
    private Long logType;

    /** 要发送的内容 */
    @Excel(name = "要发送的内容")
    private String contentJson;

    /** 发送状态 1发送成功 3待发送 */
    @Excel(name = "发送(给成员)状态 0发送失败 1发送成功 3待发送")
    private Long sendStatus;

    /** 预计发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "预计发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /**
    *  接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败
    */
    @Excel(name = "接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败")
    private Long receivingStatus;

    /**
    * 企业微信返回的msgId，用于查消息结果
    */
    @Excel(name = "消息ID")
    private String msgId;

    /**
    * 发送类型 1定时接口发送 2 Ai接口发送
    */
    private Long sendType;

    /** 实际发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "实际发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realSendTime;
}
