package com.fs.baidu.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 百度信息对象 bd_api
 *
 * @author fs
 * @date 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BdApi extends BaseEntityTow {

    /** 应用id */
    @Excel(name = "应用id")
    private String appId;

    /** 应用secretKey */
    @Excel(name = "应用secretKey")
    private String appSecretKey;

    /** 应用名称 */
    @Excel(name = "应用名称")
    private String appName;

    /** 用户userId */
    @Excel(name = "用户userId")
    private Long appUserId;

    /** 获取授权用户信息标识 */
    @Excel(name = "获取授权用户信息标识")
    private String openId;

    /** 临时授权码（数据来源：通过回调接口获取） */
    @Excel(name = "临时授权码", readConverterExp = "数=据来源：通过回调接口获取")
    private String authCode;

    /** 授权令牌 */
    @Excel(name = "授权令牌")
    private String accessToken;

    /** 刷新令牌 */
    @Excel(name = "刷新令牌")
    private String refreshToken;

    /** 授权令牌剩余有效时间 */
    @Excel(name = "授权令牌剩余有效时间")
    private Integer expiresIn;

    /** 更新令牌剩余有效时间 */
    @Excel(name = "更新令牌剩余有效时间")
    private Integer refreshExpiresIn;

}
