package com.fs.baidu.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 百度推广单元对象 bd_unit
 *
 * @author fs
 * @date 2025-01-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BdUnit extends BaseEntity{

    /** 推广单元ID */
    @TableId
    private Long adgroupFeedId;
    @Excel(name = "账户ID")
    private Long accountId;
    @Excel(name = "账户名称")
    private String accountName;

    /** 推广计划ID */
    @Excel(name = "推广计划ID")
    private Long campaignFeedId;

    /** 推广单元名称 */
    @Excel(name = "推广单元名称")
    private String adgroupFeedName;

    /** 暂停/启用推广单元 */
    @Excel(name = "暂停/启用推广单元")
    private Integer pause;

    /** $column.columnComment */
    @Excel(name = "暂停/启用推广单元")
    private Integer status;

    /** $column.columnComment */
    @Excel(name = "暂停/启用推广单元")
    private BigDecimal bid;

    /** $column.columnComment */
    @Excel(name = "暂停/启用推广单元")
    private Integer ftypes;

    /** $column.columnComment */
    @Excel(name = "暂停/启用推广单元")
    private Integer bidtype;

    private String json;

}
