package com.fs.baidu.param;

import com.fs.baidu.enums.BdTimeUnit;
import lombok.Data;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Data
public class QueryReportDataParam {
    private Integer reportType;
    private LocalDate startDate;
    private LocalDate endDate;
    private BdTimeUnit timeUnit;
    private Integer page;
    private Integer startRow;
    private Integer rowCount;
    private List<String> columns = new ArrayList<>(Arrays.asList(
            "date",           // 时间
            "userName",       // 账户
            "userId",         // 账户ID
            "weixinFollowSuccessConversions",         // 账户ID
            "weixinFollowSuccessConversionsCost",         // 账户ID
            "feedOCPCConversionsDetail133",         // 账户ID
            "feedOCPCConversionsDetail133Cost",         // 账户ID
//            "campaignId",     // 推广计划ID
//            "campaignName",   // 推广计划名称
//            "campaignStatus", // 推广计划状态（枚举）
//            "campaignNameStatus", // 推广计划名称状态（含删除标记）
//            "adGroupId",      // 推广单元ID
//            "adGroupName",    // 推广单元名称
//            "adGroupStatus",  // 推广单元状态（枚举）
//            "adGroupNameStatus", // 推广单元名称状态（含删除标记）
            "impression",     // 展现
            "click",          // 点击
            "cost",           // 消费
            "ctr",            // 点击率
            "cpc",            // 平均点击价格
            "cpm"             // 千次展现消费
    ));
}
