package com.fs.bdAdv.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * App广告投流对象 fs_adv_sem
 *
 * @author fs
 * @date 2024-11-19
 */
@Data
public class FsAdvSem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** imei，Android设备标识：原值32位小写MD5  安卓10以上无法获取 */
    @Excel(name = "imei，Android设备标识：原值32位小写MD5  安卓10以上无法获取")
    private String imei;

    /** idfa，IOS设备标识：原值 */
    @Excel(name = "idfa，IOS设备标识：原值")
    private String idfa;

    /** 广告标识符(OAID)是一种非永久性设备标识符。使用OAID可在保护用户个人数据隐私安全的前提下, */
    @Excel(name = "广告标识符(OAID)是一种非永久性设备标识符。 使用OAID可在保护用户个人数据隐私安全的前提下,")
    private String oaid;

    /** Android ID 是 Android 设备里不依赖于硬件的一种「半永久标识符」， */
    @Excel(name = "Android ID 是 Android 设备里 不依赖于硬件的一种「半永久标识符」，")
    private String androidId;

    /** 百度广告渠道标识码 */
    @Excel(name = "百度广告渠道标识码")
    private String akey;

    /** 转化类型 标识用户的转化事件： activate:激活 register:注册 orders:付费（成单）
       activate：激活register：注册orders：付费（成单） */
    @Excel(name = "转化类型 标识用户的转化事件： activate:激活 register:注册 orders:付费", readConverterExp = "成=单")
    private String aType;

    /** 转换指标 转化类型为付费时，该字段定为付费金额-单位(分)， */
    @Excel(name = "转换指标 转化类型为付费时，该字段定为付费金额-单位(分)，")
    private String aValue;

    /** 转化数据归因方式 imei/oaid/android_id/ip+(ua、os_version、model)/idfa/caid/mac */
    @Excel(name = "转化数据归因方式 imei/oaid/android_id/ip+(ua、os_version、model)/idfa/caid/mac")
    private String joinType;

    /** 用户手机ip */
    @Excel(name = "用户手机ip")
    private String ip;

    /** 数据上报终端设备，UserAgent */
    @Excel(name = "数据上报终端设备，UserAgent")
    private String ua;

    /** 操作系统版本 */
    @Excel(name = "操作系统版本")
    private String osVersion;

    /** 设备信息 IOS样例：iPhone13,4 Android样例：EVA-AL10 */
    @Excel(name = "设备信息 IOS样例：iPhone13,4 Android样例：EVA-AL10")
    private String model;

    /** 安卓：2；iOS：1； */
    @Excel(name = "安卓：2；iOS：1；")
    private Integer osType;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 创意ID */
    @Excel(name = "创意ID")
    private String aid;

    /** 计划ID */
    @Excel(name = "计划ID")
    private String pid;

    /** 单元ID */
    @Excel(name = "单元ID")
    private String uid;

    /** 回调地址 */
    @Excel(name = "回调地址")
    private String clickId;

    /** 效果数据回传URL */
    @Excel(name = "效果数据回传URL")
    private String callbackUrl;

    /** 0:百度 */
    @Excel(name = "0:百度")
    private Integer advType;

    /**操作阶段  */
    @Excel(name = "0:未操作  1:已注册  2:已下单 3:已回传")
    private Integer cmdType;

    private Long userId;



}
