package com.fs.bdAdv.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class FsAdvSemStatisticsByDayVo {
    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期")
    private Date date;

    /**
     * 渠道
     */
    @Excel(name = "渠道 0:百度")
    private Integer advType;

    /**
     * 下载数
     */
    @Excel(name = "下载数")
    private Integer totalCount;

    /**
     * 激活数
     */
    @Excel(name = "激活数")
    private Integer activationCount;

    /**
     * 注册数
     */
    @Excel(name = "注册数")
    private Integer registrationCount;

    /**
     * 跳转数
     */
    @Excel(name = "跳转数")
    private Integer jumpCount;

    /**
     * 加粉数
     */
    @Excel(name = "加粉数")
    private Integer bindingCount;

    /**
     * 激活率
     */
    @Excel(name = "激活率")
    private Float activationRate;

    /**
     * 注册率
     */
    @Excel(name = "注册率")
    private Float registrationRate;

    /**
     * 跳转率
     */
    @Excel(name = "跳转率")
    private Float jumpRate;

    /**
     * 加粉率
     */
    @Excel(name = "加粉率")
    private Float bindingRate;
}
