package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 会话对象 chat_session
 *
 * @author fs
 * @date 2024-05-11
 */
@Data
public class ChatSession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会话ID */
    private Long sessionId;

    /** 会话标识 */
    @Excel(name = "会话标识")
    private String sessionCode;

    /** 客户ID */
    @Excel(name = "客户ID")
    private String userId;

    /** 客服ID */
    @Excel(name = "客服ID")
    private String kfId;

    /** 状态 1会话中 2已结束 */
    @Excel(name = "状态 1会话中 2已结束")
    private Integer status;


    private Long companyId;

    private Integer isLook;

    private String baiduSessionId;

    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;

    @Excel(name = "用户昵称")
    private String nickName;

    private String avatar;

}
