package com.fs.chat.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 会话对象 chat_session
 *
 * @author fs
 * @date 2024-05-11
 */
@Data
public class ChatSessionListCVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会话ID */
    @Excel(name = "会话id")
    private Long sessionId;

    /** 会话标识 */
    @Excel(name = "会话标识")
    private String sessionCode;

    /** 客户ID */
    private String userId;

    @Excel(name = "咨询客户")
    private String nickname;//客户名称

    private String avatar;
    @Excel(name = "客服账号")
    private String roleName;//客服名称

    /** 客服ID */
    private String kfId;

    /** 状态 1会话中 2已结束 */
    @Excel(name = "服务状态" ,dictType = "sys_chat_session_status")
    private Integer status;


    /** 创建时间 */
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 结束时间 */
    @Excel(name = "结束时间",width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Excel(name = "是否查看",dictType = "sys_chat_session_look")
    private Integer isLook;

    @Excel(name = "所属公司")
    private String companyName;


}
