package com.fs.common.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class LoginMaWxParam implements Serializable {

    @NotBlank(message = "code参数缺失")
    @ApiModelProperty(value = "小程序登陆code")
    private String code;

    @ApiModelProperty(value = "小程序完整用户信息的加密数据")
    private String encryptedData;

    @ApiModelProperty(value = "小程序加密算法的初始向量")
    private String iv;

    @NotNull(message = "公司id不能为空")
    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @NotNull(message = "销售id不能为空")
    @ApiModelProperty(value = "销售id")
    private Long companyUserId;

    @ApiModelProperty(value = "用户昵称")
    private String nickname;

    @ApiModelProperty(value = "用户头像")
    private String avatar;

//    @ApiModelProperty(value = "公司id，如果不是第一位销售，都需要传")
//    private Long companyId;

//    @ApiModelProperty(value = "电话号码")
//    private String phoneNumber;

//    @ApiModelProperty(value = "上级销售id，如果没有则不传")
//    private Long parentCompanyUseId;
//
//    @ApiModelProperty(value = "用户密码")
//    private String password;

}
