package com.fs.company.cache;

import com.fs.company.domain.CompanyUser;
import com.fs.company.vo.DeptDataVO;

import java.util.List;
import java.util.Set;

;

/**
 * 物业公司管理员信息Service接口
 *
 * @author fs
 * @date 2021-05-25
 */
public interface ICompanyUserCacheService {
    /**
     * 查询物业公司管理员信息
     *
     * @param userId 物业公司管理员信息ID
     * @return 物业公司管理员信息
     */
    public CompanyUser selectCompanyUserById(Long userId);
    public String selectCompanyUserNameUserById(Long userId);

    /**
     * 查询当前用户所有的下级销售
     * @param companyUserId
     * @return String
     */
    public Set<Long> selectUserAllCompanyUserId(Long companyUserId);

    List<DeptDataVO> getDeptData(Long companyId);
    List<DeptDataVO> getDeptData(Long companyId,Long companyUserId);

}
