package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业对象 company
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class Company extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long companyId;

    /** 企业名 */
    @Excel(name = "企业名")
    private String companyName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String companyMobile;

    /** 地址 */
    @Excel(name = "地址")
    private String companyAddress;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "佣金")
    private BigDecimal tuiMoney;

    /** 呼叫接口ID */
    @Excel(name = "呼叫接口ID")
    private Long voiceApiId;

    private Integer companyType;

    private Long userId;

    private String appId;

    private String appKey;

    @Excel(name = "管理员账号")
    private String userName;

    private String password;


    private String remark;

    private String linkName;

    private Integer limitUserCount;

    private Integer isDel;

    private Integer voiceCallerNumber;

    private String omsCode;
    @Excel(name = "商务负责人")
    private String manager;

    private String followDoctorIds;

    private String doctorIds;
    private String packageCateIds;
    /**
    * 重启时间
    */
    private String restartTime;
    @TableField(exist = false)
    private List<String> rules;

    /**
     * 点播配置-公众号appId
     */
    private String courseMaAppId;
    /**
     * 点播配置-小程序appId
     */
    private String courseMiniAppId;
    /** 会员是否默认黑名单，1-是；0-否（用于销售分享成为会员的操作） */
    private Integer fsUserIsDefaultBlack;

//    public String getDoctorIds() {
//        return doctorIds;
//    }
//
//    public void setDoctorIds(String doctorIds) {
//        this.doctorIds = doctorIds;
//    }
//
//    public String getFollowDoctorIds() {
//        return followDoctorIds;
//    }
//
//    public void setFollowDoctorIds(String followDoctorIds) {
//        this.followDoctorIds = followDoctorIds;
//    }
//
//    public String getManager() {
//        return manager;
//    }
//
//    public void setManager(String manager) {
//        this.manager = manager;
//    }
//
//    public String getOmsCode() {
//        return omsCode;
//    }
//
//    public void setOmsCode(String omsCode) {
//        this.omsCode = omsCode;
//    }
//
//    public Integer getVoiceCallerNumber() {
//        return voiceCallerNumber;
//    }
//
//    public void setVoiceCallerNumber(Integer voiceCallerNumber) {
//        this.voiceCallerNumber = voiceCallerNumber;
//    }
//
//    public Integer getIsDel() {
//        return isDel;
//    }
//
//    public void setIsDel(Integer isDel) {
//        this.isDel = isDel;
//    }
//
//    public BigDecimal getTuiMoney() {
//        return tuiMoney;
//    }
//
//    public void setTuiMoney(BigDecimal tuiMoney) {
//        this.tuiMoney = tuiMoney;
//    }
//
//    @Override
//    public String getRemark() {
//        return remark;
//    }
//
//    @Override
//    public void setRemark(String remark) {
//        this.remark = remark;
//    }
//
//    public String getLinkName() {
//        return linkName;
//    }
//
//    public void setLinkName(String linkName) {
//        this.linkName = linkName;
//    }
//
//    public Integer getLimitUserCount() {
//        return limitUserCount;
//    }
//
//    public void setLimitUserCount(Integer limitUserCount) {
//        this.limitUserCount = limitUserCount;
//    }
//
//    public Date getLimitTime() {
//        return limitTime;
//    }
//
//    public void setLimitTime(Date limitTime) {
//        this.limitTime = limitTime;
//    }
//
//    public String getAppId() {
//        return appId;
//    }
//
//    public void setAppId(String appId) {
//        this.appId = appId;
//    }
//
//    public String getAppKey() {
//        return appKey;
//    }
//
//    public void setAppKey(String appKey) {
//        this.appKey = appKey;
//    }
//
//    public Long getUserId() {
//        return userId;
//    }
//
//    public void setUserId(Long userId) {
//        this.userId = userId;
//    }
//
//    public String getAddressId() {
//        return addressId;
//    }
//
//    public void setAddressId(String addressId) {
//        this.addressId = addressId;
//    }
//
//    public Integer getCompanyType() {
//        return companyType;
//    }
//
//    public void setCompanyType(Integer companyType) {
//        this.companyType = companyType;
//    }
//
//    public static long getSerialVersionUID() {
//        return serialVersionUID;
//    }
//
//
//
//    public String getUserName() {
//        return userName;
//    }
//
//    public void setUserName(String userName) {
//        this.userName = userName;
//    }
//
//    public String getPassword() {
//        return password;
//    }
//
//    public void setPassword(String password) {
//        this.password = password;
//    }
//
//    public void setCompanyId(Long companyId)
//    {
//        this.companyId = companyId;
//    }
//
//    public Long getCompanyId()
//    {
//        return companyId;
//    }
//    public void setCompanyName(String companyName)
//    {
//        this.companyName = companyName;
//    }
//
//    public String getCompanyName()
//    {
//        return companyName;
//    }
//    public void setCompanyMobile(String companyMobile)
//    {
//        this.companyMobile = companyMobile;
//    }
//
//    public String getCompanyMobile()
//    {
//        return companyMobile;
//    }
//    public void setCompanyAddress(String companyAddress)
//    {
//        this.companyAddress = companyAddress;
//    }
//
//    public String getCompanyAddress()
//    {
//        return companyAddress;
//    }
//    public void setStatus(Integer status)
//    {
//        this.status = status;
//    }
//
//    public Integer getStatus()
//    {
//        return status;
//    }
//    public void setStartTime(Date startTime)
//    {
//        this.startTime = startTime;
//    }
//
//    public Date getStartTime()
//    {
//        return startTime;
//    }
//
//    public void setMoney(BigDecimal money)
//    {
//        this.money = money;
//    }
//
//    public BigDecimal getMoney()
//    {
//        return money;
//    }
//
//    public void setVoiceApiId(Long voiceApiId)
//    {
//        this.voiceApiId = voiceApiId;
//    }
//
//    public Long getVoiceApiId()
//    {
//        return voiceApiId;
//    }


}
