package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 员工发送延时时间关联对象 company_user_delay_time
 *
 * @author fs
 * @date 2025-06-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyUserDelayTime extends BaseEntity{

    /** id主键 */
    private Long id;

    /** 公司id */
    private Long companyId;

    /** 员工id */
    private Long companyUserId;

    /** 发送延时时间(单位:秒) */
    @Excel(name = "发送延时时间(单位:秒)")
    private Long sendDelayTime;

    /** 员工用户昵称 */
    @Excel(name = "员工用户昵称")
    private String nickName;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;


}
