package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 添加个微信账号对象 company_wx_client
 * 
 * @author fs
 * @date 2024-12-09
 */
@Data
public class CompanyWxClient extends BaseEntityTow
{
    private static final long serialVersionUID = 1L;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long roboticId;
    /** 分配企微账号ID */
    @Excel(name = "分配企微账号ID")
    private Long roboticWxId;
    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;
    /** 话术ID */
    @Excel(name = "话术ID")
    private Long dialogId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxNo;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxName;

    /** 客户意向 */
    @Excel(name = "客户意向")
    private String intention;

    /** 是否添加;0否1是 */
    @Excel(name = "是否添加;0否1是2待添加3作废")
    private Integer isAdd;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime addTime;

    @TableField(exist = false)
    private String wxNickName;
    @TableField(exist = false)
    private String dialogName;
    @TableField(exist = false)
    private String templateDetails;
    @TableField(exist = false)
    private String template;
    @TableField(exist = false)
    private String roboticName;
    @TableField(exist = false)
    private String memo;
    @TableField(exist = false)
    private Long companyUserId;

}
