package com.fs.company.mapper;

import com.fs.company.domain.CompanyLogininfor;
import org.apache.ibatis.annotations.Delete;

import java.util.List;

/**
 * 系统访问记录Mapper接口
 * 
 * @author fs
 * @date 2021-05-25
 */
public interface CompanyLogininforMapper 
{
    /**
     * 查询系统访问记录
     * 
     * @param infoId 系统访问记录ID
     * @return 系统访问记录
     */
    public CompanyLogininfor selectCompanyLogininforById(Long infoId);

    /**
     * 查询系统访问记录列表
     * 
     * @param companyLogininfor 系统访问记录
     * @return 系统访问记录集合
     */
    public List<CompanyLogininfor> selectCompanyLogininforList(CompanyLogininfor companyLogininfor);

    /**
     * 新增系统访问记录
     * 
     * @param companyLogininfor 系统访问记录
     * @return 结果
     */
    public int insertCompanyLogininfor(CompanyLogininfor companyLogininfor);

    /**
     * 修改系统访问记录
     * 
     * @param companyLogininfor 系统访问记录
     * @return 结果
     */
    public int updateCompanyLogininfor(CompanyLogininfor companyLogininfor);

    /**
     * 删除系统访问记录
     * 
     * @param infoId 系统访问记录ID
     * @return 结果
     */
    public int deleteCompanyLogininforById(Long infoId);

    /**
     * 批量删除系统访问记录
     * 
     * @param infoIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyLogininforByIds(Long[] infoIds);
    @Delete("delete from company_logininfor where company_id= #{companyId}")
    int cleanLogininfor(Long companyId);
}
