package com.fs.company.mapper;

import java.util.List;
import com.fs.company.domain.CompanySmsPackage;

/**
 * 短信套餐包Mapper接口
 * 
 * @author fs
 * @date 2023-01-09
 */
public interface CompanySmsPackageMapper 
{
    /**
     * 查询短信套餐包
     * 
     * @param packageId 短信套餐包ID
     * @return 短信套餐包
     */
    public CompanySmsPackage selectCompanySmsPackageById(Long packageId);

    /**
     * 查询短信套餐包列表
     * 
     * @param companySmsPackage 短信套餐包
     * @return 短信套餐包集合
     */
    public List<CompanySmsPackage> selectCompanySmsPackageList(CompanySmsPackage companySmsPackage);

    /**
     * 新增短信套餐包
     * 
     * @param companySmsPackage 短信套餐包
     * @return 结果
     */
    public int insertCompanySmsPackage(CompanySmsPackage companySmsPackage);

    /**
     * 修改短信套餐包
     * 
     * @param companySmsPackage 短信套餐包
     * @return 结果
     */
    public int updateCompanySmsPackage(CompanySmsPackage companySmsPackage);

    /**
     * 删除短信套餐包
     * 
     * @param packageId 短信套餐包ID
     * @return 结果
     */
    public int deleteCompanySmsPackageById(Long packageId);

    /**
     * 批量删除短信套餐包
     * 
     * @param packageIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanySmsPackageByIds(Long[] packageIds);
}
