package com.fs.company.mapper;

import com.fs.company.domain.CompanyUserPost;

import java.util.List;

/**
 * 用户与岗位关联Mapper接口
 * 
 * @author fs
 * @date 2021-05-25
 */
public interface CompanyUserPostMapper 
{
    /**
     * 查询用户与岗位关联
     * 
     * @param userId 用户与岗位关联ID
     * @return 用户与岗位关联
     */
    public CompanyUserPost selectCompanyUserPostById(Long userId);

    /**
     * 查询用户与岗位关联列表
     * 
     * @param companyUserPost 用户与岗位关联
     * @return 用户与岗位关联集合
     */
    public List<CompanyUserPost> selectCompanyUserPostList(CompanyUserPost companyUserPost);

    /**
     * 新增用户与岗位关联
     * 
     * @param companyUserPost 用户与岗位关联
     * @return 结果
     */
    public int insertCompanyUserPost(CompanyUserPost companyUserPost);

    /**
     * 修改用户与岗位关联
     * 
     * @param companyUserPost 用户与岗位关联
     * @return 结果
     */
    public int updateCompanyUserPost(CompanyUserPost companyUserPost);

    /**
     * 删除用户与岗位关联
     * 
     * @param userId 用户与岗位关联ID
     * @return 结果
     */
    public int deleteCompanyUserPostById(Long userId);

    /**
     * 批量删除用户与岗位关联
     * 
     * @param userIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyUserPostByIds(Long[] userIds);

    void batchUserPost(List<CompanyUserPost> list);

    void deleteUserPostByUserId(Long userId);
}
