package com.fs.company.mapper;

import java.util.List;
import com.fs.company.domain.CompanyVoiceBlacklist;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectKey;

/**
 * 黑名单Mapper接口
 * 
 * @author fs
 * @date 2023-02-23
 */
public interface CompanyVoiceBlacklistMapper 
{
    /**
     * 查询黑名单
     * 
     * @param blacklistId 黑名单ID
     * @return 黑名单
     */
    public CompanyVoiceBlacklist selectCompanyVoiceBlacklistById(Long blacklistId);

    /**
     * 查询黑名单列表
     * 
     * @param companyVoiceBlacklist 黑名单
     * @return 黑名单集合
     */
    public List<CompanyVoiceBlacklist> selectCompanyVoiceBlacklistList(CompanyVoiceBlacklist companyVoiceBlacklist);

    /**
     * 新增黑名单
     * 
     * @param companyVoiceBlacklist 黑名单
     * @return 结果
     */
    public int insertCompanyVoiceBlacklist(CompanyVoiceBlacklist companyVoiceBlacklist);

    /**
     * 修改黑名单
     * 
     * @param companyVoiceBlacklist 黑名单
     * @return 结果
     */
    public int updateCompanyVoiceBlacklist(CompanyVoiceBlacklist companyVoiceBlacklist);

    /**
     * 删除黑名单
     * 
     * @param blacklistId 黑名单ID
     * @return 结果
     */
    public int deleteCompanyVoiceBlacklistById(Long blacklistId);

    /**
     * 批量删除黑名单
     * 
     * @param blacklistIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyVoiceBlacklistByIds(Long[] blacklistIds);
    @Select("select ifnull(count(1),0) from company_voice_blacklist where mobile=#{mobile} limit 1")
    int selectCompanyVoiceBlacklistByMobile(String mobile);
}
