package com.fs.company.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@Data
public class CompanyMoneyLogsParam implements Serializable {

    /** ID */
    private Long logsId;

    /** 企业ID */
    private Long companyId;

    /** 金额 */
    private BigDecimal money;

    private String payCode;

    private BigDecimal balance;

    private String remark;

    private Integer logsType;

    private String businessId;

    private Integer type;

    //商城订单号
    private String orderCode;
    //收件人手机号
    private String userPhone;
    //交易单号
    private String tradeCode;


    /** 搜索值 */
    private String searchValue;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String createTimeRange;

    private String[] createTimeList;



}

