package com.fs.company.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.company.domain.CompanyDept;
import com.fs.company.domain.CompanyRole;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class CompanyUserQwParam extends BaseEntity {

    /** 用户ID */
    private Long userId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户类型（00系统用户） */
    @Excel(name = "用户类型", readConverterExp = "0=0系统用户")
    private String userType;

    /** 用户邮箱 */
    @Excel(name = "用户邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 用户性别（0男 1女 2未知） */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;


    /** 移动端登陆token */
    @Excel(name = "移动端登陆token")
    private String token;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    private String openId;


    private CompanyDept dept;

    /** 角色对象 */
    private List<CompanyRole> roles;

    /** 角色组 */
    private Long[] roleIds;

    /** 岗位组 */
    private Long[] postIds;

    private String firstchar;
    private String postName;
    private String deptName;

    private String qrCodeWeixin;

    private String qrCodeWecom;

    private String jpushId;

    private String callerNo;

    private Long qwUserId;

    private Integer qwStatus;
}
