package com.fs.company.service;

import com.fs.company.domain.CompanyOperLog;

import java.util.List;

/**
 * 操作日志记录Service接口
 * 
 * @author fs
 * @date 2021-05-25
 */
public interface ICompanyOperLogService 
{
    /**
     * 查询操作日志记录
     * 
     * @param operId 操作日志记录ID
     * @return 操作日志记录
     */
    public CompanyOperLog selectCompanyOperLogById(Long operId);

    /**
     * 查询操作日志记录列表
     * 
     * @param companyOperLog 操作日志记录
     * @return 操作日志记录集合
     */
    public List<CompanyOperLog> selectCompanyOperLogList(CompanyOperLog companyOperLog);

    /**
     * 新增操作日志记录
     * 
     * @param companyOperLog 操作日志记录
     * @return 结果
     */
    public int insertCompanyOperLog(CompanyOperLog companyOperLog);

    /**
     * 修改操作日志记录
     * 
     * @param companyOperLog 操作日志记录
     * @return 结果
     */
    public int updateCompanyOperLog(CompanyOperLog companyOperLog);

    /**
     * 批量删除操作日志记录
     * 
     * @param operIds 需要删除的操作日志记录ID
     * @return 结果
     */
    public int deleteCompanyOperLogByIds(Long[] operIds);

    /**
     * 删除操作日志记录信息
     * 
     * @param operId 操作日志记录ID
     * @return 结果
     */
    public int deleteCompanyOperLogById(Long operId);


    int cleanOperLog(Long companyId);
}
