package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyProfitLogs;

/**
 * 提现审核记录Service接口
 * 
 * @author fs
 * @date 2022-10-28
 */
public interface ICompanyProfitLogsService 
{
    /**
     * 查询提现审核记录
     * 
     * @param logsId 提现审核记录ID
     * @return 提现审核记录
     */
    public CompanyProfitLogs selectCompanyProfitLogsById(Long logsId);

    /**
     * 查询提现审核记录列表
     * 
     * @param companyProfitLogs 提现审核记录
     * @return 提现审核记录集合
     */
    public List<CompanyProfitLogs> selectCompanyProfitLogsList(CompanyProfitLogs companyProfitLogs);

    /**
     * 新增提现审核记录
     * 
     * @param companyProfitLogs 提现审核记录
     * @return 结果
     */
    public int insertCompanyProfitLogs(CompanyProfitLogs companyProfitLogs);

    /**
     * 修改提现审核记录
     * 
     * @param companyProfitLogs 提现审核记录
     * @return 结果
     */
    public int updateCompanyProfitLogs(CompanyProfitLogs companyProfitLogs);

    /**
     * 批量删除提现审核记录
     * 
     * @param logsIds 需要删除的提现审核记录ID
     * @return 结果
     */
    public int deleteCompanyProfitLogsByIds(Long[] logsIds);

    /**
     * 删除提现审核记录信息
     * 
     * @param logsId 提现审核记录ID
     * @return 结果
     */
    public int deleteCompanyProfitLogsById(Long logsId);
}
