package com.fs.company.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.CompanyUserDelayTime;

/**
 * 员工发送延时时间关联Service接口
 *
 * @author fs
 * @date 2025-06-18
 */
public interface ICompanyUserDelayTimeService extends IService<CompanyUserDelayTime>{
    /**
     * 查询员工发送延时时间关联
     *
     * @param id 员工发送延时时间关联主键
     * @return 员工发送延时时间关联
     */
    CompanyUserDelayTime selectCompanyUserDelayTimeById(Long id);

    /**
     * 查询员工发送延时时间关联列表
     *
     * @param companyUserDelayTime 员工发送延时时间关联
     * @return 员工发送延时时间关联集合
     */
    List<CompanyUserDelayTime> selectCompanyUserDelayTimeList(CompanyUserDelayTime companyUserDelayTime);

    /**
     * 新增员工发送延时时间关联
     *
     * @param companyUserDelayTime 员工发送延时时间关联
     * @return 结果
     */
    int insertCompanyUserDelayTime(CompanyUserDelayTime companyUserDelayTime);

    /**
     * 修改员工发送延时时间关联
     *
     * @param companyUserDelayTime 员工发送延时时间关联
     * @return 结果
     */
    int updateCompanyUserDelayTime(CompanyUserDelayTime companyUserDelayTime);

    /**
     * 批量删除员工发送延时时间关联
     *
     * @param ids 需要删除的员工发送延时时间关联主键集合
     * @return 结果
     */
    int deleteCompanyUserDelayTimeByIds(Long[] ids);

    /**
     * 删除员工发送延时时间关联信息
     *
     * @param id 员工发送延时时间关联主键
     * @return 结果
     */
    int deleteCompanyUserDelayTimeById(Long id);

    CompanyUserDelayTime selectCompanyUserDelayTimeByCompanyUser(Long companyId, Long userId);
}
