package com.fs.company.service;

import com.fs.company.domain.CompanyUserRole;

import java.util.List;

/**
 * 用户和角色关联Service接口
 *
 * @author fs
 * @date 2021-05-25
 */
public interface ICompanyUserRoleService
{
    /**
     * 查询用户和角色关联
     *
     * @param userId 用户和角色关联ID
     * @return 用户和角色关联
     */
    public CompanyUserRole selectCompanyUserRoleById(Long userId);

    /**
     * 查询用户和角色关联列表
     *
     * @param companyUserRole 用户和角色关联
     * @return 用户和角色关联集合
     */
    public List<CompanyUserRole> selectCompanyUserRoleList(CompanyUserRole companyUserRole);

    /**
     * 新增用户和角色关联
     *
     * @param companyUserRole 用户和角色关联
     * @return 结果
     */
    public int insertCompanyUserRole(CompanyUserRole companyUserRole);

    /**
     * 修改用户和角色关联
     *
     * @param companyUserRole 用户和角色关联
     * @return 结果
     */
    public int updateCompanyUserRole(CompanyUserRole companyUserRole);

    /**
     * 批量删除用户和角色关联
     *
     * @param userIds 需要删除的用户和角色关联ID
     * @return 结果
     */
    public int deleteCompanyUserRoleByIds(Long[] userIds);

    /**
     * 删除用户和角色关联信息
     *
     * @param userId 用户和角色关联ID
     * @return 结果
     */
    public int deleteCompanyUserRoleById(Long userId);

    void batchInsertCompanyUserRole(List<CompanyUserRole> collect);
}
