package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyVoicePackage;

/**
 * 套餐Service接口
 * 
 * @author fs
 * @date 2023-02-23
 */
public interface ICompanyVoicePackageService 
{
    /**
     * 查询套餐
     * 
     * @param packageId 套餐ID
     * @return 套餐
     */
    public CompanyVoicePackage selectCompanyVoicePackageById(Long packageId);

    /**
     * 查询套餐列表
     * 
     * @param companyVoicePackage 套餐
     * @return 套餐集合
     */
    public List<CompanyVoicePackage> selectCompanyVoicePackageList(CompanyVoicePackage companyVoicePackage);

    /**
     * 新增套餐
     * 
     * @param companyVoicePackage 套餐
     * @return 结果
     */
    public int insertCompanyVoicePackage(CompanyVoicePackage companyVoicePackage);

    /**
     * 修改套餐
     * 
     * @param companyVoicePackage 套餐
     * @return 结果
     */
    public int updateCompanyVoicePackage(CompanyVoicePackage companyVoicePackage);

    /**
     * 批量删除套餐
     * 
     * @param packageIds 需要删除的套餐ID
     * @return 结果
     */
    public int deleteCompanyVoicePackageByIds(Long[] packageIds);

    /**
     * 删除套餐信息
     * 
     * @param packageId 套餐ID
     * @return 结果
     */
    public int deleteCompanyVoicePackageById(Long packageId);
}
