package com.fs.company.service;

import com.fs.company.domain.CompanyVoiceRoboticWx;

import java.util.List;

/**
 * AI外呼任务加微方式Service接口
 * 
 * @author fs
 * @date 2024-12-06
 */
public interface ICompanyVoiceRoboticWxService 
{
    /**
     * 查询AI外呼任务加微方式
     * 
     * @param id AI外呼任务加微方式ID
     * @return AI外呼任务加微方式
     */
    public CompanyVoiceRoboticWx selectCompanyVoiceRoboticWxById(Long id);

    /**
     * 查询AI外呼任务加微方式列表
     * 
     * @param companyVoiceRoboticWx AI外呼任务加微方式
     * @return AI外呼任务加微方式集合
     */
    public List<CompanyVoiceRoboticWx> selectCompanyVoiceRoboticWxList(CompanyVoiceRoboticWx companyVoiceRoboticWx);

    /**
     * 新增AI外呼任务加微方式
     * 
     * @param companyVoiceRoboticWx AI外呼任务加微方式
     * @return 结果
     */
    public int insertCompanyVoiceRoboticWx(CompanyVoiceRoboticWx companyVoiceRoboticWx);

    /**
     * 修改AI外呼任务加微方式
     * 
     * @param companyVoiceRoboticWx AI外呼任务加微方式
     * @return 结果
     */
    public int updateCompanyVoiceRoboticWx(CompanyVoiceRoboticWx companyVoiceRoboticWx);

    /**
     * 批量删除AI外呼任务加微方式
     * 
     * @param ids 需要删除的AI外呼任务加微方式ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticWxByIds(Long[] ids);

    /**
     * 删除AI外呼任务加微方式信息
     * 
     * @param id AI外呼任务加微方式ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticWxById(Long id);

    List<CompanyVoiceRoboticWx> selectWxList(Long id);
}
