package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyDeductExportVO implements Serializable {

    /** ID */
    private Long deductId;

    /** 扣款单号 */
    @Excel(name = "扣款单号")
    private String deductNo;

    /** 公司ID */
    //@Excel(name = "公司ID")
    private Long companyId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 提交人 */
    @Excel(name = "提交人")
    private Long createUserId;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;



    @Excel(name = "备注")
    private String remark;

}
