package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值对象 company_recharge
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyDeductVO implements Serializable {

    /**
     * ID
     */
    private Long deductId;

    /**
     * 企业ID
     */
    private Long companyId;
    @Excel(name = "扣款单号")
    private String deductNo;

    @Excel(name = "公司")
    private String companyName;


    @Excel(name = "金额")
    private BigDecimal money;


    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    @Excel(name = "是否审核",dictType="sys_company_or")
    private Integer isAudit;
    @Excel(name = "备注")
    private String remark;

    @Excel(name = "创建人")
    private String createUserNickName;

    @Excel(name = "审核人")
    private String auditUserNickName;

}


