package com.fs.company.vo;

import com.baidu.dev2.thirdparty.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业域名分配中间表对象 company_domain_bind_user
 *
 * @author fs
 * @date 2025-06-19
 */
@Data
public class CompanyDomainBindUserVo implements Serializable {

    /**
     * 中间表id
     */
    @Excel(name = "编号", sort = 0)
    private Long id;

    /**
     * 企业销售id
     */
    private Long companyUserId;

    /**
     * 中间表id
     */
    private Long bindId;

    /**
     * 分配域名
     **/
    @Excel(name = "分配域名", sort = 1)
    private String domain;

    /**
     * 分配人员
     **/
    @Excel(name = "分配人员", sort = 2)
    private String userName;

    /**
     * 分配人员手机号
     **/
    @Excel(name = "分配人员手机号", sort = 3)
    private String phonenumber;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "绑定时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", sort = 4)
    private Date createTime;
}
