package com.fs.company.vo;

import com.baidu.dev2.thirdparty.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 域名绑定销售公司对象 company_domain_bind
 *
 * @author fs
 * @date 2025-06-17
 */
@Data
public class CompanyDomainBindVo implements Serializable {

    /**
     * 域名绑定中间表
     */
    @Excel(name = "编码", sort = 0)
    private Long id;

    /**
     * 销售公司ID
     */
    @Excel(name = "销售公司编码", sort = 1)
    private Long companyId;

    /**
     * 绑定域名ID
     */
    @Excel(name = "绑定域名编码", sort = 3)
    private Long domainId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "绑定时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", sort = 5)
    private Date createTime;

    /**
     * 域名名称
     **/
    @Excel(name = "域名", sort = 4)
    private String domain;

    /**
     * 公司
     **/
    @Excel(name = "公司", sort = 2)
    private String companyName;

    /**
     * 分配数量
     * **/
    @Excel(name = "分配数量", sort = 4)
    private int allocationNum;

}
