package com.fs.company.vo;

import com.baidu.dev2.thirdparty.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 域名管路对象 company_domain
 *
 * @author fs
 * @date 2025-06-16
 */
@Data
public class CompanyDomainVo implements Serializable {

    /**
     * 域名id
     */
    @Excel(name = "编号", sort = 0)
    private Long id;

    /**
     * 域名
     */
    @Excel(name = "域名", sort = 1)
    private String domain;

    /**
     * 状态（0=停用、1正常）
     */
    @Excel(name = "状态", dictType = "sys_company_status", sort = 3)
    private Long status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", sort = 4)
    private Date createTime;

    /**
     * 备注
     **/
    @Excel(name = "备注", sort = 5)
    private String remark;

    /**
     * 绑定数量
     **/
    @Excel(name = "域名绑定企业数量", sort = 2)
    private int bindNum;
}
