package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyMoneyLogsExport1VO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long logsId;

    private Long companyId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;


    @Excel(name = "公司",width =30)
    private String companyName;
    @Excel(name = "业务员")
    private String companyUserName;

    @Excel(name = "部门",width =43)
    private String deptName;

    @Excel(name = "备注")
    private String remark;
    @Excel(name = "余额")
    private BigDecimal balance;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "类型",dictType = "sys_company_money_logs_type")
    private Integer logsType;
    @Excel(name = "业务ID")
    private String businessId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "收货人")
    private String userName;
    @Excel(name = "手机号")
    private String userPhone;
    @Excel(name = "详细地址")
    private String userAddress;
    @Excel(name = "订单金额")
    private BigDecimal totalPrice;
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    @Excel(name = "支付方式")
    private String payType;

    @Excel(name = "物流代收")
    private BigDecimal payDelivery;

    @Excel(name = "订单状态",dictType = "sys_order_status")
    private String status;

    @Excel(name = "快递单号")
    private String deliverySn;

    @Excel(name = "物流代收结算状态",dictType = "sys_store_delivery_pay_status")
    private String deliveryPayStatus;


    @Excel(name = "快递帐单日期")
    private String deliveryTime;

    @Excel(name = "快递结算日期")
    private String deliveryPayTime;

    @Excel(name = "套餐名称")
    private String packageName;


    @Excel(name = "套餐别名")
    private String packageSecondName;






}
