package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyMoneyLogsExport2VO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long logsId;

    private Long companyId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;


    @Excel(name = "公司",width =30)
    private String companyName;

    @Excel(name = "部门",width =43)
    private String deptName;

    @Excel(name = "备注")
    private String remark;
    @Excel(name = "余额")
    private BigDecimal balance;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "类型",dictType = "company_money_logs_type")
    private Integer logsType;
    @Excel(name = "业务ID")
    private String businessId;
    @Excel(name = "收款单号")
    private String payCode;

    @Excel(name = "支付方式")
    private String payTypeCode;

}
