package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyMoneyLogsExportVO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long logsId;

    private Long companyId;


    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;
    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "业务员")
    private String companyUserName;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "余额")
    private BigDecimal balance;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")

    private Date createTime;
    @Excel(name = "类型",dictType = "sys_company_money_logs_type")
    private Integer logsType;
    @Excel(name = "业务ID")
    private String businessId;
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "问诊单号")
    private String orderSn;
    @Excel(name = "运单号")
    private String deliveryId;
    @Excel(name = "收款单号")
    private String payCode;

    @Excel(name = "支付方式")
    private String payTypeCode;

    @Excel(name = "套餐名称")
    private String packageName;

    @Excel(name = "套餐别名")
    private String packageSecondName;

    @Excel(name = "收货人")
    private String userName;

    @Excel(name = "店铺名称")
    private String storeName;
}
