package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyMoneyLogsVO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long logsId;

    private Long companyId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;
    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "余额")
    private BigDecimal balance;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Excel(name = "类型",dictType = "company_money_logs_type")
    private Integer logsType;
    private String businessId;
    @Excel(name = "收款订单号")
    private String payCode;
    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "收货人")
    private String realName;
    @Excel(name = "手机号")
    private String userPhone;
    @Excel(name = "详细地址")
    private String userAddress;
    @Excel(name = "订单金额")
    private BigDecimal totalPrice;
    @Excel(name = "支付金额")
    private BigDecimal payMoney;
    @Excel(name = "物流代收")
    private BigDecimal payDelivery;

    @Excel(name = "订单状态",dictType = "store_order_status")
    private String status;
    @Excel(name = "物流代收结算状态",dictType = "store_delivery_pay_status")
    private String deliveryPayStatus;
    private String bankTransactionId;

    //支付类型
    private String payTypeCode;

}
