package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 套餐订单对象 company_package_order
 * 
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyPackageOrderVO implements Serializable
{

    /** ID */
    private Long orderId;

    /** 订单号 */
    private String orderSn;

    /** 公司名称 */
    private Long companyId;

    /** 套餐ID */
    private Long packageId;

    /** 价格 */
    private BigDecimal price;

    /** 时长 */
    private Long times;

    private Long remainTimes;

    /** 是否支付 */
    private Integer isPay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;

    /** 状态 */
    private Integer status;

    /** 支付类型  */
    private Integer payType;

    private String companyName;

    private String packageName;

    private String nickName;


}
