package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.company.domain.CompanyPost;
import com.fs.company.domain.CompanyProfit;
import com.fs.company.domain.CompanyUser;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class CompanyProfitVO implements Serializable
{

    /** ID */
    @Excel(name = "ID")
    private Long profitId;

    @Excel(name = "公司名称")
    private String companyName;



    /** 公司ID */
    private Long companyId;

    /** 银行名称 */
    @Excel(name = "银行名称")
    private String bankName;

    /** 银行支行名称 */
    @Excel(name = "银行支行名称")
    private String bankBranchName;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    private String bankCardNo;

    /** 银行开户名 */
    @Excel(name = "银行开户名")
    private String bankUserName;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balances;

    /** 提现状态（1确认中，2成功，3失败） */

    @Excel(name = "提现状态",dictType="sys_company_profit_status")
    private Integer profitStatus;

    /** 提现类型 1微信 2支付宝 3银行卡 */
    private Integer profitType;


    private String imgUrl;

    /** 创建时间 */
    @Excel(name = "提交时间" ,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @Excel(name = "审核时间" ,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;



}
