package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyRechargeExportVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long rechargeId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 充值订单号 */
    @Excel(name = "充值订单号")
    private String rechargeNo;

    /** 支付类型 1微信 2支付宝 3人工转账 */
    @Excel(name = "支付类型",dictType = "comapny_recharge_pay_type")
    private Integer payType;


    /** 状态 0未支付 1已支付 */
    @Excel(name = "状态",dictType = "company_pay_status")
    private Integer status;

    @Excel(name = "审核状态",dictType = "common_audit")
    private Integer isAudit;


    /** 提交人 */
    @Excel(name = "提交人")
    private String createUserNickName;


    /** 审核人 */
    @Excel(name = "审核人")
    private String auditUserNickName;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "备注")
    private String remark;


}
