package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值对象 company_recharge
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyRechargeVO implements Serializable {

    /**
     * ID
     */
    private Long rechargeId;

    /**
     * 企业ID
     */
    private Long companyId;

    /**
     * 金额
     */
    @Excel(name = "金额")
    private BigDecimal money;

    /**
     * 充值订单号
     */
    @Excel(name = "充值订单号")
    private String rechargeNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 支付时间
     */
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 状态 0未支付 1已支付
     */
    @Excel(name = "状态 0未支付 1已支付")
    private Integer status;
    @Excel(name = "审核状态 0待审核 1已审核")
    private Integer isAudit;

    @Excel(name = "支付类型 1微信 2支付宝 3人工转账")
    private Integer payType;

    @Excel(name = "公司名称")
    private String companyName;

    @Excel(name = "提交人")
    private String createUserNickName;
    @Excel(name = "审核人")
    private String auditUserNickName;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    @Excel(name = "备注")
    private String remark;



}


