package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanySmsOrderListVO implements Serializable
{

    /** ID */
    private Long orderId;

    /** 订单code */
    @Excel(name = "订单code")
    private String orderCode;

    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "公司")
    private String companyName;

    /** 短信条数 */
    @Excel(name = "短信条数")
    private Long smsCount;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private BigDecimal price;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 状诚 0待支付 1已支付 */
    @Excel(name = "状诚 0待支付 1已支付")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;



}
