package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业账户记录对象 company_money_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyVO implements Serializable
{
    /** ID */
    private Long companyId;

    /** 企业名 */
    @Excel(name = "企业名")
    private String companyName;

    /** 联系电话 */
    @Excel(name = "联系电话")
   private String companyMobile;

    /** 地址 */
    @Excel(name = "地址")
   private String companyAddress;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;
    @Excel(name = "佣金")
    private BigDecimal tuiMoney;


    /** 呼叫接口ID */
    @Excel(name = "呼叫接口ID")
    private Long voiceApiId;

    private String voiceApiName;

    private Integer companyType;

    private Long userId;

    private String appId;

    private String appKey;
    @Excel(name = "管理员账号")
    private String userName;

    private String remark;

    private String linkName;

    private Integer limitUserCount;

    private Integer voiceCallerNumber;
    @Excel(name = "商务负责人")
    private String manager;
    private String followDoctorIds;
    @Excel(name = "随访医生")
    private String followDoctorName;

    private String restartTime;
}
