package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class CompanyVoiceLogsExportVO {
    /** ID */
    private Long voiceId;

    /** 公司名 */
    @Excel(name = "公司id")
    private Long companyId;

    /** 标题 */
    @Excel(name = "标题")
    private String voiceTitle;

    /** 录音地址 */
    @Excel(name = "录音地址")
    private String voiceUrl;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;


    /** 通话类型 */
    @Excel(name = "通话类型")
    private Integer voiceType;

    /** 主叫 */
    @Excel(name = "主叫")
    private String callerPhone;

    /** 被叫 */
    @Excel(name = "被叫")
    private String calleePhone;

    /** 时长 */
    @Excel(name = "时长")
    private Long times;

    @Excel(name = "计费")
    private Long billingTime;


    /** 主叫显示号 */
    @Excel(name = "主叫显示号")
    private String displayCallerNumber;

    /** 被叫显示号 */
    @Excel(name = "被叫显示号")
    private String displayCalleeNumber;

    @Excel(name = "公司名")
    private String companyName;

    private String userNickName;


    private String sessionId;

    private String remark;

    private Long companyUserId;

    private Integer status;


    private Integer source;

    /** 客户创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
