package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyVoicePackageOrderListVO implements Serializable
{

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 公司名称 */
    private Long companyId;


    /** 套餐ID */
    private Long packageId;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 时长 */
    @Excel(name = "时长")
    private Long times;

    /** 剩余时长 */
    private Long remainTimes;

    /** 是否支付 */
    private Integer isPay;

    /** 支付时间 */
    @Excel(name = "支付时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 支付类型 */
    private Integer payType;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;
    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "套餐")
    private String packageName;

}
