package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 答题日志对象 fs_course_answer_logs
 *
 * @author fs
 * @date 2024-10-26
 */
@Data
public class FsCourseAnswerLogs extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @TableId(type = IdType.AUTO)
    private Long logId;

    /**
     * 用户Id
     */
    @Excel(name = "用户Id")
    private Long userId;

    /**
     * 课程小节Id
     */
    @Excel(name = "课程小节Id ")
    private Long videoId;

    private Long courseId;

    /**
     * 是否全部正确
     */
    @Excel(name = "是否全部正确")
    private Integer isRight;

    /**
     * 销售id
     */
    @Excel(name = "销售id")
    private Long companyUserId;

    /**
     * 公司id
     */
    @Excel(name = "公司id")
    private Long companyId;

    /**
     * 企微userid
     */
    @Excel(name = "企微userid")
    private String qwUserId;

    /**
     * 企微userid
     */
    private String questionJson;

    private Long watchLogId;//绑定观看的记录id

    /** 营期id */
    private Long periodId;
}
