package com.fs.course.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class FsCourseAnswerReward {

    /**
     * 用户当前积分
     */
    private Integer currentPoints;

    /**
     * 奖励兑换进度(百分比)
     */
    private Integer exchangeProgress;

    /**
     * 可兑换的商品列表
     */
    private List<RewardProduct> products;

    /**
     * 本次获得的芳华币数量
     */
    private Integer availableCoins;

    @Data
    public static class RewardProduct {
        /**
         * 商品ID
         */
        private Long productId;

        /**
         * 商品名称
         */
        private String productName;

        /**
         * 所需积分
         */
        private Integer requiredPoints;

        /**
         * 商品图片URL
         */
        private String imageUrl;

        /**
         * 商品图片URL
         */
        private BigDecimal otPrice;
    }
}
