package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * sop发送app消息的记录对象 fs_course_sop_app_link
 *
 * @author fs
 * @date 2025-03-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsCourseSopAppLink extends BaseEntity{

    /** $column.columnComment */
    @TableId
    private Long id;

    /** 链接后缀 */
    @Excel(name = "链接后缀")
    private String link;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 企微userId */
    @Excel(name = "企微userId")
    private Long qwUserId;

    /** 企微员工昵称 */
    @Excel(name = "企微员工昵称")
    private String qwUserName;

    /** 企微主体id */
    @Excel(name = "企微主体id")
    private String corpId;

    /** 课程Id */
    @Excel(name = "课程Id")
    private Long courseId;

    /** 课程标题 */
    @Excel(name = "课程标题")
    private String courseTitle;

    /** 课程封面 */
    @Excel(name = "课程封面")
    private String courseUrl;

    /** 课节id */
    @Excel(name = "课节id")
    private Long videoId;

    /** 课节描述 */
    @Excel(name = "课节描述")
    private String videoTitle;

    /** 跳转链接 */
    @Excel(name = "跳转链接")
    private String appRealLink;

    /** 企微外部联系人userId */
    @Excel(name = "企微外部联系人userId")
    private Long qwExternalId;

    private Integer isRead;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
