package com.fs.course.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 看课SOP  定时任务对象 fs_course_sop_logs
 *
 * @author fs
 * @date 2024-09-04
 */
@Data
public class FsCourseSopLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** qw_user表-企微的成员qw_user_id */
    @Excel(name = "qw_user表-企微的成员qw_user_id")
    private String qwUserid;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String externalUserId;

    /** 状态（0:无规则 1：待看课 2：看课中 3：已完课） */
    @Excel(name = "状态", readConverterExp = "0=:无规则,1=：待看课,2=：看课中,3=：已完课")
    private Integer watchStatus;

    /** 符合条件的规则 */
    @Excel(name = "符合条件的规则")
    private String contentJson;

    /** 发送(给成员)状态 0发送失败 1发送成功 3待发送 4未发送 5已作废 */
    @Excel(name = "发送(给成员)状态 0发送失败 1发送成功 3待发送 4未发送 5已作废")
    private Long sendStatus;

    /** 预计发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "预计发送时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

    private String sendTimeJson;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 接收(客户的)状态：0-未发送 1-已发送  */
    @Excel(name = "接收(客户的)状态：0-未发送 1-已发送 ")
    private Long receivingStatus;

    /** 消息ID */
    @Excel(name = "消息ID")
    private String msgId;

    /** qw_sop表主键 */
    @Excel(name = "qw_sop表主键")
    private Long sopId;

    /** 实际发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "实际发送时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date realSendTime;

    /** sop类型 （1：课程小节 2：直播） */
    @Excel(name = "sop类型 ", readConverterExp = "1=：课程小节,2=：直播")
    private Long sopType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private Long businessId;

    /**
    * company_user的主键
    */
    private Long companyUserId;

    private Long customerId;

    private String corpId;


}
