package com.fs.course.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 营期课程-销售课程时间对象 fs_user_course_company_user_time
 *
 * @author fs
 * @date 2025-06-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserCourseCompanyUserTime extends BaseEntity{

    /** id */
    private Long id;

    /** 营期ID */
    @Excel(name = "营期ID")
    private Long periodId;

    /** 课程ID */
    @Excel(name = "课程ID")
    private Long courseId;

    /** 视频ID */
    @Excel(name = "视频ID")
    private Long videoId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDateTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDateTime;


}
