package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 看课投诉记录对象 fs_user_course_complaint_record
 *
 * @author fs
 * @date 2025-06-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserCourseComplaintRecord extends BaseEntity{

    @ApiModelProperty(value = "页码,默认为1", required = true)
    @TableField(exist = false)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    @TableField(exist = false)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "用户昵称")
    @TableField(exist = false)
    private String nickName;

    /** 投诉记录id */
    private Long recordId;

    /** 用户id，关联fs_user */
    @Excel(name = "用户id，关联fs_user")
    private Long userId;

    /** 投诉类型id */
    @Excel(name = "投诉类型id")
    private Long complaintTypeId;

    /** 投诉内容 */
    @Excel(name = "投诉内容")
    private String complaintContent;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频小节id */
    @Excel(name = "视频小节id")
    private Long videoId;


}
