package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂笔记对象 fs_user_course_note
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseNote extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 笔记id */
    private Long noteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 课堂id */
    @Excel(name = "课堂id")
    private Long courseId;

    /** 笔记分类id */
    @Excel(name = "笔记分类id")
    private Long noteCateId;


    /** 是否热门 */
    @Excel(name = "是否热门")
    private Integer isHot;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;

    /** 状态：1：草稿，2：已发布 */
    @Excel(name = "状态：1：草稿，2：已发布")
    private Integer status;

    /** 是否展示 */
    @Excel(name = "是否展示")
    private Integer isShow;

    private String content;

    private Integer isDel;

}
