package com.fs.course.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课程订单信息对象 fs_user_course_order
 *
 * @author fs
 * @date 2024-05-21
 */
@Data
public class FsUserCourseOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 课程ID */
    @Excel(name = "课程ID")
    private Long courseId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 视频id */
    @Excel(name = "视频id")
    private Long courseVideoId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户电话 */
    @Excel(name = "用户电话")
    private String mobile;

    /** 使用积分 */
    @Excel(name = "使用积分")
    private Long integral;

    /** 应付金额 */
    @Excel(name = "应付金额")
    private BigDecimal payPrice;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal discountPrice;

    /** 实付金额 */
    @Excel(name = "实付金额")
    private BigDecimal payMoney;

    /** 支付方式：1线上支付，2积分兑换  */
    @Excel(name = "支付方式：1线上支付，2积分兑换 ")
    private Integer payType;

    /** 订单状态：1待支付，2成功支付，3已评价，4退款中 5已退款 */
    @Excel(name = "订单状态：1待支付，2成功支付，3已评价，4退款中 5已退款")
    private Integer status;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 退款原因 */
    @Excel(name = "退款原因")
    private String refundReason;

    private Integer createType;

    private Long userCouponId;


}
