package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课程用户关联对象 fs_user_course_study
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseStudy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long studyId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 课程ID */
    @Excel(name = "课程ID")
    private Long courseId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 总课时数 */
    @Excel(name = "总课时数")
    private Long periodTotal;

    /** 已学习课时数 */
    @Excel(name = "已学习课时数")
    private Long periodStudy;

    /** 状态(1待学习，2正在学习 、3已结课) */
    @Excel(name = "状态(1待学习，2正在学习 、3已结课)")
    private Integer status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    private Integer isExam;

}
