package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课程用户学习日志对象 fs_user_course_study_log
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserCourseStudyLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String logId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 视频名称 */
    @Excel(name = "视频名称")
    private String videoName;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** $column.columnComment */
    @Excel(name = "用户id")
    private Long studyId;

    /** 学时 秒 */
    @Excel(name = "学时 秒")
    private Long times;

    /** 百分比 */
    @Excel(name = "百分比")
    private Short rate;

    /** 当前观看时间点 秒 */
    @Excel(name = "当前观看时间点 秒")
    private Long currentTimes;

    private Integer isBuy; //是否购买
    //状态：0未完播 1已完播
    private Integer status;

    //累计播放时长
    private Long totalTimes;
}
