package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 课堂视频评论对象 fs_user_video_comment
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评论id */
    private Long commentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    private String commentCode;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 评论类型 1：评论，2：回复 */
    @Excel(name = "评论类型 1：评论，2：回复")
    private Long type;

    /** 父评论id */
    @Excel(name = "父评论id")
    private String parentId;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String content;

    /** 回复数量 */
    @Excel(name = "回复数量")
    private Long replyCount;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;

    private Boolean synced;


}
