package com.fs.course.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 购买会员订单对象 fs_user_vip_order
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsUserVipOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    private Long orderId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 会员套餐id */
    @Excel(name = "会员套餐id")
    private Long packageId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date purchaseDate;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expireDate;

    private BigDecimal payMoney;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal price;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private Integer payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 订单编码 */
    @Excel(name = "订单编码")
    private String orderCode;


}
