package com.fs.course.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 会员套餐对象 fs_user_vip_package
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsUserVipPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 套餐id */
    private Long packageId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String packageName;

    /** 有效期（天） -1为永久 */
    @Excel(name = "有效期")
    private Integer months;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal price;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal sellPrice;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

}
