package com.fs.course.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 视频弹幕对象 fs_video_barrage
 *
 * @author fs
 * @date 2025-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class FsVideoBarrage extends BaseEntity{
    private String cmd;
    /** 弹幕ID */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 视频ID */
    @Excel(name = "视频ID")
    private Long videoId;

    /** 弹幕内容 */
    @Excel(name = "弹幕内容")
    private String content;

    /** 弹幕对应视频时间点（毫秒） */
    @Excel(name = "弹幕对应视频时间点", readConverterExp = "秒")
    private Long timePoint;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 发送平台（app / mini_app） */
    @Excel(name = "发送平台", readConverterExp = "app,mini_app")
    private String platform;

    /** 状态：1-正常 0-隐藏 */
    @Excel(name = "状态：1-正常 0-隐藏")
    private String status;

    /** 弹幕持续时间 */
    @Excel(name = "弹幕持续时间")
    private Long duration;

    /** 是否优先显示1是0否，默认为0 */
    @Excel(name = "是否优先显示1是0否，默认为0")
    private String isPrior;

    /** 是否彩色弹幕1是0否，默认为0 */
    @Excel(name = "是否彩色弹幕1是0否，默认为0")
    private String isColor;
    // 例:'top'，显示模式，top顶部居中，bottom底部居中，scroll滚动，默认为scroll
    private String mode;
    //颜色
    private String color;
    //字号
    private String fontSize;



}
