package com.fs.course.mapper;

import java.util.List;
import com.fs.course.domain.FsUserVideoTags;
import com.fs.course.vo.FsUserVideoTagsPVO;
import org.apache.ibatis.annotations.Select;

/**
 * 短视频标签Mapper接口
 *
 * @author fs
 * @date 2024-09-23
 */
public interface FsUserVideoTagsMapper
{
    /**
     * 查询短视频标签
     *
     * @param tagId 短视频标签主键
     * @return 短视频标签
     */
    public FsUserVideoTags selectFsUserVideoTagsByTagId(Long tagId);

    /**
     * 查询短视频标签列表
     *
     * @param fsUserVideoTags 短视频标签
     * @return 短视频标签集合
     */
    public List<FsUserVideoTags> selectFsUserVideoTagsList(FsUserVideoTags fsUserVideoTags);

    /**
     * 新增短视频标签
     *
     * @param fsUserVideoTags 短视频标签
     * @return 结果
     */
    public int insertFsUserVideoTags(FsUserVideoTags fsUserVideoTags);

    /**
     * 修改短视频标签
     *
     * @param fsUserVideoTags 短视频标签
     * @return 结果
     */
    public int updateFsUserVideoTags(FsUserVideoTags fsUserVideoTags);

    /**
     * 删除短视频标签
     *
     * @param tagId 短视频标签主键
     * @return 结果
     */
    public int deleteFsUserVideoTagsByTagId(Long tagId);

    /**
     * 批量删除短视频标签
     *
     * @param tagIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsUserVideoTagsByTagIds(Long[] tagIds);


    @Select("select * from fs_user_video_tags where pid !=0 and is_del = 0 ")
    List<FsUserVideoTagsPVO> selectFsUserVideoTagsSubList();
}
