package com.fs.course.mapper;

import java.util.List;
import com.fs.course.domain.FsUserVideoView;

/**
 * 课堂视频观看记录Mapper接口
 * 
 * @author fs
 * @date 2024-05-15
 */
public interface FsUserVideoViewMapper 
{
    /**
     * 查询课堂视频观看记录
     * 
     * @param viewId 课堂视频观看记录主键
     * @return 课堂视频观看记录
     */
    public FsUserVideoView selectFsUserVideoViewByViewId(Long viewId);

    /**
     * 查询课堂视频观看记录列表
     * 
     * @param fsUserVideoView 课堂视频观看记录
     * @return 课堂视频观看记录集合
     */
    public List<FsUserVideoView> selectFsUserVideoViewList(FsUserVideoView fsUserVideoView);

    /**
     * 新增课堂视频观看记录
     * 
     * @param fsUserVideoView 课堂视频观看记录
     * @return 结果
     */
    public int insertFsUserVideoView(FsUserVideoView fsUserVideoView);

    /**
     * 修改课堂视频观看记录
     * 
     * @param fsUserVideoView 课堂视频观看记录
     * @return 结果
     */
    public int updateFsUserVideoView(FsUserVideoView fsUserVideoView);

    /**
     * 删除课堂视频观看记录
     * 
     * @param viewId 课堂视频观看记录主键
     * @return 结果
     */
    public int deleteFsUserVideoViewByViewId(Long viewId);

    /**
     * 批量删除课堂视频观看记录
     * 
     * @param viewIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsUserVideoViewByViewIds(Long[] viewIds);
}
