package com.fs.course.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 看课评论对象 fs_course_watch_comment
 *
 * @author fs
 * @date 2025-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsCourseWatchCommentPageParam extends BaseEntity{

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "用户名称")
    private String nickName;

    @ApiModelProperty(value = "模糊搜索")
    private String keywords;

    @ApiModelProperty(value = "是否全部")
    private Boolean isAll = false;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

}
