package com.fs.course.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FsUserCourseParam {


    /** 课程id */
    private Long courseId;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long cateId;

    private Long subCateId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 课程封面 */
    @Excel(name = "课程封面")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 是否会员课程 */
    @Excel(name = "是否会员课程")
    private Integer isVip;

    /** 是否热门 */
    @Excel(name = "是否热门")
    private Integer isHot;

    /** 状态（上下架） */
    @Excel(name = "状态", readConverterExp = "上=下架")
    private Integer isShow;

    /** 播放量 */
    @Excel(name = "播放量")
    private Long views;

    /** 播放时长 */
    @Excel(name = "播放时长")
    private Long duration;

    /** 课程描述 */
    @Excel(name = "课程描述")
    private String description;

    /** 热力排行 */
    @Excel(name = "热力排行")
    private Long hotRanking;

    /** 兑换积分 */
    @Excel(name = "兑换积分")
    private Long integral;

    /** 原价售价 */
    @Excel(name = "原价售价")
    private BigDecimal price;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal sellPrice;

    /** 归属项目 */
    @Excel(name = "归属项目")
    private Long project;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;

    /** 收藏数 */
    @Excel(name = "收藏数")
    private Long favoriteNum;

    /** 分享数 */
    @Excel(name = "分享数")
    private Long shares;

    /** 是否自动播放 */
    @Excel(name = "是否自动播放")
    private Integer isAutoPlay;

    /** 是否允许快进 */
    @Excel(name = "是否允许快进")
    private Integer isFast;

    /** 是否精选 */
    @Excel(name = "是否精选")
    private Integer isBest;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isTui;

    /** 热度值 */
    @Excel(name = "热度值")
    private Long hotNum;

    /** 是否允许积分兑换 */
    @Excel(name = "是否允许积分兑换")
    private Integer isIntegral;

    /** 课程类型  1vip  2 积分 */
    @Excel(name = "课程类型  1vip  2 积分")
    private Long courseType;

    private Long talentId;

    private Integer isDel;

    private String secondImg;//小封面

    private Integer isNext;//是否逐级观看

    private Integer isPrivate; //是否私域

    private Long companyId;
}
