package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoAddParam extends BaseEntity
{
    /** ID */
    private Long videoId;

    /** 腾讯vod文件id */
    private String fileId;

    /** 视频标题 */
    private String title;

    /** 视频描述 */
    private String description;

    /** 视频URL */
    private String url;

    /** 视频缩略图 */
    private String thumbnail;

    private Integer uploadType;

    /** 视频时长 */
    private Long duration;

    /** 达人id */
    private Long talentId;

    /** 分类id */
    private Long cateId;

    /** 点赞数 */
    private Long likes;

    /** 观看次数 */
    private Long views;

    /** 评论数 */
    private Long comments;

    /** 视频状态 1：草稿，2、待审核3：发布 */
    private Long status;

    /** 是否热门 */
    private Long isHot;


    /** 来源  */
    private Long source;


    /** 分享次数 */
    private Long shares;

    /** 视频标签 */
    private String tags;

    /** 精选商品id */
    private Long productId;

    /** 收藏数 */
    private Long favoriteNum;

    /** 腾讯cdn地址 */
    private String txCdnUrl;

    /** 腾讯pcdn地址 */
    private String txPcdnUrl;

    /** 腾讯vod地址 */
    private String txVodUrl;

    /** 华为obs地址 */
    private String hwObsUrl;

    /** 华为vod地址 */
    private String hwVodUrl;
}
