package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsUserVideoParam {
    private Long videoId;

    /** 腾讯vod文件id */
    @Excel(name = "腾讯vod文件id")
    private String fileId;

    /** 视频标题 */
    @Excel(name = "视频标题")
    private String title;

    /** 视频描述 */
    @Excel(name = "视频描述")
    private String description;

    private Integer uploadType;//上传方式

    /** 视频URL */
    @Excel(name = "视频URL")
    private String url;

    /** 视频缩略图 */
    @Excel(name = "视频缩略图")
    private String thumbnail;

    /** 视频时长 */
    @Excel(name = "视频时长")
    private Long duration;

    /** 达人id */
    @Excel(name = "达人id")
    private Long talentId;

    /** 分类id */
    @Excel(name = "分类id")
    private Long cateId;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long likes;

    /** 观看次数 */
    @Excel(name = "观看次数")
    private Long views;

    /** 评论数 */
    @Excel(name = "评论数")
    private Long comments;

    /** 视频状态 0下架 1上架 */
    @Excel(name = "视频状态 0下架 1上架")
    private Integer status;

    /** 是否热门 */
    @Excel(name = "是否热门")
    private Integer isHot;

    /** 是否审核 */
    @Excel(name = "是否审核")
    private Integer isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 来源  */
    @Excel(name = "来源 ")
    private Integer source;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Integer isDel;

    /** 分享次数 */
    @Excel(name = "分享次数")
    private Long shares;

    /** 视频标签 */
    @Excel(name = "视频标签")
    private String tags;

    /** 精选商品id */
    @Excel(name = "精选商品id")
    private Long productId;

    /** 精选商品json */
    @Excel(name = "精选商品json")
    private String productJson;

    /** 收藏数 */
    @Excel(name = "收藏数")
    private Long favoriteNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditeTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditsTime;

}
