package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 购买会员订单对象 fs_user_vip_order
 *
 * @author fs
 * @date 2024-06-27
 */
@Data
public class FsUserVipOrderParam implements Serializable
{

    /** 订单id */
    private Long orderId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 会员套餐id */
    @Excel(name = "会员套餐id")
    private Long packageId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private Integer payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 订单编码 */
    private String orderCode;

    private String phone;


}
