package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "销售设置课程时间-入参")
public class FsWatchCourseTimeParam {

    @ApiModelProperty(value = "营期id", required = true)
    private Long periodId;

    @ApiModelProperty(value = "课程id", required = true)
    private Long courseId;

    @ApiModelProperty(value = "视频id", required = true)
    private Long videoId;

    @ApiModelProperty(value = "公司id，可以不传")
    private Long companyId;

    @ApiModelProperty(value = "销售id，可以不传")
    private Long companyUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始时间")
    private Date startDateTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "结束时间")
    private Date endDateTime;
//
//    @ApiModelProperty(value = "营期课程id")
//    private Long id;

}
