package com.fs.course.param;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * 营期统计入参
 */
@Data
public class PeriodCountParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "营期id")
    @NotBlank
    private Long periodId;

    @ApiModelProperty(value = "视频id")
    private List<Long> videoIdList;

    private LocalDate maxDate;

}

