package com.fs.course.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsCourseQuestionCategory;

/**
 * 题目分类Service接口
 * 
 * @author fs
 * @date 2025-04-17
 */
public interface IFsCourseQuestionCategoryService extends IService<FsCourseQuestionCategory>{
    /**
     * 查询题目分类
     * 
     * @param cateId 题目分类主键
     * @return 题目分类
     */
    FsCourseQuestionCategory selectFsCourseQuestionCategoryByCateId(Long cateId);

    /**
     * 查询题目分类列表
     * 
     * @param fsCourseQuestionCategory 题目分类
     * @return 题目分类集合
     */
    List<FsCourseQuestionCategory> selectFsCourseQuestionCategoryList(FsCourseQuestionCategory fsCourseQuestionCategory);

    /**
     * 新增题目分类
     * 
     * @param fsCourseQuestionCategory 题目分类
     * @return 结果
     */
    int insertFsCourseQuestionCategory(FsCourseQuestionCategory fsCourseQuestionCategory);

    /**
     * 修改题目分类
     * 
     * @param fsCourseQuestionCategory 题目分类
     * @return 结果
     */
    int updateFsCourseQuestionCategory(FsCourseQuestionCategory fsCourseQuestionCategory);

    /**
     * 批量删除题目分类
     * 
     * @param cateIds 需要删除的题目分类主键集合
     * @return 结果
     */
    int deleteFsCourseQuestionCategoryByCateIds(Long[] cateIds);

    /**
     * 删除题目分类信息
     * 
     * @param cateId 题目分类主键
     * @return 结果
     */
    int deleteFsCourseQuestionCategoryByCateId(Long cateId);
}
