package com.fs.course.service;

import com.fs.course.domain.FsUserCoursePeriod;
import com.fs.course.vo.FsUserCoursePeriodVO;

import java.util.List;

/**
 * 会员营期Service接口
 *
 * @author fs
 * @date 2025-04-15
 */
public interface IFsUserCoursePeriodService
{
    /**
     * 查询会员营期
     *
     * @param periodId 会员营期ID
     * @return 会员营期
     */
    public FsUserCoursePeriod selectFsUserCoursePeriodById(Long periodId);

    /**
     * 查询会员营期列表
     *
     * @param fsUserCoursePeriod 会员营期
     * @return 会员营期集合
     */
    public List<FsUserCoursePeriod> selectFsUserCoursePeriodList(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 新增会员营期
     *
     * @param fsUserCoursePeriod 会员营期
     * @return 结果
     */
    public int insertFsUserCoursePeriod(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 修改会员营期
     *
     * @param fsUserCoursePeriod 会员营期
     * @return 结果
     */
    public int updateFsUserCoursePeriod(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 批量删除会员营期
     *
     * @param periodIds 需要删除的会员营期ID
     * @return 结果
     */
    public int deleteFsUserCoursePeriodByIds(Long[] periodIds);

    /**
     * 删除会员营期信息
     *
     * @param periodId 会员营期ID
     * @return 结果
     */
    public int deleteFsUserCoursePeriodById(Long periodId);

    /**
     * 获取主列表
     * @param fsUserCoursePeriod 入参
     * @return vo
     */
    List<FsUserCoursePeriodVO> selectFsUserCoursePeriodPage(FsUserCoursePeriod fsUserCoursePeriod);

    /**
     * 结束营期
     * @param id    营期ID
     */
    void closePeriod(Long id);

    /**
     * 更新营期状态
     */
    void changePeriodStatus();
}
