package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserCourseStudyLog;

/**
 * 课程用户学习日志Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserCourseStudyLogService
{
    /**
     * 查询课程用户学习日志
     *
     * @param logId 课程用户学习日志主键
     * @return 课程用户学习日志
     */
    public FsUserCourseStudyLog selectFsUserCourseStudyLogByLogId(String logId);

    /**
     * 查询课程用户学习日志列表
     *
     * @param fsUserCourseStudyLog 课程用户学习日志
     * @return 课程用户学习日志集合
     */
    public List<FsUserCourseStudyLog> selectFsUserCourseStudyLogList(FsUserCourseStudyLog fsUserCourseStudyLog);

    /**
     * 新增课程用户学习日志
     *
     * @param fsUserCourseStudyLog 课程用户学习日志
     * @return 结果
     */
    public int insertFsUserCourseStudyLog(FsUserCourseStudyLog fsUserCourseStudyLog);

    /**
     * 修改课程用户学习日志
     *
     * @param fsUserCourseStudyLog 课程用户学习日志
     * @return 结果
     */
    public int updateFsUserCourseStudyLog(FsUserCourseStudyLog fsUserCourseStudyLog);

    /**
     * 批量删除课程用户学习日志
     *
     * @param logIds 需要删除的课程用户学习日志主键集合
     * @return 结果
     */
    public int deleteFsUserCourseStudyLogByLogIds(String[] logIds);

    /**
     * 删除课程用户学习日志信息
     *
     * @param logId 课程用户学习日志主键
     * @return 结果
     */
    public int deleteFsUserCourseStudyLogByLogId(String logId);

    FsUserCourseStudyLog selectFsUserCourseStudyByCourseId(Long courseId, long userId);
}
