package com.fs.course.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.course.domain.FsUserCourseTrainingCamp;
import com.fs.course.dto.FsUserCourseTrainingCampDTO;
import com.fs.course.vo.FsUserCourseTrainingCampVO;
import com.fs.his.vo.OptionsVO;

import java.util.List;
import java.util.Map;

/**
 * 会员训练营Service接口
 *
 * @author fs
 * @date 2025-04-15
 */
public interface IFsUserCourseTrainingCampService extends IService<FsUserCourseTrainingCamp>
{

    /**
     * 查询训练营列表
     * @param params    参数
     * @return  list
     */
    List<FsUserCourseTrainingCampVO> selectFsUserCourseTrainingCampVOListByMap(Map<String, Object> params);

    /**
     * 新增训练营
     * @param params    参数
     */
    void add(FsUserCourseTrainingCampDTO params);

    /**
     * 删除训练营
     * @param ids   ids
     */
    void del(Long[] ids);

    /**
     * 复制训练营
     * @param id    id
     */
    void copy(Long id);

    /**
     * 查询训练营选项列表
     * @param params    参数
     * @return  list
     */
    List<OptionsVO> selectCampListByMap(Map<String, Object> params);
}
