package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserCourseVideoRedPackage;
import com.fs.course.param.FsBatchPeriodRedPackageParam;

/**
 * 课程公司红包Service接口
 * 
 * @author fs
 * @date 2024-10-25
 */
public interface IFsUserCourseVideoRedPackageService 
{
    /**
     * 查询课程公司红包
     * 
     * @param id 课程公司红包主键
     * @return 课程公司红包
     */
    public FsUserCourseVideoRedPackage selectFsUserCourseVideoRedPackageById(Long id);

    /**
     * 查询课程公司红包列表
     * 
     * @param fsUserCourseVideoRedPackage 课程公司红包
     * @return 课程公司红包集合
     */
    public List<FsUserCourseVideoRedPackage> selectFsUserCourseVideoRedPackageList(FsUserCourseVideoRedPackage fsUserCourseVideoRedPackage);

    /**
     * 新增课程公司红包
     * 
     * @param fsUserCourseVideoRedPackage 课程公司红包
     * @return 结果
     */
    public int insertFsUserCourseVideoRedPackage(FsUserCourseVideoRedPackage fsUserCourseVideoRedPackage);

    /**
     * 修改课程公司红包
     * 
     * @param fsUserCourseVideoRedPackage 课程公司红包
     * @return 结果
     */
    public int updateFsUserCourseVideoRedPackage(FsUserCourseVideoRedPackage fsUserCourseVideoRedPackage);

    /**
     * 批量删除课程公司红包
     * 
     * @param ids 需要删除的课程公司红包主键集合
     * @return 结果
     */
    public int deleteFsUserCourseVideoRedPackageByIds(Long[] ids);

    /**
     * 删除课程公司红包信息
     * 
     * @param id 课程公司红包主键
     * @return 结果
     */
    public int deleteFsUserCourseVideoRedPackageById(Long id);
    /**
     *  批量保存公司设置红包金额
     * @param fsUserCourseVideoRedPackageList
     */
    void batchSaveCompanyRedPackage(List<FsUserCourseVideoRedPackage> fsUserCourseVideoRedPackageList);

    List<FsUserCourseVideoRedPackage> listByCompanyIdAndVideoIds(Long companyId, List<Long> videoIdList);

    List<FsUserCourseVideoRedPackage> listByRuleIds(List<Long> ids);

    /**
     * 按照营期批量设置红包
     * @param periodRedPackageList
     */
    void batchRedPacketByPeriod(List<FsBatchPeriodRedPackageParam> periodRedPackageList);

    List<FsUserCourseVideoRedPackage> selectByRuleIds(List<Long> ruleIds);

    void batchSaveFsUserCourseVideoRedPackage(List<FsUserCourseVideoRedPackage> redPackage);
}
