package com.fs.course.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.R;
import com.fs.common.core.domain.model.LoginUser;
import com.fs.course.domain.FsVideoBarrage;
import com.fs.course.param.FsVideoBarrageQueryParam;
import com.fs.course.vo.FsVideoBarrageExcelVo;
import com.fs.course.vo.FsVideoBarrageVO;

import java.util.ArrayList;
import java.util.List;

/**
 * 视频弹幕Service接口
 *
 * @author fs
 * @date 2025-04-07
 */
public interface IFsVideoBarrageService extends IService<FsVideoBarrage>{
    /**
     * 查询视频弹幕
     *
     * @param id 视频弹幕主键
     * @return 视频弹幕
     */
    FsVideoBarrage selectFsVideoBarrageById(String id);

    /**
     * 查询视频弹幕列表
     *
     * @param fsVideoBarrage 视频弹幕
     * @return 视频弹幕集合
     */
    List<FsVideoBarrageVO> selectFsVideoBarrageList(FsVideoBarrageQueryParam fsVideoBarrage);

    /**
     * 新增视频弹幕
     *
     * @param fsVideoBarrage 视频弹幕
     * @return 结果
     */
    int insertFsVideoBarrage(FsVideoBarrage fsVideoBarrage);

    /**
     * 修改视频弹幕
     *
     * @param fsVideoBarrage 视频弹幕
     * @return 结果
     */
    int updateFsVideoBarrage(FsVideoBarrage fsVideoBarrage);

    /**
     * 批量删除视频弹幕
     *
     * @param ids 需要删除的视频弹幕主键集合
     * @return 结果
     */
    int deleteFsVideoBarrageByIds(String[] ids);

    /**
     * 删除视频弹幕信息
     *
     * @param id 视频弹幕主键
     * @return 结果
     */
    int deleteFsVideoBarrageById(String id);

    int saveBarrage(FsVideoBarrage barrage);
    List<FsVideoBarrage> getBarrageByVideoId(Long videoId);
    List<FsVideoBarrage> getSegmentBarrage(Long videoId, int start, int end);
    int updateStatus(FsVideoBarrage barrage);
    int batchUpdateStatus(ArrayList ids, String status);
    R importBarrageData(List<FsVideoBarrageExcelVo> list, boolean updateSupport, LoginUser loginUser);


}
