package com.fs.course.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 完课模板对象 fs_course_finish_temp
 *
 * @author fs
 * @date 2024-12-19
 */
@Data
public class FsCourseFinishTempListVO implements Serializable
{
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 状态 1正常 0停用 */
    @Excel(name = "状态 1正常 0停用")
    private Long status;

    /** 规则 */
    private String setting;

    /** 公司id */
    private Long companyId;

    @Excel(name = "公司名称")
    private String companyName;

    /** 课程id */
    private Long courseId;

    private String courseName;

    private String videoName;

    /** 小节视频id */
    private Long videoId;

    /** 归属销售id(对多) */
    private String companyUserIds;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private Long isDel;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Integer isAllCompanyUser;
}
