package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 看课SOP  定时任务对象 fs_course_sop_logs
 *
 * @author fs
 * @date 2024-09-04
 */
@Data
public class FsCourseSopLogsTVOList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** qw_user表的主键 */
    private String qwUserId;

    /**
     * 企业微信用户昵称
     */
    private String qwUserName;

    /**
     * 系统后台昵称（company_user）
     */
    private String userName;
    /**
     * 企微qw_user主表主键
     */
    private Long qwId;

    private Long companyUserId;

    /** 企微外部联系人id */
    private String externalUserId;

    /**
     * 客户昵称
     */
    private String externalUserName;

    /**
     * 客户电话
     */
    private String mobile;

    /**
     * 微信
     */
    private String weixin;


    /** 要发送的内容 */
    private String contentJson;

    /**
     * 状态（0:普通消息 1：待看课消息 2：看课中消息 3：已完课消息）
     */
    private Long watchStatus;

    /** 发送(给成员)状态 0发送失败 1发送成功 3待发送 4未发送(未确定) 5已作废 */
    private Long sendStatus;

    /** 预计发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

    /** 公司id */
    private Long companyId;

    /**
     * 接收(客户的)状态：0-未发送 1-已发送
     */
    private Long receivingStatus;

    /**
     * 企业微信返回的msgId，用于查消息结果
     */
    private String msgId;

    /** 实际发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date realSendTime;

    private Long customerId;

    private Long businessId;

}
