package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "评论列表-管理端")
public class FsCourseWatchCommentListVO {

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @Excel(name = "用户名称")
    @ApiModelProperty(value = "用户名称")
    private String nickName;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @Excel(name = "评论内容", width = 120)
    @ApiModelProperty(value = "评论内容")
    private String content;

    @Excel(name = "评论时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "评论时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "时间（用于弹幕记录时间）")
    private Integer time;

    @ApiModelProperty(value = "字体大小")
    private String fontSize;

    @ApiModelProperty(value = "展示模式")
    private String mode;

    @ApiModelProperty(value = "字体颜色")
    private String color;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "小节名称")
    private String title;

}
