package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.company.domain.CompanyTag;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class FsUserCourseParticipationRecordVO {
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 小节D
     */
    private Long videoId;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 用户电话号码
     */
    private String phoneNumber;
    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime createTime;
    /**
     * 观看次数
     */
    private Long watchCount;
    /**
     * 完播次数
     */
    private Long finishCount;
    /**
     * 累计时长
     */
    private BigDecimal watchTime;
    /**
     * 红包领取状态
     */
    private Integer redStatus;
    /**
     * 观看时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime watchDate;
    /**
     * 标签
     */
    private List<CompanyTag> tags;
}
