package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

/**
 * 会员营期分页列表 vo
 * @date 2025-04-15
 */
@Data
public class FsUserCoursePeriodVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 营期id */
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    @Excel(name = "公司名称")
    private String companyName;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 训练营id */
    @Excel(name = "训练营id")
    private Long trainingCampId;

    /** 训练营id */
    @Excel(name = "所属训练营")
    private String trainingCampName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间")
    private Date updateTime;

    /** 课程风格url */
    @Excel(name = "课程风格url")
    private String courseStyle;

    /** 直播间风格url */
    @Excel(name = "直播间风格url")
    private String liveRoomStyle;

    /** 红包发放方式，1-按课程，每个课程可得一个；2-按营期，每个营期可得一个 */
    @Excel(name = "红包发放方式，1-按课程，每个课程可得一个；2-按营期，每个营期可得一个")
    private Long redPacketGrantMethod;

    /** 营期类型，1-多课程营期；2-单课程营期 */
    @Excel(name = "营期类型，1-多课程营期；2-单课程营期")
    private Long periodType;

    /** 开营日期-开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开营日期-开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate periodStartingTime;

    /** 开营日期-结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开营日期-结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate periodEndTime;

    @Excel(name = "营期状态")
    private Long periodStatus;

}
