package com.fs.course.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class FsUserCourseVideoVO extends BaseEntity {

    /** ID */
    private Long videoId;

    /** 腾讯vod文件id */
    @Excel(name = "腾讯vod文件id")
    private String fileId;

    /** 视频标题 */
    @Excel(name = "视频标题")
    private String title;

    /** 视频描述 */
    @Excel(name = "视频描述")
    private String description;

    /** 视频URL */
    @Excel(name = "视频URL")
    private String videoUrl;

    /** 视频缩略图 */
    @Excel(name = "视频缩略图")
    private String thumbnail;

    /** 视频时长 */
    @Excel(name = "视频时长")
    private Long duration;

    /** 达人id */
    @Excel(name = "达人id")
    private Long talentId;

    /** 课程ID */
    @Excel(name = "课程ID")
    private Long courseId;

    /** 视频状态 1：草稿，2：待审核，3：发布 */
    @Excel(name = "视频状态 1：草稿，2：待审核，3：发布")
    private Long status;

    /** 课程排序 */
    @Excel(name = "课程排序")
    private Long courseSort;

    private String fileName;

    private Integer isDel;

    /**
     *  课题数组
     */
    private String questionBankId;

    private String lineOne; //线路一 腾讯云pcdn 前缀tcpv

    private String lineTwo; //线路二 电信 前缀ctev
    private String lineThree; //线路三 华为云obs
    private Integer uploadType;

    private String redPacketMoney;

    private String companyRedPacketMoney;
}
