package com.fs.course.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 课堂视频对象 fs_user_video
 *
 * @author fs
 * @date 2024-05-15
 */
@Data
public class FsUserVideoListPVO extends BaseEntity
{
    /** ID */
    private Long videoId;

    /** 视频标题 */
    private String title;

    /** 视频URL */
    private String url;

    /** 视频缩略图 */
    private String thumbnail;

    /** 视频时长 */
    private Long duration;

    /** 达人id */
    private Long talentId;
    //达人姓名
    private String talentName;

    /** 分类id */
    private Long cateId;

    /** 点赞数 */
    private Long likes;

    /** 观看次数 */
    private Long views;

    /** 评论数 */
    private Long comments;

    /** 是否热门 */
    private Integer isHot;

    /** 是否审核 */
    private Integer isAudit;

    /** 审核人id */
    private Long auditBy;
    private String auditUserName;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditTime;

    /** 来源  */
    private Integer source;

    /** 分享次数 */
    private Long shares;

    /** 视频标签 */
    private String tags;

    /** 精选商品id */
    private Long productId;

    /** 精选商品json */
    private String productJson;

    /** 收藏数 */
    @Excel(name = "收藏数")
    private Long favoriteNum;
}
