package com.fs.course.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 企微看课
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class HyWatchLog {

    /**
     * id
     */
    private Long id;

    /**
     * 外部联系人id
     */
    private Long extId;

    /**
     * qw用户id
     */
    private Long qwUserId;

    /**
     * 先导课  0 待看 1看课中/中断 2完课
     */
    private Integer status;

    /**
     * 天数
     */
    private Long day;

    /**
     * 项目
     */
    private Long project;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 进线时间
     */
    private Date lineTime;

    /**
     * fs用户id (无注释)
     */
    private Long fsUserId;

    /**
     * 公司id (无注释)
     */
    private Long companyId;

    /**
     * 公司用户id (无注释)
     */
    private Long companyUserId;

    /**
     * 课程id (无注释)
     */
    private Long courseId;

    /**
     * 视频id (无注释)
     */
    private Long videoId;
}
