package com.fs.crm.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CrmCompanyLineCustomerImportParam implements Serializable {
    private Long customerId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "进线日期", width = 20)
    private String registerDate;

    @Excel(name = "客户来源",dictType = "crm_customer_source")
    private String source;

    @Excel(name = "来源渠道编码" )
    private String sourceCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerName;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    @Excel(name = "进线方式" )
    private String registerType;

    @Excel(name = "进线客户提交日期", width = 20)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String registerSubmitTime;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    @Excel(name = "进线客户详情" )
    private String registerDesc;


    @Excel(name = "归属员工编号" )
    private String ownerCompanyUserCode;


    /** 性别 */
    @Excel(name = "性别",readConverterExp = "1=男,2=女")
    private Integer sex;


    @Excel(name = "微信" )
    private String weixin;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;


    @Excel(name = "标签" )
    private String tags;

    @Excel(name = "备注" )
    private String remark;

    @Excel(name = "进线客户链接" )
    private String registerLinkUrl;


    @Excel(name = "消费金额" )
    private BigDecimal payMonay;


    @Excel(name = "购买次数" )
    private Integer buyCount;


    @Excel(name = "推线时间" )
    private String pushTime;


    @Excel(name = "推线编码" )
    private String pushCode;

    @Excel(name = "客户编号",type = Excel.Type.EXPORT)
    private String customerCode;


    /** 关联用户ID */
    private Long userId;

    /** 认领ID */

    private Long customerUserId;



    /** 定位信息 */
    private String location;



    /** 地理位置经度 */
    private String lng;

    /** 地理位置维度 */
    private String lat;

    /** 客户状态  0锁定 1 正常 */
    private String status;

    /** 1 已认领 0未认领 */
    private Long isReceive;

    /** 所属部门ID */
    private Long deptId;

    /** 是否删除 */
    private Integer isDel;

    /** 客户类型 */
    private Integer customerType;


}
