package com.fs.crm.service;

import com.fs.crm.domain.CrmCustomerExt;

import java.util.List;

/**
 * 客户字段扩展Service接口
 *
 * @author fs
 * @date 2023-03-14
 */
public interface ICrmCustomerExtService
{
    /**
     * 查询客户字段扩展
     *
     * @param extId 客户字段扩展ID
     * @return 客户字段扩展
     */
    public CrmCustomerExt selectCrmCustomerExtById(Long extId);

    /**
     * 查询客户字段扩展列表
     *
     * @param crmCustomerExt 客户字段扩展
     * @return 客户字段扩展集合
     */
    public List<CrmCustomerExt> selectCrmCustomerExtList(CrmCustomerExt crmCustomerExt);

    /**
     * 新增客户字段扩展
     *
     * @param crmCustomerExt 客户字段扩展
     * @return 结果
     */
    public int insertCrmCustomerExt(CrmCustomerExt crmCustomerExt);

    /**
     * 修改客户字段扩展
     *
     * @param crmCustomerExt 客户字段扩展
     * @return 结果
     */
    public int updateCrmCustomerExt(CrmCustomerExt crmCustomerExt);

    /**
     * 批量删除客户字段扩展
     *
     * @param extIds 需要删除的客户字段扩展ID
     * @return 结果
     */
    public int deleteCrmCustomerExtByIds(Long[] extIds);

    /**
     * 删除客户字段扩展信息
     *
     * @param extId 客户字段扩展ID
     * @return 结果
     */
    public int deleteCrmCustomerExtById(Long extId);
}
