package com.fs.crm.service;

import com.fs.crm.domain.CrmCustomerHisOrder;

import java.util.List;

/**
 * 客户历史订单Service接口
 *
 * @author fs
 * @date 2023-04-07
 */
public interface ICrmCustomerHisOrderService
{
    /**
     * 查询客户历史订单
     *
     * @param orderId 客户历史订单ID
     * @return 客户历史订单
     */
    public CrmCustomerHisOrder selectCrmCustomerHisOrderById(Long orderId);

    /**
     * 查询客户历史订单列表
     *
     * @param crmCustomerHisOrder 客户历史订单
     * @return 客户历史订单集合
     */
    public List<CrmCustomerHisOrder> selectCrmCustomerHisOrderList(CrmCustomerHisOrder crmCustomerHisOrder);

    /**
     * 新增客户历史订单
     *
     * @param crmCustomerHisOrder 客户历史订单
     * @return 结果
     */
    public int insertCrmCustomerHisOrder(CrmCustomerHisOrder crmCustomerHisOrder);

    /**
     * 修改客户历史订单
     *
     * @param crmCustomerHisOrder 客户历史订单
     * @return 结果
     */
    public int updateCrmCustomerHisOrder(CrmCustomerHisOrder crmCustomerHisOrder);

    /**
     * 批量删除客户历史订单
     *
     * @param orderIds 需要删除的客户历史订单ID
     * @return 结果
     */
    public int deleteCrmCustomerHisOrderByIds(Long[] orderIds);

    /**
     * 删除客户历史订单信息
     *
     * @param orderId 客户历史订单ID
     * @return 结果
     */
    public int deleteCrmCustomerHisOrderById(Long orderId);
}
