package com.fs.crm.service;

import com.fs.crm.domain.CrmCustomerThird;

import java.util.List;

/**
 * 客户线索三方平台Service接口
 *
 * @author fs
 * @date 2023-07-11
 */
public interface ICrmCustomerThirdService
{
    /**
     * 查询客户线索三方平台
     *
     * @param id 客户线索三方平台ID
     * @return 客户线索三方平台
     */
    public CrmCustomerThird selectCrmCustomerThirdById(Long id);

    /**
     * 查询客户线索三方平台列表
     *
     * @param crmCustomerThird 客户线索三方平台
     * @return 客户线索三方平台集合
     */
    public List<CrmCustomerThird> selectCrmCustomerThirdList(CrmCustomerThird crmCustomerThird);

    /**
     * 新增客户线索三方平台
     *
     * @param crmCustomerThird 客户线索三方平台
     * @return 结果
     */
    public int insertCrmCustomerThird(CrmCustomerThird crmCustomerThird);

    /**
     * 修改客户线索三方平台
     *
     * @param crmCustomerThird 客户线索三方平台
     * @return 结果
     */
    public int updateCrmCustomerThird(CrmCustomerThird crmCustomerThird);

    /**
     * 批量删除客户线索三方平台
     *
     * @param ids 需要删除的客户线索三方平台ID
     * @return 结果
     */
    public int deleteCrmCustomerThirdByIds(Long[] ids);

    /**
     * 删除客户线索三方平台信息
     *
     * @param id 客户线索三方平台ID
     * @return 结果
     */
    public int deleteCrmCustomerThirdById(Long id);
}
