package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CrmCustomerExportVO implements Serializable
{

    private Long customerId;

    @Excel(name = "客户编号")
    private String customerCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerName;

    /** 手机 */
    @Excel(name = "手机号")
    private String mobile;

    /** 性别 */
    @Excel(name = "性别",readConverterExp = "1=男,2=女,0=未知")
    private Integer sex;
    @Excel(name = "微信")
    private String weixin;

    /** 关联用户ID */
    private Long userId;

    /** 认领ID */

    private Long customerUserId;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 定位信息 */
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 地理位置经度 */
    private String lng;

    /** 地理位置维度 */
    private String lat;

    /** 客户状态  0锁定 1 正常 */
    private String status;

    /** 1 已认领 0未认领 */
    private Long isReceive;

    /** 所属部门ID */
    private Long deptId;

    /** 是否删除 */
    private Integer isDel;

    /** 客户类型 */
    private Integer customerType;

    /** 最后一次跟进时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Excel(name = "客户来源",dictType = "crm_customer_source")
    private String source;
    @Excel(name = "标签" )
    private String tags;

    @Excel(name = "进线日期")
    private String registerDate;
    @Excel(name = "进线客户链接" )
    private String registerLinkUrl;
    @Excel(name = "进线客户详情" )
    private String registerDesc;
    @Excel(name = "进线客户提交日期" )
    private String registerSubmitTime;

    @Excel(name = "进线方式" )
    private String registerType;
    @Excel(name = "消费金额" )
    private BigDecimal payMonay;
    @Excel(name = "购买次数" )
    private Integer buyCount;
    @Excel(name = "来源渠道编码" )
    private String sourceCode;
    @Excel(name = "推线时间" )
    private String pushTime;
    @Excel(name = "推线编码" )
    private String pushCode;


    @Excel(name = "认领人")
    private String companyUserNickName;

    @Excel(name = "归属公司")
    private String companyName;
}
