package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerListQueryFriendVO implements Serializable {


    private Long customerId;

    /** 组织机构代码 */
    private String customerCode;

    /** 客户名称 */
    private String customerName;

    /** 手机 */
    private String mobile;

    /** 性别 */
    private Integer sex;

    private String weixin;

    /** 关联用户ID */
    private Long userId;

    /** 认领ID */
    @Excel(name = "认领ID")
    private Long customerUserId;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 定位信息 */
    @Excel(name = "定位信息")
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 地理位置经度 */
    @Excel(name = "地理位置经度")
    private String lng;

    /** 地理位置维度 */
    @Excel(name = "地理位置维度")
    private String lat;

    /** 客户状态  0锁定 1 正常 */
    @Excel(name = "客户状态  0锁定 1 正常")
    private Long status;

    /** 1 已认领 0未认领 */
    @Excel(name = "1 已认领 0未认领")
    private Long isReceive;

    /** 所属部门ID */
    @Excel(name = "所属部门ID")
    private Long deptId;

    /** 客户类型 */
    @Excel(name = "客户类型")
    private Integer customerType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 最后一次跟进时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveTime;

    /** 入公海时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date poolTime;

    /**
    *  公司id
    */
    private Long companyId;

    /**
    *   客户来源
    */
    private Integer source;

    /**
    *   跟进阶段
    */
    private Integer visitStatus;

    /**
    *   标签
    */
    private String tags;

    /**
    *   进线日期
    */
    private String registerDate;
    /**
    *   进线客户连接
    */
    private String registerLinkUrl;
    /**
    * 进线客户详情
    */
    private String registerDesc;
    /**
    *   进线客户填写时间
    */
    private String registerSubmitTime;
    /**
    *   进线方式
    */
    private String registerType;
    /**
    *   来源渠道编码
    */
    private String sourceCode;
    /**
    *   推线时间
    */
    private String pushTime;
    /**
    *   推线编码
    */
    private String pushCode;

    //0:非重客户  1:重客户
    private Integer isDuplicate;

    /** 非重客户Id(重客户最早录入手机号码的客户id) */
    private Long dCustomerId;

    /** 属于用户id */
    @Excel(name = "属于用户id")
    private String fromUserId;

    /** 客户企微名称 */
    @Excel(name = "客户企微名称")
    private String qwName;

    /** 头像 */
    @Excel(name = "头像")
    private String qwAvatar;

    /** 用户类别 */
    @Excel(name = "用户类别")
    private Integer qwType;

    /** 性别 */
    @Excel(name = "性别")
    private Integer qwGender;

    /** 备注 */
    @Excel(name = "备注")
    private String qwRemark;

    /** 描述信息 */
    @Excel(name = "描述信息")
    private String qwDescription;


    /** 备注电话号码 */
    @Excel(name = "备注电话号码")
    private String qwRemarkMobiles;


    /** 备注企业名称 */
    @Excel(name = "备注企业名称")
    private String qwRemarkCorpName;

    /** 0 无接替记录 1-接替完毕 2-等待接替 3-客户拒绝 4-接替成员客户达到上限 */
    @Excel(name = "0 无接替记录 1-接替完毕 2-等待接替 3-客户拒绝 4-接替成员客户达到上限")
    private Integer transferStatus;

    /**
    * 0 正常 1员工离职待接替 2 正在接替 3 流失 4删除
    */
    @Excel(name = "0 正常 1员工离职待接替 2 正在接替 3 流失 4删除 ")
    private Integer qwStatus;

}
