package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class CrmCustomerListQueryVO implements Serializable
{

    private Long customerId;

    /** 组织机构代码 */
    private String customerCode;

    /** 客户名称 */
    private String customerName;

    /** 手机 */
    private String mobile;

    /** 性别 */
    private Integer sex;

    private String weixin;

    /** 关联用户ID */
    private Long userId;

    /** 认领ID */
    @Excel(name = "认领ID")
    private Long customerUserId;

    /** 省市区 */
    @Excel(name = "省市区")
    private String address;

    /** 定位信息 */
    @Excel(name = "定位信息")
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 地理位置经度 */
    @Excel(name = "地理位置经度")
    private String lng;

    /** 地理位置维度 */
    @Excel(name = "地理位置维度")
    private String lat;

    /** 客户状态  0锁定 1 正常 */
    @Excel(name = "客户状态  0锁定 1 正常")
    private Long status;

    /** 1 已认领 0未认领 */
    @Excel(name = "1 已认领 0未认领")
    private Long isReceive;

    /** 所属部门ID */
    @Excel(name = "所属部门ID")
    private Long deptId;

    /** 客户类型 */
    @Excel(name = "客户类型")
    private Integer customerType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 最后一次跟进时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveTime;

    /** 入公海时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date poolTime;

    private String registerType;

    private BigDecimal payMonay;

    private Integer buyCount;

    private String sourceCode;

    private String pushTime;

    private String pushCode;


    private Long companyId;

    private Integer source;

    private String tags;

    private String companyUserNickName;

    private Integer visitStatus;

    private String registerDate;
    private String registerLinkUrl;
    private String registerDesc;
    private String registerSubmitTime;

    /** 认领开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
}
