package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerVisitExportVO implements Serializable
{


    /** 跟进ID */
    private Long visitId;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "客户名称")
    private String customerName;
    @Excel(name = "客户编码")
    private String customerCode;
    @Excel(name = "销售")
    private String companyUserNickName;

    /** 客户ID */

    private Long customerId;

    /** 类型 1 电话 2 微信 */
    @Excel(name = "跟进类型", width = 30, dictType = "crm_customer_visit_type")
    private Long visitType;

    /** 走访内容 */
    @Excel(name = "跟进内容")
    private String content;

    /** 走访照片 */
    private String photos;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "跟进时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 下次联系时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下次联系时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextTime;

    /** 经度 */
    private String lng;

    /** 纬度 */
    private String lat;

    /** 签到地址 */
    private String address;

    /** 销售ID */
    private Long companyUserId;

    /** 公司ID */
    private Long companyId;

    @Excel(name = "跟进阶段", width = 30, dictType = "crm_customer_user_status")
    private String customerUserStatus;



}
