package com.fs.erp.dto.sdk.HzOMS.utils;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.PrintStream;
import java.security.GeneralSecurityException;
import java.security.MessageDigest;

public class HzOMSUtils {

    public static String getHzOMSUrl(String url) {
        return "http://hzoms.51fengshang.com" + url;
    }


    /**
     * 验签 669b0134c045bb06bb55767e0bc0bf99 B0A162029069D9067D0137E3869ABAAA
     * 数据签名,签名算法为MD5(timestamp+datapakege+secret)appkey与 secret是一对,由瀚智提供（MD5 加
     * 密为 32 位大写）
     *
     * @return
     */
    public static Boolean signValidate(String timestamp, String datapackage, String secret, String sign) throws IOException {
        StringBuilder sb  = new StringBuilder();
        sb.append(timestamp).append(datapackage).append(secret);
        String s = encryptMD5(sb.toString());
        String upperCase = s.toUpperCase();
        return upperCase.equals(sign);
    }

    private static String byte2hex(byte[] bytes) {
        StringBuilder sign = new StringBuilder();
        for (int i = 0; i < bytes.length; i++) {
            String hex = Integer.toHexString(bytes[i] & 0xFF);
            if (hex.length() == 1) {
                //保证所有的16进制都是两位：00-ff，其中[80~ff]代表[-128,-1]
                sign.append("0");
            }
            sign.append(hex);
        }
        return sign.toString();
    }
    private static String encryptMD5(String data) throws IOException {
        String s = null;
        byte[] bytes = null;
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            bytes = md.digest(data.getBytes("UTF-8"));
            s = bytesToHex(bytes);
        } catch (GeneralSecurityException gse) {
            String msg = getStringFromException(gse);
            throw new IOException(msg);
        }
        return s;
    }

    private static String getStringFromException(Throwable e) {
        String result = "";
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        PrintStream ps = new PrintStream(bos);
        e.printStackTrace(ps);
        try {
            result = bos.toString("UTF-8");
        } catch (IOException ioe) {
        }
        return result;
    }

    /**
     * 字节数组转十六进制字符串（优化版）
     * @param bytes 字节数组
     * @return 十六进制字符串
     */
    private static String bytesToHex(byte[] bytes) {
        // 一个字节对应两个十六进制字符
        char[] hexChars = new char[bytes.length * 2];
        // 预定义十六进制字符
        final char[] hexArray = "0123456789abcdef".toCharArray();

        for (int i = 0; i < bytes.length; i++) {
            // 取字节的高4位
            int high = (bytes[i] & 0xF0) >>> 4;
            // 取字节的低4位
            int low = bytes[i] & 0x0F;
            // 转换为对应的十六进制字符
            hexChars[i * 2] = hexArray[high];
            hexChars[i * 2 + 1] = hexArray[low];
        }
        return new String(hexChars);
    }
}
