package com.fs.erp.dto.wdt;

import lombok.Data;
import org.apache.commons.lang3.StringEscapeUtils;

/**
 * 旺店通开放平台 API 响应 DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class ErpWdtApiResponse {

    /**
     * 错误码
     * <p>状态码:0表示成功,其他表示失败</p>
     */
    private Integer code;

    /**
     * 错误原因
     */
    private String message;

    public String getMessage() {
        return StringEscapeUtils.unescapeJava(message);
    }

    /**
     * 返回的新增订单个数
     * <p>有单据新增时不为0(新建的原始单据)</p>
     */
    private Integer newCount;

    /**
     * 返回的更新订单个数
     * <p>有单据更新时不为0(在已有的原始单据上进行修改)</p>
     */
    private Integer chgCount;
}
