package com.fs.erp.dto.wdt;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 条码信息 DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ErpWdtBarcodeDto {

    /**
     * 货品ID
     */
    @JsonProperty("goods_id")
    private String goodsId;

    /**
     * 规格ID
     */
    @JsonProperty("spec_id")
    private String specId;

    /**
     * 条码信息
     */
    @JsonProperty("barcode")
    private String barcode;

    /**
     * target_id的类型 1普通规格 2组合装
     */
    @JsonProperty("type")
    private String type;

    /**
     * 是否为主条码 0 否 1 是
     */
    @JsonProperty("is_master")
    private String isMaster;

    /**
     * 扫码一次对应出库数量
     */
    @JsonProperty("out_target_num")
    private String outTargetNum;

    /**
     * 扫码一次对应入库货品数量
     */
    @JsonProperty("target_num")
    private String targetNum;

    /**
     * 最后修改时间
     */
    @JsonProperty("modified")
    private String modified;
}
