package com.fs.erp.dto.wdt;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Base API Response Structure
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ErpWdtBaseResponseDTO {

    /**
     * 状态码:0表示成功,其他表示失败
     */
    @JsonProperty("code")
    private Integer code;

    /**
     * 错误描述
     */
    @JsonProperty("message")
    private String message;

    /**
     * 符合条件的数据条数，用来分页 当page_no = 0时返回
     */
    @JsonProperty("total_count")
    private Integer totalCount;

    /**
     * 货品节点列表
     */
    @JsonProperty("goods_list")
    private List<ErpWdtGoodsDto> goodsList;

}
