package com.fs.erp.dto.wdt;

import lombok.Data;

import java.util.List;

/**
 * 旺店通开放平台 API 业务请求参数 DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class ErpWdtBusinessRequestParams {

    /**
     * 店铺编号
     * <p>代表店铺所有属性的唯一编码，用于店铺区分，ERP内支持自定义（ERP店铺界面设置，查看路径ERP→设置→基本设置→店铺→店铺列表），用于创建指定店铺单据信息，测试环境店铺编号信息同接口账号。ERP内shop_no对应的“店铺平台”必须为“自有/其它”。正式环境店铺创建成功后ERP会自动授权，如果自动授权失败，在ERP店铺界面（路径ERP→设置→基本设置→店铺→店铺列表）选中授权失败的店铺，点击店铺界面提供的店铺授权按钮重新授权。</p>
     */
    private String shopNo;

    /**
     * 模式
     * <p>0:非严格模式,1:严格模式,默认1。严格模式详情介绍单击这里</p>
     */
    private Integer switchMode;

    /**
     * 订单列表节点
     * <p>请求参数的1级数据节点，包含销售订单所有属性信息的数据节点，节点下数据字段详见下述“trade_list”</p>
     */
    private List<ErpWdtTrade> tradeList;
}
