package com.fs.erp.dto.wdt;

import lombok.Data;

/**
 * 旺店通开放平台 API 公共请求参数 DTO
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class ErpWdtCommonRequestParams {

    /**
     * 卖家账号
     * <p>购买ERP时由旺店通分配给ERP购买方，请从ERP购买方获取。</p>
     */
    private String sid;

    /**
     * 接口账号
     * <p>本开放平台“自助对接”功能模块内自助申请，获取方式点击这里</p>
     */
    private String appkey;

    /**
     * 时间戳
     * <p>北京时间1970-01-01 08:00:00起至现在的总秒数，10位int值,旺店通企业版API服务端允许请求最大时间误差为5min，date.timezone = Asia/Shanghai。</p>
     */
    private int timestamp;

    /**
     * 签名
     * <p>API输入参数签名结果，签名算法介绍单击这里</p>
     */
    private String sign;
}
