package com.fs.erp.dto.wdt;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * ERP旺店通退款单推送请求 DTO
 * <p>
 * 包含推送给旺店通ERP的退款单据的顶层结构。
 * </p>
 *
 * @author xdd
 * @since 2025-02-27
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ErpWdtRefundRequest {

    /**
     * 请求参数的1级数据节点
     * <p>
     * 包含平台售后订单所有属性信息的数据节点列表。
     * 必须: 是
     * </p>
     */
    @JsonProperty("api_refund_list") // 对应JSON字段名
    private List<ErpWdtApiRefund> apiRefundList;
}
