package com.fs.erp.dto.wdt;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class ErpWdtStockRespDTO implements Serializable {
    /**
     * 错误码，状态码:0表示成功,其他表示失败
     */
    @JsonProperty("code")
    @NotNull
    private Integer code;

    /**
     * 错误描述
     */
    @JsonProperty("message")
    @NotNull
    private String message;

    /**
     * 数据条数，只有，page_no = 0 时才返回的符合条件的数据总条数，用来分页
     */
    @JsonProperty("total_count")
    private Integer totalCount;

    /**
     * 订单列表节点，响应参数的1级数据节点，包含当前页的订单及其明细的数据节点
     */
    @JsonProperty("stocks")
    private List<ErpWdtStockDTO> stocks;
}
