package com.fs.erp.dto.wdt;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * ERP 旺店通 订单查询响应 DTO.
 * 包含查询结果的元数据以及订单列表信息。
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ErpWdtTradeQueryResponse {

    /**
     * 错误码，状态码:0表示成功,其他表示失败
     */
    @JsonProperty("code")
    @NotNull // 必须
    private Integer code;

    /**
     * 错误描述
     */
    @JsonProperty("message")
    @NotNull // 必须
    private String message;

    /**
     * 数据条数，只有，page_no = 0 时才返回的符合条件的数据总条数，用来分页
     */
    @JsonProperty("total_count")
    private Integer totalCount;

    /**
     * 订单列表节点，响应参数的1级数据节点，包含当前页的订单及其明细的数据节点
     */
    @JsonProperty("trades")
    private List<ErpWdtTradeInfo> trades;
}

