package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 聊天记录对象 fastgpt_chat_msg
 *
 * @author fs
 * @date 2024-10-10
 */
@Data
public class FastGptChatMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long msgId;

    /** 消息id */
    @Excel(name = "消息id")
    private Long sessionId;

    /** 外部ID */
    @Excel(name = "外部ID")
    private String extId;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    /** 消息类型 1文本 */
    @Excel(name = "消息类型 1文本")
    private Integer msgType;

    /** 发送类型 1用户发送 2客服发送 */
    @Excel(name = "发送类型 1用户发送 2客服发送")
    private Integer sendType;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 角色ID */
    @Excel(name = "角色ID")
    private Long roleId;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    /** 消息JSON */
    @Excel(name = "消息JSON")
    private String msgJson;

    /** $column.columnComment */
    @Excel(name = "消息JSON")
    private Integer status;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** $column.columnComment */
    @Excel(name = "昵称")
    private String avatar;

    /** 用户类型 1微信用户 2小程序用户 3销售用户 */
    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;


    private Integer promptTokens;
    private Integer completionTokens;
    private Integer totalTokens;

}
