package com.fs.fastGpt.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 对话关系对象 fastgpt_chat_session
 *
 * @author fs
 * @date 2024-10-10
 */
@Data
public class FastGptChatSession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会话ID */
    private Long sessionId;

    /** 聊天id */
    @Excel(name = "聊天id")
    private String chatId;

    /** 客户ID uid */
    @Excel(name = "客户ID uid")
    private String userId;

    /** 客服ID 应用id? */
    @Excel(name = "客服ID 应用id?")
    private String kfId;

    /** 状态 1会话中 2已结束 */
    @Excel(name = "状态 1会话中 2已结束")
    private Integer status;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 是否查看 */
    @Excel(name = "是否查看")
    private Long isLook;

    /** 用户类型 1微信用户 2小程序用户 3销售用户 */
    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;

    /** 客户昵称 */
    @Excel(name = "客户昵称")
    private String nickName;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    private Integer isArtificial;

    private Date remindTime;

    private Integer remindStatus;

    private Integer remindCount;

    private Long qwExtId;
    private Long qwUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;

    private Integer isReply;

}
