package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 集合里数据对象 fastgpt_collention_data
 * 
 * @author fs
 * @date 2024-09-30
 */
@Data
public class FastGptCollentionData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 集合ID */
    @Excel(name = "集合ID")
    private String collectionId;

    /** 知识库id */
    private String datasetId;

    /** 主要数据 q（必填 ) */
    @Excel(name = "主要数据 q", readConverterExp = "主要数据 q（必填 )")
    private String question;

    /** 辅助数据 a（选填） */
    @Excel(name = "辅助数据 a", readConverterExp = "选=填")
    private String answer;

    /** 自定义索引（选填）。可以不传或者传空数组，默认都会使用q和a组成一个索引 */
    @Excel(name = "自定义索引", readConverterExp = "选=填")
    private String indexes;

    /** 所属企业ID */
    @Excel(name = "所属企业ID")
    private Long companyId;

    /**
    * 分块下表
    */
    private int chunkIndex;

}
