package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 知识库列对象 fastgpt_dataset
 * 
 * @author fs
 * @date 2024-09-30
 */
@Data
public class FastGptDataset extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 知识库id */
    private String datasetId;

    /** 父级ID，用于构建目录结构。通常可以为 null 或者直接不传。 */
    @Excel(name = "父级ID，用于构建目录结构。通常可以为 null 或者直接不传。")
    private String parentId;

    /** dataset或者folder，代表普通知识库和文件夹。不传则代表创建普通知识库。 */
    @Excel(name = "dataset或者folder，代表普通知识库和文件夹。不传则代表创建普通知识库。")
    private String type;

    /** 知识库名 */
    @Excel(name = "知识库名")
    private String name;

    /** 介绍 */
    @Excel(name = "介绍")
    private String intro;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 向量模型（建议传空，用系统默认的） */
    @Excel(name = "向量模型", readConverterExp = "建=议传空，用系统默认的")
    private String vectorModel;

    /** 文本处理模型（建议传空，用系统默认的） */
    @Excel(name = "文本处理模型", readConverterExp = "建=议传空，用系统默认的")
    private String agentModel;

    /** 许可？ */
    @Excel(name = "许可？")
    private String permission;

    /** 允许修改？ */
    @Excel(name = "允许修改？")
    private Long canWrite;

    /** 是否私有？ */
    @Excel(name = "是否私有？")
    private Long isOwner;

    /** 所属企业ID */
    @Excel(name = "所属企业ID")
    private Long companyId;

}
