package com.fs.fastGpt.mapper;

import com.fs.fastGpt.domain.FastGptChatKeyword;

import java.util.List;

/**
 * 关键字Mapper接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface FastGptChatKeywordMapper 
{
    /**
     * 查询关键字
     * 
     * @param keywordId 关键字主键
     * @return 关键字
     */
    public FastGptChatKeyword selectFastGptChatKeywordByKeywordId(Long keywordId);

    /**
     * 查询关键字列表
     * 
     * @param fastGptChatKeyword 关键字
     * @return 关键字集合
     */
    public List<FastGptChatKeyword> selectFastGptChatKeywordList(FastGptChatKeyword fastGptChatKeyword);

    /**
     * 新增关键字
     * 
     * @param fastGptChatKeyword 关键字
     * @return 结果
     */
    public int insertFastGptChatKeyword(FastGptChatKeyword fastGptChatKeyword);

    /**
     * 修改关键字
     * 
     * @param fastGptChatKeyword 关键字
     * @return 结果
     */
    public int updateFastGptChatKeyword(FastGptChatKeyword fastGptChatKeyword);

    /**
     * 删除关键字
     * 
     * @param keywordId 关键字主键
     * @return 结果
     */
    public int deleteFastGptChatKeywordByKeywordId(Long keywordId);

    /**
     * 批量删除关键字
     * 
     * @param keywordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptChatKeywordByKeywordIds(Long[] keywordIds);
}
