package com.fs.fastGpt.mapper;

import java.util.List;
import com.fs.fastGpt.domain.FastgptChatVoiceHomo;

/**
 * 多音字Mapper接口
 * 
 * @author fs
 * @date 2024-12-20
 */
public interface FastgptChatVoiceHomoMapper 
{
    /**
     * 查询多音字
     * 
     * @param id 多音字主键
     * @return 多音字
     */
    public FastgptChatVoiceHomo selectFastgptChatVoiceHomoById(Long id);

    /**
     * 查询多音字列表
     * 
     * @param fastgptChatVoiceHomo 多音字
     * @return 多音字集合
     */
    public List<FastgptChatVoiceHomo> selectFastgptChatVoiceHomoList(FastgptChatVoiceHomo fastgptChatVoiceHomo);

    /**
     * 新增多音字
     * 
     * @param fastgptChatVoiceHomo 多音字
     * @return 结果
     */
    public int insertFastgptChatVoiceHomo(FastgptChatVoiceHomo fastgptChatVoiceHomo);

    /**
     * 修改多音字
     * 
     * @param fastgptChatVoiceHomo 多音字
     * @return 结果
     */
    public int updateFastgptChatVoiceHomo(FastgptChatVoiceHomo fastgptChatVoiceHomo);

    /**
     * 删除多音字
     * 
     * @param id 多音字主键
     * @return 结果
     */
    public int deleteFastgptChatVoiceHomoById(Long id);

    /**
     * 批量删除多音字
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastgptChatVoiceHomoByIds(Long[] ids);
}
