package com.fs.fastGpt.service;

import com.fs.fastGpt.domain.FastGptChatMsgLogs;
import com.fs.fastGpt.param.FastGptChatMsgLogsListParam;
import com.fs.fastGpt.vo.FastGptChatMsgLogsListCVO;
import com.fs.fastGpt.vo.FastGptChatMsgLogsVO;

import java.util.List;

/**
 * 聊天记录日志Service接口
 * 
 * @author fs
 * @date 2024-10-10
 */
public interface IFastGptChatMsgLogsService 
{
    /**
     * 查询聊天记录日志
     * 
     * @param logsId 聊天记录日志主键
     * @return 聊天记录日志
     */
    public FastGptChatMsgLogs selectFastGptChatMsgLogsByLogsId(Long logsId);

    /**
     * 查询聊天记录日志列表
     * 
     * @param fastGptChatMsgLogs 聊天记录日志
     * @return 聊天记录日志集合
     */
    public List<FastGptChatMsgLogs> selectFastGptChatMsgLogsList(FastGptChatMsgLogs fastGptChatMsgLogs);

    /**
     * 新增聊天记录日志
     * 
     * @param fastGptChatMsgLogs 聊天记录日志
     * @return 结果
     */
    public int insertFastGptChatMsgLogs(FastGptChatMsgLogs fastGptChatMsgLogs);

    /**
     * 修改聊天记录日志
     * 
     * @param fastGptChatMsgLogs 聊天记录日志
     * @return 结果
     */
    public int updateFastGptChatMsgLogs(FastGptChatMsgLogs fastGptChatMsgLogs);

    /**
     * 批量删除聊天记录日志
     * 
     * @param logsIds 需要删除的聊天记录日志主键集合
     * @return 结果
     */
    public int deleteFastGptChatMsgLogsByLogsIds(Long[] logsIds);

    /**
     * 删除聊天记录日志信息
     * 
     * @param logsId 聊天记录日志主键
     * @return 结果
     */
    public int deleteFastGptChatMsgLogsByLogsId(Long logsId);

    List<FastGptChatMsgLogsVO> selectFastGptChatMsgLogsListVO(FastGptChatMsgLogs fastGptChatMsgLogs);

    List<FastGptChatMsgLogsListCVO> selectFastGptChatMsgLogsListCVO(FastGptChatMsgLogsListParam param);
}
