package com.fs.fastGpt.service;


import com.fs.common.core.domain.R;
import com.fs.fastGpt.domain.FastGptCollection;

import java.text.ParseException;
import java.util.List;

/**
 * 集合Service接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface IFastGptCollectionService 
{
    /**
     * 查询集合
     * 
     * @param collectionId 集合主键
     * @return 集合
     */
    public FastGptCollection selectFastGptCollectionByCollectionId(String collectionId);

    /**
     * 查询集合列表
     * 
     * @param fastGptCollection 集合
     * @return 集合集合
     */
    public List<FastGptCollection> selectFastGptCollectionList(FastGptCollection fastGptCollection);

    /**
     * 新增集合
     * 
     * @param fastGptCollection 集合
     * @return 结果
     */
    public R insertFastGptCollection(FastGptCollection fastGptCollection) throws Exception;

    /**
     * 修改集合
     * 
     * @param fastGptCollection 集合
     * @return 结果
     */
    public R updateFastGptCollection(FastGptCollection fastGptCollection);

    /**
     * 批量删除集合
     * 
     * @param collectionIds 需要删除的集合主键集合
     * @return 结果
     */
    public R deleteFastGptCollectionByCollectionIds(String[] collectionIds,Long companyId);

    /**
     * 删除集合信息
     * 
     * @param collectionId 集合主键
     * @return 结果
     */
    public int deleteFastGptCollectionByCollectionId(String collectionId);

    /**
    * 同步集合
    */
    public R syncCollection(String datasetId,Long companyId) throws ParseException;
}
