package com.fs.fastGpt.service;


import com.fs.common.core.domain.R;
import com.fs.fastGpt.domain.FastGptCollentionData;
import com.fs.fastgptApi.param.FastGptCollentionDataParam;

import java.text.ParseException;
import java.util.List;

/**
 * 集合里数据Service接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface IFastGptCollentionDataService 
{
    /**
     * 查询集合里数据
     * 
     * @param id 集合里数据主键
     * @return 集合里数据
     */
    public FastGptCollentionData selectFastGptCollentionDataById(String id);

    /**
     * 查询集合里数据列表
     * 
     * @param fastGptCollentionData 集合里数据
     * @return 集合里数据集合
     */
    public List<FastGptCollentionData> selectFastGptCollentionDataList(FastGptCollentionData fastGptCollentionData);

    /**
     * 新增集合里数据
     * 
     * @param param 集合里数据
     * @return 结果
     */
    public  R insertFastGptCollentionData(FastGptCollentionDataParam param);

    /**
     * 修改集合里数据
     * 
     * @param fastGptCollentionData 集合里数据
     * @return 结果
     */
    public R updateFastGptCollentionData(FastGptCollentionData fastGptCollentionData);

    /**
     * 批量删除集合里数据
     * 
     * @param ids 需要删除的集合里数据主键集合
     * @return 结果
     */
    public R deleteFastGptCollentionDataByIds(String[] ids,Long companyId);

    /**
     * 删除集合里数据信息
     * 
     * @param id 集合里数据主键
     * @return 结果
     */
    public int deleteFastGptCollentionDataById(String id);

    public R syncCollentionData(String collectionId, Long companyId) throws ParseException;
}
