package com.fs.fastgptApi.param;

import lombok.Data;

/**
* 创建一个链接集合
*/
@Data
public class CreateLinkCollectionParam {
    /**
    * 网络链接
    */
    public String link;
    /**
    * 知识库的ID(必填)
    */
    public String datasetId;
    /**
    * 父级ID，不填则默认为根目录
    */
    public String parentId;
    /**
     * 集合名称（必填）
     */
    public String name;
    /**
    * 必填）
     * chunk: 按文本长度进行分割
     * qa: QA拆分
    */
    public String trainingType;
    /**
    * 每个 chunk 的长度（可选）. chunk模式:100~3000; qa模式: 4000~模型最大token（16k模型通常建议不超过10000）
    */
    public int chunkSize;
    /**
    * 自定义最高优先分割符号（可选）
    */
    public String chunkSplitter;
    /**
    * qa拆分自定义提示词（可选）
    */
    public String qaPrompt;
    /**
    * 网页选择器，用于指定网页中的哪个元素作为文本(可选)
    */
    public CreateTextCollectionParam.Metadata metadata;

    @Data
    public static class Metadata {
        private String webPageSelector;
    }
}
