package com.fs.fastgptApi.result;

import lombok.Data;

import java.util.List;

@Data
public class AiImgResult {
    private List<Choice> choices;
    private long created;
    private String id;
    private String model;
    private String service_tier;
    private String object;
    private Usage usage;


    @Data
    public static class Choice {
        private String finish_reason;
        private int index;
        private Object logprobs; // 或定义一个具体类型
        private Message message;

    }
    @Data
    public static class Message {
        private String content;
        private String role;

    }

    @Data
    public static class Usage {
        private int completion_tokens;
        private int prompt_tokens;
        private int total_tokens;
        private TokenDetails prompt_tokens_details;
        private TokenDetails completion_tokens_details;

    }
    @Data
    public static class TokenDetails {
        private int cached_tokens;
        private int reasoning_tokens; // optional depending on context

    }
}
