package com.fs.gtPush.param;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.watch.param.BaseQueryParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * uni推送消息记录对象 uni_push_log
 *
 * @author fs
 * @date 2025-03-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UniPushLogParam extends BaseQueryParam {

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 推送id */
    @Excel(name = "推送id")
    private String jpushId;

    /** 推送类型:0 订单通知 1健康管理 2营销 */
    @Excel(name = "推送类型:0 订单通知(0.1药品 0.2服务包) 1健康管理 2营销")
    private Float type;

    /** 详细类型:
     type:1 0:未支付 1:支付成功 2:发货 3:派送 4:签收 */
    @Excel(name = "详细类型:")
    private Integer desType;

    /** 关联用户id */
    @Excel(name = "关联用户id")
    private Long userId;


    /** 关联事件id */
    @Excel(name = "关联事件id")
    private Long businessId;



    /** 推送内容 */
    @Excel(name = "推送内容")
    private String pushMsg;

    /** 推送结果 1:成功 0:失败 */
    @Excel(name = "推送结果 1:成功 0:失败")
    private Integer pushRes;

    /** 返回结果详情 */
    @Excel(name = "返回结果详情")
    private String returnMsg;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /** app是否已读 0:否 1:是 */
    private Integer isRead;



}
