package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 广告对象 fs_adv
 *
 * @author fs
 * @date 2023-06-08
 */
@Data
public class FsAdv extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long advId;

    /** 广告标题 */

    private String advTitle;

    /** 广告图片 */

    private String imageUrl;

    /** 广告地址 */

    private String advUrl;


    private String appAdvUrl;

    /** 内容 */

    private String content;

    /** 状态(1:正常，0:禁用) */

    private String status;

    /** 排序 */

    private String sort;

    /** 广告类型 1首页顶部 2首页底部 */

    private Integer advType;

    /** 显示类型 1公众号链接 2 小程序页面地址 3文章内容 */
    @Excel(name = "显示类型 1公众号链接 2 小程序页面地址 3文章内容")
    private Integer showType;


}
