package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * app版本对象 fs_app_version
 *
 * @author fs
 * @date 2023-08-03
 */
@Data
public class FsAppVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long versionId;

    /** 版本名称 */
    @Excel(name = "版本名称")
    private String versionName;

    /** 版本CODE */
    @Excel(name = "版本CODE")
    private Long versionCode;

    /** 更新描述 */
    @Excel(name = "更新描述")
    private String note;

    /** 下载地址 */
    @Excel(name = "下载地址")
    private String url;

    /** APP类型 1android 2ios */
    @Excel(name = "APP类型 1android 2ios")
    private Integer type;

    /** 是否强制更新 */
    @Excel(name = "是否强制更新")
    private Integer isForce;

    /** APP 类型 1医生端 2药师端 */
    @Excel(name = "APP 类型 1医生端 2药师端")
    private Integer appType;

    private Boolean appStoreUpdate;

    /** 应用市场强制更新 */
    private String updateConfig;

    /** 百度渠道下载地址 */
    private String baiduUrl;

    /** h5下载地址 */
    private String h5Url;


}
