package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 疾病对象 fs_disease
 * 
 * @author fs
 * @date 2023-06-01
 */
public class FsDisease extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long diseaseId;

    private String diseaseName;

    private String diseaseCode;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 简介 */
    @Excel(name = "简介")
    private String introduction;

    /** 症状 */
    @Excel(name = "症状")
    private String symptom;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 检验 */
    @Excel(name = "检验")
    private String inspect;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setDiseaseId(Long diseaseId) 
    {
        this.diseaseId = diseaseId;
    }

    public Long getDiseaseId() 
    {
        return diseaseId;
    }
    public void setDiseaseName(String diseaseName) 
    {
        this.diseaseName = diseaseName;
    }

    public String getDiseaseName() 
    {
        return diseaseName;
    }
    public void setDiseaseCode(String diseaseCode) 
    {
        this.diseaseCode = diseaseCode;
    }

    public String getDiseaseCode() 
    {
        return diseaseCode;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setIntroduction(String introduction) 
    {
        this.introduction = introduction;
    }

    public String getIntroduction() 
    {
        return introduction;
    }
    public void setSymptom(String symptom) 
    {
        this.symptom = symptom;
    }

    public String getSymptom() 
    {
        return symptom;
    }
    public void setDiagnose(String diagnose) 
    {
        this.diagnose = diagnose;
    }

    public String getDiagnose() 
    {
        return diagnose;
    }
    public void setInspect(String inspect) 
    {
        this.inspect = inspect;
    }

    public String getInspect() 
    {
        return inspect;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("diseaseId", getDiseaseId())
            .append("diseaseName", getDiseaseName())
            .append("diseaseCode", getDiseaseCode())
            .append("deptId", getDeptId())
            .append("introduction", getIntroduction())
            .append("symptom", getSymptom())
            .append("diagnose", getDiagnose())
            .append("inspect", getInspect())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
