package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 医生处方对象 fs_doctor_prescribe
 *
 * @author fs
 * @date 2023-08-08
 */
@Data
public class FsDoctorPrescribe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long prescribeId;

    /** 处方类型 1西药 2中药 */
    @Excel(name = "处方类型 1西药 2中药")
    private Integer prescribeType;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    @Excel(name = "医生ID")
    private Long storeId;

    /** 使用JSON */
    @Excel(name = "使用JSON")
    private String usageJson;


    private String remark;

    private Integer recipeType;

    private Integer cycle;

    private String icdCode;

}
