package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 医生处方药品对象 fs_doctor_prescribe_drug
 *
 * @author fs
 * @date 2023-08-08
 */
@Data
public class FsDoctorPrescribeDrug extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long drugId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long doctorId;

    /** 处方ID */
    @Excel(name = "处方ID")
    private Long prescribeId;

    /** 药品名称 */
    @Excel(name = "药品名称")
    private String drugName;

    /** 规格 */
    @Excel(name = "规格")
    private String drugSpec;

    /** 使⽤⽅法 */
    @Excel(name = "使⽤⽅法")
    private String usageMethod;

    /** 药品频次 */
    @Excel(name = "药品频次")
    private String usageFrequencyUnit;

    /** 每次⽤药数量 */
    @Excel(name = "每次⽤药数量")
    private String usagePerUseCount;

    /** 每次⽤药单位 */
    @Excel(name = "每次⽤药单位")
    private String usagePerUseUnit;

    /** 天数 */
    @Excel(name = "天数")
    private String usageDays;

    @Excel(name = "药品单价")
    private BigDecimal drugPrice;

    /** 药品数量 */
    @Excel(name = "药品数量")
    private Long drugNum;

    /** 药品数量单位 */
    @Excel(name = "药品数量单位")
    private String drugUnit;

    /** 药品说明书 */
    @Excel(name = "药品说明书")
    private String instructions;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long productId;

    /** 药品图片 */
    @Excel(name = "药品图片")
    private String drugImgUrl;

    private Long productAttrValueId;

    private String remark;

    private Integer drugType;

    private Integer isDrug;
}
