package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 导出任务对象 fs_export_task
 *
 * @author fs
 * @date 2024-11-19
 */
@Data
public class FsExportTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long taskId;

    /** 类型 1帐单记录 */
    @Excel(name = "类型 1帐单记录")
    private Integer taskType;

    /** 天始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    private Integer status;

    private Integer sysType;

    private Long userId;

    private Long companyUserId;


}
