package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 订单操作记录对象 fs_inquiry_order_logs
 *
 * @author fs
 * @date 2023-10-30
 */
@Data
public class FsInquiryOrderLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long logsId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 操作员 */
    @Excel(name = "操作员")
    private String operator;

}
