package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 图文订单对象 fs_inquiry_order_msg
 *
 * @author fs
 * @date 2023-06-12
 */
@Data
public class FsInquiryOrderMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long msgId;

    /** 消息类型 1会员消息 2医生消息 */
    @Excel(name = "消息类型 1会员消息 2医生消息")
    private String msgType;

    /** 会员ID */
    @Excel(name = "会员ID")
    private String fromAccount;

    /** 医生ID */
    @Excel(name = "医生ID")
    private String toAccount;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    private String msgKey;
    private Integer msgContentType;
}
