package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 积分商品对象 fs_integral_goods
 *
 * @author fs
 * @date 2023-11-02
 */
@Data
public class FsIntegralGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long goodsId;

    /** 封面图 */
    @Excel(name = "封面图")
    private String imgUrl;

    /** 组图 */
    @Excel(name = "组图")
    private String images;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal otPrice;

    /** 商品分类 */
    @Excel(name = "商品分类")
    private Long goodsType;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 所需积分 */
    @Excel(name = "所需积分")
    private Long integral;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** 详情 */
    @Excel(name = "详情")
    private String descs;

    @Excel(name = "产品编码")
    private String barCode;
}
