package com.fs.his.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 积分商品订单对象 fs_integral_order
 *
 * @author fs
 * @date 2023-11-02
 */
@Data
public class FsIntegralOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderCode;

    /** 用户id */

    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 用户电话 */
    @Excel(name = "用户电话")
    private String userPhone;

    /** 用户地址 */
    @Excel(name = "用户地址")
    private String userAddress;

    /** 商品信息 */
    @Excel(name = "商品信息")
    private String itemJson;

    /** 支付积分 */
    @Excel(name = "支付积分")
    private String integral;

    /** 1：待发货；2：待收货；3：已完成 */
    @Excel(name = "状态",dictType="sys_integral_order_status")
    private Integer status;
    @Excel(name = "商品编号")
    private String barCode;
    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String deliveryCode;

    /** 快递名称 */
    @Excel(name = "快递名称")
    private String deliveryName;

    /** 快递单号 */
    @Excel(name = "快递单号")
    private String deliverySn;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发货时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;

    /**
     * 企业微信ID
     * **/
    @Excel(name = "企业微信ID")
    private Long qwUserId;

    /**
     * 销售ID
     * **/
    @Excel(name = "销售ID")
    private Long companyUserId;

    /**
     * 销售公司ID
     * **/
    @Excel(name = "销售公司ID")
    private Long companyId;
}
