package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 套餐包对象 fs_package
 *
 * @author fs
 * @date 2023-08-25
 */
@Data
public class FsPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long packageId;
    /** 套餐包名称 */
    @Excel(name = "套餐包名称")
    private String packageName;

    @Excel(name = "别名")
    private String secondName;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer sort;
    /** 价格配置 */
    @Excel(name = "价格配置")
    private String productJson;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;
    private Integer isDel;
    @Excel(name = "套餐类型")
    private Integer packageType; // 套餐类型，1医生包2企业包
    @Excel(name = "支付方式")
    private String payType; // 支付方式，1全款支付 2物流代收 3货到付款
    @Excel(name = "服用方法")
    private String describeJson; // 描述JSON
    @Excel(name = "限购次数")
    private Integer num; // 限购次数
    @Excel(name = "套餐详情")
    private String desc; // 套餐详情，放产品详情图片
    @Excel(name = "是否展示")
    private Integer isShow; // 是否展示
    @Excel(name = "子套餐类型")
    private Integer packageSubType; // 子套餐
    @Excel(name = "总价")
    private BigDecimal price; // 总价 xx元/天
    @Excel(name = "标签")
    private String tags; // 标签
    @Excel(name = "销量")
    private Integer sales; // 销量
    @Excel(name = "疾病类别")
    private Integer diseaseType; // 病类别
    @Excel(name = "商品类别")
    private Integer productType; //商品类别
    @Excel(name = "套餐价")
    private BigDecimal totalPrice;
    @Excel(name = "周期")
    private Integer cycle;
    @Excel(name = "签约时长")
    private Integer duration;
    @Excel(name = "封面图")
    private String imgUrl;

    @Excel(name = "轮播图")
    private String images;

    @Excel(name = "店铺id")
    private Long storeId;
    @Excel(name = "制作类型")
    private Integer recipeType;
    @Excel(name = "剂数")
    private Integer counts;
    @Excel(name = "每日几次")
    private String usageFrequencyUnit;
    @Excel(name = "私域疗法类型")
    private Integer privateType;
    @Excel(name = "随访次数")
    private Integer followNum;
    @Excel(name = "方解")
    private String explain;
    @Excel(name = "功效")
    private String indication;
    @Excel(name = "用药数量")
    private String usagePerUseCount;
    private BigDecimal productCostPrice;
    private BigDecimal inquiryCostPrice;
    private BigDecimal totalCostPrice;
    @Excel(name = "模板id")
    private Long followTempId;
    @Excel(name = "医嘱")
    private String doctorRemark;
    private String icdCode;
    @Excel(name = "描述")
    private String description;
}
