package com.fs.his.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 套餐订单对象 fs_package_order
 *
 * @author fs
 * @date 2023-08-25
 */
@Data
public class FsPackageOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String packageName;

    /** 套餐名称 */
    @Excel(name = "套餐别名")
    private String packageSecondName;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 天数 */
    @Excel(name = "天数")
    private Integer days;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    @Excel(name = "json")
    private String formJson;

    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "公司用户ID")
    private Long companyUserId;

    @Excel(name = "问诊订单ID")
    private Long inquiryOrderId;

    @Excel(name = "商品订单ID")
    private Long storeOrderId;

    @Excel(name = "套餐包数据")
    private String packageJson;

    @Excel(name = "患者数据")
    private String patientJson;

    @Excel(name = "退款图片")
    private String refundImg;

    @Excel(name = "退款用户说明")
    private String refundExplain;

    @Excel(name = "不退款的理由")
    private String refundReason;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "退款时间")
    private Date refundTime;

    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间")
    private Date payTime;

    @Excel(name = "退款状态")
    private Integer refundStatus;

    @Excel(name = "套餐价格")
    private BigDecimal totalPrice;
    @Excel(name = "地址")
    private String addressJson;
    @Excel(name = "付款类型")
    private Integer payType;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "店铺id")
    private Long storeId;
    @Excel(name = "实际支付金额")
    private BigDecimal payPrice;
    @Excel(name = "剩余金额")
    private BigDecimal payRemain;
    @Excel(name = "邮费")
    private BigDecimal payDelivery;
    @Excel(name = "优惠金额")
    private BigDecimal discountMoney;
    @Excel(name = "随访次数")
    private Integer followNum;
    @Excel(name = "已随访次数")
    private Integer followCount;
    private BigDecimal productCostPrice;
    private BigDecimal inquiryCostPrice;
    private BigDecimal totalCostPrice;
    private BigDecimal costDiscountMoney;
    private Integer cycle;
    private Integer packageSubType;
    private Long followTempId;
    private Integer followRate;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date followTime;
    private Long followDoctorId;
    private BigDecimal prescribePrice;
    private Long deptId;
    private String doctorRemark;

    private Long userCouponId;
    private String icdCode;
    private Integer source;
}
