package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 店铺管理对象 fs_store
 *
 * @author fs
 * @date 2023-06-15
 */
@Data
public class FsStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long storeId;

    /** 所属城市ids */
    private String cityIds;

    /** 店铺名称 */
    @Excel(name = "店铺名称")
    private String storeName;

    /** 店铺介绍 */
    @Excel(name = "店铺介绍")
    private String descs;

    /** 店铺LOGO */
    @Excel(name = "店铺LOGO")
    private String logoUrl;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 经度 */
    private String lng;

    /** 维度 */
    private String lat;

    /** 店铺电话 */
    @Excel(name = "店铺电话")
    private String phone;

    /** 资质证书 */
    @Excel(name = "资质证书")
    private String licenseImages;

    /** 商品总数 */
    @Excel(name = "商品总数")
    private Long productCount;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 销量 */
    @Excel(name = "销量")
    private Long salesCount;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 累计金额 */
    @Excel(name = "累计金额")
    private BigDecimal totalMoney;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer isAudit;

    /** 登录帐号 */
    @Excel(name = "登录帐号")
    private String account;

    /** 登录密码 */
    @Excel(name = "登录密码")
    private String password;

    /** 配送方式 1=配送 ，2=到店自提 */
    private String shippingType;


    private Integer brokerageType;

    private Integer brokerageRate;


    private String fullName;


    private String refundPhone;
    private String refundAddress;
    private String refundConsignee;

    private Integer deliveryType;

    private String sendPhone;

}
