package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 售后记录对象 fs_store_after_sales
 *
 * @author fs
 * @date 2023-06-13
 */
@Data
public class FsStoreAfterSales extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundAmount;

    /** 服务类型0仅退款1退货退款 */
    @Excel(name = "服务类型0仅退款1退货退款")
    private Integer refundType;

    /** 申请原因 */
    @Excel(name = "申请原因")
    private String reasons;

    /** 说明 */
    @Excel(name = "说明")
    private String explains;

    /** 说明图片-&gt;多个用逗号分割 */
    @Excel(name = "说明图片-&gt;多个用逗号分割")
    private String explainImg;

    /** 物流公司编码 */
    @Excel(name = "物流公司编码")
    private String deliveryCode;

    /** 物流单号 */
    @Excel(name = "物流单号")
    private String deliverySn;

    /** 物流名称 */
    @Excel(name = "物流名称")
    private String deliveryName;

    /** 状态 0已提交等待平台审核 1平台已审核 等待用户发货 2 用户已发货待仓库审核 3财务审核 4退款成功 */
    @Excel(name = "状态 0已提交等待平台审核 1平台已审核 等待用户发货 2 用户已发货待仓库审核 3财务审核 4退款成功")
    private Integer status;

    /** 售后状态 0售后中 1用户取消2商家拒绝 3已完成 */
    @Excel(name = "售后状态 0售后中 1用户取消2商家拒绝 3已完成")
    private Integer salesStatus;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Integer orderStatus;

    /** 逻辑删除 */
    @Excel(name = "逻辑删除")
    private Integer isDel;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 商家收货人 */
    @Excel(name = "商家收货人")
    private String consignee;

    /** 商家手机号 */
    @Excel(name = "商家手机号")
    private String phoneNumber;

    /** 商家地址 */
    @Excel(name = "商家地址")
    private String address;

    private Long companyId;

    private Long companyUserId;

    private Integer isPackage;

    private String packageJson;

    private Long deptId;

    private String operator;

    private String remark;
}
