package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 店铺帐单记录对象 fs_store_bill
 * 
 * @author fs
 * @date 2023-06-25
 */
public class FsStoreBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long billId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 类型 */
    @Excel(name = "类型")
    private Integer billType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String businessId;

    public void setBillId(Long billId) 
    {
        this.billId = billId;
    }

    public Long getBillId() 
    {
        return billId;
    }
    public void setStoreId(Long storeId) 
    {
        this.storeId = storeId;
    }

    public Long getStoreId() 
    {
        return storeId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setBalance(BigDecimal balance) 
    {
        this.balance = balance;
    }

    public BigDecimal getBalance() 
    {
        return balance;
    }
    public void setBillType(Integer billType) 
    {
        this.billType = billType;
    }

    public Integer getBillType() 
    {
        return billType;
    }
    public void setBusinessId(String businessId) 
    {
        this.businessId = businessId;
    }

    public String getBusinessId() 
    {
        return businessId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("billId", getBillId())
            .append("storeId", getStoreId())
            .append("title", getTitle())
            .append("money", getMoney())
            .append("balance", getBalance())
            .append("billType", getBillType())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("businessId", getBusinessId())
            .toString();
    }
}
