package com.fs.his.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 店铺提现管理对象 fs_store_extract
 * 
 * @author fs
 * @date 2023-06-25
 */
@Data
public class FsStoreExtract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long extractId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 名称 */
    @Excel(name = "名称")
    private String realName;

    /** bank = 银行卡 alipay = 支付宝wx=微信 */
    @Excel(name = "bank = 银行卡 alipay = 支付宝wx=微信")
    private String extractType;

    /** 银行卡 */
    @Excel(name = "银行卡")
    private String bankCode;

    /** 开户地址 */
    @Excel(name = "开户地址")
    private String bankAddress;

    /** 支付宝账号 */
    @Excel(name = "支付宝账号")
    private String alipayCode;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal extractPrice;

    /** $column.columnComment */
    @Excel(name = "提现金额")
    private String mark;

    /** $column.columnComment */
    @Excel(name = "提现金额")
    private BigDecimal balance;

    /** 无效原因 */
    @Excel(name = "无效原因")
    private String failMsg;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "无效原因", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failTime;

    /** -1 未通过 0 审核中 1 已提现 */
    @Excel(name = "-1 未通过 0 审核中 1 已提现")
    private Long status;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechat;

    /** $column.columnComment */
    @Excel(name = "微信号")
    private Integer isDel;


}
