package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 订单详情对象 fs_store_order_item
 *
 * @author fs
 * @date 2023-06-13
 */
@Data
public class FsStoreOrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long itemId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 购物车ID */
    @Excel(name = "购物车ID")
    private Long cartId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 商品规格ID */
    @Excel(name = "商品规格ID")
    private Long productAttrValueId;

    /** $column.columnComment */
    @Excel(name = "商品规格ID")
    private String jsonInfo;

    /** 数量 */
    @Excel(name = "数量")
    private Long num;

    /** 是否申请售后 0否1是 */
    @Excel(name = "是否申请售后 0否1是")
    private Integer isAfterSales;

    /** 是否为处方药 */
    @Excel(name = "是否为处方药")
    private Integer isPrescribe;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    private Integer isGift;

    private Integer isDrug;
}
