package com.fs.his.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 订单操作记录对象 fs_store_order_logs
 * 
 * @author fs
 * @date 2023-06-13
 */
@Data
public class FsStoreOrderLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long logsId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String changeType;

    /** 操作备注 */
    @Excel(name = "操作备注")
    private String changeMessage;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date changeTime;

    /** 操作员 */
    @Excel(name = "操作员")
    private String operator;



}
