package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.his.dto.StoreOrderProductDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * 商品组合套餐对象 fs_store_product_package
 *
 * @author fs
 * @date 2022-07-14
 */
@Data
public class FsStoreProductPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 20 */
    private Long packageId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 描述 */
    @Excel(name = "描述")
    private String descs;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 封面 */
    @Excel(name = "封面")
    private String imgUrl;

    @Excel(name = "组图")
    private String images;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "部门ID")
    private Long deptId;

    private String products;

    private Integer payType;

    private Integer limitCount;

    private Integer cateId;

    private Integer sort;

    private Integer status;

    List<StoreOrderProductDTO> productList;
}
