package com.fs.his.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 提现对象 fs_user_extract
 *
 * @author fs
 * @date 2023-10-26
 */
@Data
public class FsUserExtract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String extractId;

    /** userID */
    @Excel(name = "userID")
    private String userId;

    /** bank = 银行卡 alipay = 支付宝 weixin=微信 */
    @Excel(name = "bank = 银行卡 alipay = 支付宝 weixin=微信")
    private String extractType;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String userName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 银行卡 */
    @Excel(name = "银行卡")
    private String bankNo;

    /** 开户行 */
    @Excel(name = "开户行")
    private String bankName;

    /** 支行 */
    @Excel(name = "支行")
    private String bankSubName;

    /** 支付宝姓名 */
    @Excel(name = "支付宝姓名")
    private String alipayName;

    /** 支付宝账号 */
    @Excel(name = "支付宝账号")
    private String alipayAccount;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechat;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal extractPrice;

    /** $column.columnComment */
    @Excel(name = "提现金额")
    private BigDecimal balance;

    /** 无效原因 */
    @Excel(name = "无效原因")
    private String failMsg;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "无效原因", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failTime;

    /** -1 未通过 0 审核中 1 已提现 */
    @Excel(name = "-1 未通过 0 审核中 1 已提现")
    private Long status;

    /** $column.columnComment */
    @Excel(name = "-1 未通过 0 审核中 1 已提现")
    private Integer isDel;


}
