package com.fs.his.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员充值对象 fs_user_recharge
 *
 * @author fs
 * @date 2023-11-02
 */
@Data
public class FsUserRecharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long rechargeId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal money;

    /** 增送金额 */
    @Excel(name = "增送金额")
    private BigDecimal freeMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;


}
