package com.fs.his.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserExtractDTO {
    private Long extractId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    @Excel(name = "昵称")
    private String nickName;
    @Excel(name = "用户电话")
    private Long phone;
    /** 名称 */
    @Excel(name = "名称")
    private String realName;

    /** bank = 银行卡 alipay = 支付宝wx=微信 */
    @Excel(name = "bank = 银行卡 alipay = 支付宝wx=微信")
    private String extractType;

    /** 银行卡 */
    @Excel(name = "银行卡")
    private String bankCode;

    /** 开户地址 */
    @Excel(name = "开户地址")
    private String bankAddress;

    /** 支付宝账号 */
    @Excel(name = "支付宝账号")
    private String alipayCode;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal extractPrice;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 无效原因 */
    @Excel(name = "无效原因")
    private String failMsg;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "无效原因", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failTime;

    /** -1 未通过 0 审核中 1 已提现 */
    @Excel(name = "-1 未通过 0 审核中 1 已提现")
    private Long status;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechat;

    /** $column.columnComment */
    @Excel(name = "微信号")
    private Integer isDel;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;



}
