package com.fs.his.dto;

import com.fs.common.annotation.Excel;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder

@Data
public class StoreOrderProductDTO implements Serializable {
    private Long id;
    /** 商品ID */
    private Long productId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String productName;

    private String sku;

    /** 属性金额 */
    @Excel(name = "属性金额",cellType= Excel.ColumnType.NUMERIC)
    private BigDecimal price;

    private BigDecimal costPrice;
    /** 图片 */
    private String image;

    /** 商品条码 */
    @Excel(name = "商品条码")
    private String barCode;

    @Excel(name = "商品数量")
    private Integer count;

}
