package com.fs.his.mapper;

import com.fs.aiChat.domain.DoctorAiChatSession;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 对话关系Mapper接口
 *
 * @author fs
 * @date 2024-12-30
 */
public interface DoctorAiChatSessionMapper
{
    /**
     * 查询对话关系
     *
     * @param sessionId 对话关系主键
     * @return 对话关系
     */
    public DoctorAiChatSession selectDoctorAiChatSessionBySessionId(Long sessionId);

    /**
     * 查询对话关系列表
     *
     * @param doctorAiChatSession 对话关系
     * @return 对话关系集合
     */
    public List<DoctorAiChatSession> selectDoctorAiChatSessionList(DoctorAiChatSession doctorAiChatSession);

    /**
     * 新增对话关系
     *
     * @param doctorAiChatSession 对话关系
     * @return 结果
     */
    public int insertDoctorAiChatSession(DoctorAiChatSession doctorAiChatSession);

    /**
     * 修改对话关系
     *
     * @param doctorAiChatSession 对话关系
     * @return 结果
     */
    public int updateDoctorAiChatSession(DoctorAiChatSession doctorAiChatSession);

    /**
     * 删除对话关系
     *
     * @param sessionId 对话关系主键
     * @return 结果
     */
    public int deleteDoctorAiChatSessionBySessionId(Long sessionId);

    /**
     * 批量删除对话关系
     *
     * @param sessionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDoctorAiChatSessionBySessionIds(Long[] sessionIds);

    @Select("SELECT * from fs_doctor_ai_chat_session where user_id=#{userId} and patient_id=#{patientId} and  doctor_id=#{doctorId} limit 1")
    DoctorAiChatSession selectDoctorAiChatSessionByUserIdAndPatIdAndDoctorId(@Param("userId") Long userId,@Param("patientId")  Long patientId,@Param("doctorId")  Long doctorId);
}
