package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsHealthHistoryTemp;
import com.fs.his.vo.FsHealthHistoryTempListUVO;
import org.apache.ibatis.annotations.Select;

/**
 * 健康史模板Mapper接口
 *
 * @author fs
 * @date 2024-08-29
 */
public interface FsHealthHistoryTempMapper
{
    /**
     * 查询健康史模板
     *
     * @param id 健康史模板主键
     * @return 健康史模板
     */
    public FsHealthHistoryTemp selectFsHealthHistoryTempById(Long id);

    /**
     * 查询健康史模板列表
     *
     * @param fsHealthHistoryTemp 健康史模板
     * @return 健康史模板集合
     */
    public List<FsHealthHistoryTemp> selectFsHealthHistoryTempList(FsHealthHistoryTemp fsHealthHistoryTemp);

    /**
     * 新增健康史模板
     *
     * @param fsHealthHistoryTemp 健康史模板
     * @return 结果
     */
    public int insertFsHealthHistoryTemp(FsHealthHistoryTemp fsHealthHistoryTemp);

    /**
     * 修改健康史模板
     *
     * @param fsHealthHistoryTemp 健康史模板
     * @return 结果
     */
    public int updateFsHealthHistoryTemp(FsHealthHistoryTemp fsHealthHistoryTemp);

    /**
     * 删除健康史模板
     *
     * @param id 健康史模板主键
     * @return 结果
     */
    public int deleteFsHealthHistoryTempById(Long id);

    /**
     * 批量删除健康史模板
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsHealthHistoryTempByIds(Long[] ids);

    @Select("select * from fs_health_history_temp where `status`=1 order by sort")
    List<FsHealthHistoryTempListUVO> selectFsHealthHistoryTempListUVO();
}
