package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsInquiryOrderMedia;

/**
 * 媒体订单Mapper接口
 * 
 * @author fs
 * @date 2023-06-12
 */
public interface FsInquiryOrderMediaMapper 
{
    /**
     * 查询媒体订单
     * 
     * @param mediaId 媒体订单主键
     * @return 媒体订单
     */
    public FsInquiryOrderMedia selectFsInquiryOrderMediaByMediaId(Long mediaId);

    /**
     * 查询媒体订单列表
     * 
     * @param fsInquiryOrderMedia 媒体订单
     * @return 媒体订单集合
     */
    public List<FsInquiryOrderMedia> selectFsInquiryOrderMediaList(FsInquiryOrderMedia fsInquiryOrderMedia);

    /**
     * 新增媒体订单
     * 
     * @param fsInquiryOrderMedia 媒体订单
     * @return 结果
     */
    public int insertFsInquiryOrderMedia(FsInquiryOrderMedia fsInquiryOrderMedia);

    /**
     * 修改媒体订单
     * 
     * @param fsInquiryOrderMedia 媒体订单
     * @return 结果
     */
    public int updateFsInquiryOrderMedia(FsInquiryOrderMedia fsInquiryOrderMedia);

    /**
     * 删除媒体订单
     * 
     * @param mediaId 媒体订单主键
     * @return 结果
     */
    public int deleteFsInquiryOrderMediaByMediaId(Long mediaId);

    /**
     * 批量删除媒体订单
     * 
     * @param mediaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsInquiryOrderMediaByMediaIds(Long[] mediaIds);
}
