package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsInquiryTemp;
import com.fs.his.param.FsInquiryTempParam;
import com.fs.his.vo.FsInquiryTempListVO;
import org.apache.ibatis.annotations.Select;

/**
 * 模板Mapper接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface FsInquiryTempMapper
{
    /**
     * 查询模板
     *
     * @param tempId 模板主键
     * @return 模板
     */
    public FsInquiryTemp selectFsInquiryTempByTempId(Long tempId);

    /**
     * 查询模板列表
     *
     * @param fsInquiryTemp 模板
     * @return 模板集合
     */
    public List<FsInquiryTemp> selectFsInquiryTempList(FsInquiryTemp fsInquiryTemp);

    /**
     * 新增模板
     *
     * @param fsInquiryTemp 模板
     * @return 结果
     */
    public int insertFsInquiryTemp(FsInquiryTemp fsInquiryTemp);

    /**
     * 修改模板
     *
     * @param fsInquiryTemp 模板
     * @return 结果
     */
    public int updateFsInquiryTemp(FsInquiryTemp fsInquiryTemp);

    /**
     * 删除模板
     *
     * @param tempId 模板主键
     * @return 结果
     */
    public int deleteFsInquiryTempByTempId(Long tempId);

    /**
     * 批量删除模板
     *
     * @param tempIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsInquiryTempByTempIds(Long[] tempIds);

    @Select({"<script> " +
            "select temp_id, temp_type, title, create_time, update_time, sort from fs_inquiry_temp"+
            " <where>  \n" +
            "            <if test=\"tempType != null \"> and temp_type = #{tempType}</if>\n" +
            "            <if test=\"title != null  and title != ''\"> and title like concat('%', #{title}, '%')</if>\n" +
            "        </where> order by sort,temp_id desc"+
            "</script>"})
    List<FsInquiryTempListVO> selectFsInquiryTempListVO(FsInquiryTempParam fsInquiryTemp);
}
