package com.fs.his.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsStoreOrderBillLog;

/**
 * 订单开票记录Mapper接口
 * 
 * @author fs
 * @date 2025-01-07
 */
public interface FsStoreOrderBillLogMapper extends BaseMapper<FsStoreOrderBillLog> {
    /**
     * 查询订单开票记录
     * 
     * @param id 订单开票记录主键
     * @return 订单开票记录
     */
    public FsStoreOrderBillLog selectFsStoreOrderBillLogById(Long id);

    /**
     * 查询订单开票记录列表
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 订单开票记录集合
     */
    public List<FsStoreOrderBillLog> selectFsStoreOrderBillLogList(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 新增订单开票记录
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 结果
     */
    public int insertFsStoreOrderBillLog(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 修改订单开票记录
     * 
     * @param fsStoreOrderBillLog 订单开票记录
     * @return 结果
     */
    public int updateFsStoreOrderBillLog(FsStoreOrderBillLog fsStoreOrderBillLog);

    /**
     * 删除订单开票记录
     * 
     * @param id 订单开票记录主键
     * @return 结果
     */
    public int deleteFsStoreOrderBillLogById(Long id);

    /**
     * 批量删除订单开票记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsStoreOrderBillLogByIds(Long[] ids);
}
