package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsStoreOrderLogs;

/**
 * 订单操作记录Mapper接口
 * 
 * @author fs
 * @date 2023-06-13
 */
public interface FsStoreOrderLogsMapper 
{
    /**
     * 查询订单操作记录
     * 
     * @param logsId 订单操作记录主键
     * @return 订单操作记录
     */
    public FsStoreOrderLogs selectFsStoreOrderLogsByLogsId(String logsId);

    /**
     * 查询订单操作记录列表
     * 
     * @param fsStoreOrderLogs 订单操作记录
     * @return 订单操作记录集合
     */
    public List<FsStoreOrderLogs> selectFsStoreOrderLogsList(FsStoreOrderLogs fsStoreOrderLogs);

    /**
     * 新增订单操作记录
     * 
     * @param fsStoreOrderLogs 订单操作记录
     * @return 结果
     */
    public int insertFsStoreOrderLogs(FsStoreOrderLogs fsStoreOrderLogs);

    /**
     * 修改订单操作记录
     * 
     * @param fsStoreOrderLogs 订单操作记录
     * @return 结果
     */
    public int updateFsStoreOrderLogs(FsStoreOrderLogs fsStoreOrderLogs);

    /**
     * 删除订单操作记录
     * 
     * @param logsId 订单操作记录主键
     * @return 结果
     */
    public int deleteFsStoreOrderLogsByLogsId(String logsId);

    /**
     * 批量删除订单操作记录
     * 
     * @param logsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsStoreOrderLogsByLogsIds(String[] logsIds);
}
