package com.fs.his.mapper;

import com.fs.his.domain.FsStoreProductGroup;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 商品组合Mapper接口
 *
 * @author fs
 * @date 2022-11-23
 */
public interface FsStoreProductGroupMapper
{
    /**
     * 查询商品组合
     *
     * @param groupId 商品组合ID
     * @return 商品组合
     */
    public FsStoreProductGroup selectFsStoreProductGroupById(Long groupId);

    /**
     * 查询商品组合列表
     *
     * @param fsStoreProductGroup 商品组合
     * @return 商品组合集合
     */
    public List<FsStoreProductGroup> selectFsStoreProductGroupList(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 新增商品组合
     *
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int insertFsStoreProductGroup(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 修改商品组合
     *
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int updateFsStoreProductGroup(FsStoreProductGroup fsStoreProductGroup);

    /**
     * 删除商品组合
     *
     * @param groupId 商品组合ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupById(Long groupId);

    /**
     * 批量删除商品组合
     *
     * @param groupIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupByIds(Long[] groupIds);

    @Select("select * from fs_store_product_group where bar_code=#{groupBarCode}")
    FsStoreProductGroup selectFsStoreProductGroupByBarCode(String groupBarCode);
    @Update({"<script> " +
            "update fs_store_product_group " +
            "set products= REPLACE ( products, '\"id\":${oldValId}}' ,'\"id\":${newValId}}' ) " +
            "</script>"})
    void updateProducts(@Param("oldValId") Long oldId, @Param("newValId")Long newId);
}
