package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsUserInvited;

/**
 * 用户填写邀请码记录Mapper接口
 *
 * @author fs
 * @date 2025-03-06
 */
public interface FsUserInvitedMapper extends BaseMapper<FsUserInvited>{
    /**
     * 查询用户填写邀请码记录
     *
     * @param id 用户填写邀请码记录主键
     * @return 用户填写邀请码记录
     */
    FsUserInvited selectFsUserInvitedById(Long id);

    /**
     * 查询用户填写邀请码记录列表
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 用户填写邀请码记录集合
     */
    List<FsUserInvited> selectFsUserInvitedList(FsUserInvited fsUserInvited);

    /**
     * 新增用户填写邀请码记录
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 结果
     */
    int insertFsUserInvited(FsUserInvited fsUserInvited);

    /**
     * 修改用户填写邀请码记录
     *
     * @param fsUserInvited 用户填写邀请码记录
     * @return 结果
     */
    int updateFsUserInvited(FsUserInvited fsUserInvited);

    /**
     * 删除用户填写邀请码记录
     *
     * @param id 用户填写邀请码记录主键
     * @return 结果
     */
    int deleteFsUserInvitedById(Long id);

    /**
     * 批量删除用户填写邀请码记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserInvitedByIds(Long[] ids);
}
