package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsDoctorParam {

    /** ID */
    private Long doctorId;

    /** 医生姓名 */
    @Excel(name = "医生姓名")
    private String doctorName;

    /** 简介 */
    @Excel(name = "简介")
    private String introduction;

    /** 擅长领域 */
    @Excel(name = "擅长领域")
    private String speciality;

    /** 资格证编号 */
    @Excel(name = "资格证编号")
    private String certificateCode;

    /** 证书照片 */
    @Excel(name = "证书照片")
    private String certificateImages;

    /** 证书图片反面 */
    @Excel(name = "证书图片反面")
    private String certificateImagesBack;

    /** 执业证编号 */
    @Excel(name = "执业证编号")
    private String practiseCode;

    /** 执业证正面 */
    @Excel(name = "执业证正面")
    private String practiseImages;

    /** 执业证反面 */
    @Excel(name = "执业证反面")
    private String practiseImagesBack;

    /** 工作照 */
    @Excel(name = "工作照")
    private String avatar;

    /** 所属用户 */
    @Excel(name = "所属用户")
    private Long userId;

    /** 所属医院 */
    @Excel(name = "所属医院")
    private Long hospitalId;

    /** 科室ID */
    @Excel(name = "科室ID")
    private Long deptId;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 职务 */
    @Excel(name = "职务")
    private String position;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 评分 */
    @Excel(name = "评分")
    private Integer pingStar;

    /** 咨询量 */
    @Excel(name = "咨询量")
    private Long orderNumber;

    /** 平均响应速度 分钟 */
    @Excel(name = "平均响应速度 分钟")
    private Long speed;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 医生类型 1医生 2药师 */
    @Excel(name = "医生类型 1医生 2药师")
    private Integer doctorType;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bitthday;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 身份证正面 */
    @Excel(name = "身份证正面")
    private String idCardFrontUrl;

    /** 身份证反面 */
    @Excel(name = "身份证反面")
    private String idCardBackUrl;

    /** 所属省市区 */
    @Excel(name = "所属省市区")
    private String cityIds;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String district;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isTui;

    /** 是否专家 */
    @Excel(name = "是否专家")
    private Integer isExpert;

    /** 工作状态 */
    @Excel(name = "工作状态")
    private Integer workStatus;

    /** 是否审核 */
    @Excel(name = "是否审核")
    private Integer isAudit;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    /** 价格配置 */
    @Excel(name = "价格配置")
    private String priceJson;

    /** 帐号 */
    @Excel(name = "帐号")
    private String account;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    private String isAccept;



    private String isSelf;
    private String signUrl;

    private String packageId;

    private Integer isPrescribeDoctor;

    private Long   prescribeDoctorId;
}
