package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Date;

@Data
public class FsInquiryOrderCreateParam implements Serializable {
    Long userId;
    @NotNull(message = "orderKey不能为空")
    private String orderKey;
    @NotNull(message = "patientId不能为空")
    private Long patientId;

    @NotEmpty(message = "病情描述不能为空")
    private String title;
//    @NotEmpty(message = "患病时长不能为空")
    private String duration;
//    @NotEmpty(message = "是否就诊不能为空")
    private String isVisit;

    @NotNull(message = "问诊类型不能为空")
    private Integer inquiryType;
    private Integer inquirySubType;
    @NotNull(message = "订单类型不能为空")
    private Integer orderType;
    private Long doctorId;
    private String reportImages;//检测报告
    private String tongueImages;//舌苔
    private String faceImages;//面部
    private String handImages;//手
    private String height;//身高(CM)
    private String weight;//体重(KG)
    @Size(min = 11, max = 11, message = "手机号长度必须是11位")
    @Pattern(regexp="^1[3456789]\\d{9}$",message="手机号格式不正确")
    private String mobile;//联系电话
    private String medication;//用药情况
    private String usage;//期望会诊方式
    private Long companyId;
    private Long companyUserId;
    private Integer source;//订单来源 1:小程序 2:app  3:H5

}
