package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class FsInquiryOrderParam {
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 问诊标题 */
    @Excel(name = "问诊标题")
    private String title;

    /** 病例组图 */
    @Excel(name = "病例组图")
    private String imgs;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 病人ID */
    @Excel(name = "病人ID")
    private Long patientId;

    @Excel(name = "病人名称")
    private String patientName;
    @Excel(name = "电话")
    private String phone;
    /** 订单类型 1图文 2语音 */
    @Excel(name = "订单类型 1图文 2语音")
    private Integer orderType;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private BigDecimal money;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付类型 1微信支付 */
    @Excel(name = "支付类型 1微信支付")
    private Integer payType;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 医生ID */
    @Excel(name = "医生")
    private String doctorName;
    private String sendName;
    /** 医生ID */
    @Excel(name = "医生")
    private String patientJson;
    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 状态 0待支付 1已支付 2已完成  -1已关闭 -2已退款 */
    @Excel(name = "状态 0待支付 1已支付 2已完成  -1已关闭 -2已退款")
    private Integer status;

    /** 问诊开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "问诊开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 问诊开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    /** 问诊开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 是否评价 */
    @Excel(name = "是否评价")
    private Integer isPing;


    /** 科室ID */
    @Excel(name = "科室ID")
    private Long departmentId;
    @Excel(name = "科室ID")
    private String deptName;
    /** 问诊类型 */
    @Excel(name = "问诊类型")
    private Integer inquiryType;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 评价内容 */
    String pingContent;
    /** 评分 */
    Integer pingStar;

    private Long companyId;
    private Long companyUserId;
    private String companyUserName;
    private String createTimeRange;
    private Integer inquirySubType;
    private String[] createTimeList;

    private String payTimeRange;

    private String[] payTimeList;

    //部门id
    private Long deptId;
    //公司员工昵称
    private String companyUserNickName;

    private String doctorAccount;

    private Long taskId;//任务ID
}
