package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@Data
public class FsPackageOrderParam  extends BaseEntity{
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;


    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    @Excel(name = "医生名称")
    private String doctorName;
    /** 用户id */
    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户电话")
    private String phone;
    private String phoneMk;
    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String packageName;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 天数 */
    @Excel(name = "天数")
    private Long days;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endEndTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date stTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Long companyId;

    private Long companyUserId;

    private Long deptId;

    private String companyName;

    private String companyUserName;

    private String userName;//收货人

    private String userPhone;//收货人电话

    private Integer packageSubType;

    private String source;

    private Long taskId;//任务ID
}
