package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
@Data
public class FsPrescribeParam {

    /** id */
    private Long prescribeId;

    /** 处方类型 1问诊 2订单 */
    @Excel(name = "处方类型 1西药 2中药")
    private Integer prescribeType;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long inquiryOrderId;

    /** 店铺订单ID */
    @Excel(name = "店铺订单ID")
    private Long storeOrderId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    @Excel(name = "处⽅单ID", readConverterExp = "唯=⼀ID")
    private String prescribeCode;

    @Excel(name = "病情描述(主诉）")
    private String patientDescs;


    @Excel(name = "患者年龄")
    private String patientAge;

    @Excel(name = "患者姓名")
    private String patientName;

    @Excel(name = "体重")
    private String weight;

    @Excel(name = "是否有过敏史", readConverterExp = "传=值：是/否")
    private String isHistoryAllergic;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    @Excel(name = "肝功能是否异常", readConverterExp = "传=值：是/否")
    private String liverUnusual;

    @Excel(name = "肾功能是否异常", readConverterExp = "传=值：是/否")
    private String renalUnusual;

    @Excel(name = "是否是备孕/怀孕/哺乳期", readConverterExp = "是否是备孕/怀孕/哺乳期（传值：是")
    private String isLactation;

    @Excel(name = "患者电话")
    private String patientTel;

    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;

    /** 复诊凭证 */
    @Excel(name = "复诊凭证")
    private String recordPic;



    /** 拒绝原因 */
    @Excel(name = "拒绝原因")
    private String auditReason;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;
    @Excel(name = "医生姓名")
    private String doctorName;
    /** 医生ID */
    @Excel(name = "药师ID")
    private Long drugDoctorId;

    @Excel(name = "状态 0未开 1已开")
    private Integer status;

    private String usageJson;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    private String remark;

    private Long storeId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditSTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditETime;
    private String orderStatus;

    private String orderCode;

    private Long companyId;

    private Long companyUserId;

    private Long taskId;//任务ID



}
