package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.dto.FsStoreAfterSalesProductDTO;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class FsStoreAfterSalesApplyParam {
    /**
     * 订单号
     */
    @NotNull
    private Long orderId;

    /**
     * 服务类型 0仅退款1退货退款
     */
    @NotBlank
    private Integer refundType;

    /**
     * 申请原因
     */
    @NotBlank
    private String reasons;

    /**
     * 申请说明
     */
    private String explains;

    /**
     * 申请说明图片
     */
    private String explainImg;

    private BigDecimal refundAmount;


    @NotBlank
    private List<FsStoreAfterSalesProductDTO> productList;


}
