package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStorePaymentParam extends BaseEntity {

    /** ID */
    private Long paymentId;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String payCode;

    /** 支付类型 weixin alipay */
    @Excel(name = "支付类型 weixin alipay")
    private String payTypeCode;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** OPENID */
    @Excel(name = "OPENID")
    private String openId;

    /** 业务类型  */
    @Excel(name = "业务类型 ")
    private Integer businessType;

    /** 关联业务ID */
    @Excel(name = "关联业务ID")
    private String businessId;

    /** 状态 0未支付 1已支付 -1 已退款 */
    @Excel(name = "状态 0未支付 1已支付 -1 已退款")
    private Integer status;

    /** 交易单号 */
    @Excel(name = "交易单号")
    private String bankTransactionId;

    /** 银行流水号 */
    @Excel(name = "银行流水号")
    private String bankSerialNo;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;


    private Long taskId;//任务ID

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;

    /** 退款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date refundTime;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    private String businessCode;

    private String payMode;
    private Long companyId;
    private Long companyUserId;

    /** 退款开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String refundBeginTime;

    /** 退款结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String refundEndTime;

    private String phone;//会员手机号
    /** 退款开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String payBeginTime;

    /** 退款结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String payEndTime;
    private Long deptId;

    private String createTimeRange;

    private String[] createTimeList;
    private String companyUserNickName;//员工姓名
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
