package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserParam {
    /** 用户id */
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatar;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    private String phoneMk;
    /** 1为正常，0为禁止 */
    @Excel(name = "1为正常，0为禁止")
    private Integer status;

    /** 推广上级用户ID */
    @Excel(name = "推广上级用户ID")
    private String tuiUserId;

    /** 推广员关联时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "推广员关联时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tuiTime;


    /** 微信小程序OPENID */
    @Excel(name = "微信小程序OPENID")
    private String maOpenId;

    /** 微信公众号OPENID */
    @Excel(name = "微信公众号OPENID")
    private String mpOpenId;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String unionId;

    /** $column.columnComment */
    @Excel(name = "关联ID")
    private Integer isDel;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String userCode;

    /** 最后一次登录ip */
    @Excel(name = "最后一次登录ip")
    private String lastIp;


    @JsonFormat(pattern = "yyyy-MM-dd ")
    private Date sTime;
    @JsonFormat(pattern = "yyyy-MM-dd ")
    private Date eTime;

    private Long companyUserId;

    private Long companyId;

    private Integer isBuy;

    private String loginDevice;//当前登录设备

    private String source;
}
