package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsPrescribeDrug;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class PrescribeXyImgParam {


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date time;

    /** 订单ID */
    @Excel(name = "处方ID")
    private String prescribeId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 患者性别*/
    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;
    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;
    /** 门诊id号 */
    private String outpatientId;
    /** 床号 */
    private String bedId;
    /** 过敏史 */
    private String historyAllergic;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;
    /** 订单 */
    private List<FsPrescribeDrug> prescribeDrug;

    /** 医生ID */
    @Excel(name = "医生名称")
    private String doctorName;

    /** 订单总价 */
    @Excel(name = "订单总价")
    private BigDecimal totalPrice;

    /** 审核药师 */
    private String auditDoctor;
    /** 调配员 */
    private String Dispatcher;
    /** 发药 */
    private String checkDoctor;

    private String url;

    private String drugDoctorUrl;

    @Excel(name = "医嘱")
    private String remark;
}
