package com.fs.his.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsPrescribeDrug;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class PrescribeZyImgParam {
    /** 处方类型 1问诊 2订单 */
    @Excel(name = "处方类型 1问诊 2订单")
    private Integer prescribeType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date time;

    /** 订单ID */
    @Excel(name = "订单ID")
    private String prescribeId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 患者性别(传数字，1男 2⼥) */
    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;
    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;
    /** 患者电话 */
    @Excel(name = "患者电话")
    private String patientTel;

    /** 收货人 */
    @Excel(name = "收货人")
    private String userName;

    /** 收货人电话 */
    @Excel(name = "收货人电话")
    private String userPhone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String userAddress;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;
    /** 订单 */
    private List<FsPrescribeDrug> prescribeDrug;


    /** 吃法 */
    @Excel(name = "吃法")
    private String eat;

    /** 医嘱 */
    @Excel(name = "医嘱")
    private String remark;
    @Excel(name = "服用频率")
    private String usageFrequencyUnit;
    /** 医生ID */
    @Excel(name = "医生名称")
    private String doctorName;

    private String prescribeDoctorName;
    private String url;
    /** 复核 */
    private String check;

    private String drugDoctorUrl;
    /** 剂数 */
    @Excel(name = "剂数")
    private String size ;
    /** 订单总价 */
    @Excel(name = "订单总价")
    private BigDecimal totalPrice;
}
