package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorExtract;
import com.fs.his.param.FsDoctorExtractListSParam;
import com.fs.his.vo.FsDoctorExtractListSVO;

/**
 * 医生提现管理Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsDoctorExtractService
{
    /**
     * 查询医生提现管理
     *
     * @param extractId 医生提现管理主键
     * @return 医生提现管理
     */
    public FsDoctorExtract selectFsDoctorExtractByExtractId(String extractId);

    /**
     * 查询医生提现管理列表
     *
     * @param fsDoctorExtract 医生提现管理
     * @return 医生提现管理集合
     */
    public List<FsDoctorExtract> selectFsDoctorExtractList(FsDoctorExtract fsDoctorExtract);

    /**
     * 新增医生提现管理
     *
     * @param fsDoctorExtract 医生提现管理
     * @return 结果
     */
    public int insertFsDoctorExtract(FsDoctorExtract fsDoctorExtract);

    /**
     * 审核
     *
     * @param fsDoctorExtract 审核
     * @return 结果
     */
    public int updateFsDoctorExtract(FsDoctorExtract fsDoctorExtract);

    /**
     * 批量删除医生提现管理
     *
     * @param extractIds 需要删除的医生提现管理主键集合
     * @return 结果
     */
    public int deleteFsDoctorExtractByExtractIds(String[] extractIds);

    /**
     * 删除医生提现管理信息
     *
     * @param extractId 医生提现管理主键
     * @return 结果
     */
    public int deleteFsDoctorExtractByExtractId(String extractId);

    List<FsDoctorExtractListSVO> selectFsDoctorExtractListSVO(FsDoctorExtractListSParam param);
}
