package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDoctorOperLog;

/**
 * 医生操作日志记录Service接口
 * 
 * @author fs
 * @date 2024-08-16
 */
public interface IFsDoctorOperLogService 
{
    /**
     * 查询医生操作日志记录
     * 
     * @param operId 医生操作日志记录主键
     * @return 医生操作日志记录
     */
    public FsDoctorOperLog selectFsDoctorOperLogByOperId(Long operId);

    /**
     * 查询医生操作日志记录列表
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 医生操作日志记录集合
     */
    public List<FsDoctorOperLog> selectFsDoctorOperLogList(FsDoctorOperLog fsDoctorOperLog);

    /**
     * 新增医生操作日志记录
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 结果
     */
    public int insertFsDoctorOperLog(FsDoctorOperLog fsDoctorOperLog);

    /**
     * 修改医生操作日志记录
     * 
     * @param fsDoctorOperLog 医生操作日志记录
     * @return 结果
     */
    public int updateFsDoctorOperLog(FsDoctorOperLog fsDoctorOperLog);

    /**
     * 批量删除医生操作日志记录
     * 
     * @param operIds 需要删除的医生操作日志记录主键集合
     * @return 结果
     */
    public int deleteFsDoctorOperLogByOperIds(Long[] operIds);

    /**
     * 删除医生操作日志记录信息
     * 
     * @param operId 医生操作日志记录主键
     * @return 结果
     */
    public int deleteFsDoctorOperLogByOperId(Long operId);
}
