package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsInquiryOrderLogs;

/**
 * 订单操作记录Service接口
 * 
 * @author fs
 * @date 2023-10-30
 */
public interface IFsInquiryOrderLogsService 
{
    /**
     * 查询订单操作记录
     * 
     * @param logsId 订单操作记录主键
     * @return 订单操作记录
     */
    public FsInquiryOrderLogs selectFsInquiryOrderLogsByLogsId(Long logsId);

    /**
     * 查询订单操作记录列表
     * 
     * @param fsInquiryOrderLogs 订单操作记录
     * @return 订单操作记录集合
     */
    public List<FsInquiryOrderLogs> selectFsInquiryOrderLogsList(FsInquiryOrderLogs fsInquiryOrderLogs);

    /**
     * 新增订单操作记录
     * 
     * @param fsInquiryOrderLogs 订单操作记录
     * @return 结果
     */
    public int insertFsInquiryOrderLogs(FsInquiryOrderLogs fsInquiryOrderLogs);

    /**
     * 修改订单操作记录
     * 
     * @param fsInquiryOrderLogs 订单操作记录
     * @return 结果
     */
    public int updateFsInquiryOrderLogs(FsInquiryOrderLogs fsInquiryOrderLogs);

    /**
     * 批量删除订单操作记录
     * 
     * @param logsIds 需要删除的订单操作记录主键集合
     * @return 结果
     */
    public int deleteFsInquiryOrderLogsByLogsIds(Long[] logsIds);

    /**
     * 删除订单操作记录信息
     * 
     * @param logsId 订单操作记录主键
     * @return 结果
     */
    public int deleteFsInquiryOrderLogsByLogsId(Long logsId);
}
