package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsMedicatedFood;
import com.fs.his.param.FsMedicateFoodListUParam;
import com.fs.his.vo.*;

/**
 * 药膳食疗Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsMedicatedFoodService
{

    /**
     * 查询药膳食疗
     *
     * @param id 药膳食疗主键
     * @return 药膳食疗
     */
    public FsMedicatedFood selectFsMedicatedFoodById(Long id);

    /**
     * 查询药膳食疗列表
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 药膳食疗集合
     */
    public List<FsMedicatedFood> selectFsMedicatedFoodList(FsMedicatedFood fsMedicatedFood);

    /**
     * 新增药膳食疗
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 结果
     */
    public int insertFsMedicatedFood(FsMedicatedFood fsMedicatedFood);

    /**
     * 修改药膳食疗
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 结果
     */
    public int updateFsMedicatedFood(FsMedicatedFood fsMedicatedFood);

    /**
     * 批量删除药膳食疗
     *
     * @param ids 需要删除的药膳食疗主键集合
     * @return 结果
     */
    public int deleteFsMedicatedFoodByIds(Long[] ids);

    /**
     * 删除药膳食疗信息
     *
     * @param id 药膳食疗主键
     * @return 结果
     */
    public int deleteFsMedicatedFoodById(Long id);

    List<FsMedicatedFoodLListVO> selectFsMedicatedFoodListVO(FsMedicatedFood fsMedicatedFood);

    String importDataMedicatedFoodExcel(List<FsMedicatedFood> list, boolean updateSupport);

    List<FsMedicateFoodListUVO> selectFsMedicatedFoodListUVO(FsMedicateFoodListUParam param);
}
