package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreAfterSalesItem;

/**
 * 售后子Service接口
 * 
 * @author fs
 * @date 2023-12-27
 */
public interface IFsStoreAfterSalesItemService 
{
    /**
     * 查询售后子
     * 
     * @param id 售后子主键
     * @return 售后子
     */
    public FsStoreAfterSalesItem selectFsStoreAfterSalesItemById(Long id);

    /**
     * 查询售后子列表
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 售后子集合
     */
    public List<FsStoreAfterSalesItem> selectFsStoreAfterSalesItemList(FsStoreAfterSalesItem fsStoreAfterSalesItem);

    /**
     * 新增售后子
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 结果
     */
    public int insertFsStoreAfterSalesItem(FsStoreAfterSalesItem fsStoreAfterSalesItem);

    /**
     * 修改售后子
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 结果
     */
    public int updateFsStoreAfterSalesItem(FsStoreAfterSalesItem fsStoreAfterSalesItem);

    /**
     * 批量删除售后子
     * 
     * @param ids 需要删除的售后子主键集合
     * @return 结果
     */
    public int deleteFsStoreAfterSalesItemByIds(Long[] ids);

    /**
     * 删除售后子信息
     * 
     * @param id 售后子主键
     * @return 结果
     */
    public int deleteFsStoreAfterSalesItemById(Long id);
}
