package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreAfterSalesLogs;

/**
 * 售后订单操作Service接口
 * 
 * @author fs
 * @date 2023-12-27
 */
public interface IFsStoreAfterSalesLogsService 
{
    /**
     * 查询售后订单操作
     * 
     * @param logsId 售后订单操作主键
     * @return 售后订单操作
     */
    public FsStoreAfterSalesLogs selectFsStoreAfterSalesLogsByLogsId(Long logsId);

    /**
     * 查询售后订单操作列表
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 售后订单操作集合
     */
    public List<FsStoreAfterSalesLogs> selectFsStoreAfterSalesLogsList(FsStoreAfterSalesLogs fsStoreAfterSalesLogs);

    /**
     * 新增售后订单操作
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 结果
     */
    public int insertFsStoreAfterSalesLogs(FsStoreAfterSalesLogs fsStoreAfterSalesLogs);

    /**
     * 修改售后订单操作
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 结果
     */
    public int updateFsStoreAfterSalesLogs(FsStoreAfterSalesLogs fsStoreAfterSalesLogs);

    /**
     * 批量删除售后订单操作
     * 
     * @param logsIds 需要删除的售后订单操作主键集合
     * @return 结果
     */
    public int deleteFsStoreAfterSalesLogsByLogsIds(Long[] logsIds);

    /**
     * 删除售后订单操作信息
     * 
     * @param logsId 售后订单操作主键
     * @return 结果
     */
    public int deleteFsStoreAfterSalesLogsByLogsId(Long logsId);
}
