package com.fs.his.service;


import com.fs.his.domain.FsStoreProductAttr;

import java.util.List;

/**
 * 商品属性Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreProductAttrService 
{
    /**
     * 查询商品属性
     * 
     * @param id 商品属性ID
     * @return 商品属性
     */
    public FsStoreProductAttr selectFsStoreProductAttrById(Long id);

    /**
     * 查询商品属性列表
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 商品属性集合
     */
    public List<FsStoreProductAttr> selectFsStoreProductAttrList(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 新增商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int insertFsStoreProductAttr(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 修改商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int updateFsStoreProductAttr(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的商品属性ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrByIds(Long[] ids);

    /**
     * 删除商品属性信息
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrById(Long id);

    List<FsStoreProductAttr> selectFsStoreProductAttrByProductId(Long productId);
}
