package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreProductAttrValue;
import com.fs.his.param.FsStoreProductAttrValueListDParam;
import com.fs.his.vo.FsStoreProductAttrValueListDVO;

/**
 * 商品属性值Service接口
 *
 * @author fs
 * @date 2023-08-10
 */
public interface IFsStoreProductAttrValueService
{
    /**
     * 查询商品属性值
     *
     * @param id 商品属性值主键
     * @return 商品属性值
     */
    public FsStoreProductAttrValue selectFsStoreProductAttrValueById(Long id);

    /**
     * 查询商品属性值列表
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 商品属性值集合
     */
    public List<FsStoreProductAttrValue> selectFsStoreProductAttrValueList(FsStoreProductAttrValue fsStoreProductAttrValue);

    /**
     * 新增商品属性值
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 结果
     */
    public int insertFsStoreProductAttrValue(FsStoreProductAttrValue fsStoreProductAttrValue);

    /**
     * 修改商品属性值
     *
     * @param fsStoreProductAttrValue 商品属性值
     * @return 结果
     */
    public int updateFsStoreProductAttrValue(FsStoreProductAttrValue fsStoreProductAttrValue);

    /**
     * 批量删除商品属性值
     *
     * @param ids 需要删除的商品属性值主键集合
     * @return 结果
     */
    public int deleteFsStoreProductAttrValueByIds(Long[] ids);

    /**
     * 删除商品属性值信息
     *
     * @param id 商品属性值主键
     * @return 结果
     */
    public int deleteFsStoreProductAttrValueById(Long id);

    List<FsStoreProductAttrValueListDVO> selectFsStoreProductAttrValueListDVO(FsStoreProductAttrValueListDParam param);

    FsStoreProductAttrValue selectFsStoreProductAttrValueByIdAndPruductId(Long id, Long productId);

    int updateStoreProductAttrValueStock(Long id , Integer stock);

    List<FsStoreProductAttrValue> selectFsStoreProductAttrValueListByProductId( Long productId);
}
