package com.fs.his.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.aiChat.domain.DoctorAiChatMsg;

import java.util.List;

/**
 * 聊天记录Service接口
 *
 * @author fs
 * @date 2024-12-30
 */
public interface IHisDoctorAiChatMsgService
{
    /**
     * 查询聊天记录
     *
     * @param msgId 聊天记录主键
     * @return 聊天记录
     */
    public DoctorAiChatMsg selectDoctorAiChatMsgByMsgId(Long msgId);

    /**
     * 查询聊天记录列表
     *
     * @param doctorAiChatMsg 聊天记录
     * @return 聊天记录集合
     */
    public List<DoctorAiChatMsg> selectDoctorAiChatMsgList(DoctorAiChatMsg doctorAiChatMsg);

    /**
     * 新增聊天记录
     *
     * @param doctorAiChatMsg 聊天记录
     * @return 结果
     */
    public int insertDoctorAiChatMsg(DoctorAiChatMsg doctorAiChatMsg);

    /**
     * 修改聊天记录
     *
     * @param doctorAiChatMsg 聊天记录
     * @return 结果
     */
    public int updateDoctorAiChatMsg(DoctorAiChatMsg doctorAiChatMsg);

    /**
     * 批量删除聊天记录
     *
     * @param msgIds 需要删除的聊天记录主键集合
     * @return 结果
     */
    public int deleteDoctorAiChatMsgByMsgIds(Long[] msgIds);

    /**
     * 删除聊天记录信息
     *
     * @param msgId 聊天记录主键
     * @return 结果
     */
    public int deleteDoctorAiChatMsgByMsgId(Long msgId);

    List<DoctorAiChatMsg> selectChatMsgBySessionId(Long sessionId);
}
