package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsArticleVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long articleId;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long cateId;
    /** 标题 */
    @Excel(name = "分类名称")
    private String cateName;
    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String imageUrl;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isTui;

    /** 是否最新 */
    @Excel(name = "是否最新")
    private Integer isNews;

    /** 内容 */
    @Excel(name = "内容")
    private String contents;

    /** 浏览数 */
    @Excel(name = "浏览数")
    private Integer views;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;


    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
