package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsCouponListVO implements Serializable {
    /** ID */
    private Long couponId;
    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 面额 */
    @Excel(name = "面额")
    private BigDecimal price;

    /** 数量 */
    @Excel(name = "数量")
    private Long number;

    /** 卷类型 1代金券  */
    @Excel(name = "卷类型 1代金券 ")
    private Integer couponType;
    private Integer status;
    /** 最低消费金额可用 */
    @Excel(name = "最低消费金额可用")
    private BigDecimal minPrice;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Long remainNumber;

    @Excel(name = "折扣")
    private BigDecimal rate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Excel(name = "领取后有效期")
    private Integer limitDay;
    @Excel(name = "有效期类别 1 过期时间 2 领取后有效期")
    private Integer limitType;
    @Excel(name = "可领取数量")
    private Integer limitCount;

}
