package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsDoctorListVO {
    private Long doctorId;

    /** 医生姓名 */
    @Excel(name = "医生姓名")
    private String doctorName;

    /** 擅长领域 */
    @Excel(name = "擅长领域")
    private String speciality;


    /** 所属用户 */
//    @Excel(name = "所属用户")
    private Long userId;

    /** 所属用户 */
    @Excel(name = "所属用户")
    private String nickName;

    /** 所属用户 */
//    @Excel(name = "用户电话")
    private String phone;

    /** 所属医院 */
//    @Excel(name = "所属医院")
    private Long hospitalId;
    /** 所属医院 */
    @Excel(name = "所属医院名称")
    private String hospitalName;
    /** 科室ID */
//    @Excel(name = "科室ID")
    private Long deptId;
    /** 科室ID */
    @Excel(name = "科室名称")
    private String deptName;
    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 职务 */
    @Excel(name = "职务")
    private String position;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 " ,dictType = "sys_company_status")
    private Integer status;

    /** 评分 */
    @Excel(name = "评分")
    private Integer pingStar;

    /** 咨询量 */
    @Excel(name = "咨询量")
    private Long orderNumber;

    /** 平均响应速度 分钟 */
    @Excel(name = "平均响应速度 分钟")
    private Long speed;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 医生类型 1医生 2药师 */
    @Excel(name = "医生类型",dictType =  "sys_doctor_type")
    private Integer doctorType;

    /** 性别 */
    @Excel(name = "性别" ,dictType =  "sys_sex")
    private Integer sex;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date bitthday;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;


    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isTui;

    /** 是否专家 */
    @Excel(name = "是否专家")
    private Integer isExpert;

    /** 工作状态 */
    @Excel(name = "工作状态")
    private Integer workStatus;

    /** 是否审核 */
    @Excel(name = "是否审核")
    private Integer isAudit;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    @Excel(name = "账号")
    private String account;
    private String isAccept;
    private String isSelf;
    /** 备注 */
    private String remark;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer isPrescribeDoctor;

    private Long   prescribeDoctorId;

}
