package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsFollowExcelListVO {

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "随访日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    @Excel(name = "随访单号")
    private Long followId;

    @Excel(name = "处方单号")
    private String prescribeCode;

    @Excel(name = "订单编号")
    private String orderCode;

    @Excel(name = "医生/医助")
    private String doctorName;

    @Excel(name = "会员号")
    private Long userId;

    @Excel(name = "患者姓名")
    private String patientName;

    @Excel(name = "患者联系方式")
    private String patientPhone;

    /** 0待推送 1已推送 2 已取消 */
    @Excel(name = "推送情况",dictType = "sys_follow_push_status")
    private Integer pushStatus;

    @Excel(name = "操作员")
    private String writeUserName;

    @Excel(name = "服务团队")
    private String companyName;

}
