package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsInquiryOrderExeclListVO {

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 问诊标题 */
    @Excel(name = "问诊标题")
    private String title;

    /** 病例组图 */
    private String imgs;

    /** 会员ID */
    private Long userId;

    /** 病人ID */
    private Long patientId;

    @Excel(name = "病人名称")
    private String patientName;
    /** 订单类型 1图文 2语音 */
    @Excel(name = "订单类型",dictType = "sys_inquiry_order_type")
    private Integer orderType;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private BigDecimal money;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;
    /** 支付类型 1微信支付 */
    @Excel(name = "支付类型 1微信支付")
    private Integer payType;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;
    /** 医生ID */
    private Long doctorId;
    /** 医生ID */
    @Excel(name = "医生")
    private String doctorName;

    @Excel(name = "医生账号")
    private String account;
    private String patientJson;
    @Excel(name = "优惠劵发送人")
    private String sendName;
    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 状态 0待支付 1已支付 2已完成  -1已关闭 -2已退款 */
    @Excel(name = "状态",dictType="sys_inquiry_status")
    private Integer status;

    /** 问诊开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "问诊开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    /** 是否评价 */
    @Excel(name = "是否评价")
    private Integer isPing;
    /** 是否审核 */
    @Excel(name = "是否审核")
    private Integer isAudit;

//    /** 审核人 */
//    @Excel(name = "审核人")
//    private Long auditUserId;
    @Excel(name = "导医 ")
    private String userName;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    private Long userCouponId;

    private BigDecimal discountMoney;
    /** 科室ID */
    @Excel(name = "科室ID")
    private Long departmentId;
    @Excel(name = "科室ID")
    private String deptName;
    /** 问诊类型 */
    @Excel(name = "问诊类型" ,dictType="sys_inquiry_type")
    private Integer inquiryType;

    private Integer inquirySubType;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /** 评价内容 */
    String pingContent;

    String replyContent;
    /** 评分 */
    Integer pingStar;

    private Long packageOrderId;

    private Long companyId;
    private Long companyUserId;
    @Excel(name = "员工")
    private String companyUserName;
    @Excel(name = "公司")
    private String companyName;
    @Excel(name = "公司抵扣金额")
    private BigDecimal companyDeductMoney;

    @Excel(name = "是否开具问诊报告",dictType = "sys_company_or")
    private Integer isDrugReport;
}
