package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsPackageListVO extends BaseEntity {
    /** ID */
    private Long packageId;

    /** 套餐包名称 */
    @Excel(name = "套餐包名称")
    private String packageName;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer sort;
    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    private Integer packageType; // 套餐类型，1医生包2企业包
    private String payType; // 支付方式，1全款支付 2物流代收 3货到付款
    private Integer num; // 限购次数
    private String desc; // 套餐详情，放产品详情图片
    private Integer isShow; // 是否展示

    private Integer packageSubType; // 子套餐

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @Excel(name = "封面图")
    private String imgUrl;


    @Excel(name = "店铺id")
    private Long storeId;

    @Excel(name = "剂数")
    private Integer counts;
    @Excel(name = "每日几次")
    private String usageFrequencyUnit;

    @Excel(name = "私域类别")
    private Integer privateType;
    @Excel(name = "私域类别")
    private Integer followNum;

    //别名
    private String secondName;

    private BigDecimal totalPrice;
}
