package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsPackageOrderExcelVO {

    @Excel(name = "订单号")
    private String orderSn;

    @Excel(name = "套餐名称")
    private String packageName;

    @Excel(name = "公司名称")
    private String companyName;

    @Excel(name = "员工")
    private String companyUserName;

    @Excel(name = "就诊人")
    private String patientName;

    @Excel(name = "医生姓名")
    private String doctorName;

    @Excel(name = "医助姓名")
    private String doctorAssName;

//    @Excel(name = "病情描述")
//    private String diagnose;

    @Excel(name = "疗程天数（用药周期）")
    private Integer cycle;

    @Excel(name = "随访频率")
    private Integer followRate;

    @Excel(name = "随访次数")
    private Integer followNum;


    @Excel(name = "随诊金额")
    private BigDecimal inquiryCostPrice;

    @Excel(name = "药品金额")
    private BigDecimal productCostPrice;

    @Excel(name = "全款金额")
    private BigDecimal totalCostPrice;
    @Excel(name = "优惠金额")
    private BigDecimal costDiscountMoney;

    @Excel(name = "定金")
    private BigDecimal totalPrice;

    @Excel(name = "优惠券金额")
    private BigDecimal discountMoney;

    @Excel(name = "运费")
    private BigDecimal payDelivery;

    @Excel(name = "应收金额")
    private BigDecimal payPrice;

    @Excel(name = "实收金额")
    private BigDecimal payMoney;

    @Excel(name = "是否支付",dictType = "sys_company_or")
    private Integer isPay;


    @Excel(name = "天数")
    private Long days;


    @Excel(name = "状态",dictType = "sys_package_order_status")
    private Integer status;

    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    @Excel(name = "退款状态",dictType = "sys_refund_status")
    private Integer refundStatus;


    @Excel(name = "付款类型",dictType = "sys_store_pay_type")
    private String payType;

    @Excel(name = "备注",dictType = "sys_company_or")
    private String remark;

    @Excel(name = "物流状态",dictType="sys_store_order_delivery_status")
    private Integer deliveryStatus;

    @Excel(name = "回单状态",dictType="sys_store_delivery_pay_status")
    private Integer deliveryPayStatus;
    @Excel(name = "来源",dictType="sys_order_source")
    private Integer source;
}
