package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsPackageOrderVO {
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;
    @Excel(name = "用户昵称")
    private String nickName;
    @Excel(name = "电话")
    private String phone;
    @Excel(name = "医生名称")
    private String doctorName;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 套餐ID */
    @Excel(name = "套餐ID")
    private Long packageId;

    /** 套餐名称 */
    @Excel(name = "套餐名称")
    private String packageName;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 天数 */
    @Excel(name = "天数")
    private Long days;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    @Excel(name = "json")
    private String formJson;

    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "公司用户ID")
    private Long companyUserId;

    @Excel(name = "问诊订单ID")
    private Long inquiryOrderId;

    @Excel(name = "商品订单ID")
    private Long storeOrderId;

    @Excel(name = "套餐包数据")
    private String packageJson;

    @Excel(name = "患者数据")
    private String patientJson;

    private String patientName;

    @Excel(name = "退款图片")
    private String refundImg;

    @Excel(name = "退款用户说明")
    private String refundExplain;

    @Excel(name = "不退款的理由")
    private String refundReason;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "退款时间")
    private Date refundTime;

    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间")
    private Date payTime;

    @Excel(name = "退款状态")
    private Integer refundStatus;

    @Excel(name = "套餐价格")
    private BigDecimal totalPrice;
    @Excel(name = "地址")
    private String addressJson;
    @Excel(name = "付款类型")
    private String payType;
    @Excel(name = "备注")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "店铺id")
    private Long storeId;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "公司用户名称")
    private String companyUserName;
    @Excel(name = "实际支付金额")
    private BigDecimal payPrice;
    @Excel(name = "剩余金额")
    private BigDecimal payRemain;
    @Excel(name = "邮费")
    private BigDecimal payDelivery;
    @Excel(name = "优惠金额")
    private BigDecimal discountMoney;
    @Excel(name = "随访次数")
    private Integer followNum;
    @Excel(name = "已随访次数")
    private Integer followCount;
    private Integer inquiryRefundStatus;
    private Integer storeRefundStatus;
    private Integer packageSubType;
    private BigDecimal inquiryPrice;
    private BigDecimal productPrice;
    private BigDecimal prescribePrice;
    //别名
    private String secondName;
    private Integer source;
}
