package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsPatientVO implements Serializable {
    /** ID */
    private Long patientId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 所属会员 */
//    @Excel(name = "所属会员")
    private Long userId;
    /** 所属会员 */
    @Excel(name = "所属会员")
    private String nickName;
    /** 所属会员 */
    @Excel(name = "用户电话")
    private String phone;
    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 性别 */
    @Excel(name = "性别" ,dictType = "sys_sex")
    private Integer sex;

    /** 体重G */
    @Excel(name = "体重KG")
    private Long weight;

    /** 手机号 */
    @Excel(name = "就诊人电话")
    private String mobile;

    /** 是否删除  */
    @Excel(name = "是否删除 ")
    private Integer isDel;

    /** 状态 1正常 2禁用 */
    @Excel(name = "状态 1正常 2禁用")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String relation;  // 与本人关系
    private String liverUnusual;  // 肝功能是否异常
    private String renalUnusual;  // 肾功能是否异常
    private String historyAllergic;  // 过敏史
    private String familyMedHistory;  // 家族病史
    private String selfMedHistory;  // 个人病史

}
