package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsPrescribeExcelListStoreVO {
    private Long prescribeId;
    @Excel(name = "处方单编号")
    private String prescribeCode;

    @Excel(name = "问诊订单编号")
    private String orderSn;

    @Excel(name = "商品订单编号")
    private String orderCode;

    @Excel(name = "药品订单状态",dictType="sys_order_status")
    private String orderStatus;

    @Excel(name = "处方类型",dictType="sys_prescribe_type")
    private Integer prescribeType;

    /** 用户id */
    @Excel(name = "用户昵称")
    private String nickName;
    /** 店铺ID */
    @Excel(name = "店铺名称")
    private String  storeName;
    @Excel(name = "医生名称")
    private String  doctorName;
    @Excel(name = "药师名称")
    private String  doctorDrugName;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;
    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;
    /** 病情描述(主诉） */
    @Excel(name = "病情描述(主诉）")
    private String patientDescs;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史 */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    @Excel(name = "是否有过敏史")
    private String isHistoryAllergic;


    @Excel(name = "过敏史")
    private String historyAllergic;


    @Excel(name = "肝功能是否异常")
    private String liverUnusual;


    @Excel(name = "肾功能是否异常")
    private String renalUnusual;


    @Excel(name = "是否是备孕/怀孕/哺乳期")
    private String isLactation;


    @Excel(name = "患者性别",dictType = "sys_sex")
    private String patientGender;

    /** 复诊凭证 */
    @Excel(name = "复诊凭证")
    private String recordPic;

    /** 处方图片地址 */
    @Excel(name = "处方图片地址")
    private String prescribeImgUrl;

    /** 拒绝原因 */
    @Excel(name = "拒绝原因")
    private String auditReason;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    @Excel(name = "制作类型",dictType = "sys_recipe_type")
    private Integer recipeType;

    @Excel(name = "状态",dictType = "sys_prescribe_status")
    private Integer status;

    @Excel(name = "使用方法")
    private String usageJson;
    @Excel(name = "病人生日")
    private String patientBirthday;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    @Excel(name = "备注")
    private String remark;


    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
