package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsPrescribeExcelVO {
    /** id */
    private Long prescribeId;

    /** 处方类型 1问诊 2订单 */
    @Excel(name = "处方类型 1西药 2中药")
    private Integer prescribeType;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long inquiryOrderId;

    /** 店铺订单ID */
    @Excel(name = "店铺订单ID")
    private Long storeOrderId;
    /** 用户id */
    @Excel(name = "用户昵称")
    private String nickName;
    /** 店铺ID */
    @Excel(name = "店铺名称")
    private String  storeName;
    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 处⽅单ID（唯⼀ID） */
    @Excel(name = "处⽅单ID")
    private String prescribeCode;

    /** 病情描述(主诉） */
    @Excel(name = "病情描述(主诉）")
    private String patientDescs;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史 */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 是否有过敏史（传值：是/否） */
    @Excel(name = "是否有过敏史")
    private String isHistoryAllergic;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 肝功能是否异常（传值：是/否） */
    @Excel(name = "肝功能是否异常")
    private String liverUnusual;

    /** 肾功能是否异常（传值：是/否） */
    @Excel(name = "肾功能是否异常")
    private String renalUnusual;

    /** 是否是备孕/怀孕/哺乳期（传值：是 */
    @Excel(name = "是否是备孕/怀孕/哺乳期")
    private String isLactation;

    /** 患者电话 */
    @Excel(name = "患者电话")
    private String patientTel;

    /** 患者性别(传数字，1男 2⼥) */
    @Excel(name = "患者性别(传数字，1男 2⼥)")
    private String patientGender;

    /** 复诊凭证 */
    @Excel(name = "复诊凭证")
    private String recordPic;

    /** 处方图片地址 */
    @Excel(name = "处方图片地址")
    private String prescribeImgUrl;

    /** 拒绝原因 */
    @Excel(name = "拒绝原因")
    private String auditReason;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long doctorId;

    /** 医生ID */
    @Excel(name = "药师ID")
    private Long drugDoctorId;

    /** 状态 0未开 1已开 */
    @Excel(name = "状态 0未开 1已开")
    private Integer status;

    @Excel(name = "使用方法")
    private String usageJson;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "店铺id")
    private Long storeId;

    @Excel(name = "开方医生id")
    private Long prescribeDoctorId;

    @Excel(name = "开方医生签名")
    private String doctorSignUrl;

    @Excel(name = "处方医生签名")
    private String prescribeDoctorSignUrl;

    @Excel(name = "药师签名")
    private String drugDoctorSignUrl;



    @Excel(name = "药品订单状态",dictType="sys_order_status")
    private String orderStatus;

    @Excel(name = "药品订单编号")
    private String orderCode;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
