package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsPrescribeDrug;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class FsPrescribeListDVO implements Serializable {


    /** id */
    private Long prescribeId;

    private Integer prescribeType;

    /** 处⽅单ID（唯⼀ID） */
    private String prescribeCode;

    /** 患者年龄 */
    @Excel(name = "患者年龄")
    private String patientAge;

    /** 患者姓名 */
    private String patientName;

    /** 患者性别(传数字，1男 2⼥) */
    private String patientGender;



    /** 处方图片地址 */
    private String prescribeImgUrl;

    /** 拒绝原因 */
    private String auditReason;

    /** 诊断 */
    private String diagnose;


    /** 状态 0未开 1已开 */
    private Integer status;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer recipeType;

    List<FsPrescribeDrug> drugs;



}
