package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsStoreAfterSalesItem;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class FsStoreAfterSalesListUVO implements Serializable {

    private Long id;

    /** 订单号 */
    private Long orderId;

    /** 退款金额 */
    private BigDecimal refundAmount;

    @Excel(name = "服务类型0仅退款1退货退款")
    private Integer refundType;

    /** 申请原因 */
    @Excel(name = "申请原因")
    private String reasons;

    /** 说明 */
    @Excel(name = "说明")
    private String explains;

    /** 说明图片->多个用逗号分割 */
    @Excel(name = "说明图片->多个用逗号分割")
    private String explainImg;

    /** 物流公司编码 */
    @Excel(name = "物流公司编码")
    private String shipperCode;

    /** 物流单号 */
    @Excel(name = "物流单号")
    private String deliverySn;

    /** 物流名称 */
    @Excel(name = "物流名称")
    private String deliveryName;

    /** 状态 0已提交等待平台审核 1平台已审核 等待用户发货/退款 2 用户已发货 3退款成功 */
    private Integer status;

    /** 售后状态-0正常1用户取消2商家拒绝 */
    @Excel(name = "售后状态-0正常1用户取消2商家拒绝")
    private Integer salesStatus;

    @Excel(name = "订单当前状态")
    private Integer orderStatus;

    /** 逻辑删除 */
    private Integer isDel;

    /** 用户id */
    private Long userId;

    /** 商家收货人 */
    @Excel(name = "商家收货人")
    private String consignee;

    /** 商家手机号 */
    @Excel(name = "商家手机号")
    private String phoneNumber;

    /** 商家地址 */
    @Excel(name = "商家地址")
    private String address;

    private String orderCode;

    List<FsStoreAfterSalesItem> items;

}
