package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class FsStoreOrderBillLogVo {
    private Long id;
    @ApiModelProperty(value = "订单ID")
    private Long orderId;
    @ApiModelProperty(value = "开票类型0企业1个人")
    private Integer billType;
    @ApiModelProperty("开票订单号")
    private String orderNo;
    @ApiModelProperty("开票流水号")
    private String serialNo;
    @ApiModelProperty("发票号码")
    private String invoiceNo;
    @ApiModelProperty("发票种类")
    private String invoiceKind;
    @ApiModelProperty("开票金额")
    private BigDecimal orderAmount;
    @ApiModelProperty("购方名称")
    private String payerName;
    @ApiModelProperty("购方税号")
    private String payerTaxNo;
    @ApiModelProperty("含底图纸票pdf地址")
    private String paperPdfUrl;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开票时间")
    private LocalDateTime invoiceTime;
    @ApiModelProperty("发票图片地址")
    private String pictureUrl;
    @ApiModelProperty("发票pdf地址")
    private String pdfUrl;
    @ApiModelProperty("失败原因")
    private String failCause;
    @ApiModelProperty("发票状态描述")
    private String statusMsg;
    @ApiModelProperty("开票状态0未开始2 :开票完成（ 最终状 态），其他状态分别为: 20:开票中; 21:开票成功签章中;22:开票失败;24: 开票成功签章失败;3:发票已作废 31: 发票作废中 备注：22、24状态时，无需再查询，请确认开票失败原因以及签章失败原因； 注：请以该状态码区分发票状态")
    private Integer status;
    @ApiModelProperty("发票状态描述")
    private String redStatus;
    @ApiModelProperty("图片")
    private String imgUrls;
}
