package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStoreOrderCompanyExcelVO {
    /** 订单ID */
    private Long orderId;
    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "员工")
    private String companyUserName;
    @Excel(name = "就诊人")
    private String patientName;
    @Excel(name = "医生姓名")
    private String doctorName;
    @Excel(name = "医助姓名")
    private String doctorAssName;
    @Excel(name = "病情描述")
    private String diagnose;
    @Excel(name = "药品信息")
    private String productName;
    @Excel(name = "疗程天数（用药周期）")
    private Integer cycle;
    @Excel(name = "随访频率")
    private Integer followRate;
    @Excel(name = "随访次数")
    private Integer followNum;

    @Excel(name = "问诊优惠金额")
    private BigDecimal inquiryDiscountMoney;
    @Excel(name = "处方定价")
    private BigDecimal prescribePrice;
    @Excel(name = "优惠券金额")
    private BigDecimal discountMoney;
    @Excel(name = "运费")
    private BigDecimal payDelivery;
    @Excel(name = "应收金额")
    private BigDecimal payPrice;
    @Excel(name = "实收金额")
    private BigDecimal payMoney;
    @Excel(name = "物流代收")
    private BigDecimal payRemain;

    @Excel(name = "支付方式",dictType="sys_store_pay_type")
    private String payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "订单状态",dictType="sys_order_status")
    private Integer status;
    @Excel(name = "物流状态",dictType="sys_store_order_delivery_status")
    private Integer deliveryStatus;


    @Excel(name = "物流代收结算状态", dictType = "sys_store_delivery_pay_status")
    private Integer deliveryPayStatus;

    @Excel(name = "快递帐单日期")
    private String deliveryTime;

    @Excel(name = "快递结算日期")
    private String deliveryPayTime;

    @Excel(name = "物流结算费用")
    private BigDecimal deliveryPayMoney;

    private String barCode;
}
