package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class FsStoreOrderExcelVO {
    /** 订单ID */
    private Long orderId;
    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "处方单号")
    private String prescribeCode;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "员工")
    private String companyUserName;
    @Excel(name = "就诊人")
    private String patientName;
    @Excel(name = "医生姓名")
    private String doctorName;
    @Excel(name = "医助姓名")
    private String doctorAssName;
    @Excel(name = "病情描述")
    private String diagnose;
    @Excel(name = "药品信息")
    private String productName;
    @Excel(name = "疗程天数（用药周期）")
    private Integer cycle;
    @Excel(name = "随访频率")
    private Integer followRate=6;
    @Excel(name = "随访次数")
    private Integer followNum;
    @Excel(name = "随诊金额")
    private BigDecimal inquiryMoney;
    @Excel(name = "处方药品金额")
    private BigDecimal TotalCostMoney;
    @Excel(name = "处方全款金额")
    private BigDecimal TotalMoney;
    @Excel(name = "问诊优惠金额")
    private BigDecimal inquiryDiscountMoney;
//    @Excel(name = "处方定价")
//    private BigDecimal totalPrice;
    @Excel(name = "优惠券金额")
    private BigDecimal discountMoney;
    @Excel(name = "处方定价")
    private BigDecimal prescribePrice;
    @Excel(name = "运费")
    private BigDecimal payDelivery;
    @Excel(name = "应收金额")
    private BigDecimal payPrice;
    @Excel(name = "实收金额")
    private BigDecimal payMoney;
    @Excel(name = "物流代收")
    private BigDecimal payRemain;
    private BigDecimal costPrice;
    @Excel(name = "支付方式",dictType="sys_store_pay_type")
    private String payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "订单状态",dictType="sys_order_status")
    private Integer status;
    @Excel(name = "物流状态",dictType="sys_store_order_delivery_status")
    private Integer deliveryStatus;

    private String itemJson;
    /** 用户姓名 */
    @Excel(name = "店铺名称")
    private String StoreName;

    @Excel(name = "收货人姓名")
    private String userName;

    /** 用户电话 */
    @Excel(name = "收货人电话")
    private String userPhone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String userAddress;

    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String deliveryCode;

    /** 快递名称/送货人姓名 */
    @Excel(name = "快递公司")
    private String deliveryName;

    /** 快递单号/手机号 */
    @Excel(name = "快递单号")
    private String deliverySn;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    @Excel(name = "物流代收结算状态", dictType = "sys_store_delivery_pay_status")
    private Integer deliveryPayStatus;

    @Excel(name = "快递账单日期" )
    private String deliveryTime;

    @Excel(name = "快递结算日期")
    private String deliveryPayTime;

    @Excel(name = "物流结算费用")
    private BigDecimal deliveryPayMoney;

    @Excel(name = "物流跟踪状态" , dictType = "sys_delivery_type")
    private String deliveryType;

    @Excel(name = "套餐名称")
    private String packageName;
    @Excel(name = "套餐别名")
    private String packageSecondName;
    @Excel(name = "订单购买类型" , dictType = "sys_store_order_buy_type")
    private Long orderBuyType;

    @Excel(name = "公众号/渠道")
    private String channel;

    @Excel(name = "档期归属")
    private String scheduleName;

    @Excel(name = "编号")
    private String barCode;
    @Excel(name = "订单来源" , dictType = "sys_order_source")
    private Integer source;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "入账时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date tuiMoneyTime;
}
