package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class FsStoreOrderStoreExcelVO {


    private Long orderId;
    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "员工")
    private String companyUserName;
    @Excel(name = "就诊人")
    private String patientName;
    @Excel(name = "药品信息")
    private String productName;
    @Excel(name = "编号")
    private String barCode;

    @Excel(name = "实收金额")
    private BigDecimal payMoney;
    @Excel(name = "物流代收")
    private BigDecimal payRemain;

    @Excel(name = "支付方式",dictType="sys_store_pay_type")
    private String payType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "订单状态",dictType="sys_order_status")
    private Integer status;
    @Excel(name = "物流状态",dictType="sys_store_order_delivery_status")
    private Integer deliveryStatus;

    private String itemJson;
    /** 用户姓名 */
    @Excel(name = "收货人姓名")
    private String userName;

    /** 用户电话 */
    @Excel(name = "收货人电话")
    private String userPhone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String userAddress;

    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String deliveryCode;

    /** 快递名称/送货人姓名 */
    @Excel(name = "快递公司")
    private String deliveryName;

    /** 快递单号/手机号 */
    @Excel(name = "快递单号")
    private String deliverySn;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;



}
