package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStoreOrderVO implements Serializable {
    /** 订单ID */
    private String orderId;


    @Excel(name = "店铺id")
    private Long storeId;

    private String storeName;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    @Excel(name = "医生ID")
    private Long doctorId;

    @Excel(name = "医生名称")
    private String doctorName;

    @Excel(name = "患者姓名")
    private String patientName;

    @Excel(name = "患者年龄")
    private String patientAge;

    @Excel(name = "患者性别")
    private String patientGender;
    @Excel(name = "与本人关系")
    private String relation;
    @Excel(name = "用户电话")
    private String phone;
    @Excel(name = "诊断")
    private String diagnose;


    /** 用户id */
    @Excel(name = "用户id")
    private String nickName;

    /** 收货人 */
    @Excel(name = "收货人")
    private String userName;

    /** 收货人电话 */
    @Excel(name = "收货人电话")
    private String userPhone;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String userAddress;

    /** 购物车id */
    @Excel(name = "购物车id")
    private String cartId;

    /** 订单商品总数 */
    @Excel(name = "订单商品总数")
    private String totalNum;

    /** 订单总价 */
    @Excel(name = "订单总价")
    private BigDecimal totalPrice;

    /** 实际支付金额 */
    @Excel(name = "实际支付金额")
    private BigDecimal payPrice;
    /** 实际支付金额 */
    @Excel(name = "优惠金额")
    private BigDecimal discountMoney;
    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付状态 待支付 1已支付 */
    @Excel(name = "支付状态 待支付 1已支付")
    private String isPay;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 支付方式 1微信 */
    @Excel(name = "支付方式 1微信")
    private String payType;

    /** 订单状态（-1 : 申请退款 -2 : 退货成功 1：待支付 2：待发货；3：待收货；4：待评价；5：已完成） */
    @Excel(name = "订单状态", readConverterExp = "-=1,:=,申=请退款,-=2,:=,退=货成功,1=：待支付,2=：待发货；3：待收货；4：待评价；5：已完成")
    private Integer status;

    /** 0 未退款 1 申请中 2 已退款 */
    @Excel(name = "0 未退款 1 申请中 2 已退款")
    private String refundStatus;

    /** 退款图片 */
    @Excel(name = "退款图片")
    private String refundImg;

    /** 退款用户说明 */
    @Excel(name = "退款用户说明")
    private String refundExplain;

    /** 退款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "退款时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refundTime;

    /** 不退款的理由 */
    @Excel(name = "不退款的理由")
    private String refundReason;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 快递公司编号 */
    @Excel(name = "快递公司编号")
    private String deliveryCode;

    /** 快递名称 */
    @Excel(name = "快递名称")
    private String deliveryName;

    /** 快递单号 */
    @Excel(name = "快递单号")
    private String deliverySn;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 核销码 */
    @Excel(name = "核销码")
    private String verifyCode;

    /** 配送方式 1=快递 ，2=门店自提 */
    @Excel(name = "配送方式 1=快递 ，2=门店自提")
    private Integer shippingType;

    /** 支付渠道(1微信小程序) */
    @Excel(name = "支付渠道(1微信小程序)")
    private String isChannel;

    /** 是否开处方 */
    @Excel(name = "是否开处方")
    private Integer isPrescribe;

    /** 处方ID */
    @Excel(name = "处方ID")
    private Long prescribeId;
    @Excel(name = "处方编号")
    private String prescribeCode;
    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处方ID", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 发货时间 */
    @Excel(name = "发货时间")
    private String deliveryTime;

    /** 推广佣金 */
    @Excel(name = "推广佣金")
    private BigDecimal tuiMoney;

    /** 推广佣金状态 1已发放 0待发放 */
    @Excel(name = "推广佣金状态 1已发放 0待发放")
    private Integer tuiMoneyStatus;

    /** 上级推荐人ID */
    @Excel(name = "上级推荐人ID")
    private Long tuiUserId;

    /** 订单创建类型 */
    @Excel(name = "订单创建类型")
    private Long orderCreateType;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String remark;
    @Excel(name = "订单类型")
    private Integer orderType;

    private String itemJson;

    private Long companyId;

    private Long companyUserId;

    private Long packageId;

    private Long inquiryOrderId;

    private Long packageOrderId;

    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "公司用户名称")
    private String companyUserName;
    @Excel(name = "剩余金额")
    private BigDecimal payRemain;
    private Integer deliveryStatus;
    private Integer deliveryPayStatus;

    private String deliveryPayTime;
    private String deliveryType;
    private BigDecimal deliveryPayMoney;
    private String extendOrderId;
    private String deliveryImportTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date deliverySendTime;
    private BigDecimal payDelivery;

    private BigDecimal prescribePrice;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date followTime;

    private String prescribeImgUrl;

    private Long followDoctorId;
    private String followDoctorName;
    private Integer cycle;
    private Integer followNum;

    private Long scheduleId;//档期id

    private Long orderBuyType;//购买类型，同药品商城的订单订单类型
    private String channel;//公众号/渠道

    private String orderChannel;//订单渠道

    private String qwSubject;
    private String source;
}
