package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class FsStorePaymentExcelVO {
    private Long paymentId;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String payCode;
    @Excel(name = "支付类型 ")
    private String payTypeCode;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "外部订单号")
    private String tradeNo;


    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "店铺名称")
    private String storeName;

    /** 业务类型  */
    @Excel(name = "业务类型",dictType="sys_store_payment_business_type")
    private Integer businessType;

    /** 状态 0未支付 1已支付 -1 已退款 */
    @Excel(name = "状态",dictType="sys_store_payment_status")
    private Integer status;

    /** 交易单号 */
    @Excel(name = "交易单号")
    private String bankTransactionId;

    /** 银行流水号 */
    @Excel(name = "银行流水号")
    private String bankSerialNo;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 退款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "退款时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date refundTime;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @Excel(name = "关联订单编号")
    private String businessCode;

    @Excel(name = "支付服务商类型",dictType="sys_pay_mode")
    private String payMode;

    @Excel(name = "所属公司")
    private String companyName;
    @Excel(name = "所属销售")
    private String companyUserName;
    @Excel(name = "快递公司")
    private String deliveryName;
    @Excel(name = "套餐名称")
    private String packageName;

    @Excel(name = "套餐包别名")
    private String packageSecondName;
}
