package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStorePaymentVO {
    private Long paymentId;

    private String prescribeCode;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String payCode;

    /** 支付类型 weixin alipay */
    @Excel(name = "支付类型 weixin alipay")
    private String payTypeCode;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    @Excel(name = "用户昵称")
    private String nickName;
    @Excel(name = "用户电话")
    private String phone;

    @Excel(name = "店铺名称")
    private String storeName;
    /** OPENID */
    @Excel(name = "OPENID")
    private String openId;

    /** 业务类型  */
    @Excel(name = "业务类型 ")
    private Integer businessType;

    /** 关联业务ID */
    @Excel(name = "关联业务ID")
    private String businessId;

    /** 状态 0未支付 1已支付 -1 已退款 */
    @Excel(name = "状态 0未支付 1已支付 -1 已退款")
    private Integer status;

    /** 交易单号 */
    @Excel(name = "交易单号")
    private String bankTransactionId;

    /** 银行流水号 */
    @Excel(name = "银行流水号")
    private String bankSerialNo;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 退款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "退款时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refundTime;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String businessCode;


    private String payMode;

    private String companyName;

    private String companyUserNickName;

    private Integer shareStatus;
    private String shareCode;
    private BigDecimal shareMoney;
}
