package com.fs.his.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
@Data
public class FsStoreProductExcelVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**product_type
     * 商品id
     */
    private Long productId;

    /**
     * 店铺ID
     */
    @Excel(name = "店铺ID")
    private Long storeId;

    /**
     * 商品图片
     */
    @Excel(name = "商品图片")
    private String imgUrl;

    /**
     * 轮播图
     */
    @Excel(name = "轮播图")
    private String images;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称")
    private String productName;

    /**
     * 商品介绍
     */
    @Excel(name = "商品介绍")
    private String productIntroduce;

    /**
     * 关键字
     */
    @Excel(name = "关键字")
    private String keyword;

    /**
     * 产品条码（一维码）
     */
    @Excel(name = "商品编号")
    private String barCode;



    /**
     * 分类id
     */
    @Excel(name = "分类id")
    private Long cateId;

    /**
     * 商品价格
     */
    @Excel(name = "商品价格")
    private BigDecimal price;

    /**
     * 市场价
     */
    @Excel(name = "市场价")
    private BigDecimal otPrice;

    /**
     * 单位名
     */
    @Excel(name = "单位名")
    private String unitName;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Long sort;

    /**
     * 销量
     */
    @Excel(name = "销量")
    private Integer sales;

    /**
     * 库存
     */
    @Excel(name = "库存")
    private Integer stock;

    /**
     * 状态（0：未上架，1：上架）
     */
    @Excel(name = "状态 0未上架 1上架")
    private Integer isShow;

    /**
     * 是否热卖
     */
    @Excel(name = "是否热卖 1是0否")
    private Integer isHot;

    /**
     * 是否优惠
     */
    @Excel(name = "是否优惠 1是0否")
    private Integer isBenefit;

    /**
     * 是否精品
     */
    @Excel(name = "是否精品 1是0否")
    private Integer isBest;

    /**
     * 是否新品
     */
    @Excel(name = "是否新品 1是0否")
    private Integer isNew;

    /**
     * 产品描述
     */
    @Excel(name = "产品描述")
    private String desc;

    /**
     * 是否包邮
     */
    @Excel(name = "是否包邮 1是0否")
    private Integer isPostage;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除 1是0否")
    private Integer isDel;

    /**
     * 获得积分
     */
    @Excel(name = "获得积分")
    private BigDecimal giveIntegral;



    /**
     * 成本价
     */
    @Excel(name = "成本价")
    private BigDecimal costPrice;


    @Excel(name = "医生积分")
    private BigDecimal doctorBrokerage;


    @Excel(name = "推广佣金")
    private BigDecimal Brokerage;

    @Excel(name = "重量")
    private BigDecimal weight;
    /**
     * 浏览量
     */
    @Excel(name = "浏览量")
    private Long views;

    /**
     * 产品二维码地址(用户小程序海报)
     */
    @Excel(name = "产品二维码地址(用户小程序海报)")
    private String codeUrl;

    /**
     * 规格 0单 1多
     */
    @Excel(name = "规格 0单 1多")
    private Integer specType;

    /**
     * 商品类型:1西药 2中药
     */
    @Excel(name = "商品类型:1西药 2中药")
    private Integer productType;
    /**
     * 商品类型:1非处方 2处方
     */
    @Excel(name = "是否为处方药:1是0否")
    private Integer isPrescribe;

//    @Excel(name = "组合编码")
//    private String code;

    /**
     * 国药准字
     */
    @Excel(name = "国药准字/备案号")
    private String prescribeCode;

    /**
     * 规格
     */
    @Excel(name = "规格")
    private String prescribeSpec;

    /**
     * 生产厂家
     */
    @Excel(name = "生产厂家")
    private String prescribeFactory;

    /**
     * 处方名
     */
    @Excel(name = "处方名/产品名")
    private String prescribeName;

    /**
     * 是否在商品展示
     */
    @Excel(name = "是否在商品展示")
    private Integer isDisplay;

    /**
     * 运费模板
     */
    @Excel(name = "运费模板")
    private Long tempId;

}
