package com.fs.his.vo;

import com.fs.common.annotation.Excel;

import com.fs.his.dto.StoreOrderProductDTO;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * 订单对象 fs_store_order
 *
 * @author fs
 * @date 2022-03-15
 */
@Data
public class FsStoreProductPacketVO implements Serializable
{

    /** 20 */
    @Excel(name = "id")
    private Long packageId;

    /** 标题 */
    @Excel(name = "标题",width = 50)
    private String title;

    /** 描述 */
    @Excel(name = "描述",width = 60)

    private String descs;

    /** 内容 */
    private String content;

    /** 封面 */
    private String imgUrl;

    /** 金额 */
    private BigDecimal money;

    /** 支付金额 */
    private BigDecimal payMoney;

    @Excel(name = "支付类型", dictType = "store_pay_type")

    private Integer payType;
    private Integer limitCount;
    private Long companyId;
    private Long companyUserId;

    //@Excel(name = "公司名称")
    private String companyName;
    //@Excel(name = "部门")

    private String deptName;

    private String products;

    @Excel(name = "所属分类", dictType = "store_product_package_cate")

    private Integer cateId;

    private Integer sort;


    //@Excel(name = "状态 0 = 支出 1 = 获得")
    @Excel(name = "状态", dictType = "common_status")
    private Integer status;

    List<StoreOrderProductDTO> productList;

}
