package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStoreProductVO implements Serializable {
    private Long productId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 店铺ID */
    @Excel(name = "店铺名称")
    private String storeName;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String imgUrl;

    /** 轮播图 */
    @Excel(name = "轮播图")
    private String images;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String productName;

    /** 商品介绍 */
    @Excel(name = "商品介绍")
    private String productIntroduce;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyword;

    /** 产品条码（一维码） */
    @Excel(name = "产品条码", readConverterExp = "一=维码")
    private String barCode;

    /** 分类id */
    @Excel(name = "分类id")
    private Long cateId;

    /**分类名称*/
    private String cateName;

    /** 商品价格 */
    @Excel(name = "商品价格")
    private BigDecimal price;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal otPrice;

    /** 单位名 */
    @Excel(name = "单位名")
    private String unitName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 销量 */
    @Excel(name = "销量")
    private String sales;

    /** 库存 */
    @Excel(name = "库存")
    private String stock;

    /** 状态（0：未上架，1：上架） */
    @Excel(name = "状态", readConverterExp = "0=：未上架，1：上架")
    private Integer isShow;

    /** 是否热卖 */
    @Excel(name = "是否热卖")
    private Integer isHot;

    /** 是否优惠 */
    @Excel(name = "是否优惠")
    private Integer isBenefit;

    /** 是否精品 */
    @Excel(name = "是否精品")
    private Integer isBest;

    /** 是否新品 */
    @Excel(name = "是否新品")
    private Integer isNew;

    /** 产品描述 */
    @Excel(name = "产品描述")
    private String desc;

    /** 是否包邮 */
    @Excel(name = "是否包邮")
    private String isPostage;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 获得积分 */
    @Excel(name = "获得积分")
    private BigDecimal giveIntegral;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long views;

    /** 产品二维码地址(用户小程序海报) */
    @Excel(name = "产品二维码地址(用户小程序海报)")
    private String codeUrl;

    /** 规格 0单 1多 */
    @Excel(name = "规格 0单 1多")
    private Integer specType;

    /** 商品类型:1非处方 2处方 */
    @Excel(name = "商品类型:1非处方 2处方")
    private Integer productType;

    /** 国药准字 */
    @Excel(name = "国药准字")
    private String prescribeCode;

    /** 规格 */
    @Excel(name = "规格")
    private String prescribeSpec;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String prescribeFactory;

    /** 处方名 */
    @Excel(name = "处方名")
    private String prescribeName;

    /** 是否在商品展示 */
    @Excel(name = "是否在商品展示")
    private Integer isDisplay;

    /** 运费模板 */
    @Excel(name = "运费模板")
    private Long tempId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 医生佣金
     */
    @Excel(name = "医生佣金")
    private BigDecimal doctorBrokerage;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
