package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsStoreSubOrderListVO {
    /** 订单ID */
    private Long orderId;
    private Long subOrderId;
    /** 订单号 */
    @Excel(name = "处方订单号")
    private String subOrderCode;
    @Excel(name = "药品订单号")
    private String orderCode;
    @Excel(name = "所属公司")
    private String companyName;
    @Excel(name = "员工")
    private String companyUserName;
    @Excel(name = "就诊人")
    private String patientName;
    /** 实际支付金额 */
    @Excel(name = "实际支付金额")
    private BigDecimal payPrice;
    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;
    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;
    /** 支付方式 1微信 */
    @Excel(name = "支付方式 ")
    private String payType;

    private Integer status;
    @Excel(name = "订单状态")
    private Integer orderStatus;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "物流状态")
    private Integer deliveryStatus;
    @Excel(name = "物流支付状态")
    private Integer deliveryPayStatus;
    @Excel(name = "物流支付状态")
    private String storeName;
    @Excel(name = "套餐包名称")
    private String packageName;
    @Excel(name = "套餐包别名")
    private String packageSecondName;
    @Excel(name = "收货人名称")
    private String userName;

    private Integer isFirst;
    @Excel(name = "快递公司编号")
    private String deliveryCode;
    @Excel(name = "快递公司")
    private String deliveryName;
    @Excel(name = "快递单号")
    private String deliverySn;
}
