package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserCouponListVO {
    /** ID */
    private Long id;

    /** 优惠劵id */

    private Long couponId;

    /** 券号 */
    @Excel(name = "券号")
    private String couponCode;

    @Excel(name = "标题")
    private String title;
    @Excel(name = "面额")
    private BigDecimal price;
    @Excel(name = "用户昵称")
    private String nickName;
    @Excel(name = "用户电话")
    private String phone;
    @Excel(name = "卷类别",dictType = "sys_coupon_type")
    private Integer couponType;
    /** 会员ID */

    private Long userId;
    private Long sendUserId;
    @Excel(name = "发送人")
    private String sendUserName;
    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date useTime;

    /** 关联订单ID */

    private Long businessId;

    /** 订单类型 1问诊 2商城 */
    @Excel(name = "订单类型",dictType = "sys_coupon_business_type")
    private Integer businessType;

    /** 状态 0未使用 1已使用 2已过期 */
    @Excel(name = "状态",dictType = "sys_coupon_status")
    private Integer status;
    /** 创建时间 */
    @Excel(name = "领取时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date limitTime;

    private Long companyId;
    private Long companyUserId;
    @Excel(name = "公司名称")
    private String companyName;
    @Excel(name = "销售")
    private String companyUserName;
}
