package com.fs.his.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Base64;
import java.util.Date;

@Data
public class FsUserVO implements Serializable {
    /** 用户id */
    private String userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatar;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 用户积分 */
    @Excel(name = "用户积分")
    private BigDecimal integral;

    /** 1为正常，0为禁止 */
    @Excel(name = "1为正常，0为禁止")
    private Integer status;

    /** 推广上级用户ID */
//    @Excel(name = "推广上级用户ID")
    private String tuiUserId;
    /** 推广上级用户ID */
    @Excel(name = "推广上级用户名称")
    private String tuiName;
    /** 推广上级用户ID */
    @Excel(name = "推广上级电话")
    private String tuiPhone;



    /** 推广员关联时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "推广员关联时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tuiTime;

    /** 下级人数 */
    @Excel(name = "下级人数")
    private Long tuiUserCount;

    /** 微信小程序OPENID */
//    @Excel(name = "微信小程序OPENID")
    private String maOpenId;

    /** 微信公众号OPENID */
//    @Excel(name = "微信公众号OPENID")
    private String mpOpenId;

    /** 关联ID */
//    @Excel(name = "关联ID")
    private String unionId;

    /** $column.columnComment */
//    @Excel(name = "关联ID")
    private Integer isDel;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String userCode;

    /** 最后一次登录ip */
    @Excel(name = "最后一次登录ip")
    private String lastIp;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Integer isBuy;

    private String loginDevice;//当前登录设备

    private String source;//app来源


    @ApiModelProperty(value = "销售名称")
    @Excel(name = "所属销售", sort = 10)
    private String companyUserNickName;

    @ApiModelProperty(value = "所属公司")
    @Excel(name = "所属公司", sort = 9)
    private String companyName;

    public void setPhone(String phone)
    {
       this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
}
