package com.fs.hisapi.param;

import lombok.Data;

import java.util.List;

@Data
public class CreateOrderParam {
        private String hospital_code;
        private String recipe_name;            // 处方号 (Y)
        private String registry_id;            // 挂号单
        private String name;                  // 患者姓名 (Y)
        private String sex;                   // 性别 (Y)，限：“男”或“女”
        private int age;                      // 年龄 (Y)，大于0的正整数
        private String birthday;              // 出生日期 (Y)，格式：YYYY-MM-DD，例：2020-01-01
        private String phone;                 // 手机号码 (Y)
        private String email;                 // 邮箱
        private String department;            // 科室名称
        private String doctor;                // 医生 (Y)
        private int recipe_no;                 // 处方副数 (Y)，大于0的正整数
        private int granule_total_no;           // 处方味数 (Y)，大于0的正整数
        private int times_day;                 // 每日服用次数 (Y)
        private int factor;                   // 拆分系数 (固定为0)
        private String attention;             // 医嘱
        private String symptoms;              // 症状
        private String recipe_sample;          // 处方模板
        private String recipe_time;            // 处方开具时间 (Y)，格式：YYYY-MM-DD H:i:s，例：2021-01-01 12:01:01
        private String operator_name;          // 录入员
        private String operation_time;         // 录入时间，格式：YYYY-MM-DD H:i:s，例：2021-01-01 12:01:01
        private String pricing_id;             // 划价单号
        private String pricing_cashier;        // 划价员
        private String pricing_time;           // 划价时间，格式：YYYY-MM-DD H:i:s，例：2021-01-01 12:01:01
        private String price;             // 单副处方价格 (Y)，最多4位小数
        private String price_total;        // 处方总价 (Y)，最多4位小数
        private String recipe_sale_price;   // 处方实收金额 (Y)，最多4位小数
        private String payment_type;           // 缴费类型
        private String payment_status;         // 缴费状态 (Y)，医院填写"PAYED"
        private String recipe_source;          // 处方来源 (Y)，医院填写"HIS"
        private String machine_name;           // 调配机名称 (不填写)
        private String recipe_status;          // 处方状态 (Y)，固定填写"NEW"
        private String bed;                   // 床号
        private String description;           // 备注说明
        private String patient_id;             // 病人编码
        private String visit_id;               // 来访编码
        private String usage_desc;             // 描述 (备用字段)
        private String address;               // 患者地址 (Y)
        private String refund_name;            // 退单所关联的原单处方号

        private int recipe_type;        //定值，0-颗粒剂 1-膏方
        private List<RecipeDetailParam> recipe_detail_list;      // 处方药品详情 (Y)，示例：[ { "granule_name":"党参颗粒", "granule_no":"1", "granule_dose":"3.0303", "herb_dose":"10.0000", "equivalent":"3.30", "granule_price":"0.0833", "granule_his":"C2009" }, { "granule_name":"麸炒白术颗粒", "granule_no":"2", "granule_dose":"2.5000", "herb_dose":"10.0000", "equivalent":"4.00", "granule_price":"0.0734", "granule_his":"C2330" } ]
}
