package com.fs.hospital.domain;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 诊所对象 hospital
 *
 * @author fs
 * @date 2024-02-26
 */
@Data
public class Hospital extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long hospitalId;

    /** 诊所名称 */
    @Excel(name = "诊所名称")
    private String hospitalName;

    /** 执照 */
    @Excel(name = "执照")
    private String licenseUrl;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** $column.columnComment */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "地址", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** $column.columnComment */
    @Excel(name = "地址")
    private Long limitUserCount;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;

    /** 管理员用户ID */
    @Excel(name = "管理员用户ID")
    private Long userId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    private String userName;

    private String password;

    private String mobile;

}
