package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.company.domain.CompanyDept;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 部门对象 hospital_dept
 *
 * @author fs
 * @date 2024-02-26
 */
@Data
public class HospitalDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 部门id */
    private Long deptId;

    /** 父部门id */
    @Excel(name = "父部门id")
    private Long parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long orderNum;

    /** 负责人 */
    @Excel(name = "负责人")
    private String leader;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 部门状态（1正常 0停用） */
    @Excel(name = "部门状态", readConverterExp = "1=正常,0=停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,1=代表删除")
    private Integer isDel;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long hospitalId;

    private List<HospitalDept> children = new ArrayList<HospitalDept>();

}
