package com.fs.hospital.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 检查对象 hospital_inspect_item
 *
 * @author fs
 * @date 2024-03-26
 */
@Data
public class HospitalInspectItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long inspectId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String inspectName;

    /** 项目编码 */
    @Excel(name = "项目编码")
    private String inspectCode;

    /** 项目分类 */
    @Excel(name = "项目分类")
    private Integer inspectCate;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal sellPrice;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 所属科室 */
    @Excel(name = "所属科室")
    private Long deptId;

}
