package com.fs.hospital.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊所会员对象 hospital_member
 *
 * @author fs
 * @date 2024-03-04
 */
@Data
public class HospitalMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long memberId;
    //患者id
    private Long patientId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatar;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;
    //累计积分
    private Long totalIntegral;
    /** 用户积分 */
    @Excel(name = "用户积分")
    private Long integral;

    /** 1为正常，0为禁止 */
    @Excel(name = "1为正常，0为禁止")
    private Integer status;

    /** 推广上级用户ID */
    @Excel(name = "推广上级用户ID")
    private Long tuiMemberId;

    /** 推广员关联时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "推广员关联时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tuiTime;

    /** 下级人数 */
    @Excel(name = "下级人数")
    private Long tuiMemberCount;

    /** 微信小程序OPENID */
    @Excel(name = "微信小程序OPENID")
    private String maOpenId;

    /** 微信公众号OPENID */
    @Excel(name = "微信公众号OPENID")
    private String mpOpenId;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String unionId;

    /** $column.columnComment */
    @Excel(name = "关联ID")
    private Integer isDel;

    /** 邀请码 */
    @Excel(name = "邀请码")
    private String memberCode;

    /** 最后一次登录ip */
    @Excel(name = "最后一次登录ip")
    private String lastIp;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 连续签到天数 */
    @Excel(name = "连续签到天数")
    private Long signNum;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private String level;

    /** 会员等级值 */
    @Excel(name = "会员等级值")
    private Long levelValue;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

}
