package com.fs.hospital.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 会员帐单对象 hospital_member_bill
 *
 * @author fs
 * @date 2024-03-04
 */
@Data
public class HospitalMemberBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long billId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 类型 */
    @Excel(name = "类型")
    private Integer billType;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String businessId;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;


}
