package com.fs.hospital.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 用户充值对象 hospital_member_recharge
 *
 * @author fs
 * @date 2024-03-04
 */
@Data
public class HospitalMemberRecharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long rechargeId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal money;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    private String remark;
}
