package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 菜单权限对象 hospital_menu
 *
 * @author fs
 * @date 2024-02-26
 */
@Data
public class HospitalMenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单ID */
    private Long menuId;

    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String menuName;

    /** 父菜单ID */
    @Excel(name = "父菜单ID")
    private Long parentId;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long orderNum;

    /** 路由地址 */
    @Excel(name = "路由地址")
    private String path;

    /** 菜单类型（M目录 C菜单 F按钮） */
    @Excel(name = "菜单类型", readConverterExp = "M=目录,C=菜单,F=按钮")
    private String menuType;

    /** 组件路径 */
    @Excel(name = "组件路径")
    private String component;

    /** 菜单状态（1显示 0隐藏） */
    @Excel(name = "菜单状态", readConverterExp = "1=显示,0=隐藏")
    private Integer visible;

    /** 路由参数 */
    @Excel(name = "路由参数")
    private String query;

    /** 菜单状态（1正常 0停用） */
    @Excel(name = "菜单状态", readConverterExp = "1=正常,0=停用")
    private Integer status;

    /** 权限标识 */
    @Excel(name = "权限标识")
    private String perms;

    /** 是否为外链（0是 1否） */
    @Excel(name = "是否为外链", readConverterExp = "0=是,1=否")
    private Integer isFrame;

    /** 是否缓存（0缓存 1不缓存） */
    @Excel(name = "是否缓存", readConverterExp = "0=缓存,1=不缓存")
    private Integer isCache;

    /** 菜单图标 */
    @Excel(name = "菜单图标")
    private String icon;

    private List<HospitalMenu> children = new ArrayList<HospitalMenu>();

}
