package com.fs.hospital.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fs.company.domain.CompanyMenu;
import com.fs.company.domain.CompanyMenuTreeSelect;

import java.util.List;
import java.util.stream.Collectors;

public class HospitalMenuTreeSelect {
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<HospitalMenuTreeSelect> children;

    public HospitalMenuTreeSelect()
    {

    }
    public HospitalMenuTreeSelect(HospitalMenu menu) {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();
        this.children = menu.getChildren().stream().map(HospitalMenuTreeSelect::new).collect(Collectors.toList());
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<HospitalMenuTreeSelect> getChildren() {
        return children;
    }

    public void setChildren(List<HospitalMenuTreeSelect> children) {
        this.children = children;
    }
}
