package com.fs.hospital.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊疗订单对象 hospital_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 治疗单ID */
    @Excel(name = "治疗单ID")
    private Long treatOrderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 订单类型 1门诊单 2收费单 3治疗单 */
    @Excel(name = "订单类型 1门诊单 2收费单 3治疗单")
    private Integer orderType;

    /** 收费人 */
    @Excel(name = "收费人")
    private Long userId;

    /** 收费单名称 */
    @Excel(name = "收费单名称")
    private String title;

    /** 应付金额 */
    @Excel(name = "应付金额")
    private BigDecimal totalMoney;

    /** 实付金额 */
    @Excel(name = "实付金额")
    private BigDecimal payMoney;

    /** 抵扣金额 */
    @Excel(name = "抵扣金额")
    private BigDecimal discountMoney;

    /** 支付类型 1现金 2微信 */
    @Excel(name = "支付类型 1现金 2微信")
    private Integer payType;

    /** 状态 1待收 2已收 3挂单 4欠费 */
    @Excel(name = "状态 1待收 2已收 3挂单 4欠费")
    private Integer status;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 是否开票 */
    @Excel(name = "是否开票")
    private Integer isInvoice;

}
