package com.fs.hospital.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊疗项目对象 hospital_order_item
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long itemId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 门诊单ID */
    @Excel(name = "门诊单ID")
    private Long outpatientOrderId;

    /** 药房ID */
    @Excel(name = "药房ID")
    private Long pharmacyOrderId;

    /** 治疗单ID */
    @Excel(name = "治疗单ID")
    private Long treatOrderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 业务ID */
    @Excel(name = "业务ID")
    private Long businessId;

    /** 类型  1检查 2检验  3治疗  4药品 5套餐 6其它 */
    @Excel(name = "类型  1检查 2检验  3治疗  4药品 5套餐 6其它")
    private Integer itemType;

    /** 项目JSON */
    @Excel(name = "项目JSON")
    private String itemJson;

    /** 数量 */
    @Excel(name = "数量")
    private Long count;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 是否支付 1待支付 2已支付 3已退款 4部分退款 */
    @Excel(name = "是否支付 1待支付 2已支付 3已退款 4部分退款")
    private Integer payStatus;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Long remainCount;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private String refundMoney;

    /** 退款数量 */
    @Excel(name = "退款数量")
    private Long refundCount;

    /** 状态 0待发药 1已发药 2已退药 */
    @Excel(name = "状态 0待发药 1已发药 2已退药")
    private Integer status;

    /** 使用多少天 */
    @Excel(name = "使用多少天")
    private Integer useDays;

    /** 使用每天次数 */
    @Excel(name = "使用每天次数")
    private Integer useDayCount;

    private Integer treatStatus; //执行状态

}
