package com.fs.hospital.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门诊单对象 hospital_outpatient_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOutpatientOrder implements Serializable
{

    /** 订单ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 主诉 */
    @Excel(name = "主诉")
    private String title;

    /** 订单类型 1初诊 2复诊 */
    @Excel(name = "订单类型 1初诊 2复诊")
    private Integer orderType;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 是否预约单 */
    @Excel(name = "是否预约单")
    private Integer isYuyue;

    /** 预约时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预约时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yuyueTime;

    /** 开始时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String startTime;

    /** 结束时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String endTime;

    /** 挂号费 */
    @Excel(name = "挂号费")
    private BigDecimal money;

    /** 渠道 1现场 2APP */
    @Excel(name = "渠道 1现场 2APP")
    private Integer orderChannel;

    /** 科室ID */
    @Excel(name = "科室ID")
    private Long deptId;

    /** 医嘱 */
    @Excel(name = "医嘱")
    private String advice;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    /** 文书 */
    @Excel(name = "文书")
    private String files;

    /** 附件图片 */
    @Excel(name = "附件图片")
    private String images;

    /** 支付类型 1现金 2微信 */
    @Excel(name = "支付类型 1现金 2微信")
    private Integer payType;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史 */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 体格检查 */
    @Excel(name = "体格检查")
    private String physicalExamination;

    /** 状态 1待诊 2接诊 3已诊 4已收费 -1已退单 */
    @Excel(name = "状态 1待诊 2接诊 3已诊 4已收费 -1已退单")
    private Integer status;

    /** 是否支付 */
    @Excel(name = "是否支付")
    private Integer isPay;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String remark;

}
