package com.fs.hospital.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 药房订单对象 hospital_pharmacy_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalPharmacyOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 状态1待发药 2已发药 */
    @Excel(name = "状态1待发药 2已发药")
    private Integer status;

    /** 快递状态 0无 1待发货，2已发货 */
    @Excel(name = "快递状态 0无 1待发货，2已发货")
    private Integer deliveryStatus;

    /** 加工状态 0无 1待加工，2已加工 */
    @Excel(name = "加工状态 0无 1待加工，2已加工")
    private Integer processStatus;

}
