package com.fs.hospital.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 诊所商品对象 hospital_product
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalProduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long productId;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 通用名称 */
    @Excel(name = "通用名称")
    private String commonName;

    /** 药品名称 */
    @Excel(name = "药品名称")
    private String productName;

    /** 药品类型 */
    @Excel(name = "药品类型")
    private Integer productType;

    /** 药品编码 */
    @Excel(name = "药品编码")
    private String productCode;

    /** 厂家 */
    @Excel(name = "厂家")
    private String factory;

    /** 国药准字号 */
    @Excel(name = "国药准字号")
    private String gyzzNo;

    /** 条码 */
    @Excel(name = "条码")
    private String barCode;

    /** 剂量 格式:10-克 */
    @Excel(name = "剂量 格式:10-克")
    private String dose;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 最小包装单位 格式:4-支  */
    @Excel(name = "最小包装单位 格式:4-支 ")
    private String minPackageUnit;

    /** 包装单位 格式:盒 */
    @Excel(name = "包装单位 格式:盒")
    private String packageUnit;

    /** 柜号 */
    @Excel(name = "柜号")
    private String cabinetNo;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal sellPrice;

    /** 进货价 */
    @Excel(name = "进货价")
    private BigDecimal buyPrice;

    /** 最近有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitDate;

    /** 毛利率 */
    @Excel(name = "毛利率")
    private BigDecimal grossRate;

    /** 库存 */
    @Excel(name = "库存")
    private Integer totalCount;

    /** 可销售数量 */
    @Excel(name = "可销售数量")
    private Integer sellCount;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

}
