package com.fs.hospital.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 采购单明细对象 hospital_product_check_order_item
 *
 * @author fs
 * @date 2024-03-14
 */
@Data
public class HospitalProductCheckOrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long itemId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 批次 */
    @Excel(name = "批次")
    private Long batch;

    /** 批号 */
    @Excel(name = "批号")
    private String batchNumber;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitDate;

    /** 进价 */
    @Excel(name = "进价")
    private BigDecimal buyPrice;

    /** 账面数量 */
    @Excel(name = "账面数量")
    private Integer count;

    /** 实际数量 */
    @Excel(name = "实际数量")
    private Integer checkCount;

    /** 盈亏金额(进价) */
    @Excel(name = "盈亏金额(进价)")
    private BigDecimal buyMoney;

    /** 盈亏金额(售价) */
    @Excel(name = "盈亏金额(售价)")
    private BigDecimal sellMoney;


}
