package com.fs.hospital.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 领用单对象 hospital_product_out_order
 *
 * @author fs
 * @date 2024-03-14
 */
@Data
public class HospitalProductOutOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long userId;

    /** 总数量 */
    @Excel(name = "总数量")
    private Integer totalCount;

    /** 品种数量 */
    @Excel(name = "品种数量")
    private Integer productCount;

    /** 订单类型 1领取 2退回 3报损出库 */
    @Excel(name = "订单类型 1领取 2退回 3报损出库")
    private Integer orderType;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;


}
