package com.fs.hospital.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 采购单明细对象 hospital_purchase_order_item
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalProductPurchaseOrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long itemId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 批次 */
    @Excel(name = "批次")
    private String batch;

    /** 批号 */
    @Excel(name = "批号")
    private String batchNumber;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitDate;

    /** 进价 */
    @Excel(name = "进价")
    private BigDecimal price;

    /** 数量 */
    @Excel(name = "数量")
    private Integer count;

    private Integer limitCount;

    private Integer orderType;


}
