package com.fs.hospital.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 治疗记录对象 hospital_treat_order_logs
 *
 * @author fs
 * @date 2024-03-26
 */
@Data
public class HospitalTreatOrderLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long logsId;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long orderId;

    /** 操作医生ID */
    @Excel(name = "操作医生ID")
    private Long userId;

    /** 日志内容 */
    @Excel(name = "日志内容")
    private String content;

    /** 治疗记录JSON [] */
    @Excel(name = "治疗记录JSON []")
    private String logsJson;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 执行次数 */
    @Excel(name = "执行次数")
    private Long count;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
