package com.fs.hospital.mapper;

import java.util.List;
import com.fs.hospital.domain.HospitalOperLog;

/**
 * 操作日志记录Mapper接口
 * 
 * @author fs
 * @date 2024-02-27
 */
public interface HospitalOperLogMapper 
{
    /**
     * 查询操作日志记录
     * 
     * @param operId 操作日志记录主键
     * @return 操作日志记录
     */
    public HospitalOperLog selectHospitalOperLogByOperId(Long operId);

    /**
     * 查询操作日志记录列表
     * 
     * @param hospitalOperLog 操作日志记录
     * @return 操作日志记录集合
     */
    public List<HospitalOperLog> selectHospitalOperLogList(HospitalOperLog hospitalOperLog);

    /**
     * 新增操作日志记录
     * 
     * @param hospitalOperLog 操作日志记录
     * @return 结果
     */
    public int insertHospitalOperLog(HospitalOperLog hospitalOperLog);

    /**
     * 修改操作日志记录
     * 
     * @param hospitalOperLog 操作日志记录
     * @return 结果
     */
    public int updateHospitalOperLog(HospitalOperLog hospitalOperLog);

    /**
     * 删除操作日志记录
     * 
     * @param operId 操作日志记录主键
     * @return 结果
     */
    public int deleteHospitalOperLogByOperId(Long operId);

    /**
     * 批量删除操作日志记录
     * 
     * @param operIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHospitalOperLogByOperIds(Long[] operIds);
}
