package com.fs.hospital.mapper;

import java.util.List;
import com.fs.hospital.domain.HospitalOutpatientOrderLogs;

/**
 * 日志Mapper接口
 * 
 * @author fs
 * @date 2024-03-26
 */
public interface HospitalOutpatientOrderLogsMapper 
{
    /**
     * 查询日志
     * 
     * @param logsId 日志主键
     * @return 日志
     */
    public HospitalOutpatientOrderLogs selectHospitalOutpatientOrderLogsByLogsId(Long logsId);

    /**
     * 查询日志列表
     * 
     * @param hospitalOutpatientOrderLogs 日志
     * @return 日志集合
     */
    public List<HospitalOutpatientOrderLogs> selectHospitalOutpatientOrderLogsList(HospitalOutpatientOrderLogs hospitalOutpatientOrderLogs);

    /**
     * 新增日志
     * 
     * @param hospitalOutpatientOrderLogs 日志
     * @return 结果
     */
    public int insertHospitalOutpatientOrderLogs(HospitalOutpatientOrderLogs hospitalOutpatientOrderLogs);

    /**
     * 修改日志
     * 
     * @param hospitalOutpatientOrderLogs 日志
     * @return 结果
     */
    public int updateHospitalOutpatientOrderLogs(HospitalOutpatientOrderLogs hospitalOutpatientOrderLogs);

    /**
     * 删除日志
     * 
     * @param logsId 日志主键
     * @return 结果
     */
    public int deleteHospitalOutpatientOrderLogsByLogsId(Long logsId);

    /**
     * 批量删除日志
     * 
     * @param logsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHospitalOutpatientOrderLogsByLogsIds(Long[] logsIds);
}
