package com.fs.hospital.mapper;

import java.util.List;
import com.fs.hospital.domain.HospitalPharmacyOrderLogs;

/**
 * 日志Mapper接口
 * 
 * @author fs
 * @date 2024-03-26
 */
public interface HospitalPharmacyOrderLogsMapper 
{
    /**
     * 查询日志
     * 
     * @param logsId 日志主键
     * @return 日志
     */
    public HospitalPharmacyOrderLogs selectHospitalPharmacyOrderLogsByLogsId(Long logsId);

    /**
     * 查询日志列表
     * 
     * @param hospitalPharmacyOrderLogs 日志
     * @return 日志集合
     */
    public List<HospitalPharmacyOrderLogs> selectHospitalPharmacyOrderLogsList(HospitalPharmacyOrderLogs hospitalPharmacyOrderLogs);

    /**
     * 新增日志
     * 
     * @param hospitalPharmacyOrderLogs 日志
     * @return 结果
     */
    public int insertHospitalPharmacyOrderLogs(HospitalPharmacyOrderLogs hospitalPharmacyOrderLogs);

    /**
     * 修改日志
     * 
     * @param hospitalPharmacyOrderLogs 日志
     * @return 结果
     */
    public int updateHospitalPharmacyOrderLogs(HospitalPharmacyOrderLogs hospitalPharmacyOrderLogs);

    /**
     * 删除日志
     * 
     * @param logsId 日志主键
     * @return 结果
     */
    public int deleteHospitalPharmacyOrderLogsByLogsId(Long logsId);

    /**
     * 批量删除日志
     * 
     * @param logsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHospitalPharmacyOrderLogsByLogsIds(Long[] logsIds);
}
