package com.fs.hospital.mapper;

import java.util.List;
import com.fs.hospital.domain.HospitalWarehouse;

/**
 * 诊所仓库Mapper接口
 *
 * @author fs
 * @date 2024-03-12
 */
public interface HospitalWarehouseMapper
{
    /**
     * 查询诊所仓库
     *
     * @param warehouseId 诊所仓库主键
     * @return 诊所仓库
     */
    public HospitalWarehouse selectHospitalWarehouseByWarehouseId(Long warehouseId);

    /**
     * 查询诊所仓库列表
     *
     * @param hospitalWarehouse 诊所仓库
     * @return 诊所仓库集合
     */
    public List<HospitalWarehouse> selectHospitalWarehouseList(HospitalWarehouse hospitalWarehouse);

    /**
     * 新增诊所仓库
     *
     * @param hospitalWarehouse 诊所仓库
     * @return 结果
     */
    public int insertHospitalWarehouse(HospitalWarehouse hospitalWarehouse);

    /**
     * 修改诊所仓库
     *
     * @param hospitalWarehouse 诊所仓库
     * @return 结果
     */
    public int updateHospitalWarehouse(HospitalWarehouse hospitalWarehouse);

    /**
     * 删除诊所仓库
     *
     * @param warehouseId 诊所仓库主键
     * @return 结果
     */
    public int deleteHospitalWarehouseByWarehouseId(Long warehouseId);

    /**
     * 批量删除诊所仓库
     *
     * @param warehouseIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHospitalWarehouseByWarehouseIds(Long[] warehouseIds);
}
