package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.param.BaseParam;
import lombok.Data;

import java.util.Date;

/**
 *  检验的参数对象
 */
@Data
public class HospitalExamOrderParam  extends BaseParam {

    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    private String orderCode;

    /** 诊所ID */
    private Long hospitalId;

    /** 门诊订单ID */
    private Long outpatientOrderId;

    /** 检验项目ID */
    private Long examItemId;

    /** 订单项目Id */
    private Long orderItemId;

    /** 订单类型 1门诊 2零售 */
    private Integer orderType;

    /**
     *  患者姓名
     */
    private String patientName;

    /** 状态1待检验 1已检验 */
    private Integer status;

    /** 检验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date opTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;
}
