package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.his.param.BaseParam;
import com.fs.hospital.vo.HospitalOrderItemListHVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 检查单对象 hospital_inspect_order
 *
 * @author fs
 * @date 2024-03-26
 */
@Data
public class HospitalInspectOrderParam extends BaseParam
{

    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    private String orderCode;

    /** 诊所ID */
    private Long hospitalId;

    /** 门诊订单ID */
    private Long outpatientOrderId;

    /** 订单项目ID */
    private Long orderItemId;

    /** 订单类型 1门诊 2零售 */
    private Integer orderType;

    /**
     *  患者姓名
     */
    private String patientName;

    /** 状态1待检查 1已检查 */
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date opTime;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;

}
