package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.his.param.BaseParam;
import com.fs.hospital.vo.HospitalOrderItemListHVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 诊疗订单对象 hospital_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOrderParam extends BaseParam
{

    /** ID */
    private Long orderId;

    /** 诊所ID */
    private Long hospitalId;

    /** 患者ID */
    private Long patientId;

    private String patientName;

    /** 订单类型 1门诊单 2收费单 3治疗单 */
    private Integer orderType;


    /** 支付类型 1现金 2微信 */
    private Integer payType;

    /** 状态 1待收 2已收 3挂单 4欠费 */
    private Integer status;


    /** 是否开票 */
    private Integer isInvoice;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;


    /** 收费人 */
    @Excel(name = "收费人")
    private Long userId;

    /** 应付金额 */
    private  BigDecimal totalMoney;
    /**
     *  新增单收费选项的诊疗项目存储
     */
    private List<HospitalOrderItemListHVO> orderItems;

}
