package com.fs.hospital.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 采购单对象 hospital_purchase_order
 *
 * @author fs
 * @date 2024-03-12
 */
@Data
public class HospitalProductPurchaseOrderParam
{

    /** ID */
    private Long orderId;

    /** 订单号 */
    private String orderCode;

    /** 供应店铺ID */
    private Long storeId;

    /** 所属诊所 */
    private Long hospitalId;

    /** 创建者 */
    private String nickName;

    /** 总数量 */
    private Long totalCount;

    /** 品种数量 */
    private Long productCount;

    /** 订单类型 1采购入库 2退货 */
    private Integer orderType;

    private BigDecimal money;

    private BigDecimal taxMoney;

    private Integer status;

    private String opOrderCode;

    /** 开始时间 */
    @JsonIgnore
    private String beginTime;
    /** 结束时间 */
    @JsonIgnore
    private String endTime;

}
