package com.fs.hospital.param;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.hospital.vo.HospitalOrderItemListHVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 治疗单对象 hospital_treat_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalTreatOrderAddParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 治疗名称 */
    @Excel(name = "治疗名称")
    private String title;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 状态1待治疗 1已治疗 */
    @Excel(name = "状态1待治疗 1已治疗")
    private Integer status;

    private BigDecimal money;

    private Integer isPay;

    private List<HospitalOrderItemListHVO> orderItems;

}
