package com.fs.hospital.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hospital.domain.HospitalExamOrder;
import com.fs.hospital.param.HospitalExamOrderParam;
import com.fs.hospital.vo.HospitalExamOrderVO;

/**
 * 检验单Service接口
 *
 * @author fs
 * @date 2024-03-26
 */
public interface IHospitalExamOrderService
{
    /**
     * 查询检验单
     *
     * @param orderId 检验单主键
     * @return 检验单
     */
    public R selectHospitalExamOrderVOByOrderId(Long orderId);

    /**
     * 查询检验单列表
     *
     * @param param 检验单参数
     * @return 检验单集合
     */
    public List<HospitalExamOrderVO> selectHospitalExamOrderListVO(HospitalExamOrderParam param);

    /**
     * 修改检验单
     *
     * @param hospitalExamOrder 检验单
     * @return 结果
     */
    public int updateHospitalExamOrder(HospitalExamOrder hospitalExamOrder);

}
