package com.fs.hospital.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hospital.domain.HospitalInspectOrder;
import com.fs.hospital.param.HospitalInspectOrderParam;
import com.fs.hospital.vo.HospitalInspectOrderVO;

/**
 * 检查单Service接口
 *
 * @author fs
 * @date 2024-03-26
 */
public interface IHospitalInspectOrderService
{
    /**
     * 查询检查单
     *
     * @param orderId 检查单主键
     * @return 检查单
     */
    public R selectHospitalInspectOrderVOByOrderId(Long orderId);

    /**
     * 查询检查单列表
     *
     * @param param 检查单参数
     * @return 检查单集合
     */

    public List<HospitalInspectOrderVO> selectHospitalInspectOrderListVO(HospitalInspectOrderParam param);


    /**
     * 修改检查单
     *
     * @param hospitalInspectOrder 检查单
     * @return 结果
     */
    public int updateHospitalInspectOrder(HospitalInspectOrder hospitalInspectOrder);

}
