package com.fs.hospital.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hospital.domain.HospitalMember;

/**
 * 诊所会员Service接口
 *
 * @author fs
 * @date 2024-03-04
 */
public interface IHospitalMemberService
{
    /**
     * 查询诊所会员
     *
     * @param memberId 诊所会员主键
     * @return 诊所会员
     */
    public HospitalMember selectHospitalMemberByMemberId(Long memberId);

    /**
     * 查询诊所会员列表
     *
     * @param hospitalMember 诊所会员
     * @return 诊所会员集合
     */
    public List<HospitalMember> selectHospitalMemberList(HospitalMember hospitalMember);

    /**
     * 新增诊所会员
     *
     * @param hospitalMember 诊所会员
     * @return 结果
     */
    public R insertHospitalMember(HospitalMember hospitalMember);

    /**
     * 修改诊所会员
     *
     * @param hospitalMember 诊所会员
     * @return 结果
     */
    public int updateHospitalMember(HospitalMember hospitalMember);

    /**
     * 批量删除诊所会员
     *
     * @param memberIds 需要删除的诊所会员主键集合
     * @return 结果
     */
    public int deleteHospitalMemberByMemberIds(Long[] memberIds);

    /**
     * 删除诊所会员信息
     *
     * @param memberId 诊所会员主键
     * @return 结果
     */
    public int deleteHospitalMemberByMemberId(Long memberId);
}
