package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalProductCheckOrderItem;
import com.fs.hospital.vo.HospitalProductCheckOrderItemListHVO;

/**
 * 采购单明细Service接口
 *
 * @author fs
 * @date 2024-03-14
 */
public interface IHospitalProductCheckOrderItemService
{
    /**
     * 查询采购单明细
     *
     * @param itemId 采购单明细主键
     * @return 采购单明细
     */
    public HospitalProductCheckOrderItem selectHospitalProductCheckOrderItemByItemId(Long itemId);

    /**
     * 查询采购单明细列表
     *
     * @param hospitalProductCheckOrderItem 采购单明细
     * @return 采购单明细集合
     */
    public List<HospitalProductCheckOrderItem> selectHospitalProductCheckOrderItemList(HospitalProductCheckOrderItem hospitalProductCheckOrderItem);

    /**
     * 新增采购单明细
     *
     * @param hospitalProductCheckOrderItem 采购单明细
     * @return 结果
     */
    public int insertHospitalProductCheckOrderItem(HospitalProductCheckOrderItem hospitalProductCheckOrderItem);

    /**
     * 修改采购单明细
     *
     * @param hospitalProductCheckOrderItem 采购单明细
     * @return 结果
     */
    public int updateHospitalProductCheckOrderItem(HospitalProductCheckOrderItem hospitalProductCheckOrderItem);

    /**
     * 批量删除采购单明细
     *
     * @param itemIds 需要删除的采购单明细主键集合
     * @return 结果
     */
    public int deleteHospitalProductCheckOrderItemByItemIds(Long[] itemIds);

    /**
     * 删除采购单明细信息
     *
     * @param itemId 采购单明细主键
     * @return 结果
     */
    public int deleteHospitalProductCheckOrderItemByItemId(Long itemId);

    List<HospitalProductCheckOrderItemListHVO> selectHospitalProductCheckOrderItemListPVO(HospitalProductCheckOrderItem hospitalProductCheckOrderItem);
}
