package com.fs.hospital.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hospital.param.HospitalProductCheckOrderAddParam;
import com.fs.hospital.domain.HospitalProductCheckOrder;
import com.fs.hospital.vo.HospitalProductCheckOrderHVO;

/**
 * 采购单Service接口
 *
 * @author fs
 * @date 2024-03-14
 */
public interface IHospitalProductCheckOrderService
{
    /**
     * 查询采购单
     *
     * @param orderId 采购单主键
     * @return 采购单
     */
    public HospitalProductCheckOrder selectHospitalProductCheckOrderByOrderId(Long orderId);

    /**
     * 查询采购单列表
     *
     * @param hospitalProductCheckOrder 采购单
     * @return 采购单集合
     */
    public List<HospitalProductCheckOrder> selectHospitalProductCheckOrderList(HospitalProductCheckOrder hospitalProductCheckOrder);

    /**
     * 新增采购单
     *
     * @param hospitalProductCheckOrder 采购单
     * @return 结果
     */
    public R insertHospitalProductCheckOrder(HospitalProductCheckOrderAddParam hospitalProductCheckOrder);

    /**
     * 修改采购单
     *
     * @param hospitalProductCheckOrder 采购单
     * @return 结果
     */
    public int updateHospitalProductCheckOrder(HospitalProductCheckOrder hospitalProductCheckOrder);

    /**
     * 批量删除采购单
     *
     * @param orderIds 需要删除的采购单主键集合
     * @return 结果
     */
    public int deleteHospitalProductCheckOrderByOrderIds(Long[] orderIds);

    /**
     * 删除采购单信息
     *
     * @param orderId 采购单主键
     * @return 结果
     */
    public int deleteHospitalProductCheckOrderByOrderId(Long orderId);

    HospitalProductCheckOrderHVO selectHospitalProductCheckOrderByOrderIdHVO(Long orderId);
}
