package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalProductLogs;

/**
 * 商品记录Service接口
 *
 * @author fs
 * @date 2024-03-12
 */
public interface IHospitalProductLogsService
{
    /**
     * 查询商品记录
     *
     * @param logsId 商品记录主键
     * @return 商品记录
     */
    public HospitalProductLogs selectHospitalProductLogsByLogsId(Long logsId);

    /**
     * 查询商品记录列表
     *
     * @param hospitalProductLogs 商品记录
     * @return 商品记录集合
     */
    public List<HospitalProductLogs> selectHospitalProductLogsList(HospitalProductLogs hospitalProductLogs);

    /**
     * 新增商品记录
     *
     * @param hospitalProductLogs 商品记录
     * @return 结果
     */
    public int insertHospitalProductLogs(HospitalProductLogs hospitalProductLogs);

    /**
     * 修改商品记录
     *
     * @param hospitalProductLogs 商品记录
     * @return 结果
     */
    public int updateHospitalProductLogs(HospitalProductLogs hospitalProductLogs);

    /**
     * 批量删除商品记录
     *
     * @param logsIds 需要删除的商品记录主键集合
     * @return 结果
     */
    public int deleteHospitalProductLogsByLogsIds(Long[] logsIds);

    /**
     * 删除商品记录信息
     *
     * @param logsId 商品记录主键
     * @return 结果
     */
    public int deleteHospitalProductLogsByLogsId(Long logsId);
}
