package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalProductOutOrderItem;
import com.fs.hospital.vo.HospitalProductOutOrderItemListHVO;

/**
 * 领用单明细Service接口
 *
 * @author fs
 * @date 2024-03-14
 */
public interface IHospitalProductOutOrderItemService
{
    /**
     * 查询领用单明细
     *
     * @param itemId 领用单明细主键
     * @return 领用单明细
     */
    public HospitalProductOutOrderItem selectHospitalProductOutOrderItemByItemId(Long itemId);

    /**
     * 查询领用单明细列表
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 领用单明细集合
     */
    public List<HospitalProductOutOrderItem> selectHospitalProductOutOrderItemList(HospitalProductOutOrderItem hospitalProductOutOrderItem);

    /**
     * 新增领用单明细
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 结果
     */
    public int insertHospitalProductOutOrderItem(HospitalProductOutOrderItem hospitalProductOutOrderItem);

    /**
     * 修改领用单明细
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 结果
     */
    public int updateHospitalProductOutOrderItem(HospitalProductOutOrderItem hospitalProductOutOrderItem);

    /**
     * 批量删除领用单明细
     *
     * @param itemIds 需要删除的领用单明细主键集合
     * @return 结果
     */
    public int deleteHospitalProductOutOrderItemByItemIds(Long[] itemIds);

    /**
     * 删除领用单明细信息
     *
     * @param itemId 领用单明细主键
     * @return 结果
     */
    public int deleteHospitalProductOutOrderItemByItemId(Long itemId);

    List<HospitalProductOutOrderItemListHVO> selectHospitalProductOutOrderItemListPVO(HospitalProductOutOrderItem hospitalProductOutOrderItem);

}
