package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalProductPurchaseOrderItem;
import com.fs.hospital.vo.HospitalProductPurchaseOrderItemHVO;

/**
 * 采购单明细Service接口
 *
 * @author fs
 * @date 2024-03-12
 */
public interface IHospitalProductPurchaseOrderItemService
{
    /**
     * 查询采购单明细
     *
     * @param itemId 采购单明细主键
     * @return 采购单明细
     */
    public HospitalProductPurchaseOrderItem selectHospitalPurchaseOrderItemByItemId(Long itemId);

    /**
     * 查询采购单明细列表
     *
     * @param hospitalProductPurchaseOrderItem 采购单明细
     * @return 采购单明细集合
     */
    public List<HospitalProductPurchaseOrderItem> selectHospitalPurchaseOrderItemList(HospitalProductPurchaseOrderItem hospitalProductPurchaseOrderItem);

    /**
     * 新增采购单明细
     *
     * @param hospitalProductPurchaseOrderItem 采购单明细
     * @return 结果
     */
    public int insertHospitalPurchaseOrderItem(HospitalProductPurchaseOrderItem hospitalProductPurchaseOrderItem);

    /**
     * 修改采购单明细
     *
     * @param hospitalProductPurchaseOrderItem 采购单明细
     * @return 结果
     */
    public int updateHospitalPurchaseOrderItem(HospitalProductPurchaseOrderItem hospitalProductPurchaseOrderItem);

    /**
     * 批量删除采购单明细
     *
     * @param itemIds 需要删除的采购单明细主键集合
     * @return 结果
     */
    public int deleteHospitalPurchaseOrderItemByItemIds(Long[] itemIds);

    /**
     * 删除采购单明细信息
     *
     * @param itemId 采购单明细主键
     * @return 结果
     */
    public int deleteHospitalPurchaseOrderItemByItemId(Long itemId);


    List<HospitalProductPurchaseOrderItemHVO> selectHospitalPurchaseOrderItemListPVO(HospitalProductPurchaseOrderItem hospitalProductPurchaseOrderItem);
}
