package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalRoleDept;

/**
 * 角色和部门关联Service接口
 * 
 * @author fs
 * @date 2024-02-26
 */
public interface IHospitalRoleDeptService 
{
    /**
     * 查询角色和部门关联
     * 
     * @param roleId 角色和部门关联主键
     * @return 角色和部门关联
     */
    public HospitalRoleDept selectHospitalRoleDeptByRoleId(Long roleId);

    /**
     * 查询角色和部门关联列表
     * 
     * @param hospitalRoleDept 角色和部门关联
     * @return 角色和部门关联集合
     */
    public List<HospitalRoleDept> selectHospitalRoleDeptList(HospitalRoleDept hospitalRoleDept);

    /**
     * 新增角色和部门关联
     * 
     * @param hospitalRoleDept 角色和部门关联
     * @return 结果
     */
    public int insertHospitalRoleDept(HospitalRoleDept hospitalRoleDept);

    /**
     * 修改角色和部门关联
     * 
     * @param hospitalRoleDept 角色和部门关联
     * @return 结果
     */
    public int updateHospitalRoleDept(HospitalRoleDept hospitalRoleDept);

    /**
     * 批量删除角色和部门关联
     * 
     * @param roleIds 需要删除的角色和部门关联主键集合
     * @return 结果
     */
    public int deleteHospitalRoleDeptByRoleIds(Long[] roleIds);

    /**
     * 删除角色和部门关联信息
     * 
     * @param roleId 角色和部门关联主键
     * @return 结果
     */
    public int deleteHospitalRoleDeptByRoleId(Long roleId);
}
