package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalRoleMenu;

/**
 * 角色和菜单关联Service接口
 * 
 * @author fs
 * @date 2024-02-26
 */
public interface IHospitalRoleMenuService 
{
    /**
     * 查询角色和菜单关联
     * 
     * @param roleId 角色和菜单关联主键
     * @return 角色和菜单关联
     */
    public HospitalRoleMenu selectHospitalRoleMenuByRoleId(Long roleId);

    /**
     * 查询角色和菜单关联列表
     * 
     * @param hospitalRoleMenu 角色和菜单关联
     * @return 角色和菜单关联集合
     */
    public List<HospitalRoleMenu> selectHospitalRoleMenuList(HospitalRoleMenu hospitalRoleMenu);

    /**
     * 新增角色和菜单关联
     * 
     * @param hospitalRoleMenu 角色和菜单关联
     * @return 结果
     */
    public int insertHospitalRoleMenu(HospitalRoleMenu hospitalRoleMenu);

    /**
     * 修改角色和菜单关联
     * 
     * @param hospitalRoleMenu 角色和菜单关联
     * @return 结果
     */
    public int updateHospitalRoleMenu(HospitalRoleMenu hospitalRoleMenu);

    /**
     * 批量删除角色和菜单关联
     * 
     * @param roleIds 需要删除的角色和菜单关联主键集合
     * @return 结果
     */
    public int deleteHospitalRoleMenuByRoleIds(Long[] roleIds);

    /**
     * 删除角色和菜单关联信息
     * 
     * @param roleId 角色和菜单关联主键
     * @return 结果
     */
    public int deleteHospitalRoleMenuByRoleId(Long roleId);
}
