package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalTreatOrderLogs;
import com.fs.hospital.vo.HospitalTreatOrderLogsHVO;

/**
 * 治疗记录Service接口
 *
 * @author fs
 * @date 2024-03-26
 */
public interface IHospitalTreatOrderLogsService
{
    /**
     * 查询治疗记录
     *
     * @param logsId 治疗记录主键
     * @return 治疗记录
     */
    public HospitalTreatOrderLogs selectHospitalTreatOrderLogsByLogsId(Long logsId);

    /**
     * 查询治疗记录列表
     *
     * @param hospitalTreatOrderLogs 治疗记录
     * @return 治疗记录集合
     */
    public List<HospitalTreatOrderLogs> selectHospitalTreatOrderLogsList(HospitalTreatOrderLogs hospitalTreatOrderLogs);

    /**
     * 新增治疗记录
     *
     * @param hospitalTreatOrderLogs 治疗记录
     * @return 结果
     */
    public int insertHospitalTreatOrderLogs(HospitalTreatOrderLogs hospitalTreatOrderLogs);

    /**
     * 修改治疗记录
     *
     * @param hospitalTreatOrderLogs 治疗记录
     * @return 结果
     */
    public int updateHospitalTreatOrderLogs(HospitalTreatOrderLogs hospitalTreatOrderLogs);

    /**
     * 批量删除治疗记录
     *
     * @param logsIds 需要删除的治疗记录主键集合
     * @return 结果
     */
    public int deleteHospitalTreatOrderLogsByLogsIds(Long[] logsIds);

    /**
     * 删除治疗记录信息
     *
     * @param logsId 治疗记录主键
     * @return 结果
     */
    public int deleteHospitalTreatOrderLogsByLogsId(Long logsId);

    List<HospitalTreatOrderLogsHVO> selectHospitalTreatOrderLogsListVO(HospitalTreatOrderLogs hospitalTreatOrderLogs);
}
