package com.fs.hospital.service.impl;

import java.util.List;

import com.fs.common.utils.DateUtils;
import com.fs.hospital.service.IHospitalOrderItemLogsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hospital.mapper.HospitalOrderItemLogsMapper;
import com.fs.hospital.domain.HospitalOrderItemLogs;

/**
 * orderItemLogsService业务层处理
 *
 * @author fs
 * @date 2024-06-07
 */
@Service
public class HospitalOrderItemLogsServiceImpl implements IHospitalOrderItemLogsService
{
    @Autowired
    private HospitalOrderItemLogsMapper hospitalOrderItemLogsMapper;


    /**
     * 查询orderItemLogs列表
     *
     * @param treatOrderId treatOrderId
     * @return orderItemLogs
     */
    @Override
    public List<HospitalOrderItemLogs> selectHospitalOrderItemLogsList(Long treatOrderId)
    {
        return hospitalOrderItemLogsMapper.selectHospitalOrderItemLogsListByTreatOrderId(treatOrderId);
    }

    /**
     * 新增orderItemLogs
     *
     * @param hospitalOrderItemLogs orderItemLogs
     * @return 结果
     */
    @Override
    public int insertHospitalOrderItemLogs(HospitalOrderItemLogs hospitalOrderItemLogs)
    {
        hospitalOrderItemLogs.setCreateTime(DateUtils.getNowDate());
        return hospitalOrderItemLogsMapper.insertHospitalOrderItemLogs(hospitalOrderItemLogs);
    }



}
