package com.fs.hospital.service.impl;

import java.util.List;

import com.fs.hospital.vo.HospitalProductOutOrderItemListHVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hospital.mapper.HospitalProductOutOrderItemMapper;
import com.fs.hospital.domain.HospitalProductOutOrderItem;
import com.fs.hospital.service.IHospitalProductOutOrderItemService;

/**
 * 领用单明细Service业务层处理
 *
 * @author fs
 * @date 2024-03-14
 */
@Service
public class HospitalProductOutOrderItemServiceImpl implements IHospitalProductOutOrderItemService
{
    @Autowired
    private HospitalProductOutOrderItemMapper hospitalProductOutOrderItemMapper;

    /**
     * 查询领用单明细
     *
     * @param itemId 领用单明细主键
     * @return 领用单明细
     */
    @Override
    public HospitalProductOutOrderItem selectHospitalProductOutOrderItemByItemId(Long itemId)
    {
        return hospitalProductOutOrderItemMapper.selectHospitalProductOutOrderItemByItemId(itemId);
    }

    /**
     * 查询领用单明细列表
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 领用单明细
     */
    @Override
    public List<HospitalProductOutOrderItem> selectHospitalProductOutOrderItemList(HospitalProductOutOrderItem hospitalProductOutOrderItem)
    {
        return hospitalProductOutOrderItemMapper.selectHospitalProductOutOrderItemList(hospitalProductOutOrderItem);
    }

    /**
     * 新增领用单明细
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 结果
     */
    @Override
    public int insertHospitalProductOutOrderItem(HospitalProductOutOrderItem hospitalProductOutOrderItem)
    {
        return hospitalProductOutOrderItemMapper.insertHospitalProductOutOrderItem(hospitalProductOutOrderItem);
    }

    /**
     * 修改领用单明细
     *
     * @param hospitalProductOutOrderItem 领用单明细
     * @return 结果
     */
    @Override
    public int updateHospitalProductOutOrderItem(HospitalProductOutOrderItem hospitalProductOutOrderItem)
    {
        return hospitalProductOutOrderItemMapper.updateHospitalProductOutOrderItem(hospitalProductOutOrderItem);
    }

    /**
     * 批量删除领用单明细
     *
     * @param itemIds 需要删除的领用单明细主键
     * @return 结果
     */
    @Override
    public int deleteHospitalProductOutOrderItemByItemIds(Long[] itemIds)
    {
        return hospitalProductOutOrderItemMapper.deleteHospitalProductOutOrderItemByItemIds(itemIds);
    }

    /**
     * 删除领用单明细信息
     *
     * @param itemId 领用单明细主键
     * @return 结果
     */
    @Override
    public int deleteHospitalProductOutOrderItemByItemId(Long itemId)
    {
        return hospitalProductOutOrderItemMapper.deleteHospitalProductOutOrderItemByItemId(itemId);
    }

    @Override
    public List<HospitalProductOutOrderItemListHVO> selectHospitalProductOutOrderItemListPVO(HospitalProductOutOrderItem hospitalProductOutOrderItem) {
        return hospitalProductOutOrderItemMapper.selectHospitalProductOutOrderItemListPVO(hospitalProductOutOrderItem);
    }
}
