package com.fs.hospital.service.impl;



import com.fs.hospital.domain.HospitalUserPost;

import java.util.List;

/**
 * 用户与岗位关联Service接口
 *
 * @author fs
 * @date 2021-05-25
 */
public interface IHospitalUserPostService
{
    /**
     * 查询用户与岗位关联
     *
     * @param userId 用户与岗位关联ID
     * @return 用户与岗位关联
     */
    public HospitalUserPost selectHospitalUserPostById(Long userId);

    /**
     * 查询用户与岗位关联列表
     *
     * @param HospitalUserPost 用户与岗位关联
     * @return 用户与岗位关联集合
     */
    public List<HospitalUserPost> selectHospitalUserPostList(HospitalUserPost HospitalUserPost);

    /**
     * 新增用户与岗位关联
     *
     * @param HospitalUserPost 用户与岗位关联
     * @return 结果
     */
    public int insertHospitalUserPost(HospitalUserPost HospitalUserPost);

    /**
     * 修改用户与岗位关联
     *
     * @param HospitalUserPost 用户与岗位关联
     * @return 结果
     */
    public int updateHospitalUserPost(HospitalUserPost HospitalUserPost);

    /**
     * 批量删除用户与岗位关联
     *
     * @param userIds 需要删除的用户与岗位关联ID
     * @return 结果
     */
    public int deleteHospitalUserPostByIds(Long[] userIds);

    /**
     * 删除用户与岗位关联信息
     *
     * @param userId 用户与岗位关联ID
     * @return 结果
     */
    public int deleteHospitalUserPostById(Long userId);
}
