package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;


@Data
public class HospitalExamOrderVO {

    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 检验名称 */
    @Excel(name = "检验名称")
    private String title;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /**
     *  门诊orderCode
     */
    private String outpatientOrderCode;

    /**
     *  门诊的临床诊断
     */
    private String clinicalDiagnose;


    /** 检验项目ID */
    @Excel(name = "检验项目ID")
    private Long examItemId;

    /** 订单项目Id */
    @Excel(name = "订单项目Id")
    private Long orderItemId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    private String userName;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    private String patientName;

    private String sex;

    private String mobile;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 状态1待检验 1已检验 */
    @Excel(name = "状态1待检验 1已检验")
    private Integer status;

    /** 检验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检验时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date opTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 检验报告 */
    @Excel(name = "检验报告")
    private String images;

    /** 项目JSON */
    @Excel(name = "项目JSON")
    private String itemJson;
}
