package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalHVO {

    private Long hospitalId;
    @Excel(name = "诊所名称")
    private String hospitalName;

    /** 执照 */
    @Excel(name = "执照")
    private String licenseUrl;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** $column.columnComment */
    private Date limitTime;

    /** $column.columnComment */
    @Excel(name = "员工数量")
    private Long limitUserCount;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;

    @Excel(name = "管理员账号")
    private String userName;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @Excel(name = "电话")
    private String mobile;
}
