package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;


@Data
public class HospitalInspectOrderVO {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 检查名称 */
    @Excel(name = "检查名称")
    private String title;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    private String hospitalName;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /**
     *  门诊orderCode
     */
    private String outpatientOrderCode;

    /**
     *  门诊的临床诊断
     */
    private String clinicalDiagnose;

    /** 检查项目ID */
    @Excel(name = "检查项目ID")
    private Long inspectItemId;

    /** 订单项目ID */
    @Excel(name = "订单项目ID")
    private Long orderItemId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    private String userName;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    private String patientName;

    private String sex;
    private String mobile;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;


    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 状态1待检查 1已检查 */
    @Excel(name = "状态1待检查 1已检查")
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date opTime;

    /** 检查方法 */
    @Excel(name = "检查方法")
    private String inspectMethod;

    /** 影像描述 */
    @Excel(name = "影像描述")
    private String imageRemark;

    /** 检查报告图片 */
    @Excel(name = "检查报告图片")
    private String images;

    /** 检查结果 */
    @Excel(name = "检查结果")
    private String inspectResult;

    /** 诊断意见 */
    @Excel(name = "诊断意见")
    private String diagnose;
}
