package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 诊疗订单对象 hospital_order
 *
 * @author fs
 * @date 2024-03-22
 */
@Data
public class HospitalOrderListHVO implements Serializable
{

    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 患者ID */
    private Long patientId;

    private String patientName;

    /** 订单类型 1门诊单 2收费单 3治疗单 */
    private Integer orderType;

    /** 状态 1待收 2已收 3挂单 4欠费 */
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;


}
