package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalOrderVO  extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
        @Excel(name = "订单CODE")
    private String orderCode;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 治疗单ID */
    @Excel(name = "治疗单ID")
    private Long treatOrderId;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /**
     *  诊所名称
     */
    private String hospitalName;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /**
     *  患者姓名
     */
    private String patientName;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 订单类型 1门诊单 2收费单 3治疗单 */
    @Excel(name = "订单类型 1门诊单 2收费单 3治疗单")
    private Integer orderType;

    /** 收费人（暂时存的是医生的id） */
    @Excel(name = "收费人id")
    private Long userId;

    /**
     *  收费人名称（暂时查的是医生的名称）
     */
    private String userName;

    /** 挂号费 */
    @Excel(name = "挂号费")
    private BigDecimal money;

    /** 收费单名称 */
    @Excel(name = "收费单名称")
    private String title;

    /** 应付金额 */
    @Excel(name = "应付金额")
    private BigDecimal totalMoney;

    /** 实付金额 */
    @Excel(name = "实付金额")
    private BigDecimal payMoney;

    /** 抵扣金额 */
    @Excel(name = "抵扣金额")
    private BigDecimal discountMoney;

    /** 支付类型 1现金 2微信 */
    @Excel(name = "支付类型 1现金 2微信")
    private Integer payType;

    /** 状态 1待收 2已收 3挂单 4欠费 */
    @Excel(name = "状态 1待收 2已收 3挂单 4欠费")
    private Integer status;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 是否开票 */
    @Excel(name = "是否开票")
    private Integer isInvoice;

    /** 开单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
