package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalOutpatientOrderHVO {
    /** 订单ID */
    private Long orderId;

    private String patientName;

    private String mobile;

    private Integer sex;

    private String tags;

    /** 渠道 1现场 2APP */
    @Excel(name = "渠道 1现场 2APP")
    private Integer orderChannel;

    /** 状态 1待诊 2接诊 3已诊 4已收费 -1已退单 */
    @Excel(name = "状态 1待诊 2接诊 3已诊 4已收费 -1已退单")
    private Integer status;

    /** 挂号费 */
    @Excel(name = "挂号费")
    private BigDecimal money;

    /** 订单类型 1初诊 2复诊 */
    @Excel(name = "订单类型 1初诊 2复诊")
    private Integer orderType;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    private String doctorName;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 预约时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预约时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yuyueTime;


    private String startTime;


    private String endTime;

    /** 科室ID */
    @Excel(name = "科室ID")
    private Long deptId;

    private String deptName;

    /** 医嘱 */
    @Excel(name = "医嘱")
    private String advice;

    private String remark;

    private Integer isPay;
}
