package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.hospital.domain.HospitalMember;
import lombok.Data;

import java.util.Date;

@Data
public class HospitalPatientHVO {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long patientId;

    /** 患者姓名 */
    @Excel(name = "患者姓名")
    private String patientName;

    /** 所属会员 */
    @Excel(name = "所属会员")
    private Long memberId;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 体重G */
    @Excel(name = "体重G")
    private Long weight;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 是否删除  */
    @Excel(name = "是否删除 ")
    private Integer isDel;

    /** 状态 1正常 2禁用 */
    @Excel(name = "状态 1正常 2禁用")
    private Integer status;

    /** 与本人关系 */
    @Excel(name = "与本人关系")
    private String relation;

    /** 肝功能是否异常 */
    @Excel(name = "肝功能是否异常")
    private String liverUnusual;

    /** 肾功能是否异常 */
    @Excel(name = "肾功能是否异常")
    private String renalUnusual;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 家族病史 */
    @Excel(name = "家族病史")
    private String familyMedHistory;

    /** 个人病史 */
    @Excel(name = "个人病史")
    private String selfMedHistory;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "所属诊所")
    private String hospitalName;


    private HospitalMember hospitalMember;
}
