package com.fs.hospital.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class HospitalPharmacyOrderHVO {

    private static final long serialVersionUID = 1L;

    /** ID */
    private Long orderId;

    /** 订单CODE */
    @Excel(name = "订单CODE")
    private String orderCode;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    /** 诊所名称 */
    @Excel(name = "诊所名称")
    private String hospitalName;

    /** 门诊订单ID */
    @Excel(name = "门诊订单ID")
    private Long outpatientOrderId;

    /** 订单类型 1门诊 2零售 */
    @Excel(name = "订单类型 1门诊 2零售")
    private Integer orderType;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    /**
     * 医生姓名
     */
    @Excel(name = "医生姓名")
    private String userName;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 患者姓名 */
    private String patientName;

    /**
     * 患者性别
     */
    private String sex;

    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 临床诊断 */
    @Excel(name = "临床诊断")
    private String diagnose;

    /** 状态1待发药 2已发药 */
    @Excel(name = "状态1待发药 2已发药")
    private Integer status;

    /** 快递状态 0无 1待发货，2已发货 */
    @Excel(name = "快递状态 0无 1待发货，2已发货")
    private Integer deliveryStatus;

    /** 加工状态 0无 1待加工，2已加工 */
    @Excel(name = "加工状态 0无 1待加工，2已加工")
    private Integer processStatus;

    @Excel(name ="创建时间")
    /** 创建时间 */
    private String createTime;
}
