package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class HospitalPharmacyOrderVO {

    private static final long serialVersionUID = 1L;

    /** 订单ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 诊所ID */
    @Excel(name = "诊所ID")
    private Long hospitalId;

    @Excel(name = "诊所名称")
    private String hospitalName;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;

    /** 医生ID */
    @Excel(name = "医生ID")
    private Long userId;

    @Excel(name = "医生姓名")
    private String doctorName;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 主诉 */
    @Excel(name = "主诉")
    private String title;

    /** 挂号费 */
    @Excel(name = "挂号费")
    private BigDecimal money;

    /** 科室ID */
    @Excel(name = "科室ID")
    private Long deptId;

    /** 医嘱 */
    @Excel(name = "医嘱")
    private String advice;

    /** 现病史 */
    @Excel(name = "现病史")
    private String nowIllness;

    /** 既往史  */
    @Excel(name = "既往史")
    private String historyIllness;

    /** 过敏史 */
    @Excel(name = "过敏史")
    private String historyAllergic;

    /** 诊断 */
    @Excel(name = "诊断")
    private String diagnose;

    /** 体格检查 */
    @Excel(name = "体格检查")
    private String physicalExamination;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    //诊疗项目列表
    List<HospitalOrderItemListHVO> list;

}
