package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalProductCheckOrderHVO {

    /** ID */
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    private String storeName;
    private String nickName;
    private String hospitalName;
    /** 供应店铺ID */
    @Excel(name = "供应店铺ID")
    private Long storeId;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long userId;

    /** 总数量 */
    @Excel(name = "总数量")
    private Integer totalCount;

    /** 品种数量 */
    @Excel(name = "品种数量")
    private Integer productCount;

    /** 盈亏数量 */
    @Excel(name = "盈亏数量")
    private Integer checkCount;

    /** 盈亏金额(进价) */
    @Excel(name = "盈亏金额(进价)")
    private BigDecimal buyMoney;

    /** 盈亏金额(售价) */
    @Excel(name = "盈亏金额(售价)")
    private BigDecimal sellMoney;

    /** 订单类型 1盘点 */
    @Excel(name = "订单类型 1盘点")
    private Integer orderType;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    @Excel(name = "订单号")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
