package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class HospitalProductPurchaseOrdeHVO {
    private Long orderId;
    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 供应店铺ID */
    @Excel(name = "供应店铺ID")
    private Long storeId;

    private String storeName;

    /** 所属诊所 */
    @Excel(name = "所属诊所")
    private Long hospitalId;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long userId;

    /** 总数量 */
    @Excel(name = "总数量")
    private Long totalCount;

    /** 品种数量 */
    @Excel(name = "品种数量")
    private Long productCount;

    /** 订单类型 1采购入库 2退货 */
    @Excel(name = "订单类型 1采购入库 2退货")
    private Integer orderType;

    /** 不含税金额 */
    @Excel(name = "不含税金额")
    private BigDecimal money;

    /** 含税金额 */
    @Excel(name = "含税金额")
    private BigDecimal taxMoney;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 原订单 */
    @Excel(name = "原订单")
    private String opOrderCode;

    private String nickName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
