package com.fs.hospital.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.hospital.domain.HospitalDept;
import com.fs.hospital.domain.HospitalRole;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class HospitalUserListHVO extends BaseEntity {
    /** 用户ID */
    private Long userId;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户类型（00系统用户） */
    @Excel(name = "用户类型", readConverterExp = "0=0系统用户")
    private String userType;

    /** 用户邮箱 */
    @Excel(name = "用户邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobile;

    /** 用户性别（0男 1女 2未知） */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 帐号状态（1正常 0停用） */
    @Excel(name = "帐号状态", readConverterExp = "1=正常,0=停用")
    private Integer status;

    /** 删除标志（0代表存在 1代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,1=代表删除")
    private Integer isDel;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long hospitalId;


    private HospitalDept dept;

    /** 角色对象 */
    private List<HospitalRole> roles;

    /** 角色组 */
    private Long[] roleIds;

    /** 岗位组 */
    private Long[] postIds;

    private String deptName;
    private String postName;
    private String priceJson;
    public static boolean isAdmin(String userType)
    {
        if(userType!=null&&(userType.equals("00") || userType.equals("02"))){
            return true;
        }
        else return false;
    }
    public boolean isAdmin()
    {
        return isAdmin(this.userType);
    }
}
