package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuOnlinePay {
    private String resp_code;
    // 返回描述
    private String resp_desc;
    // 请求流水号
    private String req_seq_id;
    // 请求日期，日期格式:yyyyMMdd；示例值：20220125
    private String req_date;
    // 全局流水号，斗拱全局流水号；示例值：00290TOP1GR210919004230P853ac13262200000
    private String hf_seq_id;
    // 产品号；示例值：MCS
    private String product_id;
    // 商户号，汇付的商户号，示例值：6666000109812123
    private String huifu_id;
    // 商户名称；示例值：上海汇付支付服务公司
    private String mer_name;
    // 交易金额，单位元，需保留小数点后两位，示例值：1.00
    private String trans_amt;
    // 手续费金额，单位元，需保留小数点后两位，示例值：1.00
    private String fee_amt;
    // 交易类型；示例值：3013-网银转账
    private String trans_type;
    // 交易完成时间，时间格式：yyyyMMddHHmmss；示例值：20221012132030
    private String trans_finish_time;
    // 交易状态，P-处理中,F-失败,S-成功；示例值：S
    private String trans_stat;
    // 交易关单状态，P-处理中,F-失败,S-成功；示例值：S
    private String trans_close_stat;
    // 用户客户号；示例值：6666000109812123
    private String user_huifu_id;
    // 收款方名称；示例值：上海汇付支付支付公司
    private String certificate_name;
    // 银行卡号，密文最大长度为2048；使用斗拱公钥做RSA加密；示例值：b9LE5RccVVLChrHgo9lvp……PhWhjKrWg2NPfbe0mkQ==
    private String bank_card_no;
    // 入账标识；示例值：YDN23MHD223R63SV；入账标识有效期2个工作日，超时会自动失效需要重新生成
    private String in_acct_flag;
    // 账户号，汇付分配的账户号, ①：若用户客户号为空，则用商户号的账户号; ②：若用户客户号有值，则用用户客户号的账户号
    private String acct_id;
    // 账务完成时间，时间格式：yyyyMMddHHmmss；示例值：20221012132030
    private String acct_finish_time;
    // 银行扩展信息
    private Object bank_extend_data;
    // 银行返回码；示例值：
    private String bank_code;
    // 银行返回描述；示例值：
    private String bank_message;
}
