package com.fs.huifuPay.domain;

import com.google.gson.JsonObject;
import lombok.Data;

@Data
public class HuiFuOnlineRefundQueryResult {
    // 业务返回码，参见业务返回码；示例值：00000000
    private String resp_code;

    // 业务返回信息；示例值：查询成功
    private String resp_desc;

    // 汇付分配的商户号，示例值：6666000109812123
    private String huifu_id;

    // 原退款全局流水号，示例值：00290TOP1GR210919004230P853ac13262200000
    private String org_hf_seq_id;

    // 原退款请求日期，格式：yyyyMMdd；示例值：20221023
    private String org_req_date;

    // 原退款请求流水号，示例值：rQ20211213115651
    private String org_req_seq_id;

    // 退款金额，单位元，需保留小数点后两位，示例值：10.00
    private String ord_amt;

    // 退款完成时间，格式：yyyyMMddHHmmss；示例值：20221023142334
    private String trans_finish_time;

    // 交易状态，P：处理中 S：成功 F：失败；示例值：S
    private String trans_stat;

    // 手续费金额，单位元，需保留小数点后两位，示例值：0.10
    private String fee_amt;

    // 分账对象，jsonObject格式；参见分账对象
    private String acct_split_bunch;

    // 分账手续费信息，jsonObject格式
    private JsonObject split_fee_info;

    // 补贴支付信息，jsonArray字符串；参见《补贴支付信息》
    private String combinedpay_data;

    // 补贴部分的手续费，单位元，需保留小数点后两位，示例值：0.05
    private String combinedpay_fee_amt;

    // 通道返回码，示例值：
    private String bank_code;

    // 通道返回描述，示例值：
    private String bank_message;
}
