package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class HuiFuOnlineRefundResult {
    private String resp_code;

    // 业务返回信息；示例值：退款成功
    private String resp_desc;

    // 产品号，汇付配置的产品号；示例值：YYZY
    private String product_id;

    // 汇付分配的商户号；示例值：6666000108854952
    private String huifu_id;

    // 原交易全局流水号；示例值：0035000topA220628152651P306c0a8217a00000
    private String org_hf_seq_id;

    // 原交易请求日期，格式：yyyyMMdd；示例值：20221112
    private String org_req_date;

    // 原交易请求流水号；示例值：2021091708126665001
    private String org_req_seq_id;

    // 请求日期，格式：yyyyMMdd；示例值：20221112
    private String req_date;

    // 请求流水号；示例值：2021091708126665001
    private String req_seq_id;

    // 退款金额，单位元，需保留小数点后两位，示例值：1.00
    private String ord_amt;

    // 手续费金额，单位元，需保留小数点后两位，示例值：1.00
    private String fee_amt;

    // 退款完成时间，格式：yyyyMMddHHmmss；示例值：20221113203144
    private String trans_finish_time;

    // 交易状态，P：处理中 S：成功 F：失败；示例值：S
    private String trans_stat;

    // 分账对象，jsonObject格式；参见分账对象
    private String acct_split_bunch;

    // 补贴部分的手续费，单位元，需保留小数点后两位，示例值：1.00
    private String combinedpay_fee_amt;

    // 备注，原样返回；示例值：备注
    private String remark;

    // 通道返回码，示例值：
    private String bank_code;

    // 通道返回描述，示例值：
    private String bank_message;
}
