package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class acctPayQueryResult {
    // 业务返回码，示例值：00000000
    private String resp_code;

    // 业务返回描述，示例值：交易成功
    private String resp_desc;

    // 原交易请求流水号，业务请求流水号(发起余额支付请求流水号)；示例值：2022082408452985319884
    private String org_req_seq_id;

    // 原交易请求日期，格式：yyyyMMdd，示例值：20221013
    private String org_req_date;

    // 发起方商户号，示例值：6666000108854952
    private String huifu_id;

    // 支付金额，示例值：23.00
    private String ord_amt;

    // 分账对象，分账信息，jsonObject字符串。余额支付支持付款给多账户。
    // 如余额支付100元，支付给A账户60元，支付给B账户40元。
    private String acct_split_bunch;

    // 出款商户号，示例值：6666000108854953
    private String out_huifu_id;

    // 原交易全局流水号，汇付返回的流水号；示例值：00470topo1A211015160805P090ac132fef00000
    private String org_hf_seq_id;

    // 交易状态，P:处理中；S：成功；F：失败；C：完成（灵活用工余额支付特有，需查看分账交易状态）；示例值：S
    private String trans_stat;

    // 交易完成时间，格式：yyyyMMddHHmmss；示例值：20211021163242
    private String trans_finish_time;

    // 备注，示例值：备注
    private String remark;

    // 商品描述，示例值：商品描述
    private String good_desc;

    // 延时标记，是否延时交易，Y为延迟，N为不延迟，不传默认N；示例值：N
    private String delay_acct_flag;

    // 灵活用工标志，灵活用工标志 Y：灵活用工，N：非灵活用工(默认)
    private String hyc_flag;

    // 灵活用工代发批次号
    private String hyc_attach_id;
}
