package com.fs.huifuPay.domain;

import lombok.Data;

@Data
public class acctPayResult {
    private String resp_code;

    // 业务返回描述，示例值：交易成功
    private String resp_desc;

    // 业务请求流水号，示例值：2022082408452985319884
    private String req_seq_id;

    // 请求日期。格式：yyyyMMdd，示例值：20221013
    private String req_date;

    // 发起方商户号，示例值：6666000108854952
    private String huifu_id;

    // 出款方商户号，示例值：6666000108854953
    private String out_huifu_id;

    // 支付金额，示例值：200.00
    private String ord_amt;

    // 分账对象，json格式。余额支付支持付款给多账户。
    // 如余额支付100元，支付给A账户60元，支付给B账户40元。
    private String acct_split_bunch;

    // 全局流水号，汇付返回流水号；示例值：00470topo1A211015160805P090ac132fef00000
    private String hf_seq_id;

    // 商品描述，示例值：商品描述
    private String good_desc;

    // 交易状态，P:处理中；S：成功；F：失败；示例值：S
    private String trans_stat;

    // 交易完成时间，余额支付完成时间，格式：yyyyMMddHHmmss；示例值：20211021163242
    private String trans_finish_time;

    // 备注，示例值：备注
    private String remark;

    // 出款方账户号，示例值：F00598600
    private String out_acct_id;

    // 资金类型。支付渠道为中信E管家时，资金类型必填（详见说明）
    private String fund_type;

    // 支付渠道。HUIFU=汇付账务(默认)；ZXE=中信E管家
    private String acct_channel;

    // 灵活用工标志，Y：灵活用工，N：非灵活用工(默认)；示例值：Y
    private String hyc_flag;

    // 代发模式，1：普票，2：专票。灵活用工标志为Y时必填；示例值：1
    private String salary_modle_type;

    // 落地公司商户号，灵活用工标志为Y时必填；示例值：6666000109812124
    private String bmember_id;

    // 灵活用工代发批次号，示例值：
    private String hyc_attach_id;

    // 手续费承担方标识，余额支付手续费承担方标识；商户余额支付扣收规则为接口指定承担方时必填！枚举值：OUT：出款方；IN：分账接受方。
    private String trans_fee_take_flag;
}
