package com.fs.live.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 直播商品对象 live_goods
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveGoods extends BaseEntity {

    /** ID */

    private Long goodsId;

    /** 直播ID */
    @Excel(name = "直播ID")
    private Long liveId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 描述 */
    @Excel(name = "描述")
    private String goodsDesc;

    /** 封图 */
    @Excel(name = "封图")
    private String imgUrl;

    /** 组图 */
    @Excel(name = "组图")
    private String images;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 原价 */
    @Excel(name = "原价")
    private BigDecimal opPrice;

    /** 状态 1上架 0下架 */
    @Excel(name = "状态 1上架 0下架")
    private Integer status;

    /** 库存表 */
    @Excel(name = "库存表")
    private Long stock;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;
}
