package com.fs.live.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 订单对象 live_goods_order
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveGoodsOrder extends BaseEntity {

    /** $column.columnComment */

    @TableId(type = IdType.AUTO)
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderSn;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 收货人 */
    @Excel(name = "收货人")
    private String userName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private BigDecimal orderMoney;

    /** 物流编号 */
    @Excel(name = "物流编号")
    private String deliveryCode;

    /** 物流名称 */
    @Excel(name = "物流名称")
    private String deliveryName;

    /** 物流单号 */
    @Excel(name = "物流单号")
    private String deliverySn;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 状态 1待支付 2已支付 3已发货 4已完成 -1已取消 -2已退款 */
    @Excel(name = "状态 1待支付 2已支付 3已发货 4已完成 -1已取消 -2已退款")
    private Integer status;
}
