package com.fs.live.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 问答对象 live_question
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveQuestion extends BaseEntity {

    /** ID */
    @TableId(type = IdType.AUTO)
    private Long questionId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 问题内容 */
    @Excel(name = "问题内容")
    private String question;

    /** 回复 */
    @Excel(name = "回复")
    private String reply;

    /** 回复时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回复时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date replyTime;
}
