package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 直播视频对象 live_video
 *
 * @author fs
 * @date 2025-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveVideo extends BaseEntity {

    /** ID */
    @TableId
    private Long videoId;

    /** 直播ID */
    @Excel(name = "直播ID")
    private Long liveId;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoUrl;

    /** 类型 1录播 2回放 */
    @Excel(name = "类型 1录播 2回放")
    private Integer videoType;

    @Excel(name = "视屏时长")
    private Long duration;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;
}
