package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播间观看用户对象 live_watch_user
 *
 * @author fs
 * @date 2025-01-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveWatchUser extends BaseEntityTow {


    /** 直播ID */
    @TableId(type = IdType.AUTO)
    @Excel(name = "直播ID")
    private Long liveId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 消息状态;0正常1禁言 */
    @Excel(name = "消息状态;0正常1禁言")
    private Integer msgStatus;

    /** 在线状态;0在线1离线 */
    @Excel(name = "在线状态;0在线1离线")
    private Integer online;

}
