package com.fs.live.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveGoodsOrderItems;

/**
 * 订单商品Mapper接口
 * 
 * @author fs
 * @date 2025-01-17
 */
public interface LiveGoodsOrderItemsMapper extends BaseMapper<LiveGoodsOrderItems>
{
    /**
     * 查询订单商品
     * 
     * @param id 订单商品主键
     * @return 订单商品
     */
    public LiveGoodsOrderItems selectLiveGoodsOrderItemsById(Long id);

    /**
     * 查询订单商品列表
     * 
     * @param liveGoodsOrderItems 订单商品
     * @return 订单商品集合
     */
    public List<LiveGoodsOrderItems> selectLiveGoodsOrderItemsList(LiveGoodsOrderItems liveGoodsOrderItems);

    /**
     * 新增订单商品
     * 
     * @param liveGoodsOrderItems 订单商品
     * @return 结果
     */
    public int insertLiveGoodsOrderItems(LiveGoodsOrderItems liveGoodsOrderItems);

    /**
     * 修改订单商品
     * 
     * @param liveGoodsOrderItems 订单商品
     * @return 结果
     */
    public int updateLiveGoodsOrderItems(LiveGoodsOrderItems liveGoodsOrderItems);

    /**
     * 删除订单商品
     * 
     * @param id 订单商品主键
     * @return 结果
     */
    public int deleteLiveGoodsOrderItemsById(Long id);

    /**
     * 批量删除订单商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiveGoodsOrderItemsByIds(Long[] ids);
}
