package com.fs.live.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveGoodsOrder;

/**
 * 订单Mapper接口
 * 
 * @author fs
 * @date 2025-01-17
 */
public interface LiveGoodsOrderMapper extends BaseMapper<LiveGoodsOrder>
{
    /**
     * 查询订单
     * 
     * @param orderId 订单主键
     * @return 订单
     */
    public LiveGoodsOrder selectLiveGoodsOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     * 
     * @param liveGoodsOrder 订单
     * @return 订单集合
     */
    public List<LiveGoodsOrder> selectLiveGoodsOrderList(LiveGoodsOrder liveGoodsOrder);

    /**
     * 新增订单
     * 
     * @param liveGoodsOrder 订单
     * @return 结果
     */
    public int insertLiveGoodsOrder(LiveGoodsOrder liveGoodsOrder);

    /**
     * 修改订单
     * 
     * @param liveGoodsOrder 订单
     * @return 结果
     */
    public int updateLiveGoodsOrder(LiveGoodsOrder liveGoodsOrder);

    /**
     * 删除订单
     * 
     * @param orderId 订单主键
     * @return 结果
     */
    public int deleteLiveGoodsOrderByOrderId(Long orderId);

    /**
     * 批量删除订单
     * 
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiveGoodsOrderByOrderIds(Long[] orderIds);
}
