package com.fs.nuonuo.vo;

import lombok.Data;

import java.util.List;

@Data
public class InvoiceRedVo {
    /* 红字确认单编号 */
    private String billNo;
    /* 红字确认单uuid */
    private String billUuid;
    /* 红字确认单申请号 */
    private String billId;
    /* 红字确认单状态： 01 无需确认 02 销方录入待购方确认 03 购方录入待销方确认 04 购销双方已确认 05 作废（销方录入购方否认） 06 作废（购方录入销方否认） 07 作废（超72小时未确认） 08 作废（发起方已撤销） 09 作废（确认后撤销） 15 申请中 16 申请失败 */
    private String billStatus;
    /* 描述 */
    private String billMessage;
    /* 红票流水号，若红字确认单已开红票（或已自动开红票）才会返回该值 */
    private String invoiceSerialNum;
    /* 红票订单号（开票单号），若红字确认单已开红票（或已自动开红票）才会返回该值 */
    private String orderNo;
    /* 操作状态：（根据操作方返回对应状态，可能为空） 01 撤销中 02撤销失败 03 确认中 04 确认失败 */
    private String requestStatus;
    /* 已开具红字发票标记： 1：已开具 0：未开具 */
    private String openStatus;
    /* 录入方身份： 0 销方 1 购方 */
    private String applySource;
    /* 蓝字发票票种：p：普通发票(电子) c：普通发票(纸质) s：专用发票(纸质) b：专用发票(电子) e：收购发票(电子) f：收购发票(纸质) r：普通发票(卷式) bs：数电专票（电子） pc：数电普票（电子） es：数电专票（纸质） ec：数电普票（纸质） */
    private String blueInvoiceLine;
    /* 原蓝票号码 */
    private String blueInvoiceNumber;
    /* 原蓝票代码 */
    private String blueinvoiceCode;
    /* 原蓝票数电号码 */
    private String blueElecInvoiceNumber;
    /* 蓝字发票开票日期 */
    private String blueInvoiceTime;
    /* 申请日期 */
    private String billTime;
    /* 确认日期 */
    private String confirmTime;
    /* 销方税号 */
    private String sellerTaxNo;
    /* 销方名称 */
    private String sellerName;
    /* 销方账号 */
    private String sellerAccount;
    /* 购方税号 */
    private String buyerTaxNo;
    /* 购方名称 */
    private String buyerName;
    /* 购方账号 */
    private String buyerAccount;
    /* 冲红合计金额(不含税) */
    private String taxExcludedAmount;
    /* 冲红合计税额 */
    private String taxAmount;
    /* 冲红原因： 1销货退回 2开票有误 3服务中止 4销售折让 */
    private String redReason;
    /* 申请表pdf地址 */
    private String pdfUrl;
    /* 申请账号 */
    private String account;
    /* 发票入账状态：00未入账 01已入账 */
    private String accountStatus;
    /* 红字确认单明细信息列表 */
    private List<InvoiceRedDetailVo> detail;

}
