package com.fs.qw.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * app活码对象 qw_app_contact_way
 *
 * @author fs
 * @date 2024-12-11
 */
@Data
public class QwAppContactWay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 参数 */
    @Excel(name = "参数")
    private String state;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 二维码图片 */
    @Excel(name = "二维码图片")
    private String qrCode;

    /** config_id */
    @Excel(name = "config_id")
    private String configId;

    /** 1 未添加 2 已经添加成功 3 过期 */
    @Excel(name = "1 未添加 2 已经添加成功 3 过期")
    private Integer status;

    /** 1 正常 2 已删除 */
    @Excel(name = "1 正常 2 已删除")
    private Integer wayStatus;

    /** 企微userId */
    @Excel(name = "企微userId")
    private String qwUserIds;

    /** 公司id */
    @Excel(name = "公司id")
    private String corpId;

    /** 过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expirationTime;



}
