package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 自动打标签主对象 qw_auto_tags
 *
 * @author fs
 * @date 2024-07-20
 */
@Data
public class QwAutoTags extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 组别 1关键词打标签 2客户入群行为打标签 3分时段打标签 4自动回复打标签*/
    @Excel(name = "组别 1关键词打标签 2客户入群行为打标签 3分时段打标签 4回复消息打标签")
    private Long type;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createName;
    private String corpId;
    /** 生效成员1.3生效 */
    @Excel(name = "生效成员1.3生效")
    private String applyUsers;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 选择的规则及标签 */
    @Excel(name = "选择的规则及标签")
    private String rulesTags;

    /** 打标签总数 */
    @Excel(name = "打标签总数")
    private Long totalNumTags;

    /** 今日打标签数 */
    @Excel(name = "今日打标签数")
    private Long numTagsTaday;

    /** 是否运用规则状态 1启用 2停用 */
    @Excel(name = "是否运用规则状态 1启用 2停用")
    private String isApply;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    //权限
    private String ruleType;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

}
