package com.fs.qw.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 自动打标签的日志对象 qw_auto_tags_logs
 * 
 * @author fs
 * @date 2024-07-20
 */
@Data
public class QwAutoTagsLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 自动添加标签主表id */
    @Excel(name = "自动添加标签主表id")
    private Long autoTagId;

    /** 组别 1关键词打标签 2客户入群行为打标签 3分时段打标签 */
    @Excel(name = "组别 1关键词打标签 2客户入群行为打标签 3分时段打标签")
    private Long type;

    /** 所属员工id */
    @Excel(name = "所属员工id")
    private Long qwUserid;

    /** 客户id */
    @Excel(name = "客户id")
    private String externalUserId;

    /** 生效规则 */
    @Excel(name = "生效规则")
    private String effectiveRules;

    /** 添加好友时间/加入群聊时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "添加好友时间/加入群聊时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addTime;

    /** 群聊id(2时有值) */
    @Excel(name = "群聊id(2时有值)")
    private String chatId;

    /** 入群方式。
0/1 - 由群成员邀请入群（直接邀请入群）
0/2 - 由群成员邀请入群（通过邀请链接入群）
3 - 通过扫描群二维码入群 */
    @Excel(name = "入群方式")
    private String joinScene;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    public String corpId;


}
