package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微活码对象 qw_contact_way
 *
 * @author fs
 * @date 2024-07-19
 */
@Data
public class QwContactWay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 联系方式类型,1-单人, 2-多人 */
    @Excel(name = "联系方式类型,1-单人, 2-多人")
    private Integer type;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 外部客户添加时是否无需验证 */
    @Excel(name = "外部客户添加时是否无需验证")
    private Integer skipVerify;

    /** 企业自定义的state参数 1是 0否 */
    @Excel(name = "企业自定义的state参数 1是 0否")
    private String state;

    /** 用户ids */
    @Excel(name = "用户ids")
    private String userIds;

    /** 添加人数 */
    @Excel(name = "添加人数")
    private Long addNum;

    /** 删除人数 */
    @Excel(name = "删除人数")
    private Long deleteNum;

    /** 剩余人数 */
    @Excel(name = "剩余人数")
    private Long num;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** config_id */
    @Excel(name = "config_id")
    private String configId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** $column.columnComment */
    @Excel(name = "是否删除")
    private Long companyId;

    /** 是否发送欢迎语 */
    @Excel(name = "是否发送欢迎语")
    private Long isWelcome;

    /** 消息文本内容 */
    @Excel(name = "消息文本内容")
    private String textContent;

    /** 图片的链接 */
    @Excel(name = "图片的链接")
    private String imagePicUrl;

    /** 是否限制员工添加上限 */
    @Excel(name = "是否限制员工添加上限")
    private Integer isUserLimit;

    /** 是否分时段欢迎语 */
    @Excel(name = "是否分时段欢迎语")
    private Integer isSpanWelcome;

    /** 是否开启欢迎语屏蔽 */
    @Excel(name = "是否开启欢迎语屏蔽")
    private Integer isCloseWelcome;

    /** 迎语屏蔽昵称 */
    @Excel(name = "迎语屏蔽昵称")
    private String closeWelcomeWord;

    /** 是否添加标签 */
    @Excel(name = "是否添加标签")
    private Integer isTag;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 是否备注 */
    @Excel(name = "是否备注")
    private Integer isRemark;

    /** 1 昵称后 2 昵称前 */
    @Excel(name = "1 昵称后 2 昵称前")
    private Integer remarkStatus;
    private String corpId;
    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 是否添加描述 */
    @Excel(name = "是否添加描述")
    private Integer isDescription;

    /** 备用员工 */
    @Excel(name = "备用员工")
    private String spareUserIds;

    /** 分组id */
    @Excel(name = "分组id")
    private Long groupId;

    /** 员工添加上限 */
    @Excel(name = "员工添加上限")
    private String userLimitJson;

    /** 员工自动上下线 */
    @Excel(name = "员工自动上下线")
    private String userTimeJson;

    /** 员工类型 1 全天在线 2 自动上下线 */
    @Excel(name = "员工类型 1 全天在线 2 自动上下线")
    private Long userType;

    private String welcomeJson;

    private Long informationId;
}
