package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 外部联系人信息对象 qw_external_contact_info
 *
 * @author fs
 * @date 2024-11-23
 */
@Data
public class QwExternalContactInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 外部联系人id */

    private Long externalContactId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 地区 */
    @Excel(name = "地区")
    private String address;

    /** 行为习惯 */
    @Excel(name = "行为习惯")
    private String habits;

    /** 患病时间 */
    @Excel(name = "患病时间")
    private String illnessTime;

    /** 身体状态 */
    @Excel(name = "身体状态")
    private String body;

    /** 学习到的章节 */
    @Excel(name = "学习到的章节")
    private String study;

    /** 今日课程完成情况 */
    @Excel(name = "今日课程完成情况")
    private String courseStatus;

    /** 提及的家人 */
    @Excel(name = "提及的家人")
    private String family;

    /** 家人的疾病 */
    @Excel(name = "家人的疾病")
    private String familyDisease;

    /** 交流状态 */
    @Excel(name = "交流状态")
    private String talk;

    /** 用户分类 */
    @Excel(name = "用户分类")
    private String userType;

    /** 是否本人会诊 */
    @Excel(name = "是否本人会诊")
    private String isSelf;

    /** 什么情况加重或缓解 */
    @Excel(name = "什么情况加重或缓解")
    private String intensify;

    /** 是否怕热或者怕冷 */
    @Excel(name = "是否怕热或者怕冷")
    private String isCold;

    /** 怕冷或怕热的部位 */
    @Excel(name = "怕冷或怕热的部位")
    private String coldBody;

    /** 出汗情况 */
    @Excel(name = "出汗情况")
    private String sweat;

    /** 其他情况 */
    @Excel(name = "其他情况")
    private String other;

    /** 大小便情况 */
    @Excel(name = "大小便情况")
    private String toilet;

    /** 饮食情况 */
    @Excel(name = "饮食情况")
    private String eat;

    /** 经期如何 女 55岁以下 */
    @Excel(name = "经期如何 女 55岁以下")
    private String menses;

    /** 用药 */
    @Excel(name = "用药")
    private String medicine;

    /** 体质 */
    @Excel(name = "体质")
    private String constitution;

    /** 推荐用药 */
    @Excel(name = "推荐用药")
    private String recommendMedicine;

    /** 咨询产品 */
    @Excel(name = "咨询产品")
    private String consultProduct;

    /** 是否已经购买产品 */
    @Excel(name = "是否已经购买产品")
    private String isBuy;

    /** 已经购买的产品 */
    @Excel(name = "已经购买的产品")
    private String buyProduct;

    @Excel(name = "疾病")
    private String disease;

    @Excel(name = "是否线下就诊")
    private String isLine;
    @Excel(name = "学习课程")
    private String course;
    @Excel(name = "产品交流")
    private String productTalk;
    @Excel(name = "疾病交流")
    private String diseaseTalk;
}
