package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户朋友圈对象 qw_friend_circle
 * 
 * @author fs
 * @date 2024-09-18
 */

@Data
public class QwFriendCircle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 消息文本内容 */
    @Excel(name = "消息文本内容")
    private String content;

    /** 附件，不能与text.content同时为空，最多支持9个图片类型，或者1个视频，或者1个链接。类型只能三选一 */
    @Excel(name = "附件，不能与text.content同时为空，最多支持9个图片类型，或者1个视频，或者1个链接。类型只能三选一")
    private String attachments;

    /** 异步任务id，最大长度为64字节，24小时有效；可使用获取发表朋友圈任务结果查询任务状态 */
    @Excel(name = "异步任务id，最大长度为64字节，24小时有效；可使用获取发表朋友圈任务结果查询任务状态")
    private String jobid;

    /** 任务状态，1表示开始创建任务，2表示正在创建任务中，3表示创建任务已完成 */
    @Excel(name = "任务状态，1表示开始创建任务，2表示正在创建任务中，3表示创建任务已完成")
    private Integer status;

    /** 操作类型，字节串，此处固定为add_moment_task */
    @Excel(name = "操作类型，字节串，此处固定为add_moment_task")
    private String type;

    /** 返回码 */
    @Excel(name = "返回码")
    private Long resultErrcode;

    /** 对返回码的文本描述内容 */
    @Excel(name = "对返回码的文本描述内容")
    private String resultErrmsg;

    /** 朋友圈id，可通过获取客户朋友圈企业发表的列表接口获取朋友圈企业发表的列表 */
    @Excel(name = "朋友圈id，可通过获取客户朋友圈企业发表的列表接口获取朋友圈企业发表的列表")
    private String resultMomentId;

    /** 不合法的执行者列表，包括不存在的id以及不在应用可见范围内的部门或者成员 */
    @Excel(name = "不合法的执行者列表，包括不存在的id以及不在应用可见范围内的部门或者成员")
    private String resultInvalidSenderList;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

}
