package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户朋友圈执行情况对象 qw_friend_circle_task
 * 
 * @author fs
 * @date 2024-09-18
 */
@Data
public class QwFriendCircleTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private String qwUserId;

    /** 成员发表状态。0:未发表 1：已发表 */
    @Excel(name = "成员发表状态。0:未发表 1：已发表")
    private Long publishStatus;

    /** qw_friend_circle主表 */
    @Excel(name = "qw_friend_circle主表")
    private Long circleId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 朋友圈id，可通过获取客户朋友圈企业发表的列表接口获取朋友圈企业发表的列表 */
    @Excel(name = "朋友圈id，可通过获取客户朋友圈企业发表的列表接口获取朋友圈企业发表的列表")
    private String resultMomentId;
}
