package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户朋友圈互动数据对象 qw_friend_comments
 * 
 * @author fs
 * @date 2024-09-18
 */
@Data
public class QwFriendComments extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 朋友圈id */
    @Excel(name = "朋友圈id")
    private String momentId;

    /** 发送朋友圈的员工id */
    @Excel(name = "发送朋友圈的员工id")
    private String qwUserId;

    /**  1 评论 2 点赞 */
    @Excel(name = " 1 评论 2 点赞")
    private Long commentsType;

    /** 评论或点赞的客户userid，userid与external_userid不会同时出现 */
    @Excel(name = "评论或点赞的客户userid，userid与external_userid不会同时出现")
    private String externalUserid;

    /** 评论的企业成员userid，userid与external_userid不会同时出现 */
    @Excel(name = "评论的企业成员userid，userid与external_userid不会同时出现")
    private String userid;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

}
