package com.fs.qw.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 好友欢迎语的附件对象 qw_friend_welcome_item
 * 
 * @author fs
 * @date 2024-07-20
 */
@Data
public class QwFriendWelcomeItem
{
    private static final long serialVersionUID = 1L;

    /** 好友欢迎语分时段表 */
    private Long id;

    /** 好友欢迎语主表id */
    @Excel(name = "好友欢迎语主表id")
    private Long friendWelcomeId;

    /** 	消息文本内容,最长为4000字节 */
    @Excel(name = "	消息文本内容,最长为4000字节")
    private String welcomeText;

    /** 附件 最多可添加9个 */
    @Excel(name = "附件 最多可添加9个")
    private String attachments;

    /** 周 */
    @Excel(name = "周")
    private String week;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTieme;

}
