package com.fs.qw.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("qw_group_chat_transfer_log")
public class QwGroupChatTransferLog {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企微主体ID
     */
    private String corpId;
    /**
     * 转移类型 0:在职继承 1:离职继承
     */
    private Integer transferType;
    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 销售ID
     */
    private Long companyUserId;
    /**
     * 原归属群主ID
     */
    private String oldOwner;
    /**
     * 原归属销售ID
     */
    private Long oldCompanyUserId;
    /**
     * 原归属企微用户ID
     */
    private Long oldQwUserId;
    /**
     * 原归属企微用户名称
     */
    private String oldQwUserName;
    /**
     * 接替群主ID
     */
    private String newOwner;
    /**
     * 接替销售ID
     */
    private Long newCompanyUserId;
    /**
     * 接替企微用户ID
     */
    private Long newQwUserId;
    /**
     * 接替企微用户名称
     */
    private String newQwUserName;
    /**
     * 客户群ID
     */
    private String chatId;
    /**
     * 客户群名称
     */
    private String chatName;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
