package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户群发消息的附件记录对象 qw_group_msg_item
 *
 * @author fs
 * @date 2024-06-28
 */
@Data
public class QwGroupMsgItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 群发记录主表id */
    @Excel(name = "群发记录主表id")
    private Long groupMsgId;

    /** 企业群发消息的id，可用于获取群发消息发送结果 */
    @Excel(name = "企业群发消息的id，可用于获取群发消息发送结果")
    private String msgId;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private Integer msgType;

    /** 图片的media_id */
    @Excel(name = "图片的media_id")
    private String mediaId;

    /** 图片的链接 */
    @Excel(name = "图片的链接")
    private String mediaPicUrl;

    /** 图文消息标题 */
    @Excel(name = "图文消息标题")
    private String title;

    /** 图文消息封面的url */
    @Excel(name = "图文消息封面的url")
    private String picurl;

    /** 图文消息的描述 */
    @Excel(name = "图文消息的描述")
    private String description;

    /** 图文消息的链接 */
    @Excel(name = "图文消息的链接")
    private String url;

    /** 小程序消息封面的mediaid */
    @Excel(name = "小程序消息封面的mediaid")
    private String miniprogramPicMediaId;

    /** 小程序封面地址 */
    @Excel(name = "小程序封面地址")
    private String miniprogramPicUrl;

    /** 小程序appid */
    @Excel(name = "小程序appid")
    private String miniprogramAppid;

    /** 小程序消息标题 */
    @Excel(name = "小程序消息标题")
    private String miniprogramTitle;

    /** 小程序page路径 */
    @Excel(name = "小程序page路径")
    private String miniprogramPage;

    /** 视频的media_id */
    @Excel(name = "视频的media_id")
    private String videoMediaId;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoUrl;

    /** 文件的media_id */
    @Excel(name = "文件的media_id")
    private String fileMediaId;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 企微的企业id */
    @Excel(name = "企微的企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /**
     *  文件上传时间
     */
    private String createdAt;

}
