package com.fs.qw.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * 企微会话对象 qw_session
 *
 * @author fs
 * @date 2024-12-17
 */
@Data
public class QwSession extends BaseEntity implements Serializable
{

    /** 会话ID */

    @TableId(type = IdType.AUTO)
    private Long sessionId;

    /** 会话标识 */
    @Excel(name = "会话标识")
    private String chatId;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String qwExtId;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 客服ID  */
    @Excel(name = "客服ID ")
    private String qwUserId;

    /** 状态  */
    @Excel(name = "状态 ")
    private Integer status;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 用户类型 1微信用户 2小程序用户 3销售用户 */
    @Excel(name = "用户类型 1微信用户 2小程序用户 3销售用户")
    private Integer userType;

    /** 客户昵称 */
    @Excel(name = "客户昵称")
    private String nickName;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 归属员工 */
    @Excel(name = "归属员工")
    private Long companyUserId;

    private String qwExtWxId;//企微外部联系人wxid


}
