package com.fs.qw.domain;


import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 企微用户对象 qw_user
 *
 * @author fs
 * @date 2024-08-24
 */
@Data
public class QwUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private String qwUserId;

    /** 企微用户名 */
    @Excel(name = "企微用户名")
    private String qwUserName;

    /** 所属部门id */
    @Excel(name = "所属部门id")
    private String department;

    /** openid */
    @Excel(name = "openid")
    private String openid;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    /** 企微id */
    @Excel(name = "企微id")
    private String corpId;

    /** 0 未绑定 1 已绑定 */
    @Excel(name = "0 未绑定 1 已绑定")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    @Excel(name = "	SOP消息文本-员工昵称")
    private String welcomeText;

    /** 欢迎语图片 */
    @Excel(name = "欢迎语图片")
    private String welcomeImage;

    /** 是否发送欢迎语 1允许发送 2 不允许发送 */
    @Excel(name = "是否发送欢迎语 1允许发送 2 不允许发送")
    private Integer isSendMsg;

    private  String appKey;
    private String contactWay; //添加好友渠道活码


    private String configId; //渠道活码配置id,删除时需用到

    private  String qwHookId;//企业微信HOOK ID

    /**
    * 绑定的AI客服角色
     *
    */
    private  Long fastGptRoleId;
    /**
    * 登录状态
    */
    private  Long loginStatus;
    /**
    * 工具状态
    */
    private  Long toolStatus;
    /**
    * 二维码
    */
    private  String loginCodeUrl;

    private  String version;
    private  String unionid;

    private String vid;
    private String uid;

    private Integer ipadStatus;

    private Long serverId;
    private Integer serverStatus;
}
