package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 企微用户通话记录对象 qw_user_voice_log
 *
 * @author fs
 * @date 2025-05-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwUserVoiceLog extends BaseEntity{

    /** id */
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 时长秒 */
    @Excel(name = "时长秒")
    private Long duration;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 1接听 2未接 */
    @Excel(name = "1接听 2未接")
    private Long status;

    /** 企微id */
    @Excel(name = "企微id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 销售用户id */
    @Excel(name = "销售用户id")
    private Long companyUserId;


}
