package com.fs.qw.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import io.swagger.models.auth.In;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 企微任务看板对象 qw_work_task
 *
 * @author fs
 * @date 2025-03-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwWorkTask extends BaseEntity{

    /** id */
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    @Excel(name = "外部联系人长字符串")
    private String externalContactId;

    private String description;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 类别 1先导 2 课程 3 大小转 4 转人工 */
    @Excel(name = "类别 1先导 2 课程 3 大小转 4 转人工")
    private Integer type;

    /** 状态 0 待处理 1 已处理 3 过期 */
    @Excel(name = "状态 0 待处理 1 已处理 3 过期")
    private Integer status;

    /**
     * 最晚看课时间
     */
    @Excel(name = "最晚看课时间")
    private String lastWatchDate;
    /** 分值 */
    @Excel(name = "分值")
    private Integer score;

    /** sopid */
    @Excel(name = "sopid")
    private String sopId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private Integer trackType;
    /** 用户id */
    @Excel(name = "用户id")
    private Long companyUserId;

    private String title;
    /** 通话时长 */
    @Excel(name = "通话时长")
    private Long duration;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    List<Integer> logs;

}
