package com.fs.qw.mapper;

import com.fs.qw.domain.CustomerTransferApproval;

import java.util.List;

/**
 * 客户转移审批Mapper接口
 *
 * @author fs
 * @date 2025-04-01
 */
public interface CustomerTransferApprovalMapper
{
    /**
     * 查询客户转移审批
     *
     * @param id 客户转移审批ID
     * @return 客户转移审批
     */
    public CustomerTransferApproval selectCustomerTransferApprovalById(Long id);

    /**
     * 查询客户转移审批列表
     *
     * @param customerTransferApproval 客户转移审批
     * @return 客户转移审批集合
     */
    public List<CustomerTransferApproval> selectCustomerTransferApprovalList(CustomerTransferApproval customerTransferApproval);

    /**
     * 新增客户转移审批
     *
     * @param customerTransferApproval 客户转移审批
     * @return 结果
     */
    public int insertCustomerTransferApproval(CustomerTransferApproval customerTransferApproval);

    /**
     * 修改客户转移审批
     *
     * @param customerTransferApproval 客户转移审批
     * @return 结果
     */
    public int updateCustomerTransferApproval(CustomerTransferApproval customerTransferApproval);

    /**
     * 删除客户转移审批
     *
     * @param id 客户转移审批ID
     * @return 结果
     */
    public int deleteCustomerTransferApprovalById(Long id);

    /**
     * 批量删除客户转移审批
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomerTransferApprovalByIds(Long[] ids);


    List<CustomerTransferApproval> queryPendingData();
}
