package com.fs.qw.mapper;

import com.fs.qw.domain.QwExternalContactBlackLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业微信客户拉黑操作记录Mapper接口
 *
 * @author fs.qw
 * @date 2025-03-31
 */
public interface QwExternalContactBlackLogMapper
{
    /**
     * 查询企业微信客户拉黑操作记录
     *
     * @param id 企业微信客户拉黑操作记录ID
     * @return 企业微信客户拉黑操作记录
     */
    public QwExternalContactBlackLog selectQwExternalContactBlackLogById(Long id);

    /**
     * 查询企业微信客户拉黑操作记录列表
     *
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 企业微信客户拉黑操作记录集合
     */
    public List<QwExternalContactBlackLog> selectQwExternalContactBlackLogList(QwExternalContactBlackLog qwExternalContactBlackLog);

    /**
     * 新增企业微信客户拉黑操作记录
     *
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 结果
     */
    public int insertQwExternalContactBlackLog(QwExternalContactBlackLog qwExternalContactBlackLog);

    /**
     * 修改企业微信客户拉黑操作记录
     *
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 结果
     */
    public int updateQwExternalContactBlackLog(QwExternalContactBlackLog qwExternalContactBlackLog);

    /**
     * 删除企业微信客户拉黑操作记录
     *
     * @param id 企业微信客户拉黑操作记录ID
     * @return 结果
     */
    public int deleteQwExternalContactBlackLogById(Long id);

    /**
     * 批量删除企业微信客户拉黑操作记录
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteQwExternalContactBlackLogByIds(Long[] ids);

    /**
     * 新增拉黑操作通过查询到的外部联系人信息
     * @param ids 外部联系人ids
     * @return
     */
    int insertLogBySelectExternalContact(@Param("ids") List<String> ids);

    /**
     * 批量查询拉黑操作
     * @param ids
     * @return
     */
    List<QwExternalContactBlackLog> selectContactLogByIds(@Param("ids") List<String> ids);
}
