package com.fs.qw.mapper;

import com.fs.qw.domain.QwExternalContactInfo;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 外部联系人信息表Mapper接口
 *
 * @author fs
 * @date 2024-11-22
 */
public interface QwExternalContactInfoMapper
{
    /**
     * 查询外部联系人信息表
     *
     * @param id 外部联系人信息表主键
     * @return 外部联系人信息表
     */
    public QwExternalContactInfo selectQwExternalContactInfoById(Long id);

    /**
     * 查询外部联系人信息表列表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 外部联系人信息表集合
     */
    public List<QwExternalContactInfo> selectQwExternalContactInfoList(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 新增外部联系人信息表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 结果
     */
    public int insertQwExternalContactInfo(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 修改外部联系人信息表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 结果
     */
    public int updateQwExternalContactInfo(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 删除外部联系人信息表
     *
     * @param id 外部联系人信息表主键
     * @return 结果
     */
    public int deleteQwExternalContactInfoById(Long id);

    /**
     * 批量删除外部联系人信息表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwExternalContactInfoByIds(Long[] ids);

    @Select("select * from qw_external_contact_info where external_contact_id =#{id}")
    QwExternalContactInfo selectQwExternalContactInfoByExternalContactId(Long id);

    @Update("INSERT INTO qw_external_contact_info (external_contact_id, talk)\n" +
            "VALUES (#{id}, '非首次交流') " +
            "ON DUPLICATE KEY UPDATE " +
            "talk = VALUES(talk);")
    int updateQwExternalContactInfoByExtId(Long id);

    void updateQwExternalContactInfoByExternalContactId(QwExternalContactInfo qwExternalContactInfo);
}
