package com.fs.qw.mapper;


import com.fs.qw.domain.QwExternalErrRetry;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 企业微信客户 添加标签/备注失败重试Mapper接口
 *
 * @author fs
 * @date 2024-12-26
 */
public interface QwExternalErrRetryMapper
{
    /**
     * 查询企业微信客户 添加标签/备注失败重试
     *
     * @param id 企业微信客户 添加标签/备注失败重试主键
     * @return 企业微信客户 添加标签/备注失败重试
     */
    public QwExternalErrRetry selectQwExternalErrRetryById(Long id);

    /**
     * 查询企业微信客户 添加标签/备注失败重试列表
     *
     * @param qwExternalErrRetry 企业微信客户 添加标签/备注失败重试
     * @return 企业微信客户 添加标签/备注失败重试集合
     */
    public List<QwExternalErrRetry> selectQwExternalErrRetryList(QwExternalErrRetry qwExternalErrRetry);


    /**
     * 新增企业微信客户 添加标签/备注失败重试
     *
     * @param qwExternalErrRetry 企业微信客户 添加标签/备注失败重试
     * @return 结果
     */
    public int insertQwExternalErrRetry(QwExternalErrRetry qwExternalErrRetry);

    /**
     * 修改企业微信客户 添加标签/备注失败重试
     *
     * @param qwExternalErrRetry 企业微信客户 添加标签/备注失败重试
     * @return 结果
     */
    public int updateQwExternalErrRetry(QwExternalErrRetry qwExternalErrRetry);

    /**
     * 删除企业微信客户 添加标签/备注失败重试
     *
     * @param id 企业微信客户 添加标签/备注失败重试主键
     * @return 结果
     */
    public int deleteQwExternalErrRetryById(Long id);

    /**
     * 批量删除企业微信客户 添加标签/备注失败重试
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwExternalErrRetryByIds(Long[] ids);



    /**
    * 查询需要补发的数据
    */
    @Select("<script>" +
            "select * from qw_external_err_retry where take_state = 1 and retry_num &lt;= 10 " +
            "</script>")
    public List<QwExternalErrRetry> qwExternalErrRetryTimer();
}
