package com.fs.qw.mapper;

import com.fs.qw.domain.QwFriendComments;

import java.util.List;

/**
 * 客户朋友圈互动数据Mapper接口
 *
 * @author fs
 * @date 2024-09-18
 */
public interface QwFriendCommentsMapper
{
    /**
     * 查询客户朋友圈互动数据
     *
     * @param id 客户朋友圈互动数据主键
     * @return 客户朋友圈互动数据
     */
    public QwFriendComments selectQwFriendCommentsById(Long id);

    /**
     * 查询客户朋友圈互动数据列表
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 客户朋友圈互动数据集合
     */
    public List<QwFriendComments> selectQwFriendCommentsList(QwFriendComments qwFriendComments);

    /**
     * 新增客户朋友圈互动数据
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 结果
     */
    public int insertQwFriendComments(QwFriendComments qwFriendComments);

    /**
     * 修改客户朋友圈互动数据
     *
     * @param qwFriendComments 客户朋友圈互动数据
     * @return 结果
     */
    public int updateQwFriendComments(QwFriendComments qwFriendComments);

    /**
     * 删除客户朋友圈互动数据
     *
     * @param id 客户朋友圈互动数据主键
     * @return 结果
     */
    public int deleteQwFriendCommentsById(Long id);

    /**
     * 批量删除客户朋友圈互动数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwFriendCommentsByIds(Long[] ids);
}
