package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qw.domain.QwUserVoiceLog;
import com.fs.qw.vo.QwUserVoiceLogTotalVo;
import com.fs.qw.vo.QwUserVoiceLogVo;

import java.util.List;

/**
 * 企微用户通话记录Mapper接口
 *
 * @author fs
 * @date 2025-05-08
 */
public interface QwUserVoiceLogMapper extends BaseMapper<QwUserVoiceLog>{
    /**
     * 查询企微用户通话记录
     *
     * @param id 企微用户通话记录主键
     * @return 企微用户通话记录
     */
    QwUserVoiceLogVo selectQwUserVoiceLogById(Long id);

    /**
     * 查询企微用户通话记录列表
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 企微用户通话记录集合
     */
    List<QwUserVoiceLogVo> selectQwUserVoiceLogList(QwUserVoiceLogVo qwUserVoiceLog);

    /**
     * 新增企微用户通话记录
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 结果
     */
    int insertQwUserVoiceLog(QwUserVoiceLog qwUserVoiceLog);

    /**
     * 修改企微用户通话记录
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 结果
     */
    int updateQwUserVoiceLog(QwUserVoiceLog qwUserVoiceLog);

    /**
     * 删除企微用户通话记录
     *
     * @param id 企微用户通话记录主键
     * @return 结果
     */
    int deleteQwUserVoiceLogById(Long id);

    /**
     * 批量删除企微用户通话记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwUserVoiceLogByIds(Long[] ids);


    /**
     * 查询统计企微用户通话记录
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 企微用户通话记录集合
     */
    List<QwUserVoiceLogTotalVo> selectQwUserVoiceLogTotalList(QwUserVoiceLogTotalVo qwUserVoiceLog);
}
