package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qw.domain.QwWorkLinkUser;

import java.util.List;

/**
 * 企微获客链接用户关联Mapper接口
 *
 * @author fs
 * @date 2025-01-10
 */
public interface QwWorkLinkUserMapper extends BaseMapper<QwWorkLinkUser> {
    /**
     * 查询企微获客链接用户关联
     *
     * @param id 企微获客链接用户关联主键
     * @return 企微获客链接用户关联
     */
    public QwWorkLinkUser selectQwWorkLinkUserById(Long id);

    /**
     * 查询企微获客链接用户关联列表
     *
     * @param qwWorkLinkUser 企微获客链接用户关联
     * @return 企微获客链接用户关联集合
     */
    public List<QwWorkLinkUser> selectQwWorkLinkUserList(QwWorkLinkUser qwWorkLinkUser);

    /**
     * 新增企微获客链接用户关联
     *
     * @param qwWorkLinkUser 企微获客链接用户关联
     * @return 结果
     */
    public int insertQwWorkLinkUser(QwWorkLinkUser qwWorkLinkUser);

    /**
     * 修改企微获客链接用户关联
     *
     * @param qwWorkLinkUser 企微获客链接用户关联
     * @return 结果
     */
    public int updateQwWorkLinkUser(QwWorkLinkUser qwWorkLinkUser);

    /**
     * 删除企微获客链接用户关联
     *
     * @param id 企微获客链接用户关联主键
     * @return 结果
     */
    public int deleteQwWorkLinkUserById(Long id);

    /**
     * 批量删除企微获客链接用户关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwWorkLinkUserByIds(Long[] ids);
}
