package com.fs.qw.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QwExternalContactParam {
    private Long id;

    /** 属于用户id */
    @Excel(name = "属于用户id")
    private String userId;
    private Long qwUserId;

    /**
     *  属于用户名称
     */
    private String qwUserName;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalUserId;

    private Long companyUserId;

    /**
     * 销售员工信息（昵称，手机号）
     */
    private String companyUser;

    /**
     * 销售账号
     * **/
    private String companyUserName;


    private Long customerId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 外部联系人的类型1微信用户，2企业微信用户 */
    @Excel(name = "外部联系人的类型1微信用户，2企业微信用户")
    private Long type;

    /** 0-未知 1-男性 2-女性 */
    @Excel(name = "0-未知 1-男性 2-女性")
    private Long gender;

    /** 描述信息 */
    @Excel(name = "描述信息")
    private String description;

    /** 标签id */
    @Excel(name = "标签id")
    private List<String> tagIds;

    private String remark;

    /** 备注电话号码 */
    @Excel(name = "备注电话号码")
    private String remarkMobiles;

    /** 备注企业名称 */
    @Excel(name = "备注企业名称")
    private String remarkCorpName;
    @Excel(name = "来源")
    private Long addWay;

    /** oper用户id */
    @Excel(name = "oper用户id")
    private String operUserid;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    @Excel(name = "客户等级")
    private Long level;

    @Excel(name = "等级升降")
    private Long levelType;

    private Integer transferStatus;
    private Integer status;
    private String stageStatus;
    private String isBind;
    private String isBindMini;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lossTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date delTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sTime;

    /**
     * 销售部门
     */
    private List<Long> cuDeptIdList;

    /**
     * 部门类型 00 管理员 01 员工
     */
    private String userType;

}
