package com.fs.qw.param;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.List;

@Data
public class QwGroupChatParam {
    private static final long serialVersionUID = 1L;

    /** 客户群ID */
    @Excel(name = "客户群ID")
    private String chatId;
    private String corpId;
    /** 群名 */
    @Excel(name = "群名")
    private String name;

    /** 群主ID */
    @Excel(name = "群主")
    private String owner;

    private String ownerName;
    private String qwName;

    /** 群公告 */
    @Excel(name = "群公告")
    private String notice;


    /** 客户群跟进状态。
     0 - 跟进人正常
     1 - 跟进人离职
     2 - 离职继承中
     3 - 离职继承完成 */
    @Excel(name = "客户群跟进状态")
    private String status;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    private String qwUserList;

    /** 状态集合 */
    private List<String> statusList;

    /**
     * 销售部门
     */
    private List<Long> cuDeptIdList;

    /**
     * 部门类型 00 管理员 01 员工
     */
    private String userType;

}
