package com.fs.qw.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class SopMsgParam {

    @NotBlank(message = "corpId 不能为空")
    private String corpId;
    /** qw_user_id */

    @NotBlank(message = "qwUserid 不能为空")
    private String qwUserid;

    /** 企微外部联系人id */

    @NotBlank(message = "externalUserId 不能为空")
    private String externalUserId;

    private Long externalId;

    @NotNull(message = "sendStatus 不能为空")
    /** 0发送失败 1发送成功 3待发送 4未发送(未确定) 5已作废 */
    private Long sendStatus;

    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;
}
