package com.fs.qw.param;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class TransferChatParam {
    /**
     * 客户群ID集合
     */
    @Valid
    @NotEmpty(message = "转移客户群不能为空")
    private List<ChatParam> chatIds;
    /**
     * 接替企微用户
     */
    @NotNull(message = "接替企微用户不能为空")
    private Long qwId;
    /**
     * 企微主体ID
     */
    @NotBlank(message = "企微主体不能为空")
    private String corpId;
}
