package com.fs.qw.param.newparam;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class ExternalContactPageListParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "模糊搜索，可以通过微信名称、电话来模糊匹配")
    private String keyword;

    @ApiModelProperty(value = "用户id，不用传")
    private Long userId;

    @ApiModelProperty(value = "是否是黑名单，默认是false", required = true)
    private Boolean isBlack = false;

    @ApiModelProperty(value = "注册时间-开始")
    private String registerStartTime;

    @ApiModelProperty(value = "注册时间-结束")
    private String registerEndTime;

    @ApiModelProperty(value = "标签")
    private String[] tagIds;

    @ApiModelProperty(value = "tab序号，0全部；1今日新增；2今日完播；3未看过课")
    private String tabValue;

    @ApiModelProperty(value = "看课状态，0全部；1未看过课；2正常看课；3停止看课")
    private String watchCourseType;

}

