package com.fs.qw.service;

import com.fs.qw.domain.QwContactWayLogs;

import java.util.List;

/**
 * 联系我日志Service接口
 * 
 * @author fs
 * @date 2024-07-23
 */
public interface IQwContactWayLogsService 
{
    /**
     * 查询联系我日志
     * 
     * @param id 联系我日志主键
     * @return 联系我日志
     */
    public QwContactWayLogs selectQwContactWayLogsById(Long id);

    /**
     * 查询联系我日志列表
     * 
     * @param qwContactWayLogs 联系我日志
     * @return 联系我日志集合
     */
    public List<QwContactWayLogs> selectQwContactWayLogsList(QwContactWayLogs qwContactWayLogs);

    /**
     * 新增联系我日志
     * 
     * @param qwContactWayLogs 联系我日志
     * @return 结果
     */
    public int insertQwContactWayLogs(QwContactWayLogs qwContactWayLogs);

    /**
     * 修改联系我日志
     * 
     * @param qwContactWayLogs 联系我日志
     * @return 结果
     */
    public int updateQwContactWayLogs(QwContactWayLogs qwContactWayLogs);

    /**
     * 批量删除联系我日志
     * 
     * @param ids 需要删除的联系我日志主键集合
     * @return 结果
     */
    public int deleteQwContactWayLogsByIds(Long[] ids);

    /**
     * 删除联系我日志信息
     * 
     * @param id 联系我日志主键
     * @return 结果
     */
    public int deleteQwContactWayLogsById(Long id);
}
