package com.fs.qw.service;

import com.fs.qw.domain.QwExternalContactCrm;
import com.fs.qw.param.QwCrmCourseStudyDetailParams;
import com.fs.qw.param.QwCrmCourseStudyParams;
import com.fs.qw.vo.QwCrmCourseStudyVO;
import com.fs.qw.vo.QwExternalContactCrmVO;

import java.util.List;

/**
 * 企微客户-绑CRMService接口
 * 
 * @author fs
 * @date 2024-08-09
 */
public interface IQwExternalContactCrmService 
{
    /**
     * 查询企微客户-绑CRM
     * 
     * @param id 企微客户-绑CRM主键
     * @return 企微客户-绑CRM
     */
    public QwExternalContactCrm selectQwExternalContactCrmById(Long id);

    /**
     * 查询企微客户-绑CRM列表
     * 
     * @param qwExternalContactCrm 企微客户-绑CRM
     * @return 企微客户-绑CRM集合
     */
    public List<QwExternalContactCrmVO> selectQwExternalContactCrmListVO(QwExternalContactCrm qwExternalContactCrm);

    /**
     * 新增企微客户-绑CRM
     * 
     * @param qwExternalContactCrm 企微客户-绑CRM
     * @return 结果
     */
    public int insertQwExternalContactCrm(QwExternalContactCrm qwExternalContactCrm);

    /**
     * 修改企微客户-绑CRM
     * 
     * @param qwExternalContactCrm 企微客户-绑CRM
     * @return 结果
     */
    public int updateQwExternalContactCrm(QwExternalContactCrm qwExternalContactCrm);
    /**
    * 新增或修改 企微客户-绑CRM
    */
    public int insertOrUpdateQwExternalContactCrm(QwExternalContactCrm qwExternalContactCrm);

    /**
     * 批量删除企微客户-绑CRM
     * 
     * @param ids 需要删除的企微客户-绑CRM主键集合
     * @return 结果
     */
    public int deleteQwExternalContactCrmByIds(Long[] ids);

    /**
     * 删除企微客户-绑CRM信息
     * 
     * @param id 企微客户-绑CRM主键
     * @return 结果
     */
    public int deleteQwExternalContactCrmById(Long id);


    /**
     * 课程旅程 获取绑定了CRM（CRM绑定了小程序）的企业微信客户的课程列表
     */
    public List<QwCrmCourseStudyVO> getQwCrmCourseStudyList(QwCrmCourseStudyParams qwFsUserParam);

    public List<QwCrmCourseStudyVO> getQwCrmCourseStudyDetail(QwCrmCourseStudyDetailParams studyDetailParams);
}
