package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwExternalContactTransferLog;
import com.fs.qw.param.QwExternalContactTransferLogParam;
import com.fs.qw.vo.QwExternalContactTransferLogListVO;

import java.util.List;

/**
 * 转接记录Service接口
 *
 * @author fs
 * @date 2024-06-27
 */
public interface IQwExternalContactTransferLogService
{
    /**
     * 查询转接记录
     *
     * @param id 转接记录主键
     * @return 转接记录
     */
    public QwExternalContactTransferLog selectQwExternalContactTransferLogById(Long id);

    /**
     * 查询转接记录列表
     *
     * @param qwExternalContactTransferLog 转接记录
     * @return 转接记录集合
     */
    public List<QwExternalContactTransferLog> selectQwExternalContactTransferLogList(QwExternalContactTransferLog qwExternalContactTransferLog);

    /**
     * 新增转接记录
     *
     * @param qwExternalContactTransferLog 转接记录
     * @return 结果
     */
    public int insertQwExternalContactTransferLog(QwExternalContactTransferLog qwExternalContactTransferLog);

    /**
     * 修改转接记录
     *
     * @param qwExternalContactTransferLog 转接记录
     * @return 结果
     */
    public int updateQwExternalContactTransferLog(QwExternalContactTransferLog qwExternalContactTransferLog);

    /**
     * 批量删除转接记录
     *
     * @param ids 需要删除的转接记录主键集合
     * @return 结果
     */
    public int deleteQwExternalContactTransferLogByIds(Long[] ids);

    /**
     * 删除转接记录信息
     *
     * @param id 转接记录主键
     * @return 结果
     */
    public int deleteQwExternalContactTransferLogById(Long id);

    public R syncQwExternalContactTransferLog(String corpId);

    List<QwExternalContactTransferLogListVO> selectQwExternalContactTransferLogListVO(QwExternalContactTransferLogParam qwExternalContactTransferLog);

    void updateQwExternalContactTransferLogByStatus();

}
