package com.fs.qw.service;


import com.fs.qw.domain.QwFriendCircle;

import java.util.List;

/**
 * 客户朋友圈Service接口
 * 
 * @author fs
 * @date 2024-09-18
 */
public interface IQwFriendCircleService 
{
    /**
     * 查询客户朋友圈
     * 
     * @param id 客户朋友圈主键
     * @return 客户朋友圈
     */
    public QwFriendCircle selectQwFriendCircleById(Long id);

    /**
     * 查询客户朋友圈列表
     * 
     * @param qwFriendCircle 客户朋友圈
     * @return 客户朋友圈集合
     */
    public List<QwFriendCircle> selectQwFriendCircleList(QwFriendCircle qwFriendCircle);

    /**
     * 新增客户朋友圈
     * 
     * @param qwFriendCircle 客户朋友圈
     * @return 结果
     */
    public int insertQwFriendCircle(QwFriendCircle qwFriendCircle);

    /**
     * 修改客户朋友圈
     * 
     * @param qwFriendCircle 客户朋友圈
     * @return 结果
     */
    public int updateQwFriendCircle(QwFriendCircle qwFriendCircle);

    /**
     * 批量删除客户朋友圈
     * 
     * @param ids 需要删除的客户朋友圈主键集合
     * @return 结果
     */
    public int deleteQwFriendCircleByIds(Long[] ids);

    /**
     * 删除客户朋友圈信息
     * 
     * @param id 客户朋友圈主键
     * @return 结果
     */
    public int deleteQwFriendCircleById(Long id);
}
