package com.fs.qw.service;


import com.fs.qw.domain.QwFriendCircleTask;

import java.util.List;

/**
 * 客户朋友圈执行情况Service接口
 * 
 * @author fs
 * @date 2024-09-18
 */
public interface IQwFriendCircleTaskService 
{
    /**
     * 查询客户朋友圈执行情况
     * 
     * @param id 客户朋友圈执行情况主键
     * @return 客户朋友圈执行情况
     */
    public QwFriendCircleTask selectQwFriendCircleTaskById(Long id);

    /**
     * 查询客户朋友圈执行情况列表
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 客户朋友圈执行情况集合
     */
    public List<QwFriendCircleTask> selectQwFriendCircleTaskList(QwFriendCircleTask qwFriendCircleTask);

    /**
     * 新增客户朋友圈执行情况
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 结果
     */
    public int insertQwFriendCircleTask(QwFriendCircleTask qwFriendCircleTask);

    /**
     * 修改客户朋友圈执行情况
     * 
     * @param qwFriendCircleTask 客户朋友圈执行情况
     * @return 结果
     */
    public int updateQwFriendCircleTask(QwFriendCircleTask qwFriendCircleTask);

    /**
     * 批量删除客户朋友圈执行情况
     * 
     * @param ids 需要删除的客户朋友圈执行情况主键集合
     * @return 结果
     */
    public int deleteQwFriendCircleTaskByIds(Long[] ids);

    /**
     * 删除客户朋友圈执行情况信息
     * 
     * @param id 客户朋友圈执行情况主键
     * @return 结果
     */
    public int deleteQwFriendCircleTaskById(Long id);
}
