package com.fs.qw.service;

import com.fs.qw.domain.QwFriendCustomerList;

import java.util.List;

/**
 * 企业朋友圈 发送到客户朋友里 成功的客户数据Service接口
 *
 * @author fs
 * @date 2024-09-18
 */
public interface IQwFriendCustomerListService
{
    /**
     * 查询企业朋友圈 发送到客户朋友里 成功的客户数据
     *
     * @param id 企业朋友圈 发送到客户朋友里 成功的客户数据主键
     * @return 企业朋友圈 发送到客户朋友里 成功的客户数据
     */
    public QwFriendCustomerList selectQwFriendCustomerListById(Long id);

    /**
     * 查询企业朋友圈 发送到客户朋友里 成功的客户数据列表
     *
     * @param qwFriendCustomerList 企业朋友圈 发送到客户朋友里 成功的客户数据
     * @return 企业朋友圈 发送到客户朋友里 成功的客户数据集合
     */
    public List<QwFriendCustomerList> selectQwFriendCustomerListList(QwFriendCustomerList qwFriendCustomerList);

    /**
     * 新增企业朋友圈 发送到客户朋友里 成功的客户数据
     *
     * @param qwFriendCustomerList 企业朋友圈 发送到客户朋友里 成功的客户数据
     * @return 结果
     */
    public int insertQwFriendCustomerList(QwFriendCustomerList qwFriendCustomerList);

    /**
     * 修改企业朋友圈 发送到客户朋友里 成功的客户数据
     *
     * @param qwFriendCustomerList 企业朋友圈 发送到客户朋友里 成功的客户数据
     * @return 结果
     */
    public int updateQwFriendCustomerList(QwFriendCustomerList qwFriendCustomerList);

    /**
     * 批量删除企业朋友圈 发送到客户朋友里 成功的客户数据
     *
     * @param ids 需要删除的企业朋友圈 发送到客户朋友里 成功的客户数据主键集合
     * @return 结果
     */
    public int deleteQwFriendCustomerListByIds(Long[] ids);

    /**
     * 删除企业朋友圈 发送到客户朋友里 成功的客户数据信息
     *
     * @param id 企业朋友圈 发送到客户朋友里 成功的客户数据主键
     * @return 结果
     */
    public int deleteQwFriendCustomerListById(Long id);
}
