package com.fs.qw.service;

import com.fs.qw.domain.QwFriendWelcomeItem;

import java.util.List;

/**
 * 好友欢迎语的附件Service接口
 * 
 * @author fs
 * @date 2024-07-20
 */
public interface IQwFriendWelcomeItemService 
{
    /**
     * 查询好友欢迎语的附件
     * 
     * @param id 好友欢迎语的附件主键
     * @return 好友欢迎语的附件
     */
    public QwFriendWelcomeItem selectQwFriendWelcomeItemById(Long id);

    /**
     * 查询好友欢迎语的附件列表
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 好友欢迎语的附件集合
     */
    public List<QwFriendWelcomeItem> selectQwFriendWelcomeItemList(QwFriendWelcomeItem qwFriendWelcomeItem);

    /**
     * 新增好友欢迎语的附件
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 结果
     */
    public int insertQwFriendWelcomeItem(QwFriendWelcomeItem qwFriendWelcomeItem);

    /**
     * 修改好友欢迎语的附件
     * 
     * @param qwFriendWelcomeItem 好友欢迎语的附件
     * @return 结果
     */
    public int updateQwFriendWelcomeItem(QwFriendWelcomeItem qwFriendWelcomeItem);

    /**
     * 批量删除好友欢迎语的附件
     * 
     * @param ids 需要删除的好友欢迎语的附件主键集合
     * @return 结果
     */
    public int deleteQwFriendWelcomeItemByIds(Long[] ids);

    /**
     * 删除好友欢迎语的附件信息
     * 
     * @param id 好友欢迎语的附件主键
     * @return 结果
     */
    public int deleteQwFriendWelcomeItemById(Long id);
}
