package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwGroupMsgUser;
import com.fs.qw.vo.QwGroupMsgDetailsVO;

import java.util.List;

/**
 * 群发成员发送任务及执行结果反馈记录Service接口
 *
 * @author fs
 * @date 2024-06-20
 */
public interface IQwGroupMsgUserService
{
    /**
     * 查询群发成员发送任务及执行结果反馈记录
     *
     * @param id 群发成员发送任务及执行结果反馈记录主键
     * @return 群发成员发送任务及执行结果反馈记录
     */
    public QwGroupMsgUser selectQwGroupMsgUserById(Long id);

    /**
     * 查询群发成员发送任务及执行结果反馈记录列表
     *
     * @param qwGroupMsgUser 群发成员发送任务及执行结果反馈记录
     * @return 群发成员发送任务及执行结果反馈记录集合
     */
    public List<QwGroupMsgUser> selectQwGroupMsgUserList(QwGroupMsgUser qwGroupMsgUser);

    /**
     * 新增群发成员发送任务及执行结果反馈记录
     *
     * @param qwGroupMsgUser 群发成员发送任务及执行结果反馈记录
     * @return 结果
     */
    public int insertQwGroupMsgUser(QwGroupMsgUser qwGroupMsgUser);

    /**
     * 修改群发成员发送任务及执行结果反馈记录
     *
     * @param qwGroupMsgUser 群发成员发送任务及执行结果反馈记录
     * @return 结果
     */
    public int updateQwGroupMsgUser(QwGroupMsgUser qwGroupMsgUser);

    /**
     * 批量删除群发成员发送任务及执行结果反馈记录
     *
     * @param ids 需要删除的群发成员发送任务及执行结果反馈记录主键集合
     * @return 结果
     */
    public int deleteQwGroupMsgUserByIds(Long[] ids);

    /** 刷新/同步 客户群群发 结果 */
    public R refreshResultsGroupMsgUser(List<QwGroupMsgDetailsVO> list);

    /** 刷新/同步 客户群发 成员结果 */
    public R refreshResultsMsgUser(List<QwGroupMsgDetailsVO> list,String corpId);


    /**
     * 删除群发成员发送任务及执行结果反馈记录信息
     *
     * @param id 群发成员发送任务及执行结果反馈记录主键
     * @return 结果
     */
    public int deleteQwGroupMsgUserById(Long id);
}
