package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwIpadServerLog;

import java.util.List;

/**
 * ipad服务器日志Service接口
 *
 * @author fs
 * @date 2025-04-29
 */
public interface IQwIpadServerLogService extends IService<QwIpadServerLog>{
    /**
     * 查询ipad服务器日志
     *
     * @param id ipad服务器日志主键
     * @return ipad服务器日志
     */
    QwIpadServerLog selectQwIpadServerLogById(Long id);

    /**
     * 查询ipad服务器日志列表
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return ipad服务器日志集合
     */
    List<QwIpadServerLog> selectQwIpadServerLogList(QwIpadServerLog qwIpadServerLog);

    /**
     * 新增ipad服务器日志
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return 结果
     */
    int insertQwIpadServerLog(QwIpadServerLog qwIpadServerLog);

    /**
     * 修改ipad服务器日志
     *
     * @param qwIpadServerLog ipad服务器日志
     * @return 结果
     */
    int updateQwIpadServerLog(QwIpadServerLog qwIpadServerLog);

    /**
     * 批量删除ipad服务器日志
     *
     * @param ids 需要删除的ipad服务器日志主键集合
     * @return 结果
     */
    int deleteQwIpadServerLogByIds(Long[] ids);

    /**
     * 删除ipad服务器日志信息
     *
     * @param id ipad服务器日志主键
     * @return 结果
     */
    int deleteQwIpadServerLogById(Long id);
}
