package com.fs.qw.service;

import com.fs.qw.domain.QwMaterialGroup;

import java.util.List;

/**
 * 企业微信素材分组Service接口
 * 
 * @author fs
 * @date 2024-06-20
 */
public interface IQwMaterialGroupService 
{
    /**
     * 查询企业微信素材分组
     * 
     * @param materialGroupId 企业微信素材分组主键
     * @return 企业微信素材分组
     */
    public QwMaterialGroup selectQwMaterialGroupByMaterialGroupId(Long materialGroupId);

    /**
     * 查询企业微信素材分组列表
     * 
     * @param qwMaterialGroup 企业微信素材分组
     * @return 企业微信素材分组集合
     */
    public List<QwMaterialGroup> selectQwMaterialGroupList(QwMaterialGroup qwMaterialGroup);

    /**
     * 新增企业微信素材分组
     * 
     * @param qwMaterialGroup 企业微信素材分组
     * @return 结果
     */
    public int insertQwMaterialGroup(QwMaterialGroup qwMaterialGroup);

    /**
     * 修改企业微信素材分组
     * 
     * @param qwMaterialGroup 企业微信素材分组
     * @return 结果
     */
    public int updateQwMaterialGroup(QwMaterialGroup qwMaterialGroup);

    /**
     * 批量删除企业微信素材分组
     * 
     * @param materialGroupIds 需要删除的企业微信素材分组主键集合
     * @return 结果
     */
    public int deleteQwMaterialGroupByMaterialGroupIds(Long[] materialGroupIds);

    /**
     * 删除企业微信素材分组信息
     * 
     * @param materialGroupId 企业微信素材分组主键
     * @return 结果
     */
    public int deleteQwMaterialGroupByMaterialGroupId(Long materialGroupId);
}
