package com.fs.qw.service;


import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwMaterial;
import com.fs.qw.param.QwMaterialParam;
import com.fs.qw.vo.QwMaterialVO;

import java.util.List;

/**
 * 素材库Service接口
 *
 * @author fs
 * @date 2024-06-20
 */
public interface IQwMaterialService
{
    /**
     * 查询素材库
     *
     * @param materialId 素材库主键
     * @return 素材库
     */
    public QwMaterial selectQwMaterialByMaterialId(Long materialId);

    /**
     * 查询素材库列表
     *
     * @param param 素材库
     * @return 素材库集合
     */
    public List<QwMaterialVO> selectQwMaterialList(QwMaterialParam param);

    /**
     * 新增素材库
     *
     * @param qwMaterial 素材库
     * @return 结果
     */
    public R insertQwMaterial(QwMaterial qwMaterial) throws Exception;

    /**
     * 修改素材库
     *
     * @param qwMaterial 素材库
     * @return 结果
     */
    public int updateQwMaterial(QwMaterial qwMaterial);

    /**
     * 批量删除素材库
     *
     * @param materialIds 需要删除的素材库主键集合
     * @return 结果
     */
    public int deleteQwMaterialByMaterialIds(Long[] materialIds);

    /**
     * 删除素材库信息
     *
     * @param materialId 素材库主键
     * @return 结果
     */
    public int deleteQwMaterialByMaterialId(Long materialId);
}
