package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwUserbehaviorData;
import com.fs.qw.param.QwUserbehaviorDataParams;

/**
 * 企微联系客户统计数据Service接口
 * 
 * @author fs
 * @date 2024-08-05
 */
public interface IQwUserbehaviorDataService 
{
    /**
     * 查询企微联系客户统计数据
     * 
     * @param id 企微联系客户统计数据主键
     * @return 企微联系客户统计数据
     */
    public QwUserbehaviorData selectQwUserbehaviorDataById(Long id);

    /**
     * 查询企微联系客户统计数据列表
     * 
     * @param params 企微联系客户统计数据
     * @return 企微联系客户统计数据集合
     */
    public R selectQwUserbehaviorDataList(QwUserbehaviorDataParams params);

    /**
     * 新增企微联系客户统计数据
     * 
     * @param qwUserbehaviorData 企微联系客户统计数据
     * @return 结果
     */
    public int insertQwUserbehaviorData(QwUserbehaviorData qwUserbehaviorData);

    /**
     * 修改企微联系客户统计数据
     * 
     * @param qwUserbehaviorData 企微联系客户统计数据
     * @return 结果
     */
    public int updateQwUserbehaviorData(QwUserbehaviorData qwUserbehaviorData);

    /**
     * 批量删除企微联系客户统计数据
     * 
     * @param ids 需要删除的企微联系客户统计数据主键集合
     * @return 结果
     */
    public int deleteQwUserbehaviorDataByIds(Long[] ids);

    /**
     * 删除企微联系客户统计数据信息
     * 
     * @param id 企微联系客户统计数据主键
     * @return 结果
     */
    public int deleteQwUserbehaviorDataById(Long id);

    /**
    * 定时任务，每天定时从企业微信获取联系客户统计的更新数据
    */
    public void updateQwUserbehaviorDataByTimer();
}
