package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwWelcome;

import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.util.List;

/**
 * 入群欢迎语管理Service接口
 *
 * @author fs
 * @date 2024-06-22
 */
public interface IQwWelcomeService
{
    /**
     * 查询入群欢迎语管理
     *
     * @param welcomeId 入群欢迎语管理主键
     * @return 入群欢迎语管理
     */
    public QwWelcome selectQwWelcomeByWelcomeId(Long welcomeId);

    /**
     * 查询入群欢迎语管理列表
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 入群欢迎语管理集合
     */
    public List<QwWelcome> selectQwWelcomeList(QwWelcome qwWelcome);

    /**
     * 新增入群欢迎语管理
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 结果
     */
//    public R insertQwWelcome(QwWelcome qwWelcome, MultipartFile fileOne,MultipartFile fileTwo) throws MalformedURLException, URISyntaxException, Exception;

    public R insertQwWelcome(QwWelcome qwWelcome) throws MalformedURLException, URISyntaxException, Exception;

    /**
     * 修改入群欢迎语管理
     *
     * @param qwWelcome 入群欢迎语管理
     * @return 结果
     */
    public R updateQwWelcome(QwWelcome qwWelcome) throws Exception;
//    public R updateQwWelcome(QwWelcome qwWelcome, MultipartFile fileOne, MultipartFile fileTwo) throws IOException;

    /**
     * 删除入群欢迎语管理信息
     *
     * @param welcomeId 入群欢迎语管理主键
     * @return 结果
     */
    public R deleteQwWelcomeByWelcomeId(Long welcomeId,String templateId);
}
