package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwWorkLink;

import java.util.List;

/**
 * 企微获客链接管理Service接口
 *
 * @author fs
 * @date 2025-01-10
 */
public interface IQwWorkLinkService extends IService<QwWorkLink>
{
    /**
     * 查询企微获客链接管理
     *
     * @param id 企微获客链接管理主键
     * @return 企微获客链接管理
     */
    public QwWorkLink selectQwWorkLinkById(Long id);

    /**
     * 查询企微获客链接管理列表
     *
     * @param qwWorkLink 企微获客链接管理
     * @return 企微获客链接管理集合
     */
    public List<QwWorkLink> selectQwWorkLinkList(QwWorkLink qwWorkLink);

    /**
     * 查询企微获客链接管理列表-不分页
     *
     * @param qwWorkLink 企微获客链接管理
     * @return 企微获客链接管理集合
     */
    public List<QwWorkLink> selectQwWorkLinkListAll(QwWorkLink qwWorkLink);

    /**
     * 新增企微获客链接管理
     *
     * @param qwWorkLink 企微获客链接管理
     * @return 结果
     */
    public int insertQwWorkLink(QwWorkLink qwWorkLink);

    /**
     * 修改企微获客链接管理
     *
     * @param qwWorkLink 企微获客链接管理
     * @return 结果
     */
    public int updateQwWorkLink(QwWorkLink qwWorkLink);

    /**
     * 批量删除企微获客链接管理
     *
     * @param ids 需要删除的企微获客链接管理主键集合
     * @return 结果
     */
    public int deleteQwWorkLinkByIds(Long[] ids);

    /**
     * 删除企微获客链接管理信息
     *
     * @param id 企微获客链接管理主键
     * @return 结果
     */
    public int deleteQwWorkLinkById(Long id);
}
