package com.fs.qw.service.impl;

import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwExternalContactBlackLog;
import com.fs.qw.mapper.QwExternalContactBlackLogMapper;
import com.fs.qw.service.IQwExternalContactBlackLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业微信客户拉黑操作记录Service业务层处理
 * 
 * @author fs.qw
 * @date 2025-03-31
 */
@Service
public class QwExternalContactBlackLogServiceImpl implements IQwExternalContactBlackLogService 
{
    @Autowired
    private QwExternalContactBlackLogMapper qwExternalContactBlackLogMapper;

    /**
     * 查询企业微信客户拉黑操作记录
     * 
     * @param id 企业微信客户拉黑操作记录ID
     * @return 企业微信客户拉黑操作记录
     */
    @Override
    public QwExternalContactBlackLog selectQwExternalContactBlackLogById(Long id)
    {
        return qwExternalContactBlackLogMapper.selectQwExternalContactBlackLogById(id);
    }

    /**
     * 查询企业微信客户拉黑操作记录列表
     * 
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 企业微信客户拉黑操作记录
     */
    @Override
    public List<QwExternalContactBlackLog> selectQwExternalContactBlackLogList(QwExternalContactBlackLog qwExternalContactBlackLog)
    {
        return qwExternalContactBlackLogMapper.selectQwExternalContactBlackLogList(qwExternalContactBlackLog);
    }

    /**
     * 新增企业微信客户拉黑操作记录
     * 
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 结果
     */
    @Override
    public int insertQwExternalContactBlackLog(QwExternalContactBlackLog qwExternalContactBlackLog)
    {
        qwExternalContactBlackLog.setCreateTime(DateUtils.getNowDate());
        return qwExternalContactBlackLogMapper.insertQwExternalContactBlackLog(qwExternalContactBlackLog);
    }

    /**
     * 修改企业微信客户拉黑操作记录
     * 
     * @param qwExternalContactBlackLog 企业微信客户拉黑操作记录
     * @return 结果
     */
    @Override
    public int updateQwExternalContactBlackLog(QwExternalContactBlackLog qwExternalContactBlackLog)
    {
        return qwExternalContactBlackLogMapper.updateQwExternalContactBlackLog(qwExternalContactBlackLog);
    }

    /**
     * 批量删除企业微信客户拉黑操作记录
     * 
     * @param ids 需要删除的企业微信客户拉黑操作记录ID
     * @return 结果
     */
    @Override
    public int deleteQwExternalContactBlackLogByIds(Long[] ids)
    {
        return qwExternalContactBlackLogMapper.deleteQwExternalContactBlackLogByIds(ids);
    }

    /**
     * 删除企业微信客户拉黑操作记录信息
     * 
     * @param id 企业微信客户拉黑操作记录ID
     * @return 结果
     */
    @Override
    public int deleteQwExternalContactBlackLogById(Long id)
    {
        return qwExternalContactBlackLogMapper.deleteQwExternalContactBlackLogById(id);
    }
}
