package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class QwGroupChatVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 客户群ID */
    @Excel(name = "客户群ID")
    private String chatId;

    /** 群名 */
    @Excel(name = "群名")
    private String name;

    /** 群主ID */
    @Excel(name = "群主")
    private String owner;

    private String ownerName;

    private String qwName;

    /** 群公告 */
    @Excel(name = "群公告")
    private String notice;

    /** 当前群成员版本号 */
    @Excel(name = "当前群成员版本号")
    private String memberVersion;

    /** 客户群跟进状态。
     0 - 跟进人正常
     1 - 跟进人离职
     2 - 离职继承中
     3 - 离职继承完成 */
    @Excel(name = "客户群跟进状态")
    private String status;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 企业微信的企业id */
    @Excel(name = "企业微信的企业id")
    private String corpId;

    /** 群的创建时间的时间戳 */
    @Excel(name = "群的创建时间的时间戳")
    private String createAt;

    /** 群人数 */
    @Excel(name = "群人数")
    private Long groupSizeByChartUser;

    /** 当日入群数 */
    @Excel(name = "当日入群数")
    private Long todayJoinByChartUser;

    /** 当日退群数 */
    @Excel(name = "当日退群数")
    private Long todayOutByChartUser;

    /** 累计退群人数 */
    @Excel(name = "累计退群人数")
    private Long allOutGroup;
}
