package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwGroupMsgDetailsVO {

    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 企业服务人员的userid */
    @Excel(name = "企业服务人员的userid")
    private String userId;

    /** 企业群发消息的id，可用于获取群发消息发送结果 */
    @Excel(name = "企业群发消息的id，可用于获取群发消息发送结果")
        private String msgId;

    /** 发送状态：0-未发送 2-已发送 */
    @Excel(name = "发送状态：0-未发送 2-已发送")
    private Integer status;

    /** 发送时间，未发送时不返回 */
    private Long sendTime;

    /** 外部联系人userid，群发消息到企业的客户群不返回该字段 */
    @Excel(name = "外部联系人userid，群发消息到企业的客户群不返回该字段")
    private String externalUserid;

    /** 外部客户群id，群发消息到客户不返回该字段 */
    @Excel(name = "外部客户群id，群发消息到客户不返回该字段")
    private String chatId;

    /** 群发任务类型 single表示发送给客户，group表示发送给客户群 */
    @Excel(name = "群发任务类型 single表示发送给客户，group表示发送给客户群")
    private String chatType;

    /** 企微的企业id */
    @Excel(name = "企微的企业id")
    private String corpId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 发送（接收）状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败 */
    @Excel(name = "发送", readConverterExp = "接=收")
    private Integer sendStatus;

    /** 群发记录主表id */
    @Excel(name = "群发记录主表id")
    private Long groupMsgId;

    /**
     *  成员姓名
     */
    private String nickName;

    /** 客户姓名 */
    private String name;

    /**
     *  客户头像
     */
    private String avatar;

    /**
     *  群名
     */
    private String chatName;

    /** 单用于区分定时任务时，同步定时任务结果的 */
    private Integer timerResultType;
}
