package com.fs.qw.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 素材库对象 qw_material
 *
 * @author fs
 * @date 2024-06-20
 */
@Data
public class QwMaterialVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 素材库id */
    private Long materialId;

    /** 媒体文件类型,分别有图片(image),语音(voice),视频(video),普通文件(file) */
    @Excel(name = "媒体文件类型,分别有图片(image),语音(voice),视频(video),普通文件(file)")
    private String materialType;

    /** 媒体文件上传后获取的唯一标识，3天内有效 */
    @Excel(name = "媒体文件上传后获取的唯一标识，3天内有效")
    private String materialMediaId;

    /** 媒体文件上传时间戳 */
    @Excel(name = "媒体文件上传时间戳")
    private String createdAt;

    /** 文件地址，图片可以上传永久的，其他类型的3天有效 */
    @Excel(name = "文件地址，图片可以上传永久的，其他类型的3天有效")
    private String materialUrl;

    /** 素材分组id */
    @Excel(name = "素材分组id")
    private Long materialGroupId;

    private String materialGroupName;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 文本消息 */
    @Excel(name = "文本消息")
    private String textContent;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    private String titleUrl;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long createUserId;

    private String createName;

    /** 发送次数 */
    @Excel(name = "发送次数")
    private String sendCount;

    private String cropId;

    /**
     *  创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     *  素材分类 1 普通素材组 2 朋友圈素材组
     */
    private Integer groupType;
}
