package com.fs.qw.vo;

import com.fs.qwApi.domain.inner.TextMessage;
import lombok.Data;

import java.util.List;
@Data
public class QwWelcomeJsonFrom {
    /** 附件 最多可添加9个 */
    private List<Attachment> attachments;
    private List<Integer> week;
    /** 开始时间 */
    private String startTime;
    /** 结束时间 */
    private String endTime;
    private TextMessage text; // 文本消息内容

    @Data
    // 用于附件
    public static class Attachment {
        private String msgtype; // 附件类型：image（图片），link（链接），miniprogram（小程序），video（视频），file（文件）
        private ImageAttachment image; // 图片附件详情
        private LinkAttachment link; // 链接附件详情
        // 获取器和设置器
        @Data
        public static class ImageAttachment {
            private String pic_url; // 图片的URL
        }
        @Data
        public static class LinkAttachment {
            private String title; // 链接标题
            private String picurl; // 缩略图的URL
            private String desc; // 链接描述
            private String url; // 链接的URL
            private String courseId; // 链接的课程id
            private String videoId; // 链接的课节id
            private Integer expiresDays; // 链接的过期时间
        }
    }
}
