package com.fs.qw.vo.newvo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 外部联系人（会员）列表返回对象
 */
@Data
@ApiModel
public class ExternalContactListVO {

    @ApiModelProperty(value = "外部联系人主键id")
    private Long id;

    @ApiModelProperty(value = "属于用户id（企微用户id）")
    private String userId;

    @ApiModelProperty(value = "外部联系人id")
    private String externalUserId;

    @ApiModelProperty(value = "外部联系人电话")
    private String mobile;

    @ApiModelProperty(value = "外部联系人状态，7表示黑名单")
    private String status;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "注册时间")
    private Date createTime;

    @ApiModelProperty(value = "企业员工用户账号")
    private String companyUserName;

    @ApiModelProperty(value = "企业员工用户昵称")
    private String companyUsernickName;

    @ApiModelProperty(value = "企业微信名")
    private String  nickName;
}
