package com.fs.qwApi.Params.Result;

import lombok.Data;

import java.util.List;

@Data
public class QwGroupChatStatisticResult {

    private int errcode;
    private String errmsg;
    /**
     *  命中过滤条件的记录总个数
     */
    private int total;
    /**
     *  当前分页的下一个offset。当next_offset和total相等时，说明已经取完所有
     */
    private int next_offset;
    private List<Item> items;

    @Data
    public static class Item {
        /**
         *  群主ID
         */
        private String owner;
        private int stat_time;
        private ItemsData data;
    }
    @Data
    public static class ItemsData {
        /**
         *	新增客户群数量
         */
        private int new_chat_cnt;
        /**
         * 	截至当天客户群总数量
         */
        private int chat_total;
        /**
         * 	截至当天有发过消息的客户群数量
         */
        private int chat_has_msg;
        /**
         * 	客户群新增群人数。
         */
        private int new_member_cnt;
        /**
        * 截至当天客户群总人数
        */
        private int member_total;
        /**
        * 	截至当天有发过消息的群成员数
        */
        private int member_has_msg;
        /**
        * 截至当天客户群消息总数
        */
        private int msg_total;
        /**
        * 截至当天新增迁移群数(仅教培行业返回)
        */
        private int migrate_trainee_chat_cnt;
}
}
