package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

/**
*  获取企业全部的发表列表返回结果
*/
@Data
public class QwGetMomentListResult {
    private int errcode;
    private String errmsg;
    /**
    * 游标
    */
    private String next_cursor;
    /**
    * 朋友圈列表
    */
    private List<Moment> moment_list;

  @Data
    public static class Moment {
        /**
        * 朋友圈id
        */
        private String moment_id;
        /**
        * 	朋友圈创建者userid，企业发表内容到客户的朋友圈接口创建的朋友圈不再返回该字段
        */
        private String creator;
        /**
        *   	创建时间
        */
        private long create_time;
        /**
        *   朋友圈创建来源
        */
        private int create_type;
        /**
        * 可见范围类型。0：部分可见 1：公开
        */
        private int visible_type;
        /**
        * 文本消息结构
        */
        private Text text;
        private List<Image> image;
        private Video video;
        private Link link;
        private Location location;
    }

    @Data
    public static class Text {
        /**
        * 文本内容
        */
        private String content;
    }

    @Data
    public static class Image {
        /**
        * 图片的media_id列表
        */
        private String media_id;
    }

    @Data
    public static class Video {
        /**
        * 视频media_id，可以通过获取临时素材下载资源
        */
        private String media_id;
        /**
        * 	视频封面media_id，可以通过获取临时素材下载资源
        */
        private String thumb_media_id;
    }

    @Data
    public static class Link {
        /**
        * 	网页链接标题
        */
        private String title;
        /**
        * 	网页链接url
        */
        private String url;
    }

    @Data
    public static class Location {
        /**
        * 地理位置纬度
        */
        private String latitude;
        /**
        * 	地理位置经度
        */
        private String longitude;
        /**
        * 	地理位置名称
        */
        private String name;

    }
}
