package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

/**
* 获取发送朋友圈-任务创建结果
*/
@Data
public class QwGetMomentTaskResult {

    private int errcode;
    private String errmsg;
    /**
    * 任务状态，整型，1表示开始创建任务，2表示正在创建任务中，3表示创建任务已完成
    */
    private int status;
    /**
    * 操作类型，字节串，此处固定为add_moment_task
    */
    private String type;
    /**
    * 详细的处理结果。当任务完成后此字段有效
    */
    private Result result;

    @Data
    public static class Result {
        /**
        * 	返回码
        */
        private int errcode;
        /**
        * 	对返回码的文本描述内容
        */
        private String errmsg;
        /**
        * 朋友圈id，可通过获取客户朋友圈企业发表的列表接口获取朋友圈企业发表的列表
        */
        private String moment_id;
        /**
        *  不合法的执行者列表，包括不存在的id以及不在应用可见范围内的部门或者成员
        */
        private InvalidSenderList invalid_sender_list;
        /**
        * 不合法的客户标签列表
        */
        private InvalidExternalContactList invalid_external_contact_list;

    }

    @Data
    public static class InvalidSenderList {
        /**
        * 不存在的用户id
        */
        private List<String> user_list;
        /**
        * 不在应用可见范围内的部门
        */
        private List<Integer> department_list;

    }

    @Data
    public static class InvalidExternalContactList {
        /**
         * 错误的客户标签列表
         */
        private List<String> tag_list;
    }
}
