package com.fs.qwApi.Result;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class QwGroupWelcomeTemplateRusult {

    @JsonProperty("errcode")
    private int errCode;

    @JsonProperty("errmsg")
    private String errMsg;

    /**
     *  消息文本
     */
    @JsonProperty("text")
    private TextContent text;

    /**
     *  图片
     */
    @JsonProperty("image")
    private ImageContent image;

    /**
     *  图文
     */
    @JsonProperty("link")
    private LinkContent link;

    /**
     *  小程序
     */
    @JsonProperty("miniprogram")
    private MiniProgramContent miniProgram;

    @JsonProperty("file")
    private FileContent file;

    @JsonProperty("video")
    private VideoContent video;


@Data
public static class TextContent {
    /**
     *  消息文本内容
     */
    @JsonProperty("content")
    private String content;

    }
@Data
public static class ImageContent {

    /**
     *  图片的url
     */
    @JsonProperty("pic_url")
    private String picUrl;

    }
@Data
public static class LinkContent {

    /**
     *  图文消息标题
     */
    @JsonProperty("title")
    private String title;

    /**
     *  图文消息封面的url
     */
    @JsonProperty("picurl")
    private String picUrl;

    /**
     *  图文消息的描述
     */
    @JsonProperty("desc")
    private String desc;

    /**
     *  图文消息的链接
     */
    @JsonProperty("url")
    private String url;

    }

@Data
public static class MiniProgramContent {
    /**
     *  小程序消息标题
     */
    @JsonProperty("title")
    private String title;

    /**
     *  	小程序消息封面的mediaid
     */
    @JsonProperty("pic_media_id")
    private String picMediaId;

    /**
     *  小程序appid
     */
    @JsonProperty("appid")
    private String appId;

    /**
     *  小程序page路径
     */
    @JsonProperty("page")
    private String page;

    }
@Data
public static class FileContent {
    /**
     *  文件id，可以通过素材管理接口获得。
     */
    @JsonProperty("media_id")
    private String mediaId;
    }
@Data
public static class VideoContent {
    /**
     *  	视频媒体文件id，可以通过素材管理接口获得。
     */
    @JsonProperty("media_id")
    private String mediaId;

    }
}
