package com.fs.qwApi.Result;

import lombok.Data;

import java.util.List;

@Data
public class QwUserBehaviorDataResult {
    private int errcode;
    private String errmsg;
    private List<BehaviorData> behavior_data;


    @Data
    public static class BehaviorData {
        /**
        *  数据日期，为当日0点的时间戳 10位
        */
        private long stat_time;
        /**
        *  聊天总数， 成员有主动发送过消息的单聊总数。
        */
        private int chat_cnt;
        /**
        *   发送消息数，成员在单聊中发送的消息总数。
        */
        private int message_cnt;
        /**
        * 已回复聊天占比，浮点型，客户主动发起聊天后，成员在一个自然日内有回复过消息的聊天数/客户主动发起的聊天数比例，不包括群聊，仅在确有聊天时返回。
        */
        private double reply_percentage;
        /**
        * 平均首次回复时长，单位为分钟，即客户主动发起聊天后，成员在一个自然日内首次回复的时长间隔为首次回复时长，
         * 所有聊天的首次回复总时长/已回复的聊天总数即为平均首次回复时长，不包括群聊，仅在确有聊天时返回。
        */
        private int avg_reply_time;
        /**
         *  删除/拉黑成员的客户数，即将成员删除或加入黑名单的客户数
         */
        private int negative_feedback_cnt;
        /**
        * 发起申请数，主动向客户发起的好友申请数量
        */
        private int new_apply_cnt;
        /**
        * 新增客户数，成员新添加的客户数量
        */
        private int new_contact_cnt;
    }
}
