package com.fs.qwApi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 企业微信会话存档对象 qw_messages
 *
 * @author fs
 * @date 2025-03-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwMessages extends BaseEntity{

    /** 自增主键，唯一标识 */
    private Long id;

    /** 消息ID，唯一 */
    @Excel(name = "消息ID，唯一")
    private String msgid;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String action;

    /** 发送者ID */
    @Excel(name = "发送者ID")
    private String from;

    /** 接收者ID列表，存储为JSON格式 */
    @Excel(name = "接收者ID列表，存储为JSON格式")
    private String tolist;

    /** 房间ID，允许为空 */
    @Excel(name = "房间ID，允许为空")
    private String roomid;

    /** 消息时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "消息时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date msgtime;

    /** 消息类型 */
    @Excel(name = "消息类型")
    private String msgtype;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String content;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;


}
