package com.fs.qwApi.param;

import lombok.Data;

import java.util.List;

@Data
public class QwAddJoinWayParam {

    /**
     *  	场景。
     * 1 - 群的小程序插件
     * 2 - 群的二维码插件(固定)
     */
    private int scene;

    /**
     *  	企业联系方式的配置id
     */
    private  String config_id;

    /**
     *  联系方式的备注信息，用于助记，超过30个字符将被截断
     */
    private String remark;
    /**
     *  当群满了后，是否自动新建群。0-否；1-是。 默认为1
     */
    private int auto_create_room;
    /**
     *  	自动建群的群名前缀，当auto_create_room为1时有效。最长40个utf8字符
     */
    private String room_base_name;
    /**
     *  	自动建群的群起始序号，当auto_create_room为1时有效
     */
    private int room_base_id;
    /**
     *  使用该配置的客户群ID列表，最多支持5个。
     */
    private List<String> chat_id_list;

    /**
     *  	企业自定义的state参数，用于区分不同的入群渠道。不超过30个UTF-8字符
     * 如果有设置此参数，在调用获取客户群详情接口时会返回每个群成员对应的该参数值(不做)
     */
    private String state;

}
