package com.fs.qwApi.param;

import lombok.Data;

import java.util.List;

/**
* 朋友圈参数
*/
@Data
public class QwAddMomentTask {

    /**
    * 	文本消息(最多支持传入2000个字（4000个字节))
    */
    private Text text;
    /**
    * 附件消息
    */
    private List<Attachment> attachments;
    /**
    *  指定的发表范围；若未指定，则表示执行者为应用可见范围内所有成员
    */
    private VisibleRange visible_range;

    @Data
    public static class Text {
        /**
        * 文本内容
        */
        private String content;

    }

    @Data
    public static class Attachment {
        private String msgtype;
        private Image image;
        private Video video;
        private Link link;
    }

    @Data
    public static class Image {
        private String media_id;

    }

    @Data
    public static class Video {
        private String media_id;

    }

    @Data
    public static class Link {
        private String title;
        private String url;
        /**
        * 图片的素材id(与url 二选一)
        */
        private String media_id;
    }

    @Data
    public static class VisibleRange {
        /**
        * 发表任务的执行者列表
        */
        private SenderList sender_list;
        /**
        * 可见到该朋友圈的客户列表（只能根据标签筛选，不能根据具体某个人）
        */
        private ExternalContactList external_contact_list;

    }

    @Data
    public static class SenderList {
        /**
        * 	发表任务的执行者用户列表
        */
        private List<String> user_list;
        /**
        *  发表任务的执行者部门列表
        */
        private List<Integer> department_list;
    }

    @Data
    public static class ExternalContactList {
        /**
        *  可见到该朋友圈的客户标签列表
        */
        private List<String> tag_list;

    }
}
