package com.fs.qwApi.param;

import lombok.Data;

@Data
public class QwSendMsgParam {
    private String touser; // 指定接收消息的成员，成员ID列表，多个接收者用'|'分隔，最多支持1000个。特殊情况：指定为"@all"，则向该企业应用的全部成员发送。
    private String toparty; // 指定接收消息的部门，部门ID列表，多个接收者用'|'分隔，最多支持100个。当touser为"@all"时忽略本参数。
    private String totag; // 指定接收消息的标签，标签ID列表，多个接收者用'|'分隔，最多支持100个。当touser为"@all"时忽略本参数。
    private String msgtype; // 消息类型，此时固定为：text
    private int agentid; // 企业应用的id，整型。企业内部开发，可在应用的设置页面查看；第三方服务商，可通过接口获取企业授权信息获取该参数值。
    private Text text; // 消息内容，最长不超过2048个字节，超过将截断（支持id转译）。
    private Markdown markdown;
    private int safe; // 表示是否是保密消息，0表示可对外分享，1表示不能分享且内容显示水印，默认为0。
    private int enable_id_trans; // 表示是否开启id转译，0表示否，1表示是，默认0。
    private int enable_duplicate_check; // 表示是否开启重复消息检查，0表示否，1表示是，默认0。
    private int duplicate_check_interval; // 表示是否重复消息检查的时间间隔，默认1800s，最大不超过4小时。

    @Data
    public static class Text {
        private String content;
    }

    @Data
    public static class Markdown {
        private String content;
    }

}
