package com.fs.sop.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * sop打标签对象 qw_sop_tag
 *
 * @author fs
 * @date 2025-02-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QwSopTag extends BaseEntity{

    /** id */
    private Long id;

    /** 1 普通打标签 */
    @Excel(name = "1 普通打标签")
    private Integer type;

    /** 1 待执行 2 执行中 3已经完成  4 失败 5 没有标签跳过 6 没有营期跳过 */
    @Excel(name = "1 待执行 2 执行中 3已经完成  4 失败 5 没有标签跳过 6 没有营期跳过")
    private Integer status;

    /** 营期id */
    @Excel(name = "营期id")
    private String sopUserLogsId;

    /** 添加标签 */
    @Excel(name = "添加标签")
    private String addTags;

    /** 移除标签 */
    @Excel(name = "移除标签")
    private String delTags;

    /** 企微主体 */
    @Excel(name = "企微主体")
    private String corpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

}
