package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDate;

/**
 * 个微sop营期对象 sop_user_logs_wx
 *
 * @author fs
 * @date 2025-03-12
 */
@Data
public class SopUserLogsWx{

    @TableId
    private Long id;

    /** sop任务id */
    @Excel(name = "sop任务id")
    private String sopId;

    /** 模板id */
    @Excel(name = "模板id")
    private String sopTempId;

    /** 销售-企业微信账号 */
    @Excel(name = "发送微信名称")
    private String userWxName;

    /** 企微用户ID */
    @Excel(name = "企微微信账号")
    private Long accountId;

    /** 企微账号ID */
    @Excel(name = "企微账号ID")
    private Long companyUserId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 营期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate startTime;

    /** 状态 0未启动 1 启用 2暂停 */
    @Excel(name = "状态 0未启动 1 启用 2暂停")
    private Long status;


}
