package com.fs.sop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.sop.domain.QwSopTagLogs;

import java.util.List;

/**
 * 打标签详细Mapper接口
 *
 * @author fs
 * @date 2025-02-20
 */
@DataSource(DataSourceType.SOP)
public interface QwSopTagLogsMapper extends BaseMapper<QwSopTagLogs>{
    /**
     * 查询打标签详细
     *
     * @param id 打标签详细主键
     * @return 打标签详细
     */
    QwSopTagLogs selectQwSopTagLogsById(Long id);

    /**
     * 查询打标签详细列表
     *
     * @param qwSopTagLogs 打标签详细
     * @return 打标签详细集合
     */
    List<QwSopTagLogs> selectQwSopTagLogsList(QwSopTagLogs qwSopTagLogs);

    /**
     * 新增打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    int insertQwSopTagLogs(QwSopTagLogs qwSopTagLogs);

    /**
     * 修改打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    int updateQwSopTagLogs(QwSopTagLogs qwSopTagLogs);

    /**
     * 删除打标签详细
     *
     * @param id 打标签详细主键
     * @return 结果
     */
    int deleteQwSopTagLogsById(Long id);

    /**
     * 批量删除打标签详细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwSopTagLogsByIds(Long[] ids);
}
