package com.fs.sop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.sop.domain.SopUserLogsWx;

import java.util.List;

/**
 * 个微sop营期Service接口
 *
 * @author fs
 * @date 2025-03-12
 */
public interface ISopUserLogsWxService extends IService<SopUserLogsWx>{
    /**
     * 查询个微sop营期
     *
     * @param id 个微sop营期主键
     * @return 个微sop营期
     */
    SopUserLogsWx selectSopUserLogsWxById(Long id);

    /**
     * 查询个微sop营期列表
     *
     * @param sopUserLogsWx 个微sop营期
     * @return 个微sop营期集合
     */
    List<SopUserLogsWx> selectSopUserLogsWxList(SopUserLogsWx sopUserLogsWx);

    /**
     * 新增个微sop营期
     *
     * @param sopUserLogsWx 个微sop营期
     * @return 结果
     */
    int insertSopUserLogsWx(SopUserLogsWx sopUserLogsWx);

    /**
     * 修改个微sop营期
     *
     * @param sopUserLogsWx 个微sop营期
     * @return 结果
     */
    int updateSopUserLogsWx(SopUserLogsWx sopUserLogsWx);

    /**
     * 批量删除个微sop营期
     *
     * @param ids 需要删除的个微sop营期主键集合
     * @return 结果
     */
    int deleteSopUserLogsWxByIds(Long[] ids);

    /**
     * 删除个微sop营期信息
     *
     * @param id 个微sop营期主键
     * @return 结果
     */
    int deleteSopUserLogsWxById(Long id);

    void insertList(List<SopUserLogsWx> collect);

    List<SopUserLogsWx> listBySopId(String id);
}
