package com.fs.sop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
public class QwSopLogsListTVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    private String corpId;

    private String appKey;

    /** qw_user表的qw_user_id */
    @Excel(name = "企微的成员id")
    private String qwUserid;

    /** qw_user表的主键 */
    private Long qwUser;

    /** 企微外部联系人id */
    @Excel(name = "企微外部联系人id")
    private String externalUserId;

    /** 类别 1个人 2群 */
    @Excel(name = "类别 1个人 2群")
    private Integer logType;

    /** 发送的内容 */
    @Excel(name = "发送的内容")
    private String contentJson;

    /** 发送状态 1发送成功 3待发送 */
    @Excel(name = "发送(给成员)状态 0发送失败 1发送成功 3待发送")
    private Long sendStatus;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 实际发送实际 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "实际发送实际", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date realSendTime;


    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    @Excel(name = "接收(客户的)状态：0-未发送 1-已发送 2-因客户不是好友导致发送失败 3-因客户已经收到其他群发消息导致发送失败")
    private Long receivingStatus;

    @Excel(name = "消息ID")
    private String msgId;

    /**
     * 发送类型 1定时接口发送 2 Ai接口发送
     */
    private Integer sendType;

    /**
     *  qw_sop表主键
     */
    private String sopId;

    /**
     * 备注
     */
    private String remark;


    private Long fsUserId;
    /**
    * 过期时间
    */
    private Integer expiryTime;

}
