package com.fs.statis.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 每日统计数据实体类
 * 对应表 fs_statis_every_day_watch
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FsStatisEveryDayWatch {

    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 数据日期
     */
    private LocalDateTime dataDate;

    /**
     * 训练营id
     */
    private Integer periodId;

    /**
     * 训练营人数
     */
    private Integer periodNum;

    /**
     * 未报名人数
     */
    private Integer notRegNum;

    /**
     * 已报名人数
     */
    private Integer registeredNum;

    /**
     * 报名率
     */
    private Float regRate;

    /**
     * 完课率
     */
    private Float completedRate;

    /**
     * 未上线-总数
     */
    private Integer offlineTotal;

    /**
     * 未上线-未参与
     */
    private Integer offlineNotRegNum;

    /**
     * 未上线-未观看
     */
    private Integer offlineNotWatchNum;

    /**
     * 已上线-总数
     */
    private Integer onlineTotal;

    /**
     * 已上线-上线率
     */
    private Float onlineRate;

    /**
     * 已上线-完播率
     */
    private Float onlineCompletedRate;

    /**
     * 已上线-未完播
     */
    private Integer onlineNotCompRateNum;

    /**
     * 已上线-已完播
     */
    private Integer onlineCompletedNum;

    /**
     * 销售id
     */
    private Integer companyUserId;

}
