package com.fs.statis.domain;

import com.fs.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 企微观看统计
 * fs_statis_qw_watch
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FsStatisQwWatch {

    /**
     * id
     */
    private Long id;

    /**
     * 部门
     */
    private Long deptId;
    @Excel(name = "部门")
    private String deptName;
    /**
     * 销售id
     */
    private Long companyUserId;

    /**
     * 销售
     */
    @Excel(name = "销售")
    private String companyUserName;

    /**
     * 企微号
     */
    private String qwUserId;

    /**
     * 任务数
     */
    @Excel(name = "任务数")
    private Long sopTaskNum;

    /**
     * 营期数
     */
    @Excel(name = "营期数")
    private Long periodNum;

    /**
     * 营期人数
     */
    @Excel(name = "营期人数")
    private Long periodPersonNum;

    /**
     * 完课数
     */
    @Excel(name = "完课数")
    private Long completedNum;

    /**
     * 数据日期
     */
    private String dataDate;

    /**
     * 发课数
     */
    @Excel(name = "发课数")
    private Long sendNum;

    /**
     * 待看课数
     */
    @Excel(name = "待看课数")
    private Long notRegisteredNum;

    /**
     * 中断数
     */
    @Excel(name = "中断数")
    private Long interruptNum;

    /**
     * 上线数 (generated column, read-only from insert/update perspective)
     */
    @Excel(name = "上线数")
    private Long registeredNum;

    /**
     * 企微重粉数
     */
    @Excel(name = "企微重粉数")
    private Long qwRepeatNum;

    /**
     * 小程序重粉
     */
    @Excel(name = "小程序重粉")
    private Long userRepeatNum;

    /**
     * 拉黑数
     */
    @Excel(name = "拉黑数")
    private Long blackNum;

    /**
     * 删除数
     */
    @Excel(name = "删除数")
    private Long deletedNum;

    /**
     * 订单总数
     */
    @Excel(name = "订单总数")
    private Long orderNum;

    /**
     * 订单总金额
     */
    @Excel(name = "订单总金额")
    private BigDecimal orderMoneyTotal;

    /**
     * 红包总金额
     */
    @Excel(name = "红包总金额")
    private BigDecimal redPackageMoneyTotal;

    /**
     * 总拨打数
     */
    @Excel(name = "总拨打数")
    private Long callNum;

    /**
     * 接通数
     */
    @Excel(name = "接通数")
    private Long receivePassNum;

    /**
     * 未接通数
     */
    @Excel(name = "未接通数")
    private Long receiveNotNum;

    /**
     * 通话时长(单位s)
     */
    @Excel(name = "通话时长(单位s)")
    private Long callTimeTotal;

    /**
     * 催课未处理数
     */
    @Excel(name = "催课未处理数")
    private Long remindPendingNum;

    /**
     * 催课已处理数
     */
    @Excel(name = "催课已处理数")
    private Long remindProcessedNum;

    /**
     * 上线率 (generated column, read-only from insert/update perspective)
     */
    @Excel(name = "上线率")
    private BigDecimal regRate;

    /**
     * 完课率 (generated column, read-only from insert/update perspective)
     */
    @Excel(name = "完课率")
    private BigDecimal finishedRate;
}
