package com.fs.statis.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 消费余额
 */
@Data
public class ConsumptionBalanceDataDTO implements Serializable {
    /**
     * 当前账户余额。
     * 数值表示，单位可能是分或其他约定单位。
     */
    private BigDecimal balance;
    /**
     * 今日消费金额。
     * 当天的总消费数额。
     */
    private BigDecimal todayComsumption;
    /**
     * 昨日消费金额。
     * 昨天的总消费数额。
     */
    private BigDecimal yesterdayComsumption;

}
