package com.fs.store.service;

import com.fs.store.domain.FsUserCourseCount;

import java.util.List;

/**
 * 用户看课统计Service接口
 *
 * @author fs
 * @date 2025-04-02
 */
public interface IFsUserCourseCountService
{
    /**
     * 查询用户看课统计
     *
     * @param id 用户看课统计ID
     * @return 用户看课统计
     */
    public FsUserCourseCount selectFsUserCourseCountById(Long id);

    /**
     * 查询用户看课统计列表
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 用户看课统计集合
     */
    public List<FsUserCourseCount> selectFsUserCourseCountList(FsUserCourseCount fsUserCourseCount);

    /**
     * 新增用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int insertFsUserCourseCount(FsUserCourseCount fsUserCourseCount);

    /**
     * 修改用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int updateFsUserCourseCount(FsUserCourseCount fsUserCourseCount);

    /**
     * 批量删除用户看课统计
     *
     * @param ids 需要删除的用户看课统计ID
     * @return 结果
     */
    public int deleteFsUserCourseCountByIds(Long[] ids);

    /**
     * 删除用户看课统计信息
     *
     * @param id 用户看课统计ID
     * @return 结果
     */
    public int deleteFsUserCourseCountById(Long id);

    FsUserCourseCount findByUserId(Long userId);

    /**
     * 往看课统计表中插入数据
     */
    void insertFsUserCourseCountTask();
}
