package com.fs.store.vo.h5;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 用户数据 汇总统计（首页-课程/答题/红包等数据）
 */
@Data
@ApiModel
@Accessors(chain = true)
public class FsUserStatisticsVO {

    @ApiModelProperty(value = "课程统计-观看人数")
    private int courseWatchNum;

    @ApiModelProperty(value = "课程统计-完播人数")
    private int courseCompleteNum;

    @ApiModelProperty(value = "课程统计-完播率")
    private int courseCompleteRate;


    @ApiModelProperty(value = "答题人数")
    private int answerNum;

    @ApiModelProperty(value = "正确人数")
    private int answerRightNum;

    @ApiModelProperty(value = "正确率")
    private int answerRightRate;


    @ApiModelProperty(value = "答题红包数")
    private int redPacketNum;

    @ApiModelProperty(value = "答题红包金额")
    private BigDecimal redPacketAmount;

    @ApiModelProperty(value = "昨日数据，只有当开始时间和结束时间是今日时此对象才有值")
    private FsUserStatisticsVO yesterdayVO;

//    @ApiModelProperty(value = "新会员奖励数")
//    private int newUserRedPacketNum;
//
//    @ApiModelProperty(value = "新会员奖励金额")
//    private int newUserRedPacketAmount;

    @ApiModelProperty(value = "详情-课程营期数")
    private int courseNum;

    @ApiModelProperty(value = "详情-课程数")
    private int videoNum;

    @ApiModelProperty(value = "详情-课程参与会员")
    private int courseUserNum;

}
