package com.fs.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 系统关键字对象 sys_keyword
 *
 * @author fs
 * @date 2025-05-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysKeyword extends BaseEntity{

    @TableField(exist = false)
    private Integer pageNum;

    @TableField(exist = false)
    private Integer pageSize;

    /** 关键字id */
    private Long keywordId;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyword;

//    /** 类型：1-看课弹幕； */
//    @Excel(name = "类型：1-看课弹幕；")
//    private Integer type;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    @TableField(exist = false)
    @Excel(name = "类型名称")
    private String typeName;

    @TableField(exist = false)
    @Excel(name = "公司名称")
    private String companyName;

}
