package com.fs.tzBankPay.doman;

import lombok.Data;

import java.util.List;

@Data
public class PayCreateOrder {
    private String orderNo; // 业务系统订单号，即对接平台系统里的自己生成的订单号
    private String orderSource; // 场景号，00-PC, 01-APP(对应使用提供的sdk包接入)， 02-H5(对应使用http方式接入)
    private double trxAmt; // 交易金额
    private String currency; // 币种 传入CNY
    private String transType; // 交易类型 传入2001（支付）
    private String tradeMerCstNo; // 交易商户号 支付系统中的交易商户编号，交易商户进件接口返回的商户编号
    private String platMerCstNo; // 平台商户号
    private String businessCstNo; // 业务平台客户号 终端用户
    private String goodsInfo; // 订单信息
    private String payReturnUrl; // 前台返回地址 由企业提供，在收银台支付成功后，跳转业务系统前台静态页面地址，展示给用户看，不上送跳转到我们的默认缺省页面
    private String payNotifyUrl; // 交易结果异步通知地址 由企业提供，支付成功后通知业务系统支付结果信息，一般为后端接口地址。因部分网络运营商存在域名解析失败的问题，建议上送IP加端口的形式，该地址需台行开通网络防火墙
    private String payerName; // 付款用户姓名
    private String payerMobileNo; // 付款用户手机号
    private String needLedger; // 是否需要分账 00 不需要分账，01 需要分账(分账模式下需调用分账接口，撮合模式一定下需要分账）
    private String coreCorCstNo; // 核心企业客户号 该字段行方提供，白条支付专用，使用白条支付时为必输，为空时不能使用企业白条支付
    private String agreeNo; // 协议号 该字段行方提供，白条支付专用，若为单协议可不送，多协议的情况下可从2.19白条支付协议列表查询接口获取需要上送具体哪个协议号
    private String expiredTime; // 订单过期时间 （格式：时间戳）1611037256000 （表示该笔订单截止时间为2021-01-19 14:20:56
    private String payCertType; // 证件类型（11 营业执照 22 身份证 33 五证合一） e购贷支付必传
    private String payCertNo; // 证件号码 e购贷支付必传
    private List<String> payType; // 支付方式 不上送，展示所有可用的支付方式；可以传入指定的值来指定只展示某种支付方式，格式为list，内容为[‘04’, ‘06’, ‘08’] 具体支付方式枚举可见文档 [线上收银台测试说明]
    private String clientIp; // 客户端Ip
    private String riskClientImei; // 手机Imei 数字人民币支付必传
    private String riskClientMac; // 手机Mac 数字人民币支付必传
    private String identityNo; // 身份证号码 银联签约支付时需要上送
    private String identityName; // 用户真实名称 银联签约支付时需要上送
    private String openId;
    private String orderId;
    private Integer orderType;//1问诊 2药品 3套餐包 4课程订单 5开通会员
}
