package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备预警数据
 * @TableName watch_alarm_data
 */
public class WatchAlarmData extends BaseEntity{
    /**
     * 主键id
     */
    private UUID id;
    /**
     * 设备编号
     */
    private String deviceId;
    /**
     * 预警标题
     */
    private String title;
    /**
     * 预警详情
     */
    private String description;
    /**
     * 预警时间
     */
    private String dateTime;
    /**
     * 预警类型
     */
    private String type;
    /**
     * 预警事件
     */
    private String extra;
    /**
     * 预警经纬度
     */
    private String location;
    /**
     * web已读状态 0:未读 1:已读/已处理
     */
    private Integer status;


    /**
     * app已读状态 0:未读 1:已读/已处理
     */
    private Integer appStatus;

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    /**
     * 是否删除 0:否 1:是
     */
    private Integer isDel;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(Integer appStatus) {
        this.appStatus = appStatus;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 预警标题
//     */
//    private String title;
//
//    /**
//     * 预警详情
//     */
//    private String description;
//
//    /**
//     * 预警时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date dateTime;
//
//    /**
//     * 预警类型
//     */
//    private String type;
//
//    /**
//     * 预警事件
//     */
//    private String extra;
//
//    /**
//     * 预警经纬度
//     */
//    private String location;
//
//    /**
//     * web已读状态 0:未读 1:已读/已处理
//     */
//    private Integer status;
//
//    /**
//     * app已读状态 0:未读 1:已读/已处理
//     */
//    private Integer appStatus;
//
//    /**
//     * 是否删除 0:否 1:是
//     */
//    private Integer isDel;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 预警标题
//     */
//    public String getTitle() {
//        return title;
//    }
//
//    /**
//     * 预警标题
//     */
//    public void setTitle(String title) {
//        this.title = title;
//    }
//
//    /**
//     * 预警详情
//     */
//    public String getDescription() {
//        return description;
//    }
//
//    /**
//     * 预警详情
//     */
//    public void setDescription(String description) {
//        this.description = description;
//    }
//
//    /**
//     * 预警时间
//     */
//    public Date getDateTime() {
//        return dateTime;
//    }
//
//    /**
//     * 预警时间
//     */
//    public void setDateTime(Date dateTime) {
//        this.dateTime = dateTime;
//    }
//
//    /**
//     * 预警类型
//     */
//    public String getType() {
//        return type;
//    }
//
//    /**
//     * 预警类型
//     */
//    public void setType(String type) {
//        this.type = type;
//    }
//
//    /**
//     * 预警事件
//     */
//    public String getExtra() {
//        return extra;
//    }
//
//    /**
//     * 预警事件
//     */
//    public void setExtra(String extra) {
//        this.extra = extra;
//    }
//
//    /**
//     * 预警经纬度
//     */
//    public String getLocation() {
//        return location;
//    }
//
//    /**
//     * 预警经纬度
//     */
//    public void setLocation(String location) {
//        this.location = location;
//    }
//
//    /**
//     * web已读状态 0:未读 1:已读/已处理
//     */
//    public Integer getStatus() {
//        return status;
//    }
//
//    /**
//     * web已读状态 0:未读 1:已读/已处理
//     */
//    public void setStatus(Integer status) {
//        this.status = status;
//    }
//
//    /**
//     * app已读状态 0:未读 1:已读/已处理
//     */
//    public Integer getAppStatus() {
//        return appStatus;
//    }
//
//    /**
//     * app已读状态 0:未读 1:已读/已处理
//     */
//    public void setAppStatus(Integer appStatus) {
//        this.appStatus = appStatus;
//    }
//
//    /**
//     * 是否删除 0:否 1:是
//     */
//    public Integer getIsDel() {
//        return isDel;
//    }
//
//    /**
//     * 是否删除 0:否 1:是
//     */
//    public void setIsDel(Integer isDel) {
//        this.isDel = isDel;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchAlarmData other = (WatchAlarmData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
//            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
//            && (this.getDateTime() == null ? other.getDateTime() == null : this.getDateTime().equals(other.getDateTime()))
//            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
//            && (this.getExtra() == null ? other.getExtra() == null : this.getExtra().equals(other.getExtra()))
//            && (this.getLocation() == null ? other.getLocation() == null : this.getLocation().equals(other.getLocation()))
//            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
//            && (this.getAppStatus() == null ? other.getAppStatus() == null : this.getAppStatus().equals(other.getAppStatus()))
//            && (this.getIsDel() == null ? other.getIsDel() == null : this.getIsDel().equals(other.getIsDel()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
//        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
//        result = prime * result + ((getDateTime() == null) ? 0 : getDateTime().hashCode());
//        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
//        result = prime * result + ((getExtra() == null) ? 0 : getExtra().hashCode());
//        result = prime * result + ((getLocation() == null) ? 0 : getLocation().hashCode());
//        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
//        result = prime * result + ((getAppStatus() == null) ? 0 : getAppStatus().hashCode());
//        result = prime * result + ((getIsDel() == null) ? 0 : getIsDel().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", title=").append(title);
//        sb.append(", description=").append(description);
//        sb.append(", dateTime=").append(dateTime);
//        sb.append(", type=").append(type);
//        sb.append(", extra=").append(extra);
//        sb.append(", location=").append(location);
//        sb.append(", status=").append(status);
//        sb.append(", appStatus=").append(appStatus);
//        sb.append(", isDel=").append(isDel);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
