package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 设备基础数据
 * @TableName watch_basic_info
 */
public class WatchBasicInfo implements Serializable {
    /**
     * 主键id
     */
    private UUID id;

    /**
     * 设备编号
     */
    private String  deviceId;

    /**
     * 步数
     */
    private Integer steps;

    /**
     * 距离 单位0.1米
     */
    private Float distance;

    /**
     * 卡路里 单位0.1卡
     */
    private Float calorie;

    /**
     * 电量
     */
    private Integer battery;

    /**
     * 信号值
     */
    private Integer rssi;

    /**
     * 经度集合
     */
    private List<Float> gnssLon;

    /**
     * 维度集合
     */
    private List<Float> gnssLat;

    /**
     * gnss类型集合
     */
    private List<Integer> gnssLocType;

    /**
     * gnss创建时间集合
     */
    private List<String> gnssTime;

    public  List<Float> getGnssLon() {
        return gnssLon;
    }

    public void setGnssLon( List<Float> gnssLon) {
        this.gnssLon = gnssLon;
    }

    public List<Float> getGnssLat() {
        return gnssLat;
    }

    public void setGnssLat(List<Float> gnssLat) {
        this.gnssLat = gnssLat;
    }

    public List<Integer> getGnssLocType() {
        return gnssLocType;
    }

    public void setGnssLocType(List<Integer> gnssLocType) {
        this.gnssLocType = gnssLocType;
    }

    public List<String> getGnssTime() {
        return gnssTime;
    }

    public void setGnssTime(List<String> gnssTime) {
        this.gnssTime = gnssTime;
    }

    /**
     * 创建时间
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    public UUID getId() {
        return id;
    }

    /**
     * 主键id
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     * 设备编号
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     * 设备编号
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 步数
     */
    public Integer getSteps() {
        return steps;
    }

    /**
     * 步数
     */
    public void setSteps(Integer steps) {
        this.steps = steps;
    }

    /**
     * 距离 单位0.1米
     */
    public Float getDistance() {
        return distance;
    }

    /**
     * 距离 单位0.1米
     */
    public void setDistance(Float distance) {
        this.distance = distance;
    }

    /**
     * 卡路里 单位0.1卡
     */
    public Float getCalorie() {
        return calorie;
    }

    /**
     * 卡路里 单位0.1卡
     */
    public void setCalorie(Float calorie) {
        this.calorie = calorie;
    }

    /**
     * 电量
     */
    public Integer getBattery() {
        return battery;
    }

    /**
     * 电量
     */
    public void setBattery(Integer battery) {
        this.battery = battery;
    }

    /**
     * 信号值
     */
    public Integer getRssi() {
        return rssi;
    }

    /**
     * 信号值
     */
    public void setRssi(Integer rssi) {
        this.rssi = rssi;
    }


    /**
     * 创建时间
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 步数
//     */
//    private Integer steps;
//
//    /**
//     * 距离 单位0.1米
//     */
//    private Double distance;
//
//    /**
//     * 卡路里 单位0.1卡
//     */
//    private Double calorie;
//
//    /**
//     * 电量
//     */
//    private Integer battery;
//
//    /**
//     * 信号值
//     */
//    private Integer rssi;
//
//    /**
//     * 经度集合
//     */
//    private String jsonDataGnssLon;
//
//    /**
//     * 维度集合
//     */
//    private String jsonDataGnssLat;
//
//    /**
//     * gnss类型集合
//     */
//    private String jsonDataGnssLocType;
//
//    /**
//     * gnss创建时间集合
//     */
//    private String jsonDataCreateTime;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 步数
//     */
//    public Integer getSteps() {
//        return steps;
//    }
//
//    /**
//     * 步数
//     */
//    public void setSteps(Integer steps) {
//        this.steps = steps;
//    }
//
//    /**
//     * 距离 单位0.1米
//     */
//    public Double getDistance() {
//        return distance;
//    }
//
//    /**
//     * 距离 单位0.1米
//     */
//    public void setDistance(Double distance) {
//        this.distance = distance;
//    }
//
//    /**
//     * 卡路里 单位0.1卡
//     */
//    public Double getCalorie() {
//        return calorie;
//    }
//
//    /**
//     * 卡路里 单位0.1卡
//     */
//    public void setCalorie(Double calorie) {
//        this.calorie = calorie;
//    }
//
//    /**
//     * 电量
//     */
//    public Integer getBattery() {
//        return battery;
//    }
//
//    /**
//     * 电量
//     */
//    public void setBattery(Integer battery) {
//        this.battery = battery;
//    }
//
//    /**
//     * 信号值
//     */
//    public Integer getRssi() {
//        return rssi;
//    }
//
//    /**
//     * 信号值
//     */
//    public void setRssi(Integer rssi) {
//        this.rssi = rssi;
//    }
//
//    /**
//     * 经度集合
//     */
//    public Object getJsonDataGnssLon() {
//        return jsonDataGnssLon;
//    }
//
//    /**
//     * 经度集合
//     */
//    public void setJsonDataGnssLon(String jsonDataGnssLon) {
//        this.jsonDataGnssLon = jsonDataGnssLon;
//    }
//
//    /**
//     * 维度集合
//     */
//    public String getJsonDataGnssLat() {
//        return jsonDataGnssLat;
//    }
//
//    /**
//     * 维度集合
//     */
//    public void setJsonDataGnssLat(String jsonDataGnssLat) {
//        this.jsonDataGnssLat = jsonDataGnssLat;
//    }
//
//    /**
//     * gnss类型集合
//     */
//    public String getJsonDataGnssLocType() {
//        return jsonDataGnssLocType;
//    }
//
//    /**
//     * gnss类型集合
//     */
//    public void setJsonDataGnssLocType(String jsonDataGnssLocType) {
//        this.jsonDataGnssLocType = jsonDataGnssLocType;
//    }
//
//    /**
//     * gnss创建时间集合
//     */
//    public String getJsonDataCreateTime() {
//        return jsonDataCreateTime;
//    }
//
//    /**
//     * gnss创建时间集合
//     */
//    public void setJsonDataCreateTime(String jsonDataCreateTime) {
//        this.jsonDataCreateTime = jsonDataCreateTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchBasicInfo other = (WatchBasicInfo) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getSteps() == null ? other.getSteps() == null : this.getSteps().equals(other.getSteps()))
//            && (this.getDistance() == null ? other.getDistance() == null : this.getDistance().equals(other.getDistance()))
//            && (this.getCalorie() == null ? other.getCalorie() == null : this.getCalorie().equals(other.getCalorie()))
//            && (this.getBattery() == null ? other.getBattery() == null : this.getBattery().equals(other.getBattery()))
//            && (this.getRssi() == null ? other.getRssi() == null : this.getRssi().equals(other.getRssi()))
//            && (this.getJsonDataGnssLon() == null ? other.getJsonDataGnssLon() == null : this.getJsonDataGnssLon().equals(other.getJsonDataGnssLon()))
//            && (this.getJsonDataGnssLat() == null ? other.getJsonDataGnssLat() == null : this.getJsonDataGnssLat().equals(other.getJsonDataGnssLat()))
//            && (this.getJsonDataGnssLocType() == null ? other.getJsonDataGnssLocType() == null : this.getJsonDataGnssLocType().equals(other.getJsonDataGnssLocType()))
//            && (this.getJsonDataCreateTime() == null ? other.getJsonDataCreateTime() == null : this.getJsonDataCreateTime().equals(other.getJsonDataCreateTime()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getSteps() == null) ? 0 : getSteps().hashCode());
//        result = prime * result + ((getDistance() == null) ? 0 : getDistance().hashCode());
//        result = prime * result + ((getCalorie() == null) ? 0 : getCalorie().hashCode());
//        result = prime * result + ((getBattery() == null) ? 0 : getBattery().hashCode());
//        result = prime * result + ((getRssi() == null) ? 0 : getRssi().hashCode());
//        result = prime * result + ((getJsonDataGnssLon() == null) ? 0 : getJsonDataGnssLon().hashCode());
//        result = prime * result + ((getJsonDataGnssLat() == null) ? 0 : getJsonDataGnssLat().hashCode());
//        result = prime * result + ((getJsonDataGnssLocType() == null) ? 0 : getJsonDataGnssLocType().hashCode());
//        result = prime * result + ((getJsonDataCreateTime() == null) ? 0 : getJsonDataCreateTime().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", steps=").append(steps);
//        sb.append(", distance=").append(distance);
//        sb.append(", calorie=").append(calorie);
//        sb.append(", battery=").append(battery);
//        sb.append(", rssi=").append(rssi);
//        sb.append(", jsonDataGnssLon=").append(jsonDataGnssLon);
//        sb.append(", jsonDataGnssLat=").append(jsonDataGnssLat);
//        sb.append(", jsonDataGnssLocType=").append(jsonDataGnssLocType);
//        sb.append(", jsonDataCreateTime=").append(jsonDataCreateTime);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
