package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备信息
 * @TableName watch_device_data
 */
public class WatchDeviceData implements Serializable {
    /**
     * 主键id
     */
    private UUID id;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 模型
     */
    private String model;

    /**
     * 版本
     */
    private String version;

    /**
     * 手表编号
     */
    private String ble;

    /**
     * SIM卡号
     */
    private String sim;

    /**
     * 是否绑定
     */
    private Boolean isBind;

    /**
     * 创建时间
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    public UUID getId() {
        return id;
    }

    /**
     * 主键id
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     * 设备编号
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     * 设备编号
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 模型
     */
    public String getModel() {
        return model;
    }

    /**
     * 模型
     */
    public void setModel(String model) {
        this.model = model;
    }

    /**
     * 版本
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版本
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 创建时间
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WatchDeviceData other = (WatchDeviceData) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
                && (this.getModel() == null ? other.getModel() == null : this.getModel().equals(other.getModel()))
                && (this.getVersion() == null ? other.getVersion() == null : this.getVersion().equals(other.getVersion()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getModel() == null) ? 0 : getModel().hashCode());
        result = prime * result + ((getVersion() == null) ? 0 : getVersion().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", model=").append(model);
        sb.append(", version=").append(version);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    public String getBle() {
        return ble;
    }

    public void setBle(String ble) {
        this.ble = ble;
    }

    public String getSIM() {
        return sim;
    }

    public void setSIM(String sim) {
        this.sim = sim;
    }

    public Boolean getIsBind() {
        return isBind;
    }

    public void setIsBind(Boolean bind) {
        isBind = bind;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 模型
//     */
//    private String model;
//
//    /**
//     * 版本
//     */
//    private String version;
//
//    /**
//     * 手表编号
//     */
//    private String ble;
//
//    /**
//     * SIM卡号
//     */
//    private String sim;
//
//    /**
//     * 是否绑定
//     */
//    private Integer isBind;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 模型
//     */
//    public String getModel() {
//        return model;
//    }
//
//    /**
//     * 模型
//     */
//    public void setModel(String model) {
//        this.model = model;
//    }
//
//    /**
//     * 版本
//     */
//    public String getVersion() {
//        return version;
//    }
//
//    /**
//     * 版本
//     */
//    public void setVersion(String version) {
//        this.version = version;
//    }
//
//    /**
//     * 手表编号
//     */
//    public String getBle() {
//        return ble;
//    }
//
//    /**
//     * 手表编号
//     */
//    public void setBle(String ble) {
//        this.ble = ble;
//    }
//
//    /**
//     * SIM卡号
//     */
//    public String getSim() {
//        return sim;
//    }
//
//    /**
//     * SIM卡号
//     */
//    public void setSim(String sim) {
//        this.sim = sim;
//    }
//
//    /**
//     * 是否绑定
//     */
//    public Integer getIsBind() {
//        return isBind;
//    }
//
//    /**
//     * 是否绑定
//     */
//    public void setIsBind(Integer isbind) {
//        this.isBind = isbind;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchDeviceData other = (WatchDeviceData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getModel() == null ? other.getModel() == null : this.getModel().equals(other.getModel()))
//            && (this.getVersion() == null ? other.getVersion() == null : this.getVersion().equals(other.getVersion()))
//            && (this.getBle() == null ? other.getBle() == null : this.getBle().equals(other.getBle()))
//            && (this.getSim() == null ? other.getSim() == null : this.getSim().equals(other.getSim()))
//            && (this.getIsBind() == null ? other.getIsBind() == null : this.getIsBind().equals(other.getIsBind()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getModel() == null) ? 0 : getModel().hashCode());
//        result = prime * result + ((getVersion() == null) ? 0 : getVersion().hashCode());
//        result = prime * result + ((getBle() == null) ? 0 : getBle().hashCode());
//        result = prime * result + ((getSim() == null) ? 0 : getSim().hashCode());
//        result = prime * result + ((getIsBind() == null) ? 0 : getIsBind().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", model=").append(model);
//        sb.append(", version=").append(version);
//        sb.append(", ble=").append(ble);
//        sb.append(", sim=").append(sim);
//        sb.append(", isbind=").append(isBind);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
