package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WatchFsUser extends BaseEntity {
    /**
     * FsUser
     */

    /** 用户id */
    private Long userId;
    @Excel(name = "帐号")
    private String username;
    /** 用户密码（跟pwd） */
    private String password;

    /** 真实姓名 */
    private String realName;


    /** 身份证号码 */
    private String idCard;

    @Excel(name = "用户头像")
    private String avatar;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 用户备注 */
    @Excel(name = "用户备注")
    private String remark;


    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 最后一次登录ip */
    @Excel(name = "最后一次登录ip")
    private String lastIp;

    /** 用户余额 */
    @Excel(name = "用户余额")
    private BigDecimal nowMoney;

    /** 佣金金额 */
    @Excel(name = "佣金金额")
    private BigDecimal brokeragePrice;

    /** 用户剩余积分 */
    @Excel(name = "用户剩余积分")
    private BigDecimal integral;

    /** 连续签到天数 */
    @Excel(name = "连续签到天数")
    private Long signNum;

    /** 1为正常，0为禁止 */
    @Excel(name = "状态：1为正常，0为禁止")
    private Integer status;

    /** 等级 */
    private Integer level;

    /** 推广上级用户ID */
    private Long spreadUserId;

    /** 推广员关联时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date spreadTime;

    /** 用户类型 */
    private String userType;

    /** 是否为推广员 */
    private Integer isPromoter;

    /** 用户购买次数 */
    private Long payCount;

    /** 下级人数 */
    private Long spreadCount;

    /** 详细地址 */
    private String addres;


    private String maOpenId;

    private String mpOpenId;

    private String unionId;

    private Integer isDel;

    private Integer isWeixinAuth;

    private Long companyId;

    private Long companyUserId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "推线日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerDate;
    @Excel(name = "推线编码")
    private String registerCode;
    @Excel(name = "渠道")
    private String source;

    private String userCode;

    private Integer isVip;
    private Date  vipStartDate;
    private Date  vipEndDate;
    private Integer vipLevel;
    private Integer vipStatus;

    private String jpushId;

    private Integer sex;

    /**
     * watch
     */
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 腕表系统公司id
     */
    private Long wCompanyId;
    /**
     * 身高(单位:厘米)
     */
    private Integer height;
    /**
     * 体重(单位:千克)
     */
    private Integer weight;
    /**
     * 目标步数
     */
    private String targetStep;
    /**
     * 目标卡路里
     */
    private String targetCalorie;

    /**
     * 目标活动时长 (分钟)
     */
    private String targetActivity;
    /**
     * 目标运动时长
     */
    private String targetSport;
    /**
     * 预警设备id(自己)
     */
    private String deviceId;
    /**
     * 其余预警设备
     */
    private String otherDevice;
    /**
     * 监测数据类型排序
     */
    private String monitorDataTypeOrder;

}
