package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * 设备多导联心电图数据
 * @TableName watch_multi_leads_ecg_data
 */
public class WatchMultiLeadsEcgData implements Serializable {
    /**
     * 主键id
     */
    private UUID id;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     *
     */
    private Integer channel;

    /**
     *
     */
    private Integer singleChannelLength;

    /**
     *
     */
    private List<Integer> channels;

    /**
     *
     */
    private List<Integer> val;

    /**
     * 创建时间
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    public WatchMultiLeadsEcgData(UUID id, String deviceId, Integer channel, Integer singleChannelLength, List<Integer> channels, List<Integer> val, String createTime) {
        this.id = id;
        this.deviceId = deviceId;
        this.channel = channel;
        this.singleChannelLength = singleChannelLength;
        this.channels = channels;
        this.val = val;
        this.createTime = createTime;
    }

    public WatchMultiLeadsEcgData() {
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public Integer getSingleChannelLength() {
        return singleChannelLength;
    }

    public void setSingleChannelLength(Integer singleChannelLength) {
        this.singleChannelLength = singleChannelLength;
    }

    public List<Integer> getChannels() {
        return channels;
    }

    public void setChannels(List<Integer> channels) {
        this.channels = channels;
    }

    public List<Integer> getVal() {
        return val;
    }

    public void setVal(List<Integer> val) {
        this.val = val;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 通道
//     */
//    private Integer channel;
//
//    /**
//     * 单通道长度
//     */
//    private Integer singleChannelLength;
//
//    /**
//     * 通道数据集合
//     */
//    private String jsonDataChannel;
//
//    /**
//     * 值数据集合
//     */
//    private String jsonDataVal;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 通道
//     */
//    public Integer getChannel() {
//        return channel;
//    }
//
//    /**
//     * 通道
//     */
//    public void setChannel(Integer channel) {
//        this.channel = channel;
//    }
//
//    /**
//     * 单通道长度
//     */
//    public Integer getSingleChannelLength() {
//        return singleChannelLength;
//    }
//
//    /**
//     * 单通道长度
//     */
//    public void setSingleChannelLength(Integer singleChannelLength) {
//        this.singleChannelLength = singleChannelLength;
//    }
//
//    /**
//     * 通道数据集合
//     */
//    public String getJsonDataChannel() {
//        return jsonDataChannel;
//    }
//
//    /**
//     * 通道数据集合
//     */
//    public void setJsonDataChannel(String jsonDataChannel) {
//        this.jsonDataChannel = jsonDataChannel;
//    }
//
//    /**
//     * 值数据集合
//     */
//    public String getJsonDataVal() {
//        return jsonDataVal;
//    }
//
//    /**
//     * 值数据集合
//     */
//    public void setJsonDataVal(String jsonDataVal) {
//        this.jsonDataVal = jsonDataVal;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchMultiLeadsEcgData other = (WatchMultiLeadsEcgData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getChannel() == null ? other.getChannel() == null : this.getChannel().equals(other.getChannel()))
//            && (this.getSingleChannelLength() == null ? other.getSingleChannelLength() == null : this.getSingleChannelLength().equals(other.getSingleChannelLength()))
//            && (this.getJsonDataChannel() == null ? other.getJsonDataChannel() == null : this.getJsonDataChannel().equals(other.getJsonDataChannel()))
//            && (this.getJsonDataVal() == null ? other.getJsonDataVal() == null : this.getJsonDataVal().equals(other.getJsonDataVal()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getChannel() == null) ? 0 : getChannel().hashCode());
//        result = prime * result + ((getSingleChannelLength() == null) ? 0 : getSingleChannelLength().hashCode());
//        result = prime * result + ((getJsonDataChannel() == null) ? 0 : getJsonDataChannel().hashCode());
//        result = prime * result + ((getJsonDataVal() == null) ? 0 : getJsonDataVal().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", channel=").append(channel);
//        sb.append(", singleChannelLength=").append(singleChannelLength);
//        sb.append(", jsonDataChannel=").append(jsonDataChannel);
//        sb.append(", jsonDataVal=").append(jsonDataVal);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
