package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

/**
 * 设备sport数据
 * @TableName watch_sport_data
 */
public class WatchSportData implements Serializable {
    private static final long serialVersionUID = -90211407247104232L;
    /**
     * 主键id
     */
    private UUID id;
    /**
     * 设备编号
     */
    private String deviceId;
    /**
     * 步数
     */
    @Excel(name = "步数", cellType = Excel.ColumnType.STRING, prompt = "步数")
    private Integer step;
    /**
     * 距离
     */
    private Float distance;
    /**
     * 卡路里
     */
    private Float calorie;
    /**
     * 运动类型
     */
    private String type;
    /**
     * 运动状态
     */
    private Integer state;
    /**
     * 创建时间
     */
    @Excel(name = "记录时间", cellType = Excel.ColumnType.STRING, prompt = "记录时间")
    private String createTime;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public Float getDistance() {
        return distance;
    }

    public void setDistance(Float distance) {
        this.distance = distance;
    }

    public Float getCalorie() {
        return calorie;
    }

    public void setCalorie(Float calorie) {
        this.calorie = calorie;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
//    /**
//     * 主键id
//     */
//    private String id;
//
//    /**
//     * 设备编号
//     */
//    private String deviceId;
//
//    /**
//     * 步数
//     */
//    private Integer step;
//
//    /**
//     * 距离
//     */
//    private Float distance;
//
//    /**
//     * 卡路里
//     */
//    private Float calorie;
//
//    /**
//     * 运动类型
//     */
//    private String type;
//
//    /**
//     * 运动状态
//     */
//    private Integer state;
//
//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
//    private Date createTime;
//
//    private static final long serialVersionUID = 1L;
//
//    /**
//     * 主键id
//     */
//    public String getId() {
//        return id;
//    }
//
//    /**
//     * 主键id
//     */
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    /**
//     * 设备编号
//     */
//    public String getDeviceId() {
//        return deviceId;
//    }
//
//    /**
//     * 设备编号
//     */
//    public void setDeviceId(String deviceId) {
//        this.deviceId = deviceId;
//    }
//
//    /**
//     * 步数
//     */
//    public Integer getStep() {
//        return step;
//    }
//
//    /**
//     * 步数
//     */
//    public void setStep(Integer step) {
//        this.step = step;
//    }
//
//    /**
//     * 距离
//     */
//    public Float getDistance() {
//        return distance;
//    }
//
//    /**
//     * 距离
//     */
//    public void setDistance(Float distance) {
//        this.distance = distance;
//    }
//
//    /**
//     * 卡路里
//     */
//    public Float getCalorie() {
//        return calorie;
//    }
//
//    /**
//     * 卡路里
//     */
//    public void setCalorie(Float calorie) {
//        this.calorie = calorie;
//    }
//
//    /**
//     * 运动类型
//     */
//    public String getType() {
//        return type;
//    }
//
//    /**
//     * 运动类型
//     */
//    public void setType(String type) {
//        this.type = type;
//    }
//
//    /**
//     * 运动状态
//     */
//    public Integer getState() {
//        return state;
//    }
//
//    /**
//     * 运动状态
//     */
//    public void setState(Integer state) {
//        this.state = state;
//    }
//
//    /**
//     * 创建时间
//     */
//    public Date getCreateTime() {
//        return createTime;
//    }
//
//    /**
//     * 创建时间
//     */
//    public void setCreateTime(Date createTime) {
//        this.createTime = createTime;
//    }
//
//    @Override
//    public boolean equals(Object that) {
//        if (this == that) {
//            return true;
//        }
//        if (that == null) {
//            return false;
//        }
//        if (getClass() != that.getClass()) {
//            return false;
//        }
//        WatchSportData other = (WatchSportData) that;
//        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
//            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
//            && (this.getStep() == null ? other.getStep() == null : this.getStep().equals(other.getStep()))
//            && (this.getDistance() == null ? other.getDistance() == null : this.getDistance().equals(other.getDistance()))
//            && (this.getCalorie() == null ? other.getCalorie() == null : this.getCalorie().equals(other.getCalorie()))
//            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
//            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
//            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
//    }
//
//    @Override
//    public int hashCode() {
//        final int prime = 31;
//        int result = 1;
//        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
//        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
//        result = prime * result + ((getStep() == null) ? 0 : getStep().hashCode());
//        result = prime * result + ((getDistance() == null) ? 0 : getDistance().hashCode());
//        result = prime * result + ((getCalorie() == null) ? 0 : getCalorie().hashCode());
//        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
//        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
//        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
//        return result;
//    }
//
//    @Override
//    public String toString() {
//        StringBuilder sb = new StringBuilder();
//        sb.append(getClass().getSimpleName());
//        sb.append(" [");
//        sb.append("Hash = ").append(hashCode());
//        sb.append(", id=").append(id);
//        sb.append(", deviceId=").append(deviceId);
//        sb.append(", step=").append(step);
//        sb.append(", distance=").append(distance);
//        sb.append(", calorie=").append(calorie);
//        sb.append(", type=").append(type);
//        sb.append(", state=").append(state);
//        sb.append(", createTime=").append(createTime);
//        sb.append(", serialVersionUID=").append(serialVersionUID);
//        sb.append("]");
//        return sb.toString();
//    }
}
