package com.fs.watch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class AppFsUserVo {
    /** 用户id */
    private Long userId;
    @Excel(name = "帐号")
    private String username;
    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;
    /** 用户密码（跟pwd） */
//    private String password;

    /** 真实姓名 */
    private String realName;

    /**性别 0:未知 1:男 2:女*/
    private Integer sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date birthday;

    /** 年龄 */
    private Integer age;

    /** 身份证号码 */
    private String idCard;

    /** 用户备注 */
    @Excel(name = "用户备注")
    private String remark;



    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickname;

    @Excel(name = "用户头像")
    private String avatar;




    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 最后一次登录ip */
    @Excel(name = "最后一次登录ip")
    private String lastIp;



    /** 1为正常，0为禁止 */
    @Excel(name = "状态：1为正常，0为禁止")
    private Integer status;


    /** 详细地址 */
    private String addres;


    private Integer isDel;

    private Integer isWeixinAuth;

    private Long companyId;

    private Long companyUserId;

    private String unionId;

    /** 身高(单位:厘米) */
    private Integer height;

    /** 体重(单位:千克) */
    private Integer weight;

    /** 目标步数 */
    private String targetStep;

    /** 目标卡路里 */
    private String targetCalorie;

    /**
     * 目标活动时长 (分钟)
     */
    private String targetActivity;
    /**
     * 目标运动时长
     */
    private String targetSport;

    /** 预警设备id(自己) */
    private List<String> deviceId;

    /** 其余预警设备 */
    private String otherDevice;



    /** 监测数据类型排序 */
    private String monitorDataTypeOrder;

    /** 微信小程序OPENID */
    @Excel(name = "微信小程序OPENID")
    private String maOpenId;

    /** 微信公众号OPENID */
    @Excel(name = "微信公众号OPENID")
    private String mpOpenId;
}
