package com.fs.watch.domain.vo;

import com.fs.common.annotation.Excel;
import com.fs.watch.domain.SleepSection;
import lombok.Data;

import java.util.List;

@Data
public class WatchSleepDataVo {


    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * 开始时间
     */
    @Excel(name = "睡眠开始时间", cellType = Excel.ColumnType.STRING, prompt = "睡眠开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @Excel(name = "睡眠结束时间", cellType = Excel.ColumnType.STRING, prompt = "睡眠结束时间")
    private String endTime;

    /**
     * 深度睡眠时间(分钟,保留整数)
     */
    @Excel(name = "深度睡眠时间", cellType = Excel.ColumnType.STRING, prompt = "深度睡眠时间")
    private Integer deepSleep;

    /**
     * 浅睡眠时间(分钟,保留整数)
     */
    @Excel(name = "浅睡眠时间(分钟)", cellType = Excel.ColumnType.NUMERIC, prompt = "浅睡眠时间(分钟)")
    private Integer lightSleep;

    /**
     * 清醒时间(分钟,保留整数)
     */
    @Excel(name = "清醒时间(分钟)", cellType = Excel.ColumnType.NUMERIC, prompt = "清醒时间(分钟)")
    private Integer weakSleep;

    /**
     * 快速眼动时间(分钟,保留整数)
     */
    @Excel(name = "快速眼动时间(分钟)", cellType = Excel.ColumnType.NUMERIC, prompt = "快速眼动时间(分钟)")
    private Integer eyemoveSleep;

    /**
     * 睡眠得分
     */
    private Integer score;


    /**
     * 睡眠时间(分钟,保留整数)
     */
    @Excel(name = "睡眠时间(分钟)", cellType = Excel.ColumnType.NUMERIC, prompt = "睡眠时间(分钟)")
    private Integer sleepTime;

    @Excel(name = "详细数据")
    List<SleepSection> sleepSection;

}
