package com.fs.watch.mapper;

import java.util.List;
import com.fs.watch.domain.WatchFamilyUser;

/**
 * 家人腕表配置Mapper接口
 *
 * @author fs
 * @date 2024-12-05
 */
public interface WatchFamilyUserMapper
{
    /**
     * 查询家人腕表配置
     *
     * @param id 家人腕表配置主键
     * @return 家人腕表配置
     */
    public WatchFamilyUser selectWatchFamilyUserById(Long id);

    /**
     * 查询家人腕表配置列表
     *
     * @param watchFamilyUser 家人腕表配置
     * @return 家人腕表配置集合
     */
    public List<WatchFamilyUser> selectWatchFamilyUserList(WatchFamilyUser watchFamilyUser);

    /**
     * 新增家人腕表配置
     *
     * @param watchFamilyUser 家人腕表配置
     * @return 结果
     */
    public int insertWatchFamilyUser(WatchFamilyUser watchFamilyUser);

    /**
     * 修改家人腕表配置
     *
     * @param watchFamilyUser 家人腕表配置
     * @return 结果
     */
    public int updateWatchFamilyUser(WatchFamilyUser watchFamilyUser);

    /**
     * 删除家人腕表配置
     *
     * @param id 家人腕表配置主键
     * @return 结果
     */
    public int deleteWatchFamilyUserById(Long id);

    /**
     * 批量删除家人腕表配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWatchFamilyUserByIds(Long[] ids);

    WatchFamilyUser selectWatchFamilyUserByDeviceId(String deviceId);

    int updateWatchFamilyUserByDeviceId(WatchFamilyUser watchFamilyUser);
}
