package com.fs.watch.mapper;

import java.util.List;
import com.fs.watch.domain.WatchSendMsgLog;
import org.apache.ibatis.annotations.Param;

/**
 * 发送消息日志记录Mapper接口
 *
 * @author fs
 * @date 2024-12-02
 */
public interface WatchSendMsgLogMapper
{
    /**
     * 查询发送消息日志记录
     *
     * @param logId 发送消息日志记录主键
     * @return 发送消息日志记录
     */
    public WatchSendMsgLog selectWatchSendMsgLogByLogId(Integer logId);

    /**
     * 查询发送消息日志记录列表
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 发送消息日志记录集合
     */
    public List<WatchSendMsgLog> selectWatchSendMsgLogList(WatchSendMsgLog watchSendMsgLog);

    /**
     * 新增发送消息日志记录
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 结果
     */
    public int insertWatchSendMsgLog(WatchSendMsgLog watchSendMsgLog);

    /**
     * 修改发送消息日志记录
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 结果
     */
    public int updateWatchSendMsgLog(WatchSendMsgLog watchSendMsgLog);

    /**
     * 删除发送消息日志记录
     *
     * @param logId 发送消息日志记录主键
     * @return 结果
     */
    public int deleteWatchSendMsgLogByLogId(Integer logId);

    /**
     * 批量删除发送消息日志记录
     *
     * @param logIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWatchSendMsgLogByLogIds(Integer[] logIds);

    WatchSendMsgLog selectLastByMsgTypeAndDeviceIdAndDetailsType(@Param("msgType") Integer msgType,@Param("deviceId") String deviceId,@Param("detailsType")String detailsType);
}
