package com.fs.watch.service;


import com.fs.watch.domain.DeviceMaterialsType;

import java.util.List;

/**
 * 设备物料种类Service接口
 *
 * @author fs
 * @date 2024-08-27
 */
public interface DeviceMaterialsTypeService
{
    /**
     * 查询设备物料种类
     *
     * @param id 设备物料种类主键
     * @return 设备物料种类
     */
    public DeviceMaterialsType selectDeviceMaterialsTypeById(Long id);

    /**
     * 查询设备物料种类列表
     *
     * @param deviceMaterialsType 设备物料种类
     * @return 设备物料种类集合
     */
    public List<DeviceMaterialsType> selectDeviceMaterialsTypeList(DeviceMaterialsType deviceMaterialsType);

    /**
     * 新增设备物料种类
     *
     * @param deviceMaterialsType 设备物料种类
     * @return 结果
     */
    public int insertDeviceMaterialsType(DeviceMaterialsType deviceMaterialsType);

    /**
     * 修改设备物料种类
     *
     * @param deviceMaterialsType 设备物料种类
     * @return 结果
     */
    public int updateDeviceMaterialsType(DeviceMaterialsType deviceMaterialsType);

    /**
     * 批量删除设备物料种类
     *
     * @param ids 需要删除的设备物料种类主键集合
     * @return 结果
     */
    public int deleteDeviceMaterialsTypeByIds(Long[] ids);

    /**
     * 删除设备物料种类信息
     *
     * @param id 设备物料种类主键
     * @return 结果
     */
    public int deleteDeviceMaterialsTypeById(Long id);
}
