package com.fs.watch.service;

import java.util.List;
import com.fs.watch.domain.WatchMsgSet;

/**
 * 腕消息详情设置Service接口
 *
 * @author fs
 * @date 2024-12-07
 */
public interface WatchMsgSetService
{
    /**
     * 查询腕消息详情设置
     *
     * @param id 腕消息详情设置主键
     * @return 腕消息详情设置
     */
    public WatchMsgSet selectWatchMsgSetById(Integer id);

    /**
     * 查询腕消息详情设置列表
     *
     * @param watchMsgSet 腕消息详情设置
     * @return 腕消息详情设置集合
     */
    public List<WatchMsgSet> selectWatchMsgSetList(WatchMsgSet watchMsgSet);

    /**
     * 新增腕消息详情设置
     *
     * @param watchMsgSet 腕消息详情设置
     * @return 结果
     */
    public int insertWatchMsgSet(WatchMsgSet watchMsgSet);

    /**
     * 修改腕消息详情设置
     *
     * @param watchMsgSet 腕消息详情设置
     * @return 结果
     */
    public int updateWatchMsgSet(WatchMsgSet watchMsgSet);

    /**
     * 批量删除腕消息详情设置
     *
     * @param ids 需要删除的腕消息详情设置主键集合
     * @return 结果
     */
    public int deleteWatchMsgSetByIds(Integer[] ids);

    /**
     * 删除腕消息详情设置信息
     *
     * @param id 腕消息详情设置主键
     * @return 结果
     */
    public int deleteWatchMsgSetById(Integer id);
}
