package com.fs.watch.service;

import java.util.List;
import com.fs.watch.domain.WatchSendMsgLog;

/**
 * 发送消息日志记录Service接口
 *
 * @author fs
 * @date 2024-12-02
 */
public interface WatchSendMsgLogService
{
    /**
     * 查询发送消息日志记录
     *
     * @param logId 发送消息日志记录主键
     * @return 发送消息日志记录
     */
    public WatchSendMsgLog selectWatchSendMsgLogByLogId(Integer logId);

    /**
     * 查询发送消息日志记录列表
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 发送消息日志记录集合
     */
    public List<WatchSendMsgLog> selectWatchSendMsgLogList(WatchSendMsgLog watchSendMsgLog);

    /**
     * 新增发送消息日志记录
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 结果
     */
    public int insertWatchSendMsgLog(WatchSendMsgLog watchSendMsgLog);

    /**
     * 修改发送消息日志记录
     *
     * @param watchSendMsgLog 发送消息日志记录
     * @return 结果
     */
    public int updateWatchSendMsgLog(WatchSendMsgLog watchSendMsgLog);

    /**
     * 批量删除发送消息日志记录
     *
     * @param logIds 需要删除的发送消息日志记录主键集合
     * @return 结果
     */
    public int deleteWatchSendMsgLogByLogIds(Integer[] logIds);

    /**
     * 删除发送消息日志记录信息
     *
     * @param logId 发送消息日志记录主键
     * @return 结果
     */
    public int deleteWatchSendMsgLogByLogId(Integer logId);

    /**
     * 根据消息类型和设备id查询最新一条发送成功的日志
     * @param msgType
     * @param deviceId
     * @return
     */
    WatchSendMsgLog selectLastByMsgTypeAndDeviceIdAndDetailsType(Integer msgType, String deviceId,String detailsType);
}
