package com.fs.wxUser.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 企业微信SOP  定时任务对象 qw_sop_logs
 *
 * @author fs
 * @date 2024-08-05
 */
@Data
public class QwSopLogsVo implements Serializable {

    private String id;

    private String corpId;

    private Long customerId;

    private String qwUserid;

    private String externalUserId;
    @TableField(exist = false)
    private String externalUserName;

    private Integer logType;

    /** 发送的内容 */
    private String contentJson;

    /** 发送状态 1发送成功 3待发送 */
    private Long sendStatus;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sendTime;

    /** 实际发送实际 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime realSendTime;

    /** 公司id */
    private Long companyId;

    private Long receivingStatus;

    private String msgId;

    /**
    * 发送类型 1企微发送 2 Ai接口发送  3：完课发送  4：AI对话
    */
    private Integer sendType;

    /**
    *  qw_sop表主键
    */
    private String sopId;

    /**
     * 备注
     */
    private String remark;

    private Long fsUserId;

    private LocalDateTime expirationTime;

    private Integer sort;
    @TableField(exist = false)
    private Integer takeRecords;

    // 构造函数
//    public QwSopLogs() {
//        this.id = UUID.randomUUID().toString();
//        this.sopId = UUID.randomUUID().toString();
//        this.sendStatus = 0L; // 默认值
//        this.sort = 1;        // 默认值
//    }

}
