package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxWorkGetQrCodeRespDTO {
    /**
     * 登录二维码的直接访问链接
     * <p>
     * 这是用户扫描后用于登录的二维码图片URL。
     * </p>
     */
    private String qrcode;
    /**
     * 登录二维码的Base64位文件流
     * <p>
     * 这是二维码图片的Base64编码数据，可用于在前端直接显示二维码，
     * 无需先从服务器下载图片。
     * </p>
     */
    private String qrcodeData;
    /**
     * 有效期
     * <p>
     * 登录二维码的有效时间，单位：秒。
     * </p>
     */
    private Integer ttl;
    /**
     * 密钥
     * <p>
     * 用于加密或验证二维码信息的密钥。
     * </p>
     */
    private String key;
}
