package com.fs.wxwork.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * ProxyConfigDTO
 * 用于配置代理信息的DTO
 *
 * @author xdd
 * @version 1.0
 * @since 1.0
 * date: 2025-02-30
 */
@Getter
@Setter
public class WxWorkInitDTO {

    /**
     * 视频ID (Video ID)
     */
    private String vid;

    /**
     * IP地址
     */
    private String ip;

    /**
     * 端口号
     */
    private String port;

    /**
     * 代理类型 (Proxy Type)
     * socket5 或者 http两种代理
     */
    private String proxyType;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 设备类型 (Device Type)
     * iPad, pc, mac
     */
    private String deverType;

    /**
     * 密码
     */
    private String passward;
}
