package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxWorkSendAppMsgDTO {
    /**
     * 消息的唯一标识符 (UUID)
     */
    private String uuid;
    /**
     * 发送者用户 ID
     */
    private Long sendUserid;
    /**
     * 消息描述
     */
    private String desc;
    /**
     * 消息标题
     */
    private String title;
    /**
     * 小程序图标 URL
     */
    private String weappIconUrl;
    /**
     * 小程序页面路径
     */
    private String pagepath;
    /**
     * 小程序用户名 (原始 ID)
     */
    private String username;
    /**
     * 小程序 App ID
     */
    private String appid;
    /**
     * CDN 密钥 (用于文件下载)
     */
    private String cdnkey;
    /**
     * 文件的 MD5 校验值
     */
    private String md5;
    /**
     * AES 加密密钥
     */
    private String aeskey;
    /**
     * 文件大小 (字节)
     */
    private Integer fileSize;
    /**
     * 是否为群组消息
     * <p>
     *  true: 群组消息; false: 单聊消息
     * </p>
     */
    private Boolean isRoom;

}
