package com.fs.wxwork.dto;

import lombok.Data;

@Data
public class WxwGetExternalContactRespDTO {
    /**
     * 显示顺序
     * <p>
     *  用于控制部门在列表中的显示顺序。值越大，显示越靠后。
     * </p>
     */
    private Integer dispOrder;
    /**
     * 企业ID
     * <p>
     * 	表示部门所属的企业ID。
     * </p>
     */
    private Long corpid;
    /**
     * 部门名称
     */
    private String partyName;
    /**
     * 创建时间
     * <p>
     *     部门创建的时间戳（秒级）。
     * </p>
     */
    private Long createTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 部门ID
     */
    private Long partyid;
    /**
     * 类型
     * <p>
     *     可能用于区分不同类型的部门，具体含义需要根据业务上下文确定。
     * </p>
     */
    private Integer type;
    /**
     * 是否是部门数据
     * <p>
     *     标识这是否为一个部门条目（1表示是，0表示否）。
     * </p>
     */
    private Integer isDepartment;
    /**
     * 父部门ID
     * <p>
     *     表示此部门的上级部门ID。如果为0，则表示此部门为顶级部门。
     * </p>
     */
    private Long parentid;

    /**
     * 状态
     * <p>
     *     可能表示部门的状态（例如：0-正常，其他值可能表示禁用、删除等状态）。
     *     具体含义需根据业务上下文确定。
     * </p>
     */
    private Integer status;
}
