package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 已读消息请求参数 DTO.
 *
 * <p>
 * 用于标记消息为已读状态的请求数据传输对象。
 * </p>
 *
 * @author xdd
 * @since 2025-02-27
 */
@Data
public class WxwMarkAsReadDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信.
     * <p>必填: 是</p>
     */
    private String uuid;

    /**
     * 要发送的人id (好友或者群id).
     * <p>必填: 是</p>
     */
    private Long send_userid;

    /**
     * 是否是群消息.
     * <p>必填: 是</p>
     */
    private Boolean isRoom;
}
