package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 已读消息返回结果 DTO.
 *
 * <p>
 *  用于接收标记消息已读操作的响应数据。
 *  只包含 data 字段内的内容。
 * </p>
 *
 * @author xdd
 * @since 2025-02-27
 */
@Data
public class WxwMarkAsReadRespDTO {

    /**
     * 接收者ID.
     */
    private Long receiver;

    /**
     * 发送者ID.
     */
    private Long sender;

     /**
     * 发送者名称.
     */
    private String sender_name;

    /**
     * 应用信息.
     */
    private String app_info;

    /**
     * 群聊会话ID.
     */
    private String room_conversation_id;
    /**
     * 是否为群消息;1 群消息
     */
    private Integer is_room;

    /**
     * 发送时间.
     */
    private Integer sendtime;

    /**
     * 消息ID.
     */
    private Long msg_id;

    /**
     * 服务器ID.
     */
    private Long server_id;
    /**
     * 消息类型.
     */
    private Integer msgtype;


}
