package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 同步消息记录 请求参数DTO
 * <p>同步消息记录，用来同步消息记录，如果电脑微信在离线期间，手机端进行了消息操作，调用这个接口可以把离线期间的消息同步过来。</p>
 * <p>使用场景，登录成功的时候使用，然后就不需要用到它了，如果对消息没那么重要则不需要用它</p>
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSyncAllDataDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 每次返回大小
     */
    private Integer limit;

    /**
     * 查询下标
     * seq如果是0则会同步最近的所有消息，建议seq传消息回调中的最后一次的server_id,下发中的消息回调，每个消息都会带
     * 着server_id，这个id就是这里面的seq，建议每次接收那边的消息，就更新一下server_id，然后如果离线，过了几天，再次用
     * 协议登录，就直接传递上次的server_id就会直接同步从上次最后一次保存server_id为开始，进行同步。如果离线时间大于10
     * 天了，建议直接传0否则会数据量太大。比如，离线了100天再次登录传递的是上次的server_id则会把这100天的数据全部同步，造成阻塞。
     * 如下图的server_id，就是这里的seq
     */
    private Integer seq;
}
