
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_keyword
-- ----------------------------
DROP TABLE IF EXISTS `sys_keyword`;
CREATE TABLE `sys_keyword`  (
                                `keyword_id` bigint NOT NULL AUTO_INCREMENT COMMENT '关键字id',
                                `keyword` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '关键字',
                                `company_id` bigint NULL DEFAULT NULL COMMENT '所属公司',
                                `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
                                `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
                                PRIMARY KEY (`keyword_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '系统关键字表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;




SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for fs_course_watch_comment
-- ----------------------------
DROP TABLE IF EXISTS `fs_course_watch_comment`;
CREATE TABLE `fs_course_watch_comment`  (
                                            `comment_id` bigint NOT NULL AUTO_INCREMENT COMMENT '评论id',
                                            `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
                                            `user_type` tinyint NULL DEFAULT 2 COMMENT '用户类型，1-管理员，2-用户',
                                            `course_id` bigint NULL DEFAULT NULL COMMENT '课程id',
                                            `video_id` bigint NULL DEFAULT NULL COMMENT '视频id',
                                            `type` tinyint NULL DEFAULT 1 COMMENT '评论类型 1：评论，2：回复',
                                            `parent_id` bigint NULL DEFAULT NULL COMMENT '父评论id',
                                            `content` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '评论内容',
                                            `create_time` datetime NULL DEFAULT NULL COMMENT '评论时间',
                                            `update_time` datetime NULL DEFAULT NULL,
                                            `is_revoke` tinyint NULL DEFAULT 0 COMMENT '是否是撤回的消息，1-是，0-否',
                                            `time` int NULL DEFAULT NULL COMMENT '时间点，记录发送消息的视频播放时间点',
                                            `font_size` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '字体大小',
                                            `mode` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '展示模式',
                                            `color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '字体颜色',
                                            PRIMARY KEY (`comment_id`) USING BTREE,
                                            INDEX `user_id_index`(`user_id` ASC) USING BTREE,
                                            INDEX `course_id_index`(`course_id` ASC) USING BTREE,
                                            INDEX `video_id_index`(`video_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 128 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '看课评论表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;




