package com.fs.app.param;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
public class FsDoctorRegisterParam implements Serializable {



    @NotBlank(message = "医生姓名不能为空")
    private String doctorName;
    /** 简介 */
    private String introduction;

    /** 擅长领域 */
    @NotBlank(message = "擅长领域不能为空")
    private String speciality;

    /** 资格证编号 */
    private String certificateCode;

    /** 证书照片 */
    private String certificateImages;

    /** 工作照 */
    @NotBlank(message = "工作照不能为空")
    private String avatar;



    /** 所属医院 */
    @NotNull(message = "所属医院不能为空")
    private Long hospitalId;

    /** 科室ID */
    @NotNull(message = "所属科室不能为空")
    private Long deptId;



    /** 职务 */
    @NotBlank(message = "职务不能为空")
    private String position;


    @NotBlank(message = "手机号不能为空")
    private String mobile;

    /** 医生类型 1医生 2药师 */
    @NotNull(message = "医生类型不能为空")
    private Integer doctorType;

    /** 性别 */
    @NotNull(message = "性别不能为空")
    private Integer sex;


    private Date bitthday;

    /** 身份证号 */
    @NotBlank(message = "身份证号不能为空")
    private String idCard;

    /** 身份证正面 */
    @NotBlank(message = "身份证正面照片不能为空")
    private String idCardFrontUrl;

    /** 身份证反面 */
    @NotBlank(message = "身份证反面照片不能为空")
    private String idCardBackUrl;

    /** 所属省市区 */
    @NotBlank(message = "所属省市区不能为空")
    private String cityIds;

    private String province;

    private String city;

    private String district;

    @NotBlank(message = "帐户不能为空")
    private String account;
    @NotBlank(message = "密码不能为空")
//    @Pattern(regexp="^(?![a-zA-Z]+$)(?![A-Z0-9]+$)(?![A-Z\\W_]+$)(?![a-z0-9]+$)(?![a-z\\W_]+$)(?![0-9\\W_]+$)[a-zA-Z0-9\\W_]{8,}$",message="密码长度最少8位，由数字、大写字母、小写字母、特殊字符中的至少三种组成")
    private String password;

}
