package com.fs.app.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
public class FsPatientAddEditParam implements Serializable {

    /** ID */
    private Long patientId;

    /** 患者姓名 */
    @NotBlank(message = "患者姓名不能为空")
    private String patientName;

    /** 身份证号 */
    @NotBlank(message = "身份证号不能为空")
    private String idCard;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "出生年月不能为空")
    private Date birthday;

    /** 性别 */
    @NotNull(message = "性别不能为空")
    private Integer sex;

    /** 体重G */
    private Long weight;

    /** 手机号 */
    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp="^1[3456789]\\d{9}$",message="手机号格式不正确")
    private String mobile;
    @NotBlank(message = "与本人关系不能为空")
    private String relation;  // 与本人关系
    private String liverUnusual;  // 肝功能是否异常
    private String renalUnusual;  // 肾功能是否异常
    private String historyAllergic;  // 过敏史
    private String familyMedHistory;  // 家族病史
    private String selfMedHistory;  // 个人病史
    private Integer isDefault; //是否默认


    private Integer isFurther;
    private String primaryHospital;
    private String primaryImages;
}
