package com.fs.app.controller;

import com.fs.app.annotation.Login;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.R;
import com.fs.course.domain.FsVideoBarrage;
import com.fs.course.service.IFsVideoBarrageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * app+小程序端视频弹幕Controller
 *
 * @author fs
 * @date 2025-04-07
 */
@RestController
@RequestMapping("/barrage/barrage")
public class FsVideoBarrageController extends BaseController
{
    @Autowired
    private IFsVideoBarrageService fsVideoBarrageService;

    // 发送弹幕
    @Login
    @PostMapping("/send")
    public R send(@RequestBody FsVideoBarrage barrage) {
        barrage.setUserId(getUserId());
        barrage.setCreateTime(new Date());
        barrage.setStatus("1"); // 默认正常
        fsVideoBarrageService.saveBarrage(barrage);
        return R.ok();
    }


    // 查询视频某个时间段内的弹幕（用于按需加载）
    @GetMapping("/video/{videoId}/segment")
    public R getSegment(@PathVariable Long videoId,
                        @RequestParam int from,
                        @RequestParam int to) {
        List<FsVideoBarrage> list = fsVideoBarrageService.getSegmentBarrage(videoId, from, to);
        return R.ok().put("data",list);
    }
    // 获取视频弹幕列表
    @GetMapping("/list/{videoId}")
    public R getByVideoId(@PathVariable Long videoId) {
        List<FsVideoBarrage> list = fsVideoBarrageService.getBarrageByVideoId(videoId);
        return R.ok().put("data",list);
    }
}
