package com.fs.app.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
public class FsUserAddressAddEditParam implements Serializable {

    /** ID */
    private Long addressId;

    /** 收货人姓名 */
    @NotBlank(message = "收货人姓名不能为空")
    private String realName;

    /** 收货人电话 */
    @NotBlank(message = "收货人电话不能为空")
    @Pattern(regexp="^1[3456789]\\d{9}$",message="手机号格式不正确")
    private String phone;

    /** 收货人所在省 */
    @NotBlank(message = "收货人地址不能为空")
    private String province;

    /** 收货人所在市 */
    @NotBlank(message = "收货人地址不能为空")
    private String city;

    /** 收货人所在区 */
    @NotBlank(message = "收货人地址不能为空")
    private String district;

    /** 城市IDS */
    @Excel(name = "城市IDS")
    private String cityIds;

    /** 收货人详细地址 */
    @NotBlank(message = "收货人详细地址不能为空")
    private String detail;

    /** 邮编 */
    private String postCode;

    /** 经度 */
    private String longitude;

    /** 纬度 */
    private String latitude;

    private Integer isDefault;


}
